<?xml version="1.0" encoding="UTF-8"?>
<mm:monitor xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:cbe="http://www.ibm.com/AC/commonbaseevent1_0_1" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:mm="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.1.0/mm"
	xmlns:wbm="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.2.0/functions" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema-datatypes" displayName="Global Process Monitor" id="Global_Process_Monitor" timestamp="2011-10-14T06:03:00Z"
	xmlns:wbi="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.1" xmlns:bpc="http://www.ibm.com/xmlns/prod/websphere/scdl/business-process/6.0.0" xmlns:htm="http://www.ibm.com/xmlns/prod/websphere/scdl/human-task/6.0.0" xmlns:evt="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.2.0/events/Global_Process_Monitor" xmlns:fct="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.2.0/functions/Global_Process_Monitor" xmlns:mon="http://www.ibm.com/xmlns/prod/websphere/monitoring/7.5" xmlns:ibm="http://www.ibm.com/xmlns/prod/websphere/monitoring/7.5/extensions" xmlns:wle="http://www.ibm.com/xmlns/prod/websphere/lombardi/7.5">
	<description>A generic monitor model for processes. </description>
	<xpathFunctions>
		<import namespace="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.2.0/functions/Global_Process_Monitor"/>
	</xpathFunctions>

	<!-- Explanatory note: Expressions of the form
	
	if ( fn:string-length(<new_value>) > 0 ) then <new_value> else <old_value>
	
	is frequently found in maps. Their purpose is to avoid setting a metric that requires a value to 'empty' or 'empty string',
	which would cause a database error for a NOT NULL column (note that empty strings are treated like NULL in Oracle databases). -->
	
	<monitorDetailsModel displayName="ProcessMonitor" id="MDM">
		<monitoringContext displayName="Process Definition" id="Process_Definition">
			<description>Monitoring context for a process definition deployed on a server and running.</description>
			<trigger displayName="Inactive" id="Inactive" isRepeatable="false" terminateContext="true">
				<description>Fires when no event from any execution of this process has been received for an extended period of time, indicating that the process is inactive (it may have been undeployed).</description>
				<evaluationTime minutes="0" days="1" hours="0" />
				<gatingCondition expression="Time_Since_Last_Active &gt; xs:dayTimeDuration('P90D')" />
			</trigger>
			<trigger displayName="Aux Never" id="Aux_Never" isRepeatable="false">
				<description>Auxiliary trigger, which never fires. It is needed to circumvent a problem in validator, which has been fixed in version 7. If the model is used on Monitor version 7 or later, this trigger can be deleted.</description>
				<evaluationTime minutes="100" days="100" hours="100" />
				<gatingCondition expression="fn:false()" />
			</trigger>
			<inboundEvent displayName="Exists" id="Exists" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
				<description>Any event reporting the existence of a process (template) on a server.</description>
				<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
				<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.PROCESS.BASE"></eventPart>
				<eventPart displayName="eventPointDataIfVariableStatus" id="eventPointDataIfVariableStatus" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.VARIABLE.STATUS"></eventPart>
				<correlationPredicate expression="Exists/eventPointData/bpc:processTemplateName = Name and fct:logical-deployment-location( Exists/server ) = Deployed_At"/>
				<filter expression="fn:exists( Exists/eventPointData/bpc:processTemplateName )" />
			</inboundEvent>
			<inboundEvent displayName="Exists_BPMN2" id="Exists_BPMN2" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="EventPointData" id="EventPointData" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData" type="mon:eventPointData"></eventPart>
				<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
				<eventPart displayName="processLevelModel" id="processLevelModel" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[@mon:type='bpmn:process']" type="mon:model"></eventPart>
				<eventPart displayName="WLEApplicationLevelModel" id="WLEApplicationLevelModel" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[@mon:type='wle:processApplication']" type="mon:model"></eventPart>
				<eventPart displayName="applicationData" id="applicationData" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:applicationData" type="mon:applicationData"></eventPart>
				<eventPart displayName="wleTrackingPoint" id="wleTrackingPoint" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:applicationData/wle:tracking-point" type="wle:TrackingPoint"></eventPart>
				<eventPart displayName="Snapshot Name" id="SnapshotName" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[@mon:type='bpmn:process']/wle:snapshot-name" type="xs:string"></eventPart>
				<eventPart displayName="systemId" id="systemId" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:source/ibm:system/@ibm:systemID" type="xs:string"></eventPart>
				<correlationPredicate expression="Exists_BPMN2/processLevelModel/mon:name = Name and  fct:logical-deployment-location(Exists_BPMN2/server) = Deployed_At"/>
				<filter expression="fn:exists( Exists_BPMN2/EventPointData/mon:kind )" />
			</inboundEvent>

			<metric displayName="Identifier" id="Identifier" type="xsd:string" maxStringLength="256" valueRequired="true" isPartOfKey="false">
				<description>A unique identifier of a deployed process definition, which must not change when a new version is deployed.</description>
				<map>
					<outputValue>
						<singleValue
							expression="fn:concat( Exists/eventPointData/bpc:processTemplateName, ' -- deployed at ', fct:logical-deployment-location( Exists/server ) )" />
					</outputValue>
				</map>
				<map>
					<outputValue>
						<singleValue expression="fn:concat( Exists_BPMN2/processLevelModel/mon:name, ' -- deployed at ', fct:logical-deployment-location( Exists_BPMN2/server ) )"/>
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="' '" />
				</defaultValue>
			</metric>
			<metric displayName="Sum Total Duration" id="Sum_Total_Duration" type="xsd:duration">
				<description>The summed up (aggregate) total duration of all completed executions.</description>
				<map>
					<trigger ref="Process_Execution/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue expression="Sum_Total_Duration + Process_Execution/Total_Duration - ( if ( fn:exists( Process_Execution/Aux_Saved_Total_Duration ) ) then Process_Execution/Aux_Saved_Total_Duration else xs:dayTimeDuration('PT0S') )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Process_Execution/Aux_Restarted" />
					<outputValue>
						<singleValue expression="Sum_Total_Duration - ( if ( fn:exists(Process_Execution/Aux_Saved_Total_Duration) ) then Process_Execution/Aux_Saved_Total_Duration else xs:dayTimeDuration('PT0S') )" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="xs:dayTimeDuration('PT0S')" />
				</defaultValue>
			</metric>
			<metric displayName="Max Total Duration" id="Max_Total_Duration" type="xsd:duration">
				<description>The maximum total duration of all completed executions.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:dayTimeDuration( fct:get-max-duration( Aux_Candidate_Max_Total_Durations ) )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Min Total Duration" id="Min_Total_Duration" type="xsd:duration">
				<description>The minimum total duration of all completed executions.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:dayTimeDuration( fct:get-min-duration( Aux_Candidate_Min_Total_Durations ) )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Avg Total Duration" id="Avg_Total_Duration" type="xsd:duration">
				<description>The average total duration of all completed executions.</description>
				<map>
					<outputValue>
						<singleValue expression='if ( Finished &gt; 0 ) then Sum_Total_Duration div Finished else Aux_Empty_Duration' />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Sum Waiting Duration" id="Sum_Waiting_Duration" type="xsd:duration">
				<description>The summed up (aggregate) waiting duration of all completed executions.</description>
				<map>
					<trigger ref="Process_Execution/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue expression="Sum_Waiting_Duration + Process_Execution/Waiting_Duration - ( if ( fn:exists(Process_Execution/Aux_Saved_Waiting_Duration) ) then Process_Execution/Aux_Saved_Waiting_Duration else xs:dayTimeDuration('PT0S') )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Process_Execution/Aux_Restarted" />
					<outputValue>
						<singleValue expression="Sum_Waiting_Duration - ( if ( fn:exists(Process_Execution/Aux_Saved_Waiting_Duration) ) then Process_Execution/Aux_Saved_Waiting_Duration else xs:dayTimeDuration('PT0S') )" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="xs:dayTimeDuration('PT0S')" />
				</defaultValue>
			</metric>
			<metric displayName="Max Waiting Duration" id="Max_Waiting_Duration" type="xsd:duration">
				<description>The maximum waiting duration of all completed executions.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:dayTimeDuration( fct:get-max-duration( Aux_Candidate_Max_Waiting_Durations ) )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Min Waiting Duration" id="Min_Waiting_Duration" type="xsd:duration">
				<description>The minimum waiting duration of all completed executions.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:dayTimeDuration( fct:get-min-duration( Aux_Candidate_Min_Waiting_Durations ) )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Avg Waiting Duration" id="Avg_Waiting_Duration" type="xsd:duration">
				<description>The average waiting duration of all completed executions.</description>
				<map>
					<outputValue>
						<singleValue expression='if ( Finished &gt; 0 ) then Sum_Waiting_Duration div Finished else Aux_Empty_Duration' />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Sum Working Duration" id="Sum_Working_Duration" type="xsd:duration">
				<description>The summed up (aggregate) working duration of all completed executions.</description>
				<map>
					<trigger ref="Process_Execution/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue expression="Sum_Working_Duration + Process_Execution/Working_Duration - ( if ( fn:exists(Process_Execution/Aux_Saved_Working_Duration) ) then Process_Execution/Aux_Saved_Working_Duration else xs:dayTimeDuration('PT0S') )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Process_Execution/Aux_Restarted" />
					<outputValue>
						<singleValue expression="Sum_Working_Duration - ( if ( fn:exists(Process_Execution/Aux_Saved_Working_Duration) ) then Process_Execution/Aux_Saved_Working_Duration else xs:dayTimeDuration('PT0S') )" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="xs:dayTimeDuration('PT0S')" />
				</defaultValue>
			</metric>
			<metric displayName="Max Working Duration" id="Max_Working_Duration" type="xsd:duration">
				<description>The maximum working duration of all completed executions.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:dayTimeDuration( fct:get-max-duration( Aux_Candidate_Max_Working_Durations ) )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Min Working Duration" id="Min_Working_Duration" type="xsd:duration">
				<description>The minimum working duration of all completed executions.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:dayTimeDuration( fct:get-min-duration( Aux_Candidate_Min_Working_Durations ) )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Avg Working Duration" id="Avg_Working_Duration" type="xsd:duration">
				<description>The average working duration of all completed executions.</description>
				<map>
					<outputValue>
						<singleValue expression='if ( Finished &gt; 0 ) then Sum_Working_Duration div Finished else Aux_Empty_Duration' />
					</outputValue>
				</map>
			</metric>
			<metric displayName="In Progress" id="In_Progress" type="xsd:integer">
				<description>The number of process executions in progress.</description>
				<map>
					<outputValue>
						<singleValue expression="Started - Finished" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Max Total Duration (xs format)" id="Max_Total_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Max Total Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Max_Total_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Min Total Duration (xs format)" id="Min_Total_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Min Total Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Min_Total_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Avg Total Duration (xs format)" id="Avg_Total_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Avg Total Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Avg_Total_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Sum Total Duration (xs format)" id="Sum_Total_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Sum Total Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Sum_Total_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Max Waiting Duration (xs format)" id="Max_Waiting_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Max Waiting Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Max_Waiting_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Min Waiting Duration (xs format)" id="Min_Waiting_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Min Waiting Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Min_Waiting_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Avg Waiting Duration (xs format)" id="Avg_Waiting_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Avg Waiting Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Avg_Waiting_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Sum Waiting Duration (xs format)" id="Sum_Waiting_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Sum Waiting Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Sum_Waiting_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Max Working Duration (xs format)" id="Max_Working_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Max Working Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Max_Working_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Min Working Duration (xs format)" id="Min_Working_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Min Working Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Min_Working_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Avg Working Duration (xs format)" id="Avg_Working_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Avg Working Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Avg_Working_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Sum Working Duration (xs format)" id="Sum_Working_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Sum Working Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Sum_Working_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Name" id="Name" type="xsd:string" valueRequired="true" isPartOfKey="true">
				<description>The name of this process definition.

Note: The process template name is part of the key, and not the template id, in order to have different versions of a process template monitored by the same top-level MC.</description>
				<map>
					<outputValue>
						<singleValue expression="Exists/eventPointData/bpc:processTemplateName" />
					</outputValue>
				</map>
				<map>
					<outputValue>
						<singleValue expression="Exists_BPMN2/processLevelModel/mon:name "/>
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="' '" />
				</defaultValue>
			</metric>
			<metric displayName="Version" id="Version" type="xsd:string" maxStringLength="128" isSortable="true" valueRequired="false">
				<description>The latest version of this process definition from which events have been received.</description>
				<map>
					<outputValue>
						<singleValue expression="Exists/eventPointData/bpc:processTemplateValidFrom" />
					</outputValue>
				</map>
				<map>
					<outputValue>
						<singleValue expression="if (fn:exists(Exists_BPMN2/processLevelModel/@mon:version)) then fn:concat(Exists_BPMN2/SnapshotName,Exists_BPMN2/processLevelModel/@mon:version) else Version"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Deployed At" id="Deployed_At" type="xsd:string" isPartOfKey="true" valueRequired="false">
				<description>The server on which the monitored process is running.</description>
				<map>
					<outputValue>
						<singleValue expression="fct:logical-deployment-location( Exists/server )" />
					</outputValue>
				</map>
				<map>
					<outputValue>
						<singleValue expression="fct:logical-deployment-location(Exists_BPMN2/server)"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="StdDev Total Duration" id="StdDev_Total_Duration" type="xsd:duration">
				<description>The standard deviation of the total durations of all completed executions.</description>
				<map>
					<outputValue>
						<singleValue
							expression="if ( Finished &gt; 1 and fn:exists( Aux_Sum_Squares_Total_Duration ) and fn:exists( Avg_Total_Duration ) ) then xs:dayTimeDuration( fn:concat( &quot;PT&quot;, fct:sqrt( Aux_Sum_Squares_Total_Duration div Finished - ( Avg_Total_Duration div xs:dayTimeDuration('PT1S') ) * ( Avg_Total_Duration div xs:dayTimeDuration('PT1S') ) ), &quot;S&quot; ) ) else ( if ( Finished = 1 ) then xs:dayTimeDuration('PT0S') else Aux_Empty_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="StdDev Waiting Duration" id="StdDev_Waiting_Duration" type="xsd:duration">
				<description>The standard deviation of the waiting durations of all completed executions.</description>
				<map>
					<outputValue>
						<singleValue
							expression="if ( Finished &gt; 1 and fn:exists(Aux_Sum_Squares_Waiting_Duration) and fn:exists(Avg_Waiting_Duration) ) then xs:dayTimeDuration( fn:concat( &quot;PT&quot;, fct:sqrt( Aux_Sum_Squares_Waiting_Duration div Finished - ( Avg_Waiting_Duration div xs:dayTimeDuration('PT1S') ) * ( Avg_Waiting_Duration div xs:dayTimeDuration('PT1S') ) ), &quot;S&quot; ) ) else ( if ( Finished = 1 ) then xs:dayTimeDuration('PT0S') else Aux_Empty_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="StdDev Working Duration" id="StdDev_Working_Duration" type="xsd:duration">
				<description>The standard deviation of the working durations of all completed executions.</description>
				<map>
					<outputValue>
						<singleValue
							expression="if ( Finished &gt; 1 and fn:exists(Aux_Sum_Squares_Working_Duration) and fn:exists(Avg_Working_Duration) ) then xs:dayTimeDuration( fn:concat( &quot;PT&quot;, fct:sqrt( Aux_Sum_Squares_Working_Duration div Finished - ( Avg_Working_Duration div xs:dayTimeDuration('PT1S') ) * ( Avg_Working_Duration div xs:dayTimeDuration('PT1S') ) ), &quot;S&quot; ) ) else ( if ( Finished = 1 ) then xs:dayTimeDuration('PT0S') else Aux_Empty_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="StdDev Total Duration (xs format)" id="StdDev_Total_Duration_xs_format" type="xsd:string">
				<description>The 'StdDev Total Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( StdDev_Total_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="StdDev Waiting Duration (xs format)" id="StdDev_Waiting_Duration_xs_format" type="xsd:string">
				<description>The 'StdDev Waiting Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( StdDev_Waiting_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="StdDev Working Duration (xs format)" id="StdDev_Working_Duration_xs_format" type="xsd:string">
				<description>The 'StdDev Working Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( StdDev_Working_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Aux Sum Squares Total Duration" id="Aux_Sum_Squares_Total_Duration" type="xsd:decimal">
				<description>The sum of the squares of the total durations of all completed executions (in seconds ^ 2).</description>
				<map>
					<trigger ref="Process_Execution/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue
							expression="Aux_Sum_Squares_Total_Duration + ( Process_Execution/Total_Duration div xs:dayTimeDuration('PT1S') ) * ( Process_Execution/Total_Duration div xs:dayTimeDuration('PT1S') ) - ( if ( fn:exists(Process_Execution/Aux_Saved_Total_Duration) ) then ( Process_Execution/Aux_Saved_Total_Duration div xs:dayTimeDuration('PT1S') ) * ( Process_Execution/Aux_Saved_Total_Duration div xs:dayTimeDuration('PT1S') ) else 0.0 )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Process_Execution/Aux_Restarted" />
					<outputValue>
						<singleValue
							expression="Aux_Sum_Squares_Total_Duration - ( if ( fn:exists(Process_Execution/Aux_Saved_Total_Duration) ) then ( Process_Execution/Aux_Saved_Total_Duration div xs:dayTimeDuration('PT1S') ) * ( Process_Execution/Aux_Saved_Total_Duration div xs:dayTimeDuration('PT1S') ) else 0.0 )" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="0.0" />
				</defaultValue>
			</metric>
			<metric displayName="Aux Sum Squares Waiting Duration" id="Aux_Sum_Squares_Waiting_Duration" type="xsd:decimal">
				<description>The sum of the squares of the waiting durations of all completed executions (in seconds ^ 2).</description>
				<map>
					<trigger ref="Process_Execution/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue
							expression="Aux_Sum_Squares_Waiting_Duration + ( Process_Execution/Waiting_Duration div xs:dayTimeDuration('PT1S') ) * ( Process_Execution/Waiting_Duration div xs:dayTimeDuration('PT1S') ) - ( if ( fn:exists(Process_Execution/Aux_Saved_Waiting_Duration) ) then ( Process_Execution/Aux_Saved_Waiting_Duration div xs:dayTimeDuration('PT1S') ) * ( Process_Execution/Aux_Saved_Waiting_Duration div xs:dayTimeDuration('PT1S') ) else 0.0 )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Process_Execution/Aux_Restarted" />
					<outputValue>
						<singleValue
							expression="Aux_Sum_Squares_Waiting_Duration - ( if ( fn:exists(Process_Execution/Aux_Saved_Waiting_Duration) ) then ( Process_Execution/Aux_Saved_Waiting_Duration div xs:dayTimeDuration('PT1S') ) * ( Process_Execution/Aux_Saved_Waiting_Duration div xs:dayTimeDuration('PT1S') ) else 0.0 )" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="0.0" />
				</defaultValue>
			</metric>
			<metric displayName="Aux Sum Squares Working Duration" id="Aux_Sum_Squares_Working_Duration" type="xsd:decimal">
				<description>The sum of the squares of the working durations of all completed executions (in seconds ^ 2).</description>
				<map>
					<trigger ref="Process_Execution/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue
							expression="Aux_Sum_Squares_Working_Duration + ( Process_Execution/Working_Duration div xs:dayTimeDuration('PT1S') ) * ( Process_Execution/Working_Duration div xs:dayTimeDuration('PT1S') ) - ( if ( fn:exists(Process_Execution/Aux_Saved_Working_Duration) ) then ( Process_Execution/Aux_Saved_Working_Duration div xs:dayTimeDuration('PT1S') ) * ( Process_Execution/Aux_Saved_Working_Duration div xs:dayTimeDuration('PT1S') ) else 0.0 )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Process_Execution/Aux_Restarted" />
					<outputValue>
						<singleValue
							expression="Aux_Sum_Squares_Working_Duration - ( if ( fn:exists(Process_Execution/Aux_Saved_Working_Duration) ) then ( Process_Execution/Aux_Saved_Working_Duration div xs:dayTimeDuration('PT1S') ) * ( Process_Execution/Aux_Saved_Working_Duration div xs:dayTimeDuration('PT1S') ) else 0.0 )" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="0.0" />
				</defaultValue>
			</metric>
			<metric displayName="Aux Empty Duration" id="Aux_Empty_Duration" type="xsd:duration">
				<description>Auxiliary xs:duration metric which will always be empty.</description>
				<map>
					<trigger ref="Aux_Never" />
					<outputValue>
						<singleValue expression='xs:dayTimeDuration("PT0S")' />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Aux Candidate Max Total Durations" id="Aux_Candidate_Max_Total_Durations" type="xsd:string" maxStringLength="4000">
				<description>The process execution total durations that can be reinstated as maxima when the current maximum is revoked because the execution that marked it is restarted.</description>
				<map>
					<trigger ref="Process_Execution/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Max_Total_Durations, Aux_Empty_Duration, fn:true(), Process_Execution/Total_Duration, Process_Execution/Aux_Saved_Total_Duration, 4000 )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Process_Execution/Aux_Restarted" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Max_Total_Durations, Aux_Empty_Duration, fn:true(), Aux_Empty_Duration, Process_Execution/Aux_Saved_Total_Duration, 4000 )" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="''" />
				</defaultValue>
			</metric>
			<metric displayName="Aux Candidate Max Waiting Durations" id="Aux_Candidate_Max_Waiting_Durations" type="xsd:string" maxStringLength="4000">
				<description>The process execution waiting durations that can be reinstated as maxima when the current maximum is revoked because the execution that marked it is restarted.</description>
				<map>
					<trigger ref="Process_Execution/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Max_Waiting_Durations, Aux_Empty_Duration, fn:true(), Process_Execution/Waiting_Duration, Process_Execution/Aux_Saved_Waiting_Duration, 4000 )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Process_Execution/Aux_Restarted" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Max_Waiting_Durations, Aux_Empty_Duration, fn:true(), Aux_Empty_Duration, Process_Execution/Aux_Saved_Waiting_Duration, 4000 )" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="''" />
				</defaultValue>
			</metric>
			<metric displayName="Aux Candidate Max Working Durations" id="Aux_Candidate_Max_Working_Durations" type="xsd:string" maxStringLength="4000">
				<description>The process execution working durations that can be reinstated as maxima when the current maximum is revoked because the execution that marked it is restarted.</description>
				<map>
					<trigger ref="Process_Execution/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Max_Working_Durations, Aux_Empty_Duration, fn:true(), Process_Execution/Working_Duration, Process_Execution/Aux_Saved_Working_Duration, 4000 )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Process_Execution/Aux_Restarted" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Max_Working_Durations, Aux_Empty_Duration, fn:true(), Aux_Empty_Duration, Process_Execution/Aux_Saved_Working_Duration, 4000 )" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="''" />
				</defaultValue>
			</metric>
			<metric displayName="Aux Candidate Min Total Durations" id="Aux_Candidate_Min_Total_Durations" type="xsd:string" maxStringLength="4000">
				<description>The process execution total durations that can be reinstated as minima when the current minimum is revoked because the execution that marked it is restarted.</description>
				<map>
					<trigger ref="Process_Execution/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Min_Total_Durations, Aux_Empty_Duration, fn:false(), Process_Execution/Total_Duration, Process_Execution/Aux_Saved_Total_Duration, 4000 )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Process_Execution/Aux_Restarted" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Min_Total_Durations, Aux_Empty_Duration, fn:false(), Aux_Empty_Duration, Process_Execution/Aux_Saved_Total_Duration, 4000 )" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="''" />
				</defaultValue>
			</metric>
			<metric displayName="Aux Candidate Min Waiting Durations" id="Aux_Candidate_Min_Waiting_Durations" type="xsd:string" maxStringLength="4000">
				<description>The process execution waiting durations that can be reinstated as minima when the current minimum is revoked because the execution that marked it is restarted.</description>
				<map>
					<trigger ref="Process_Execution/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Min_Waiting_Durations, Aux_Empty_Duration, fn:false(), Process_Execution/Waiting_Duration, Process_Execution/Aux_Saved_Waiting_Duration, 4000 )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Process_Execution/Aux_Restarted" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Min_Waiting_Durations, Aux_Empty_Duration, fn:false(), Aux_Empty_Duration, Process_Execution/Aux_Saved_Waiting_Duration, 4000 )" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="''" />
				</defaultValue>
			</metric>
			<metric displayName="Aux Candidate Min Working Durations" id="Aux_Candidate_Min_Working_Durations" type="xsd:string" maxStringLength="4000">
				<description>The process execution working durations that can be reinstated as minima when the current minimum is revoked because the execution that marked it is restarted.</description>
				<map>
					<trigger ref="Process_Execution/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Min_Working_Durations, Aux_Empty_Duration, fn:false(), Process_Execution/Working_Duration, Process_Execution/Aux_Saved_Working_Duration, 4000 )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Process_Execution/Aux_Restarted" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Min_Working_Durations, Aux_Empty_Duration, fn:false(), Aux_Empty_Duration, Process_Execution/Aux_Saved_Working_Duration, 4000 )" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="''" />
				</defaultValue>
			</metric>
			<metric displayName="Earliest Audit Event" id="Earliest_Audit_Event" type="xsd:dateTime">
				<description>The timestamp of the earliest event received about this process.</description>
				<map>
					<outputValue>
						<singleValue expression="if ( fn:empty( Earliest_Audit_Event ) or Earliest_Audit_Event &gt; Exists/predefinedData/creationTime ) then Exists/predefinedData/creationTime else Earliest_Audit_Event" />
					</outputValue>
				</map>
				<map>
					<outputValue>
						<singleValue expression="if ( fn:empty( Earliest_Audit_Event ) or Earliest_Audit_Event &gt;  Exists_BPMN2/EventPointData/mon:time ) then Exists_BPMN2/EventPointData/mon:time else Earliest_Audit_Event"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Earliest Audit Event (xs format)" id="Earliest_Audit_Event_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Earliest Audit Event' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Earliest_Audit_Event ) ) )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Latest Audit Event (xs format)" id="Latest_Audit_Event_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Latest Audit Event' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Latest_Audit_Event ) ) )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Latest Audit Event" id="Latest_Audit_Event" type="xsd:dateTime">
				<description>The timestamp of the latest event received about this process.</description>
				<map>
					<outputValue>
						<singleValue expression="if ( fn:empty(Latest_Audit_Event) or Exists/predefinedData/creationTime &gt; Latest_Audit_Event ) then Exists/predefinedData/creationTime else Latest_Audit_Event" />
					</outputValue>
				</map>
				<map>
					<outputValue>
						<singleValue expression="if ( fn:empty(Latest_Audit_Event) or  Exists_BPMN2/EventPointData/mon:time &gt; Latest_Audit_Event ) then Exists_BPMN2/EventPointData/mon:time else Latest_Audit_Event"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Version No Blanks" id="Version_No_Blanks" type="xsd:string" maxStringLength="128">
				<description>The 'Version' metric with blanks replaced by underscores.</description>
				<map>
					<outputValue>
						<singleValue expression="fct:replace-all( Version, ' ', '_' )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="ID" id="ID" type="xsd:string" isPartOfKey="false" maxStringLength="128" valueRequired="true">
				<description>An optional, secondary identifier of this process definition (for example, a generated UUID).

Note: When a new version of a process template is deployed, this metric will be set to the process template id of the latest deployed version. It therefore is -not- part of the monitoring context key.</description>
				<map>
					<outputValue>
						<singleValue expression="if ( fn:exists(Exists/eventPointData/bpc:processTemplateId) ) then Exists/eventPointData/bpc:processTemplateId else ( if ( fn:exists(Exists/eventPointDataIfVariableStatus/bpc:eventExt/bpc:processTemplateId) ) then Exists/eventPointDataIfVariableStatus/bpc:eventExt/bpc:processTemplateId else ID )" />
					</outputValue>
				</map>
				<map>
					<outputValue>
						<singleValue expression="if ( fn:exists(Exists_BPMN2/processLevelModel/@mon:id) ) then Exists_BPMN2/processLevelModel/@mon:id else ID"/>
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="' '"/>
				</defaultValue>
			</metric>
			<metric displayName="Aux User Roles" id="Aux_User_Roles" type="xsd:string" maxStringLength="512">
				<description>Constant, auxiliary metric holding a list of user roles as defined for WebSphere Process Server human task work items. Used as a lookup table when setting the 'Work Item Update' metrics in various child MCs.</description>
				<defaultValue>
					<singleValue expression="'NONE                            POTENTIAL_OWNER                 EDITOR                          READER                          OWNER                           POTENTIAL_STARTER               STARTER                         ADMINISTRATOR                                                   ORIGINATOR                      ESCALATION_RECEIVER             POTENTIAL_INSTANCE_CREATOR      '"/>
				</defaultValue>
			</metric>
			<metric displayName="Process Application Name" id="Process_Application_Name" type="xsd:string" valueRequired="true">
				<map>
					<outputValue>
						<singleValue expression="Exists_BPMN2/WLEApplicationLevelModel/mon:name "/>
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="' '"/>
				</defaultValue>
			</metric>
			<metric displayName="Application Type" id="Application_Type" type="xsd:string">
				<map>
					<outputValue>
						<singleValue expression="if ( fn:exists(Exists_BPMN2/EventPointData/mon:kind)) then 'WLE' else Application_Type"/>
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="'WPS'"/>
				</defaultValue>
			</metric>
			<metric displayName="SystemId" id="SystemId" type="xsd:string">
				<map>
					<outputValue>
						<singleValue expression="if ( fn:exists(Exists/eventPointData/bpc:baseExt/bpc:systemId) ) then Exists/eventPointData/bpc:baseExt/bpc:systemId else SystemId"/>
					</outputValue>
				</map>
				<map>
					<outputValue>
						<singleValue expression="if (fn:exists(Exists_BPMN2/systemId)) then Exists_BPMN2/systemId else SystemId"/>
					</outputValue>
				</map>
			</metric>
			<counter displayName="Started" id="Started" type="xsd:integer">
				<description>The number of process executions that have started.</description>
				<incrementedWhen ref="Process_Execution/Aux_Started" />
			</counter>
			<counter displayName="Finished" id="Finished" type="xsd:integer">
				<description>The number of process executions that have finished.</description>
				<incrementedWhen ref="Process_Execution/Aux_Ended" />
				<decrementedWhen ref="Process_Execution/Aux_Restarted" />
			</counter>
			<counter displayName="Steps" id="Steps" type="xsd:integer">
				<description>The number of (known) steps defined by this process.</description>
				<incrementedWhen ref="Step_Definition/Aux_Exists" />
			</counter>
			<counter displayName="Variables" id="Variables" type="xsd:integer">
				<description>The number of (known) variables defined by this process.</description>
				<incrementedWhen ref="Variable_Definition/Accessed"/>
				<incrementedWhen ref="Variable_Definition/Accessed_BPMN2"/>
			</counter>
			<counter displayName="Audit Events" id="Audit_Events" type="xsd:integer">
				<description>The total number of audit events received about this process.</description>
				<incrementedWhen ref="Process_Execution/State_Changed" />
				<incrementedWhen ref="Process_Execution/Step_State_Changed" />
				<incrementedWhen ref="Process_Execution/State_Changed_BPMN2"/>
				<incrementedWhen ref="Process_Execution/Step_State_Changed_BPMN2"/>
			</counter>
			<stopwatch displayName="Time Since Last Active" id="Time_Since_Last_Active" type="xsd:duration">
				<description>The elapsed time (duration) since the last event was received about this process.</description>
				<resetWhen ref="Exists" />
				<resetWhen ref="Exists_BPMN2"/>
				<startedWhen ref="Exists" />
				<startedWhen ref="Exists_BPMN2"/>
			</stopwatch>
			<stopwatch displayName="Time Since First Active" id="Time_Since_First_Active" type="xsd:duration">
				<description>The elapsed time (duration) since monitoring started for this process.</description>
				<startedWhen ref="Exists"/>
				<startedWhen ref="Exists_BPMN2"/>
			</stopwatch>
			<monitoringContext displayName="Process Execution" id="Process_Execution">
				<description>Monitoring context for a process execution.</description>
				<trigger displayName="Aux Ended" id="Aux_Ended" isRepeatable="false">
					<description>Auxiliary trigger, which indicates that this process execution has ended. While not repeatable, it will fire more than once when a process execution is restarted and ends a second time (it fires each time the 'Has Ended' metric changes from false to true).</description>
					<onValueChange ref="Has_Ended" />
					<gatingCondition expression="Has_Ended" />
				</trigger>
				<trigger displayName="Aux Started" id="Aux_Started" isRepeatable="false">
					<description>Auxiliary trigger, which fires just once when this monitoring context is initialized.</description>
					<onValueChange ref="Identifier" />
				</trigger>
				<trigger displayName="Aux Reported State Changed" id="Aux_Reported_State_Changed" isRepeatable="true">
					<description>Auxiliary trigger, which fires when the last state reported for this process execution is different from the state reported before. If events arrive out-of-order, the 'State' metric may remain unchanged.</description>
					<onValueChange ref="Aux_Last_State_Reported" />
					<gatingCondition expression="Aux_Last_State_Reported != Aux_Saved_Last_State_Reported" />
				</trigger>
				<trigger displayName="Aux Never" id="Aux_Never" isRepeatable="true">
					<description>Auxiliary trigger, which never fires. It is needed to circumvent a problem in validator, which has been fixed in version 7. If the model is used on Monitor version 7 or later, this trigger can be deleted.</description>
					<evaluationTime days="100" hours="100" minutes="100" />
					<gatingCondition expression="fn:false()" />
				</trigger>
				<trigger displayName="Aux Restarted" id="Aux_Restarted" isRepeatable="false">
					<description>Auxiliary trigger, which indicates that this process execution has been restarted. While not repeatable, it will fire more than once when a process execution is ended and restarted a second time (it fires each time the 'Has Ended' metric changes from true to false).</description>
					<onValueChange ref="Has_Ended" />
					<gatingCondition expression="fn:not( Has_Ended ) and Aux_Has_Ended_At_Least_Once" />
				</trigger>
				<trigger displayName="Aux Update Aggregate Durations" id="Aux_Update_Aggregate_Durations" isRepeatable="true">
					<description>Auxiliary trigger, which indicates that the aggregate durations at the process definition level should be updated.</description>
					<onValueChange ref="Has_Ended" />
					<onValueChange ref="Total_Duration" />
					<onValueChange ref="Waiting_Duration" />
					<onValueChange ref="Working_Duration" />
					<gatingCondition expression="Has_Ended and fn:exists( Total_Duration ) and fn:exists( Waiting_Duration ) and fn:exists( Working_Duration ) and fn:not( Total_Duration = Aux_Saved_Total_Duration and Waiting_Duration = Aux_Saved_Waiting_Duration and Working_Duration = Aux_Saved_Working_Duration )" />
				</trigger>
				<trigger displayName="Aux Save Durations" id="Aux_Save_Durations" isRepeatable="true">
					<description>Auxiliary trigger, which indicates that the duration metrics should be saved (to prepare for potential corrections of aggregations at the process definition level).</description>
					<onTrigger ref="Aux_Update_Aggregate_Durations" />
				</trigger>
				<trigger displayName="Aux Clear Saved Durations" id="Aux_Clear_Saved_Durations" isRepeatable="true">
					<description>Auxiliary trigger, which causes the saved duration values to be cleared at process restart.</description>
					<onTrigger ref="Aux_Restarted" />
				</trigger>
				<trigger displayName="Aux Initiator Identifier And Invocation Depth Changed" id="Aux_Initiator_Identifier_And_Invocation_Depth_Changed" isRepeatable="true">
					<description>Auxiliary trigger, which fires when a new initiator identifier and invocation depth are set for this process execution.</description>
					<onEvent ref="Aux_Report_Initiator_Identifier_And_Invocation_Depth" />
				</trigger>
				<trigger displayName="Aux Variable Changed" id="Aux_Variable_Changed" isRepeatable="true">
					<onEvent ref="State_Changed_BPMN2" />
					<gatingCondition expression="fn:count(State_Changed_BPMN2/applicationData/wle:tracking-point) &gt; 0" />
				</trigger>
				<inboundEvent displayName="State Changed" id="State_Changed" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
					<description>Any event reporting a state change of a process execution.</description>
					<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
					<eventPart displayName="baseData" id="baseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
					<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.PROCESS.BASE"></eventPart>
					<eventPart displayName="eventPointDataIfFailure" id="eventPointDataIfFailure" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.PROCESS.FAILURE"></eventPart>
					<eventPart displayName="targetState" id="targetState" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/bpc:processInstanceExecutionState" type="xs:string"></eventPart>
					<eventPart displayName="correlationSet" id="correlationSet" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/bpc:correlationSet" type="xs:string"></eventPart>
					<eventPart displayName="emptyDateTime" id="emptyDateTime" path="cbe:CommonBaseEvent/evt:emptyDateTime" type="xs:dateTime"></eventPart>
					<correlationPredicate expression="State_Changed/eventPointData/bpc:processTemplateName = ../Name and fct:logical-deployment-location( State_Changed/server ) = ../Deployed_At and State_Changed/baseData/wbi:eventHeaderData/wbi:ECSCurrentID = Identifier"/>
					<filter
						expression="fn:exists( State_Changed/eventPointData/bpc:processTemplateName ) and fn:exists( State_Changed/baseData/wbi:eventHeaderData/wbi:ECSCurrentID ) and fn:string-length( State_Changed/eventPointData/bpc:BPCEventCode ) = 5 and fn:contains( '21000 21001 21002 21004 21005 21019 21020 21090 42001 42003 42004 42009 42010 42027 42041 42042 42046 42047 42056 42079 42080 ', fn:concat( State_Changed/eventPointData/bpc:BPCEventCode, ' ' ) )" />
				</inboundEvent>
				<inboundEvent displayName="Step State Changed" id="Step_State_Changed" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
					<description>Event subscription for any step-level events, whose only purpose in tihs monitoring context is to create one for the pertinent process execution if it does not exist yet.</description>
					<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
					<eventPart displayName="baseData" id="baseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
					<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.BASE"></eventPart>
					<correlationPredicate expression="Step_State_Changed/eventPointData/bpc:processTemplateName = ../Name and fct:logical-deployment-location( Step_State_Changed/server ) = ../Deployed_At and Step_State_Changed/baseData/wbi:eventHeaderData/wbi:ECSParentID = Identifier" />
					<filter expression="fn:exists( Step_State_Changed/eventPointData/bpc:processTemplateName ) and fn:exists( Step_State_Changed/baseData/wbi:eventHeaderData/wbi:ECSParentID ) and fn:string-length( Step_State_Changed/eventPointData/bpc:BPCEventCode ) = 5 and fn:contains( '21006 21007 21011 21021 21022 21027 21080 21081 42005 42015 42020 42021 42022 42024 42026 42031 42032 42036 42037 42038 42039 42040 42050 42054 42055 42057 42061 42062 42064 42065 42066 42067 42068 42070 ', fn:concat( Step_State_Changed/eventPointData/bpc:BPCEventCode, ' ' ) )" />
				</inboundEvent>
				<inboundEvent displayName="State Changed BPMN2" id="State_Changed_BPMN2" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
					<description>Any event reporting a state change of a process execution.</description>
					<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData" type="mon:eventPointData"></eventPart>
				<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
				<eventPart displayName="processLevelModel" id="processLevelModel" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[@mon:type='bpmn:process']" type="mon:model"></eventPart>
				<eventPart displayName="EventKind" id="EventKind" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:kind" type="xs:string"></eventPart>
				<eventPart displayName="faultName" id="faultName" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[@mon:type='bpmn:process']/mon:instance/mon:fault/@mon:name" type="xs:string"></eventPart>
				<eventPart displayName="currentModel" id="currentModel" path="cbe:CommonBaseEvent/mon:model" type="mon:model"></eventPart>
				<eventPart displayName="currentModelType" id="currentModelType" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[@mon:type='bpmn:process']/@mon:type" type="xs:string"></eventPart>
				<eventPart displayName="principal" id="principal" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[1]/mon:instance/mon:role[@mon:id='PERFORMER']/mon:resource[1]/@mon:id" type="xs:string"></eventPart>
				<eventPart displayName="applicationData" id="applicationData" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:applicationData" type="mon:applicationData"></eventPart>
				<eventPart displayName="SnapshotName" id="SnapshotName" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[@mon:type='bpmn:process']/wle:snapshot-name" type="xs:string"></eventPart>
				<eventPart displayName="systemId" id="systemId" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:source/ibm:system/@ibm:systemID" type="xs:string"></eventPart>
				<correlationPredicate expression="State_Changed_BPMN2/processLevelModel/mon:name = ../Name and fct:logical-deployment-location(State_Changed_BPMN2/server) = ../Deployed_At and fn:concat(State_Changed_BPMN2/processLevelModel/@mon:id,'.',State_Changed_BPMN2/processLevelModel/@mon:version,'.',State_Changed_BPMN2/processLevelModel/mon:instance/@mon:id) = Identifier"/>
					<filter
						expression="fn:exists(State_Changed_BPMN2/eventPointData/mon:kind ) and fn:contains(State_Changed_BPMN2/EventKind,'bpmnx:PROCESS')" />
				</inboundEvent>
				<inboundEvent displayName="Step State Changed BPMN2" id="Step_State_Changed_BPMN2" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
					<description>Event subscription for any step-level events, whose only purpose in tihs monitoring context is to create one for the pertinent process execution if it does not exist yet.</description>
					<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData" type="mon:eventPointData"></eventPart>
				<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
				<eventPart displayName="processLevelModel" id="processLevelModel" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[@mon:type='bpmn:process']" type="mon:model"></eventPart>
				<eventPart displayName="EventKind" id="EventKind" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:kind" type="xs:string"></eventPart>
				<eventPart displayName="principal" id="principal" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[1]/mon:instance/mon:role[@mon:id='PERFORMER']/mon:resource[1]/@mon:id" type="xs:string"></eventPart>
				<eventPart displayName="applicationData" id="applicationData" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:applicationData" type="mon:applicationData"></eventPart>
				<eventPart displayName="SnapshotName" id="SnapshotName" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[@mon:type='bpmn:process']/wle:snapshot-name" type="xs:string"></eventPart>
				<eventPart displayName="systemId" id="systemId" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:source/ibm:system/@ibm:systemID" type="xs:string"></eventPart>
				<correlationPredicate expression="Step_State_Changed_BPMN2/processLevelModel/mon:name = ../Name and fct:logical-deployment-location(Step_State_Changed_BPMN2/server) = ../Deployed_At and fn:concat(Step_State_Changed_BPMN2/processLevelModel/@mon:id,'.',Step_State_Changed_BPMN2/processLevelModel/@mon:version,'.',Step_State_Changed_BPMN2/processLevelModel/mon:instance/@mon:id) = Identifier"/>
				<filter expression="fn:exists(Step_State_Changed_BPMN2/eventPointData/mon:kind ) and (fn:contains(Step_State_Changed_BPMN2/EventKind, 'bpmnx:ACTIVITY') or fn:contains(Step_State_Changed_BPMN2/EventKind, 'bpmnx:GATEWAY'))" />
				</inboundEvent>
				<inboundEvent displayName="Aux Report Initiator Identifier And Invocation Depth" id="Aux_Report_Initiator_Identifier_And_Invocation_Depth" multipleCorrelationMatches="deliverToAll" noCorrelationMatches="ignore" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
					<description>Auxiliary inbound event reporting the identifier of the process execution that initiated the invocation chain that the current process execution is part of (&quot;main&quot; or &quot;top-level&quot; process execution) as well as the invocation depth of this process execution (starting at 0 for the &quot;main&quot; or &quot;top-level&quot; process execution).</description>
					<eventPart displayName="initiatingExecutionIdentifier" id="initiatingExecutionIdentifier" path="cbe:CommonBaseEvent/evt:main" type="xs:string"></eventPart>
					<eventPart displayName="calledExecutionIdentifier" id="calledExecutionIdentifier" path="cbe:CommonBaseEvent/evt:called" type="xs:string"></eventPart>
					<eventPart displayName="invocationDepth" id="invocationDepth" path="cbe:CommonBaseEvent/evt:depth" type="xs:integer"></eventPart>
					<eventPart displayName="monitorModelId" id="monitorModelId" path="cbe:CommonBaseEvent/evt:monitorModelId" type="xs:string"></eventPart>
					<correlationPredicate expression="Aux_Report_Initiator_Identifier_And_Invocation_Depth/calledExecutionIdentifier = Identifier" />
					<filter expression="fn:exists( Aux_Report_Initiator_Identifier_And_Invocation_Depth/calledExecutionIdentifier ) and Aux_Report_Initiator_Identifier_And_Invocation_Depth/monitorModelId = fct:monitor-model-id()" />
				</inboundEvent>
				<outboundEvent displayName="Aux Report Working Duration" id="Aux_Report_Working_Duration" rootElement="cbe:CommonBaseEvent">
					<description>Event reporting the working duration of this process execution, to update the aggregate working duration of any callers.</description>
					<eventPart displayName="executionId" id="executionId" path="cbe:CommonBaseEvent/evt:executionId" type="xs:string"></eventPart>
					<eventPart displayName="workingDuration" id="workingDuration" path="cbe:CommonBaseEvent/evt:workingDuration" type="xs:duration"></eventPart>
					<map>
						<trigger ref="Process_Execution_Step/Aux_Update_Aggregate_Working_Duration"/>
						<outputValue>
							<assignments>
								<assignment leftValue="Aux_Report_Working_Duration/executionId" rightValue="Identifier"/>
								<assignment leftValue="Aux_Report_Working_Duration/workingDuration" rightValue="Working_Duration"/>
							</assignments>
						</outputValue>
					</map>
				</outboundEvent>
				<outboundEvent displayName="Aux Report Waiting Duration" id="Aux_Report_Waiting_Duration" rootElement="cbe:CommonBaseEvent">
					<description>Event reporting the waiting duration of this process execution, to update the aggregate waiting duration of any callers.</description>
					<eventPart displayName="executionId" id="executionId" path="cbe:CommonBaseEvent/evt:executionId" type="xs:string"></eventPart>
					<eventPart displayName="waitingDuration" id="waitingDuration" path="cbe:CommonBaseEvent/evt:waitingDuration" type="xs:duration"></eventPart>
					<map>
						<trigger ref="Process_Execution_Step/Aux_Update_Aggregate_Waiting_Duration"/>
						<outputValue>
							<assignments>
								<assignment leftValue="Aux_Report_Waiting_Duration/executionId" rightValue="Identifier"/>
								<assignment leftValue="Aux_Report_Waiting_Duration/waitingDuration" rightValue="Waiting_Duration"/>
							</assignments>
						</outputValue>
					</map>
				</outboundEvent>
				<outboundEvent displayName="Aux Report State" id="Aux_Report_State" rootElement="cbe:CommonBaseEvent">
					<description>Event reporting a state change for this step execution.</description>
					<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
					<eventPart displayName="principal" id="principal" path="cbe:CommonBaseEvent/evt:principal" type="xs:string"></eventPart>
					<eventPart displayName="processDefinitionIdentifier" id="processDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:processDefinitionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="processExecutionIdentifier" id="processExecutionIdentifier" path="cbe:CommonBaseEvent/evt:processExecutionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="processExecutionState" id="processExecutionState" path="cbe:CommonBaseEvent/evt:processExecutionState" type="xs:string"></eventPart>
					<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
					<map>
						<trigger ref="Aux_Reported_State_Changed"/>
						<outputValue>
							<assignments>
								<assignment leftValue="Aux_Report_State/timestamp" rightValue="Aux_Last_Event_Timestamp"/>
								<assignment leftValue="Aux_Report_State/principal" rightValue="Aux_Last_Event_Principal"/>
								<assignment leftValue="Aux_Report_State/processExecutionIdentifier" rightValue="Identifier"/>
								<assignment leftValue="Aux_Report_State/processExecutionState" rightValue="Aux_Last_State_Reported"/>
								<assignment leftValue="Aux_Report_State/processDefinitionIdentifier" rightValue="../Identifier"/>
								<assignment leftValue="Aux_Report_State/SystemId" rightValue="SystemId"/>
							</assignments>
						</outputValue>
					</map>
				</outboundEvent>
				<metric displayName="Identifier" id="Identifier" type="xsd:string" isPartOfKey="true" maxStringLength="128" valueRequired="false" >
					<description>A unique identifier of this process execution.</description>
					<map>
						<outputValue>
							<singleValue expression="State_Changed/baseData/wbi:eventHeaderData/wbi:ECSCurrentID" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="Step_State_Changed/baseData/wbi:eventHeaderData/wbi:ECSParentID" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="fn:concat(State_Changed_BPMN2/processLevelModel/@mon:id,'.',State_Changed_BPMN2/processLevelModel/@mon:version,'.',State_Changed_BPMN2/processLevelModel/mon:instance/@mon:id)"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="fn:concat(Step_State_Changed_BPMN2/processLevelModel/@mon:id,'.',Step_State_Changed_BPMN2/processLevelModel/@mon:version,'.',Step_State_Changed_BPMN2/processLevelModel/mon:instance/@mon:id)"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Total Duration" id="Total_Duration" type="xsd:duration">
					<description>The duration of this process execution (the time since it started while it has not ended, and the total time from start to end after it has ended).</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists( Time_Started ) ) then ( if ( fn:exists( Time_Ended ) ) then Time_Ended - Time_Started else Aux_Last_Event_Timestamp - Time_Started ) else Total_Duration"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Time Started" id="Time_Started" type="xsd:dateTime">
					<description>The timestamp of the earliest event received about this process execution. If a 'process started' event is sent, it will be the time when it came to life.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty(Time_Started) or Aux_Last_Event_Timestamp &lt; Time_Started ) then Aux_Last_Event_Timestamp else Time_Started"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Time Ended" id="Time_Ended" type="xsd:dateTime" valueRequired="false">
					<description>The time when this process execution ended.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:not( Has_Ended ) ) then Aux_Empty_DateTime else ( if ( fn:exists( Time_Ended ) ) then Time_Ended else State_Timestamp )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Aux Last State Reported" id="Aux_Last_State_Reported" type="xsd:string" maxStringLength="128">
					<description>The state of this process execution, as reported by the last event received in this monitoring context. This may not be the current process state, but some state it had in the past, if the event reporting it got delayed.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( State_Changed/eventPointData/bpc:BPCEventCode = '21000' or State_Changed/eventPointData/bpc:BPCEventCode = '21002' and State_Changed/targetState = '2 - STATE_RUNNING' or State_Changed/eventPointData/bpc:BPCEventCode = '21019' or State_Changed/eventPointData/bpc:BPCEventCode = '21090' ) then 'RUNNING' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '21001' ) then 'SUSPENDED' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42010' or State_Changed/eventPointData/bpc:BPCEventCode = '21002' and State_Changed/targetState = '9 - STATE_FAILING' ) then 'FAILING' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42001' ) then 'FAILED' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42009' ) then 'TERMINATING' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '21005' ) then 'TERMINATED' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '21004' ) then 'FINISHED' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '21020' ) then 'DELETED' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42003' ) then 'COMPENSATING' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42004' ) then 'COMPENSATED' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42046' ) then 'COMPFAILED' else Aux_Last_State_Reported
)
)
)
)
)
)
)
)
)
)"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists( Step_State_Changed/predefinedData/creationTime ) and fn:not( Aux_Last_State_Reported != '' ) ) then 'RUNNING' else Aux_Last_State_Reported" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists( Step_State_Changed_BPMN2/processLevelModel/mon:instance/mon:state ) and fn:not( Aux_Last_State_Reported != '' ) ) then Step_State_Changed_BPMN2/processLevelModel/mon:instance/mon:state else ( if ( fn:exists( Step_State_Changed_BPMN2/eventPointData/mon:time ) and fn:not( Aux_Last_State_Reported != '' ) ) then 'RUNNING' else Aux_Last_State_Reported)"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if (fn:ends-with(State_Changed_BPMN2/EventKind,'STARTED')) then 'STARTED' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'SUSPENDED')) then 'SUSPENDED' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'COMPLETING')) then 'COMPLETING' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'COMPLETED')) then 'COMPLETED' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'FAILING')) then 'FAILING' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'FAILED')) then 'FAILED' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'TERMINATING')) then 'TERMINATING' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'TERMINATED')) then 'TERMINATED' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'COMPENSATING')) then 'COMPENSATING' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'COMPENSATED')) then 'COMPENSATED' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'RESUMED')) then 'RESUMED' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'RESTARTED')) then 'RESTARTED' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'DELETED')) then 'DELETED' else Aux_Last_State_Reported))))))))))))"/>
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="''"/>
					</defaultValue>
				</metric>
				<metric displayName="Aux Saved Total Duration" id="Aux_Saved_Total_Duration" type="xsd:duration">
					<description>A saved copy of the 'Total Duration' metric. It is used to adjust the aggregation at the process definition level when the total duration changes.</description>
					<map>
						<trigger ref="Aux_Save_Durations" />
						<outputValue>
							<singleValue expression="Total_Duration" />
						</outputValue>
					</map>
					<map>
						<trigger ref="Aux_Clear_Saved_Durations"/>
						<outputValue>
							<singleValue expression="Aux_Empty_Duration"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Caller Identifier" id="Caller_Identifier" type="xsd:string" maxStringLength="256" valueRequired="true">
					<description>Unique identifier of the caller of this process execution.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( Caller_Identifier = ' ' and  fn:exists( State_Changed/baseData/wbi:eventHeaderData/wbi:ECSParentID) ) then State_Changed/baseData/wbi:eventHeaderData/wbi:ECSParentID else Caller_Identifier" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( Caller_Identifier = ' ' and  fn:exists( State_Changed_BPMN2/eventPointData/mon:correlation/mon:ancestor/mon:ancestor/@mon:id) ) then State_Changed_BPMN2/eventPointData/mon:correlation/mon:ancestor/mon:ancestor/@mon:id else Caller_Identifier"/>
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="' '"/>
					</defaultValue>
				</metric>
				<metric displayName="State History" id="State_History" type="xsd:string" maxStringLength="4000">
					<description>The state history of this process execution.</description>
					<map>
						<trigger ref="Aux_Reported_State_Changed" />
						<outputValue>
							<singleValue expression="fn:substring( fn:concat( Aux_Last_Event_Timestamp_xs_format, '  ', Aux_Last_State_Reported, '&lt;br/&gt;', State_History ), 1, 4000)" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="''" />
					</defaultValue>
				</metric>
				<metric displayName="Aux Saved Last State Reported" id="Aux_Saved_Last_State_Reported" type="xsd:string" maxStringLength="128">
					<description>Saved copy of the last state reported. It is used to prevent adding state history entries when the same state is reported several times.</description>
					<map>
						<trigger ref="Aux_Reported_State_Changed" />
						<outputValue>
							<singleValue expression="Aux_Last_State_Reported" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="''" />
					</defaultValue>
				</metric>
				<metric displayName="State Timestamp" id="State_Timestamp" type="xsd:dateTime">
					<description>The timestamp of the last event used to set the 'State' metric. Also used to prevent unintended state changes back to earlier states when events arrive out-of-order.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty( State_Timestamp ) or Aux_Last_Event_Timestamp &gt;= State_Timestamp ) then Aux_Last_Event_Timestamp else State_Timestamp" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Has Ended" id="Has_Ended" type="xsd:boolean" valueRequired="true">
					<description>Flag indicating that the monitored process execution has reached a 'terminal' state. Note that it may still be restarted or compensated.</description>
					<map>
						<outputValue>
							<singleValue expression="State = 'COMPLETED' or State = 'FINISHED' or State = 'TERMINATED' or State = 'FAILED' or State = 'COMPENSATED' or State = 'COMPFAILED' or State = 'DELETED' or State = 'Completed' or State = 'Finished' or State = 'Terminated' or State = 'Failed' or State = 'Compensated' or State = 'Compfailed' or State = 'Deleted'"/>
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="fn:false()"/>
					</defaultValue>
				</metric>
				<metric displayName="Aux Last Event Timestamp" id="Aux_Last_Event_Timestamp" type="xsd:dateTime">
					<description>The timestamp of the last event received in this monitoring context.</description>
					<map>
						<outputValue>
							<singleValue expression="State_Changed/predefinedData/creationTime" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="Step_State_Changed/predefinedData/creationTime" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="State_Changed_BPMN2/eventPointData/mon:time "/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="Step_State_Changed_BPMN2/eventPointData/mon:time "/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Total Duration (xs format)" id="Total_Duration_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'Total Duration' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="xs:string( Total_Duration )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Time Started (xs format)" id="Time_Started_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'Time Started' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Time_Started ) ) ) "/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Time Ended (xs format)" id="Time_Ended_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'Time Ended' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Time_Ended ) ) )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Waiting Duration" id="Waiting_Duration" type="xsd:duration">
					<description>The aggregate duration for which this process execution has been waiting for human tasks to be claimed.</description>
					<map>
						<trigger ref="Process_Execution_Step/Aux_Update_Aggregate_Waiting_Duration"/>
						<outputValue>
							<singleValue expression="Waiting_Duration + Process_Execution_Step/Waiting_Duration - Process_Execution_Step/Aux_Saved_Waiting_Duration"/>
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="xs:dayTimeDuration('PT0S')"/>
					</defaultValue>
				</metric>
				<metric displayName="Working Duration" id="Working_Duration" type="xsd:duration">
					<description>The aggregate duration for which this process execution has been waiting for claimed human tasks to be completed.</description>
					<map>
						<trigger ref="Process_Execution_Step/Aux_Update_Aggregate_Working_Duration"/>
						<outputValue>
							<singleValue expression="Working_Duration + Process_Execution_Step/Working_Duration - Process_Execution_Step/Aux_Saved_Working_Duration"/>
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="xs:dayTimeDuration('PT0S')"/>
					</defaultValue>
				</metric>
				<metric displayName="Waiting Duration (xs format)" id="Waiting_Duration_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'Waiting Duration' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="xs:string( Waiting_Duration )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Working Duration (xs format)" id="Working_Duration_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'Working Duration' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="xs:string( Working_Duration )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Aux Saved Waiting Duration" id="Aux_Saved_Waiting_Duration" type="xsd:duration">
					<description>A saved copy of the 'Waiting Duration' metric. It is used to adjust the aggregation at the process definition level when the waiting duration changes.</description>
					<map>
						<trigger ref="Aux_Save_Durations"/>
						<outputValue>
							<singleValue expression="Waiting_Duration"/>
						</outputValue>
					</map>
					<map>
						<trigger ref="Aux_Clear_Saved_Durations"/>
						<outputValue>
							<singleValue expression="Aux_Empty_Duration"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Aux Saved Working Duration" id="Aux_Saved_Working_Duration" type="xsd:duration">
					<description>A saved copy of the 'Working Duration' metric. It is used to adjust the aggregation at the process definition level when the working duration changes.</description>
					<map>
						<trigger ref="Aux_Save_Durations"/>
						<outputValue>
							<singleValue expression="Working_Duration"/>
						</outputValue>
					</map>
					<map>
						<trigger ref="Aux_Clear_Saved_Durations"/>
						<outputValue>
							<singleValue expression="Aux_Empty_Duration"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="State" id="State" type="xsd:string" maxStringLength="256" valueRequired="true">
					<description>The current state of this process execution.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty( State_Timestamp ) or Aux_Last_Event_Timestamp &gt;= State_Timestamp and fn:exists(Aux_Last_State_Reported) ) then Aux_Last_State_Reported else State"/>
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="' '"/>
					</defaultValue>
				</metric>
				<metric displayName="Correlation Sets" id="Correlation_Sets" type="xsd:string" maxStringLength="4000">
					<description>A serialization of any correlation sets initialized for this process execution, preceded by their initialization timestamps.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( State_Changed/eventPointData/bpc:BPCEventCode = '42027' ) then fn:substring( fn:concat( fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Aux_Last_Event_Timestamp ) ) ), '&lt;br/&gt;', wbm:escape-special-characters( fct:get-correlation-set-info( State_Changed/correlationSet ) ), '&lt;br/&gt;', Correlation_Sets ), 1, 4000) else Correlation_Sets"/>
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="''"/>
					</defaultValue>
				</metric>
				<metric displayName="Aux Last Event Timestamp (xs format)" id="Aux_Last_Event_Timestamp_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'Aux Last Event Timestamp' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone(  Aux_Last_Event_Timestamp ) ) )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Process Definition Identifier" id="Process_Definition_Identifier" type="xsd:string" valueRequired="true">
					<description>A copy of the process definition identifier. It is redundant here, but provided for convenience and to enable grouping by process definition during aggregations.</description>
					<map>
						<trigger ref="Aux_Started" />
						<outputValue>
							<singleValue expression="if ( ../Identifier != ' ' ) then ../Identifier else Process_Definition_Identifier" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="' '" />
					</defaultValue>
				</metric>
				<metric displayName="Process Definition Name" id="Process_Definition_Name" type="xsd:string" valueRequired="true">
					<description>A copy of the process definition name. It is redundant here, but provided for convenience and to enable grouping by process definition during aggregations.</description>
					<map>
						<trigger ref="Aux_Started" />
						<outputValue>
							<singleValue expression="if ( ../Name != ' ' ) then ../Name else Process_Definition_Name" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="' '" />
					</defaultValue>
				</metric>
				<metric displayName="Aux Last Event Principal" id="Aux_Last_Event_Principal" type="xsd:string">
					<description>The principal associated with the last event received in this monitoring context.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists( State_Changed/eventPointData/bpc:principal ) ) then State_Changed/eventPointData/bpc:principal else ''" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists( Step_State_Changed/eventPointData/bpc:principal ) ) then Step_State_Changed/eventPointData/bpc:principal else ''" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists( State_Changed_BPMN2/principal ) ) then State_Changed_BPMN2/principal else ''"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists( Step_State_Changed_BPMN2/principal ) ) then Step_State_Changed_BPMN2/principal else ''"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Aux Empty DateTime" id="Aux_Empty_DateTime" type="xsd:dateTime">
					<description>Auxiliary metric representing an empty xs:dateTime value.</description>
					<map>
						<trigger ref="Aux_Never" />
						<outputValue>
							<singleValue expression="Aux_Empty_DateTime" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Aux Has Ended At Least Once" id="Aux_Has_Ended_At_Least_Once" type="xsd:boolean">
					<description>Auxiliay flag, which becomes true when the process execution ends for the first time.</description>
					<map>
						<outputValue>
							<singleValue expression="Has_Ended or Aux_Has_Ended_At_Least_Once" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="fn:false()" />
					</defaultValue>
				</metric>
				<metric displayName="Aux Empty Duration" id="Aux_Empty_Duration" type="xsd:duration">
					<description>Auxiliary xs:duration metric which will always be empty.</description>
					<map>
						<trigger ref="Aux_Never" />
						<outputValue>
							<singleValue expression='xs:dayTimeDuration("PT0S")' />
						</outputValue>
					</map>
				</metric>
				<metric displayName="State Timestamp (xs format)" id="State_Timestamp_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'State Timestamp' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( State_Timestamp ) ) )" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Initiator Identifier" id="Initiator_Identifier" type="xsd:string" valueRequired="true">
					<description>Identifier of the process execution that initiated the invocation chain that the current process execution is part of (&quot;main&quot; or &quot;top-level&quot; process execution).</description>
					<map>
						<trigger ref="Aux_Started" />
						<outputValue>
							<singleValue expression="if ( fn:exists(Identifier) and fn:string-length(Identifier) &gt; 0 ) then Identifier else Initiator_Identifier" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists(Aux_Report_Initiator_Identifier_And_Invocation_Depth/initiatingExecutionIdentifier) and fn:string-length(Aux_Report_Initiator_Identifier_And_Invocation_Depth/initiatingExecutionIdentifier) &gt; 0 ) then Aux_Report_Initiator_Identifier_And_Invocation_Depth/initiatingExecutionIdentifier else Initiator_Identifier" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="' '" />
					</defaultValue>
				</metric>
				<metric displayName="Invocation Depth" id="Invocation_Depth" type="xsd:integer" valueRequired="false">
					<description>The invocation depth of this process execution (starting at 0 for a &quot;main&quot; or &quot;top-level&quot; process execution).</description>
					<map>
						<outputValue>
							<singleValue expression="Aux_Report_Initiator_Identifier_And_Invocation_Depth/invocationDepth + 1" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="0" />
					</defaultValue>
				</metric>
				<metric displayName="Aux Called Execution Identifiers" id="Aux_Called_Execution_Identifiers" type="xsd:string" maxStringLength="4000">
					<description>The identifiers of all process or task executions that were called from this execution.</description>
					<map>
						<trigger ref="Process_Execution_Step/Aux_Add_Called_Execution_Identifier" />
						<outputValue>
							<singleValue expression="if ( fn:string-length( fn:concat( '&lt;evt:called&gt;', Process_Execution_Step/Called_Execution_Identifier, '&lt;/evt:called&gt;', Aux_Called_Execution_Identifiers ) ) &lt; 4000 ) then fn:concat( '&lt;evt:called&gt;', Process_Execution_Step/Called_Execution_Identifier, '&lt;/evt:called&gt;', Aux_Called_Execution_Identifiers ) else Aux_Called_Execution_Identifiers" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="''" />
					</defaultValue>
				</metric>
				<metric displayName="Aux Called Executions" id="Aux_Called_Executions" type="xsd:integer">
					<description>The number of all process or task executions known to be called from this execution.</description>
					<map>
						<trigger ref="Aux_Initiator_Identifier_And_Invocation_Depth_Changed" />
						<outputValue>
							<singleValue expression="wbm:send-events( fn:concat( '&lt;evt:root xmlns:evt=&quot;http://www.ibm.com/xmlns/prod/websphere/monitoring/6.2.0/events/Global_Process_Monitor&quot;&gt;', Aux_Called_Execution_Identifiers, '&lt;/evt:root&gt;' ), '/evt:root/evt:called', 'fn:concat( &quot;&lt;evt:called&quot;, $var1, &quot;&gt;&quot;, $currentItem/text(), &quot;&lt;/evt:called&gt;&lt;evt:main&quot;, $var1, &quot;&gt;&quot;, $var2, &quot;&lt;/evt:main&gt;&lt;evt:depth&quot;, $var1, &quot;&gt;&quot;, $var3, &quot;&lt;/evt:depth&gt;&lt;evt:monitorModelId&quot;, $var1, &quot;&gt;&quot;, $var4, &quot;&lt;/evt:monitorModelId&gt;&quot; )', &quot; xmlns:evt='http://www.ibm.com/xmlns/prod/websphere/monitoring/6.2.0/events/Global_Process_Monitor'&quot;, Initiator_Identifier, xs:string( Invocation_Depth ), fct:monitor-model-id() )" />
						</outputValue>
					</map>
					<map>
						<trigger ref="Process_Execution_Step/Aux_Add_Called_Execution_Identifier" />
						<outputValue>
							<singleValue expression="wbm:send-events( fn:concat( '&lt;evt:called xmlns:evt=&quot;http://www.ibm.com/xmlns/prod/websphere/monitoring/6.2.0/events/Global_Process_Monitor&quot;&gt;', Process_Execution_Step/Called_Execution_Identifier, '&lt;/evt:called&gt;' ), '/evt:called', 'fn:concat( &quot;&lt;evt:called&quot;, $var1, &quot;&gt;&quot;, $currentItem/text(), &quot;&lt;/evt:called&gt;&lt;evt:main&quot;, $var1, &quot;&gt;&quot;, $var2, &quot;&lt;/evt:main&gt;&lt;evt:depth&quot;, $var1, &quot;&gt;&quot;, $var3, &quot;&lt;/evt:depth&gt;&lt;evt:monitorModelId&quot;, $var1, &quot;&gt;&quot;, $var4, &quot;&lt;/evt:monitorModelId&gt;&quot; )', &quot; xmlns:evt='http://www.ibm.com/xmlns/prod/websphere/monitoring/6.2.0/events/Global_Process_Monitor'&quot;, Initiator_Identifier, xs:string( Invocation_Depth ), fct:monitor-model-id() )" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Process Structure" id="Process_Structure" type="xsd:string" valueRequired="true">
					<description>The process definition name, indented according to the invocation depth of this execution:
Top Level
-- First Level
-- -- Second Level
etc.</description>
					<map>
						<outputValue> 
							<singleValue expression="if ( fn:exists(Process_Definition_Name) and fn:string-length(Process_Definition_Name) &gt; 0 ) then fct:prefix-N-times( Process_Definition_Name, '-- ', Invocation_Depth ) else Process_Structure" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="' '" />
					</defaultValue>
				</metric>
				<metric displayName="Aux Initiator Identifier And Time Started (xs format)" id="Aux_Initiator_Identifier_And_Time_Started_xs_format" type="xsd:string" maxStringLength="320">
					<description>Auxiliary metric containing a concatenation of the initiator identifier and the start time of the process execution for sorting in a dashboard display. This is a work-around for the Instances widget's inability to sort by more than one column; the intent is to sort by &quot;Initiator_Identifier,Time_Started&quot;.</description>
					<map>
						<outputValue>
							<singleValue expression="fn:concat( fn:substring( fn:concat( Initiator_Identifier, '________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________________' ), 1, 256 ), Time_Started_xs_format )" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Process Definition Version" id="Process_Definition_Version" type="xsd:string" valueRequired="true">
					<description>The current version of the process definition being executed. If this execution is migrated to a different process definition, the migration, as well as the earlier version, will be documented in a Process Execution Migration child context.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists( State_Changed/eventPointData/bpc:processTemplateValidFrom ) ) then State_Changed/eventPointData/bpc:processTemplateValidFrom else Process_Definition_Version" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists( Step_State_Changed/eventPointData/bpc:processTemplateValidFrom ) ) then Step_State_Changed/eventPointData/bpc:processTemplateValidFrom else Process_Definition_Version" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if(fn:exists(State_Changed_BPMN2/processLevelModel/@mon:version)) then fn:concat(State_Changed_BPMN2/SnapshotName ,State_Changed_BPMN2/processLevelModel/@mon:version) else Process_Definition_Version"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if(fn:exists(Step_State_Changed_BPMN2/processLevelModel/@mon:version)) then fn:concat(Step_State_Changed_BPMN2/SnapshotName ,Step_State_Changed_BPMN2/processLevelModel/@mon:version) else Process_Definition_Version"/>
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="' '" />
					</defaultValue>
				</metric>
				<metric displayName="Process Definition Version No Blanks" id="Process_Definition_Version_No_Blanks" type="xsd:string">
					<description>The 'Process Definition Version' metric with blanks replaced by underscores.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( Process_Definition_Version != ' ' ) then fct:replace-all( Process_Definition_Version, ' ', '_' ) else Process_Definition_Version_No_Blanks" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Name" id="Name" type="xsd:string" valueRequired="true">
					<description>A user-specified name for a process execution. It is only shown when it is different from the execution's identifier.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( State_Changed/eventPointData/bpc:baseExt/bpc:processInstanceName != Identifier ) then State_Changed/eventPointData/bpc:baseExt/bpc:processInstanceName else Name" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( Step_State_Changed/eventPointData/bpc:baseExt/bpc:processInstanceName != Identifier ) then Step_State_Changed/eventPointData/bpc:baseExt/bpc:processInstanceName else Name" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists(State_Changed_BPMN2/processLevelModel/mon:instance/mon:name) and State_Changed_BPMN2/processLevelModel/mon:instance/mon:name != Identifier ) then State_Changed_BPMN2/processLevelModel/mon:instance/mon:name else Name"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists(Step_State_Changed_BPMN2/processLevelModel/mon:instance/mon:name) and Step_State_Changed_BPMN2/processLevelModel/mon:instance/mon:name != Identifier ) then Step_State_Changed_BPMN2/processLevelModel/mon:instance/mon:name else Name"/>
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="' '" />
					</defaultValue>
				</metric>
				<metric displayName="Process Execution Description" id="Process_Execution_Description" type="xsd:string" maxStringLength="2048">
					<description>An optional, user-specified description of a process execution.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty(Process_Execution_Description) and fn:exists(State_Changed/eventPointData/bpc:processInstanceDescription) ) then fn:substring( State_Changed/eventPointData/bpc:processInstanceDescription, 1, 2048) else Process_Execution_Description" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty(Process_Execution_Description) and fn:exists(State_Changed_BPMN2/processLevelModel/mon:instance/mon:documentation) ) then fn:substring( State_Changed_BPMN2/processLevelModel/mon:instance/mon:documentation, 1, 2048) else Process_Execution_Description"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Fault Name" id="Fault_Name" type="xsd:string">
					<description>If this process execution has failed, the name of the fault (if any was reported).</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty(Fault_Name) and fn:exists(State_Changed/eventPointDataIfFailure/bpc:eventExt/bpc:faultName) ) then fn:concat( '{', State_Changed/eventPointDataIfFailure/bpc:eventExt/bpc:faultNamespace, '}',State_Changed/eventPointDataIfFailure/bpc:eventExt/bpc:faultName ) else Fault_Name" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty(Fault_Name) and fn:exists(State_Changed_BPMN2/faultName) ) then State_Changed_BPMN2/faultName else Fault_Name"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Fault Message" id="Fault_Message" type="xsd:string" maxStringLength="4000">
					<description>If this process execution has failed, the fault message (if any was reported).</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty(Fault_Message) and fn:exists(State_Changed/eventPointDataIfFailure/bpc:processFailedException) ) then fn:substring(State_Changed/eventPointDataIfFailure/bpc:processFailedException, 1, 4000) else Fault_Message" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty(Fault_Message) and fn:exists(State_Changed_BPMN2/eventPointData/mon:model/mon:instance/mon:fault) ) then fn:substring(State_Changed_BPMN2/eventPointData/mon:model/mon:instance/mon:fault, 1, 4000) else Fault_Message"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="ID" id="ID" type="xsd:string" isPartOfKey="false" maxStringLength="128" valueRequired="true">
					<description>A (secondary) unique identifier for this process execution.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists(Identifier) and fn:string-length(Identifier) &gt; 0 ) then Identifier else ID" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="' '" />
					</defaultValue>
				</metric>
				<metric displayName="Waiting For Subtask Duration" id="Waiting_For_Subtask_Duration" type="xsd:duration">
					<description>The aggregate duration for which this process execution has been waiting for subtasks to be completed.</description>
					<map>
						<trigger ref="Process_Execution_Step/Process_Execution_Step_Related_Task_Execution/Aux_Waiting_For_Subtask_Duration_Changed"/>
						<outputValue>
							<singleValue expression="if ( fn:empty(Waiting_For_Subtask_Duration) ) then Process_Execution_Step/Process_Execution_Step_Related_Task_Execution/Waiting_For_Subtask_Duration else Waiting_For_Subtask_Duration - Process_Execution_Step/Process_Execution_Step_Related_Task_Execution/Aux_Saved_Waiting_For_Subtask_Duration + Process_Execution_Step/Process_Execution_Step_Related_Task_Execution/Waiting_For_Subtask_Duration"/>
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="xs:dayTimeDuration('PT0S')"/>
					</defaultValue>
				</metric>
				<metric displayName="Waiting For Subtask Duration (xs format)" id="Waiting_For_Subtask_Duration_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'Waiting For Subtask Duration' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="xs:string(Waiting_For_Subtask_Duration)"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Aux_Variable_Change_Event" id="Aux_Variable_Change_Event" type="xsd:integer">
					<map>
						<trigger ref="Process_Execution_Step/Aux_Variable_Changed"/>
						<outputValue>
							<singleValue expression="wbm:send-events(wbm:serialize(Process_Execution_Step/State_Changed_BPMN2/applicationData/wle:tracking-point[1]), '/wle:tracking-point/wle:tracked-field',
'fn:concat( &quot;&lt;evt:variableName&quot;, $var1, &quot;&gt;&quot;,/wle:tracking-point/wle:tracked-field[$currentItemPos]/@wle:name, &quot;&lt;/evt:variableName&gt;&quot;,&quot;&lt;evt:variableValue&quot;, $var1, &quot;&gt;&quot;, 
$currentItem/text(), &quot;&lt;/evt:variableValue&gt;&quot;,&quot;&lt;evt:variableID&quot;, $var1, &quot;&gt;&quot;, /wle:tracking-point/wle:tracked-field[$currentItemPos]/@wle:id, &quot;&lt;/evt:variableID&gt;&quot;,
&quot;&lt;evt:variableVersion&quot;, $var1, &quot;&gt;&quot;, /wle:tracking-point/wle:tracked-field[$currentItemPos]/@wle:version, &quot;&lt;/evt:variableVersion&gt;&quot;,&quot;&lt;evt:monitorModelId&quot;, $var1, &quot;&gt;&quot;, 
$var2, &quot;&lt;/evt:monitorModelId&gt;&quot;,&quot;&lt;evt:principal&quot;, $var1, &quot;&gt;&quot;, $var7, &quot;&lt;/evt:principal&gt;&quot;,&quot;&lt;evt:processDefinitionIdentifier&quot;, $var1, &quot;&gt;&quot;, $var3, &quot;&lt;/evt:processDefinitionIdentifier&gt;&quot;,&quot;&lt;evt:processDefinitionName&quot;, $var1, &quot;&gt;&quot;,$var6, &quot;&lt;/evt:processDefinitionName&gt;&quot;,&quot;&lt;evt:deployAt&quot;, $var1, &quot;&gt;&quot;, $var4, &quot;&lt;/evt:deployAt&gt;&quot;,&quot;&lt;evt:processExecutionIdentifier&quot;, $var1, &quot;&gt;&quot;,$var5, &quot;&lt;/evt:processExecutionIdentifier&gt;&quot;,&quot;&lt;evt:timestamp&quot;, $var1, &quot;&gt;&quot;,$var8, &quot;&lt;/evt:timestamp&gt;&quot;,&quot;&lt;evt:systemId&quot;, $var1, &quot;&gt;&quot;,$var9, &quot;&lt;/evt:systemId&gt;&quot; )', 
&quot; xmlns:evt='http://www.ibm.com/xmlns/prod/websphere/monitoring/6.2.0/events/Global_Process_Monitor'&quot;, fct:monitor-model-id(),fn:concat( Process_Execution_Step/State_Changed_BPMN2/processLevelModel/mon:name, ' -- deployed at ', fct:logical-deployment-location( Process_Execution_Step/State_Changed_BPMN2/server ) ), 
fct:logical-deployment-location( Process_Execution_Step/State_Changed_BPMN2/server ),fn:concat(Process_Execution_Step/State_Changed_BPMN2/processLevelModel/@mon:id,&quot;.&quot;,Process_Execution_Step/State_Changed_BPMN2/processLevelModel/@mon:version,&quot;.&quot;,Process_Execution_Step/State_Changed_BPMN2/processLevelModel/mon:instance/@mon:id),Process_Execution_Step/State_Changed_BPMN2/processLevelModel/mon:name, Process_Execution_Step/Owner, xs:string(Process_Execution_Step/State_Changed_BPMN2/eventPointData/mon:time),  if (fn:exists(Process_Execution_Step/State_Changed_BPMN2/systemId)) then Process_Execution_Step/State_Changed_BPMN2/systemId else ' ')"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="SystemId" id="SystemId" type="xsd:string">
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists(State_Changed/eventPointData/bpc:baseExt/bpc:systemId) ) then State_Changed/eventPointData/bpc:baseExt/bpc:systemId else SystemId"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if (fn:exists(State_Changed_BPMN2/systemId)) then State_Changed_BPMN2/systemId else SystemId"></singleValue>
						</outputValue>
					</map>
				</metric>
				<counter displayName="Steps" id="Steps" type="xsd:integer">
					<description>The number of steps started for this process execution.</description>
					<incrementedWhen ref="Process_Execution_Step/Aux_Started"/>
				</counter>
				<counter displayName="Variables" id="Variables" type="xsd:integer">
					<description>The number of variables detected for this process execution.</description>
					<incrementedWhen ref="Process_Execution_Variable/Aux_Detected"/>
				</counter>
				<counter displayName="Events" id="Events" type="xsd:integer">
					<description>The number of events detected for this process execution.</description>
					<incrementedWhen ref="Process_Execution_Event/Process_Event_Received"/>
					<incrementedWhen ref="Process_Execution_Event/Scope_Event_Received"/>
				</counter>
				<counter displayName="Audit Events" id="Audit_Events" type="xsd:integer">
					<description>The number of audit events received from this process execution.</description>
					<incrementedWhen ref="State_Changed" />
					<incrementedWhen ref="Step_State_Changed" />
					<incrementedWhen ref="State_Changed_BPMN2"/>
					<incrementedWhen ref="Step_State_Changed_BPMN2"/>
				</counter>
				<counter displayName="Subtasks" id="Subtasks" type="xsd:integer">
					<description>The number of subtasks of human tasks in this process execution.</description>
					<incrementedWhen ref="Process_Execution_Step/Process_Execution_Step_Related_Task_Execution/Aux_Nested_Subtask_Exists"/>
				</counter>
				<monitoringContext displayName="Process Execution Step" id="Process_Execution_Step">
					<description>Monitoring context for a step within a process execution ( activity execution, task execution, scope execution ).</description>
					<trigger displayName="Aux Reported State Changed" id="Aux_Reported_State_Changed" isRepeatable="true">
						<description>Auxiliary trigger, which fires when the last state reported for this process execution step is different from the state reported before, or when a loop condition is reported to be true or false (in which case we always want to keep a history record, even for repeated true or false evaluations). If events arrive out-of-order, the 'State' metric may remain unchanged.</description>
						<onEvent ref="State_Changed" />
						<onEvent ref="State_Changed_BPMN2"/>
						<gatingCondition expression="Aux_Last_State_Reported != Aux_Saved_Last_State_Reported or fn:starts-with( Aux_Last_State_Reported, 'LOOP_CONDITION' )" />
					</trigger>
					<trigger displayName="Aux Save Waiting Duration" id="Aux_Save_Waiting_Duration" isRepeatable="true">
						<description>Auxiliary trigger, which causes the waiting duration to be saved.</description>
						<onTrigger ref="Aux_Update_Aggregate_Waiting_Duration" />
					</trigger>
					<trigger displayName="Aux Update Aggregate Waiting Duration" id="Aux_Update_Aggregate_Waiting_Duration" isRepeatable="true">
						<description>Auxiliary trigger, which indicates that the waiting duration of this process execution step has changed and its aggregation should be updated at the process execution level.</description>
						<onValueChange ref="Waiting_Duration" />
						<gatingCondition expression="fn:not( Waiting_Duration = Aux_Saved_Waiting_Duration )"/>
					</trigger>
					<trigger displayName="Aux Started" id="Aux_Started" isRepeatable="false">
						<description>Auxiliary trigger, which fires just once when this monitoring context is initialized.</description>
						<onEvent ref="State_Changed"/>
						<onEvent ref="State_Changed_BPMN2"/>
					</trigger>
					<trigger displayName="Aux Escalation Changed" id="Aux_Escalation_Changed" isRepeatable="true">
						<description>Auxiliary trigger, which fires when an escalation has occurred for this process execution step.</description>
						<onEvent ref="State_Changed"></onEvent>
						<gatingCondition expression="State_Changed/eventPointData/bpc:BPCEventCode = '42050'"></gatingCondition>
					</trigger>
					<trigger displayName="Aux Work Item Update Changed" id="Aux_Work_Item_Update_Changed" isRepeatable="true">
						<description>Auxiliary trigger, which fires when the work items defined for this process execution step have changed.</description>
						<onEvent ref="State_Changed"></onEvent>
						<gatingCondition expression="fn:string-length( State_Changed/eventPointData/bpc:BPCEventCode ) = 5 and fn:contains( '42040 42039 42050 42054 42055 ', fn:concat( State_Changed/eventPointData/bpc:BPCEventCode, ' ' ) )"></gatingCondition>
					</trigger>
					<trigger displayName="Aux Potential Owners Changed" id="Aux_Potential_Owners_Changed" isRepeatable="true">
						<description>Auxiliary trigger, which fires when the potential owners for this process execution step have changed.</description>
						<onEvent ref="State_Changed"></onEvent>
						<gatingCondition expression="fn:string-length( State_Changed/eventPointData/bpc:BPCEventCode ) = 5 and fn:contains( '42040 42039 42054 42055 ', fn:concat( State_Changed/eventPointData/bpc:BPCEventCode, ' ' ) ) and fn:not( State_Changed/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason != '1' )"></gatingCondition>
					</trigger>
					<trigger displayName="Aux Update Aggregate Working Duration" id="Aux_Update_Aggregate_Working_Duration" isRepeatable="true">
						<description>Auxiliary trigger, which indicates that the working duration of this process execution step has changed and its aggregation should be updated at the process execution level.</description>
						<onValueChange ref="Working_Duration"></onValueChange>
						<gatingCondition expression="fn:not( Working_Duration = Aux_Saved_Working_Duration )"></gatingCondition>
					</trigger>
					<trigger displayName="Aux Save Working Duration" id="Aux_Save_Working_Duration" isRepeatable="true">
						<description>Auxiliary trigger, which causes the working duration to be saved.</description>
						<onTrigger ref="Aux_Update_Aggregate_Working_Duration"></onTrigger>
					</trigger>
					<trigger displayName="Aux Never" id="Aux_Never" isRepeatable="true">
						<description>Auxiliary trigger, which never fires. It is needed to circumvent a problem in validator, which has been fixed in version 7. If the model is used on Monitor version 7 or later, this trigger can be deleted.</description>
						<evaluationTime minutes="100" days="100" hours="100"/>
						<gatingCondition expression="fn:false()"/>
					</trigger>
					<trigger displayName="Aux Add Called Execution Identifier" id="Aux_Add_Called_Execution_Identifier" isRepeatable="false">
						<description>Auxiliary trigger, which fires when a new called execution identifier is to be added to those known by the process execution that owns this step.</description>
						<onValueChange ref="Called_Execution_Identifier"/>
						<gatingCondition expression="fn:not( fn:contains( ../Aux_Called_Execution_Identifiers, Called_Execution_Identifier ) ) "/>
					</trigger>
					<trigger displayName="Aux Escalation Changed BPMN2" id="Aux_Escalation_Changed_BPMN2" isRepeatable="true">
						<onEvent ref="State_Changed_BPMN2"/>
						<gatingCondition expression="fn:contains(State_Changed_BPMN2/EventKind,'bpmnx:ACTIVITY_ESCALATED')"/>
					</trigger>
					<trigger displayName="Aux Potential Owners Changed BPMN2" id="Aux_Potential_Owners_Changed_BPMN2" isRepeatable="true">
						<onEvent ref="State_Changed_BPMN2"/>
						<gatingCondition expression="fn:contains( 'bpmnx:ACTIVITY_RESOURCE_ASSIGNED bpmnx:ACTIVITY_RESOURCE_DEASSIGNED ', fn:concat( State_Changed_BPMN2/EventKind , ' ' ) )"/>
					</trigger>
					<trigger displayName="Aux Work Item Update Changed BPMN2" id="Aux_Work_Item_Update_Changed_BPMN2" isRepeatable="true">
						<onEvent ref="State_Changed_BPMN2"/>
						<gatingCondition expression="fn:contains( 'bpmnx:ACTIVITY_RESOURCE_ASSIGNED bpmnx:ACTIVITY_RESOURCE_DEASSIGNED ', fn:concat( State_Changed_BPMN2/EventKind , ' ' ) )"/>
					</trigger>
					<trigger displayName="Aux Variable Changed" id="Aux_Variable_Changed" isRepeatable="true">
						<onEvent ref="State_Changed_BPMN2"/>
						<gatingCondition expression="fn:count(State_Changed_BPMN2/applicationData/wle:tracking-point) &gt; 0"/>
					</trigger>
					<trigger displayName="Aux_Work_Duration_Cal" id="Aux_Work_Duration_Cal" isRepeatable="true">
						<onEvent ref="State_Changed"/>
					</trigger>
					<trigger displayName="Aux_Work_Duration_Cal_BPMN2" id="Aux_Work_Duration_Cal_BPMN2" isRepeatable="true">
						<onEvent ref="State_Changed_BPMN2"/>
					</trigger>
					<inboundEvent displayName="State Changed" id="State_Changed" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
						<description>Event reporting a state change of this process execution step.</description>
						<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
						<eventPart displayName="baseData" id="baseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
						<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.BASE"></eventPart>
						<eventPart displayName="eventPointDataIfFailure" id="eventPointDataIfFailure" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.FAILURE"></eventPart>
						<eventPart displayName="eventPointDataIfWiStatus" id="eventPointDataIfWiStatus" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.WISTATUS"></eventPart>
						<eventPart displayName="username" id="username" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/bpc:username" type="xs:string"></eventPart>
						<eventPart displayName="current_username" id="current_username" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/bpc:current" type="xs:string"></eventPart>
						<eventPart displayName="target_username" id="target_username" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/bpc:target" type="xs:string"></eventPart>
						<eventPart displayName="branchesStarted" id="branchesStarted" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/bpc:parallelBranchesStarted" type="xs:integer"></eventPart>
						<eventPart displayName="escalationName" id="escalationName" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/bpc:escalationName" type="xs:string"></eventPart>
						<eventPart displayName="emptyDateTime" id="emptyDateTime" path="cbe:CommonBaseEvent/evt:emptyDateTime" type="xs:dateTime"></eventPart>
						<correlationPredicate expression="State_Changed/eventPointData/bpc:processTemplateName = ../../Name and fct:logical-deployment-location( State_Changed/server ) = ../../Deployed_At and State_Changed/baseData/wbi:eventHeaderData/wbi:ECSParentID = ../Identifier and State_Changed/baseData/wbi:eventHeaderData/wbi:ECSCurrentID = Identifier"/>
						<filter expression="fn:exists( State_Changed/eventPointData/bpc:processTemplateName ) and fn:exists( State_Changed/baseData/wbi:eventHeaderData/wbi:ECSCurrentID ) and fn:exists( State_Changed/baseData/wbi:eventHeaderData/wbi:ECSParentID ) and fn:string-length( State_Changed/eventPointData/bpc:BPCEventCode ) = 5 and fn:contains( '21006 21007 21011 21021 21022 21027 21080 21081 42005 42015 42020 42021 42022 42024 42026 42031 42032 42036 42037 42038 42039 42040 42050 42054 42055 42057 42061 42062 42064 42065 42066 42067 42068 42070 ', fn:concat( State_Changed/eventPointData/bpc:BPCEventCode, ' ' ) )"/>
					</inboundEvent>
					<inboundEvent displayName="State Changed BPMN2" id="State_Changed_BPMN2" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
						<description>Event reporting a state change of this process execution step.</description>
						<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData" type="mon:eventPointData"></eventPart>
						<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
						<eventPart displayName="processExecuteStepLevelModel" id="processExecuteStepLevelModel" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[1]" type="mon:model"></eventPart>
						<eventPart displayName="processExecuteStepUpLevelModel" id="processExecuteStepUpLevelModel" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[2]" type="mon:model"></eventPart>
						<eventPart displayName="processExecuteStepUpLevelModelType" id="processExecuteStepUpLevelModelType" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[2]/@mon:type" type="xs:string"></eventPart>
						<eventPart displayName="processLevelModel" id="processLevelModel" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[@mon:type='bpmn:process']" type="mon:model"></eventPart>
						<eventPart displayName="faultName" id="faultName" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[1]/mon:instance/mon:fault/@mon:name" type="xs:string"></eventPart>
						<eventPart displayName="EventKind" id="EventKind" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:kind" type="xs:string"></eventPart>
						<eventPart displayName="ActivityType" id="ActivityType" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[1]/@mon:type" type="xs:string"></eventPart>
						<eventPart displayName="principal" id="principal" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[1]/mon:instance/mon:role[@mon:id='PERFORMER']/mon:resource[1]/@mon:id" type="xs:string"></eventPart>
						<eventPart displayName="applicationData" id="applicationData" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:applicationData" type="mon:applicationData"></eventPart>
						<eventPart displayName="systemId" id="systemId" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:source/ibm:system/@ibm:systemID" type="xs:string"></eventPart>
						<correlationPredicate expression="fn:concat(State_Changed_BPMN2/processLevelModel/@mon:id,'.', State_Changed_BPMN2/processLevelModel/@mon:version,'.', State_Changed_BPMN2/processLevelModel/mon:instance/@mon:id,'.', State_Changed_BPMN2/processExecuteStepLevelModel/mon:instance/@mon:id) = Identifier and fn:concat(State_Changed_BPMN2/processLevelModel/@mon:id,'.',State_Changed_BPMN2/processLevelModel/@mon:version,'.',State_Changed_BPMN2/processLevelModel/mon:instance/@mon:id) = ../Identifier and fct:logical-deployment-location(State_Changed_BPMN2/server) = ../../Deployed_At and State_Changed_BPMN2/processLevelModel/mon:name = ../../Name"/>
						<filter expression="fn:exists(State_Changed_BPMN2/eventPointData/mon:kind ) and (fn:contains(State_Changed_BPMN2/EventKind, 'bpmnx:ACTIVITY') or fn:contains(State_Changed_BPMN2/EventKind, 'bpmnx:GATEWAY'))"/>
					</inboundEvent>
					<inboundEvent displayName="Called Execution Exists" id="Called_Execution_Exists" multipleCorrelationMatches="deliverToAll" noCorrelationMatches="ignore" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
						<description>Event from a called process or task execution, which is used to set that execution's identifier in this monitoring context.</description>
						<eventPart displayName="baseData" id="baseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
						<eventPart displayName="eventPointDataProcessEvents" id="eventPointDataProcessEvents" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.BASE"></eventPart>
						<eventPart displayName="eventPointDataTaskEvents" id="eventPointDataTaskEvents" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.BASE"></eventPart>
						<eventPart displayName="topLevelTaskTemplateName" id="topLevelTaskTemplateName" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/htm:topLevelTaskTemplateName" type="xs:string"></eventPart>
						<correlationPredicate expression="Called_Execution_Exists/baseData/wbi:eventHeaderData/wbi:ECSParentID = Identifier"/>
						<filter expression="fn:exists( Called_Execution_Exists/baseData/wbi:eventHeaderData/wbi:ECSParentID ) and fn:exists( Called_Execution_Exists/baseData/wbi:eventHeaderData/wbi:ECSCurrentID ) and ( fn:exists( Called_Execution_Exists/eventPointDataProcessEvents/bpc:BPCEventCode ) or fn:exists(Called_Execution_Exists/eventPointDataTaskEvents/htm:HTMEventCode) ) and fn:empty(Called_Execution_Exists/topLevelTaskTemplateName)"/>
					</inboundEvent>
							<inboundEvent displayName="Called Execution Exists BPMN2" id="Called_Execution_Exists_BPMN2" multipleCorrelationMatches="deliverToAll" noCorrelationMatches="ignore" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
						<description>Event from a called process or task execution, which is used to set that execution's identifier in this monitoring context.</description>
						<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData" type="mon:eventPointData"></eventPart>
						<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
						<eventPart displayName="processLevelModel" id="processLevelModel" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[@mon:type='bpmn:process']" type="mon:model"></eventPart>
						<eventPart displayName="faultName" id="faultName" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[@mon:type='bpmn:process']/mon:instance/mon:fault/@mon:name" type="xs:string"></eventPart>
						<eventPart displayName="EventKind" id="EventKind" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:kind" type="xs:string"></eventPart>
						<correlationPredicate expression="Called_Execution_Exists_BPMN2/eventPointData/mon:correlation/mon:ancestor/mon:ancestor/@mon:id  = Identifier"/>
						<filter expression="fn:exists(Called_Execution_Exists_BPMN2/eventPointData/mon:kind ) and fn:contains(Called_Execution_Exists_BPMN2/EventKind, 'bpmnx:PROCESS') "/>
					</inboundEvent>
					<inboundEvent displayName="Aux Receive Called Execution Waiting Duration" id="Aux_Receive_Called_Execution_Waiting_Duration" multipleCorrelationMatches="raiseException" noCorrelationMatches="ignore" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
						<description>Event reporting the waiting duration of a called process or task execution.</description>
						<eventPart displayName="executionId" id="executionId" path="cbe:CommonBaseEvent/evt:executionId" type="xs:string"></eventPart>
						<eventPart displayName="waitingDuration" id="waitingDuration" path="cbe:CommonBaseEvent/evt:waitingDuration" type="xs:duration"></eventPart>
						<eventPart displayName="monitorModelId" id="monitorModelId" path="cbe:CommonBaseEvent/cbe:contextDataElements[@name='MonitoringModelID']/cbe:contextValue" type="xs:string"></eventPart>
						<correlationPredicate expression="Aux_Receive_Called_Execution_Waiting_Duration/executionId = Called_Execution_Identifier"/>
						<filter expression="fn:exists( Aux_Receive_Called_Execution_Waiting_Duration/waitingDuration ) and fn:exists( Aux_Receive_Called_Execution_Waiting_Duration/executionId ) and Aux_Receive_Called_Execution_Waiting_Duration/monitorModelId = fct:monitor-model-id()"/>
					</inboundEvent>
					<inboundEvent displayName="Aux Receive Called Execution Working Duration" id="Aux_Receive_Called_Execution_Working_Duration" multipleCorrelationMatches="raiseException" noCorrelationMatches="ignore" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
						<description>Event reporting the working duration of a called process or task execution.</description>
						<eventPart displayName="executionId" id="executionId" path="cbe:CommonBaseEvent/evt:executionId" type="xs:string"></eventPart>
						<eventPart displayName="workingDuration" id="workingDuration" path="cbe:CommonBaseEvent/evt:workingDuration" type="xs:duration"></eventPart>
						<eventPart displayName="monitorModelId" id="monitorModelId" path="cbe:CommonBaseEvent/cbe:contextDataElements[@name='MonitoringModelID']/cbe:contextValue" type="xs:string"></eventPart>
						<correlationPredicate expression="Aux_Receive_Called_Execution_Working_Duration/executionId = Called_Execution_Identifier"/>
						<filter expression="fn:exists( Aux_Receive_Called_Execution_Working_Duration/workingDuration ) and fn:exists( Aux_Receive_Called_Execution_Working_Duration/executionId ) and Aux_Receive_Called_Execution_Working_Duration/monitorModelId = fct:monitor-model-id()"/>
					</inboundEvent>
					<outboundEvent displayName="Aux Report State" id="Aux_Report_State" rootElement="cbe:CommonBaseEvent">
						<description>Event reporting a state change of this process execution step.</description>
						<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
						<eventPart displayName="principal" id="principal" path="cbe:CommonBaseEvent/evt:principal" type="xs:string"></eventPart>
						<eventPart displayName="processDefinitionIdentifier" id="processDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:processDefinitionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="processExecutionIdentifier" id="processExecutionIdentifier" path="cbe:CommonBaseEvent/evt:processExecutionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="processExecutionStepIdentifier" id="processExecutionStepIdentifier" path="cbe:CommonBaseEvent/evt:processExecutionStepIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="processExecutionStepState" id="processExecutionStepState" path="cbe:CommonBaseEvent/evt:processExecutionStepState" type="xs:string"></eventPart>
						<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
						<map>
							<trigger ref="Aux_Reported_State_Changed"></trigger>
							<outputValue>
								<assignments>
									<assignment leftValue="Aux_Report_State/timestamp" rightValue="Aux_Last_Event_Timestamp"></assignment>
									<assignment leftValue="Aux_Report_State/principal" rightValue="Aux_Last_Event_Principal"></assignment>
									<assignment leftValue="Aux_Report_State/processExecutionStepIdentifier" rightValue="Identifier"></assignment>
									<assignment leftValue="Aux_Report_State/processExecutionStepState" rightValue="Aux_Last_State_Reported"></assignment>
									<assignment leftValue="Aux_Report_State/processDefinitionIdentifier" rightValue="../../Identifier"/>
									<assignment leftValue="Aux_Report_State/processExecutionIdentifier" rightValue="../Identifier"/>
									<assignment leftValue="Aux_Report_State/SystemId" rightValue="SystemId"/>
								</assignments>
							</outputValue>
						</map>
					</outboundEvent>
					<outboundEvent displayName="Aux Report Potential Owners" id="Aux_Report_Potential_Owners" rootElement="cbe:CommonBaseEvent">
						<description>Event reporting a change of potential owners for this process execution step.</description>
						<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
						<eventPart displayName="principal" id="principal" path="cbe:CommonBaseEvent/evt:principal" type="xs:string"></eventPart>
						<eventPart displayName="processDefinitionIdentifier" id="processDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:processDefinitionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="processExecutionIdentifier" id="processExecutionIdentifier" path="cbe:CommonBaseEvent/evt:processExecutionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="processExecutionStepIdentifier" id="processExecutionStepIdentifier" path="cbe:CommonBaseEvent/evt:processExecutionStepIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="processExecutionStepPotentialOwners" id="processExecutionStepPotentialOwners" path="cbe:CommonBaseEvent/evt:processExecutionStepPotentialOwners" type="xs:string"></eventPart>
						<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
						<map>
							<trigger ref="Aux_Potential_Owners_Changed"></trigger>
							<outputValue>
								<assignments>
									<assignment leftValue="Aux_Report_Potential_Owners/timestamp" rightValue="Aux_Last_Event_Timestamp"></assignment>
									<assignment leftValue="Aux_Report_Potential_Owners/principal" rightValue="Aux_Last_Event_Principal"></assignment>
									<assignment leftValue="Aux_Report_Potential_Owners/processExecutionStepIdentifier" rightValue="Identifier"></assignment>
									<assignment leftValue="Aux_Report_Potential_Owners/processExecutionStepPotentialOwners" rightValue="Potential_Owners"></assignment>
									<assignment leftValue="Aux_Report_Potential_Owners/processDefinitionIdentifier" rightValue="../../Identifier"/>
									<assignment leftValue="Aux_Report_Potential_Owners/processExecutionIdentifier" rightValue="../Identifier"/>
									<assignment leftValue="Aux_Report_Potential_Owners/SystemId" rightValue="SystemId"/>
								</assignments>
							</outputValue>
						</map>
					</outboundEvent>
					<outboundEvent displayName="Aux Report Work Item Update" id="Aux_Report_Work_Item_Update" rootElement="cbe:CommonBaseEvent">
						<description>Event reporting a work item update for this process execution step.</description>
						<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
						<eventPart displayName="principal" id="principal" path="cbe:CommonBaseEvent/evt:principal" type="xs:string"></eventPart>
						<eventPart displayName="processDefinitionIdentifier" id="processDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:processDefinitionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="processExecutionIdentifier" id="processExecutionIdentifier" path="cbe:CommonBaseEvent/evt:processExecutionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="processExecutionStepIdentifier" id="processExecutionStepIdentifier" path="cbe:CommonBaseEvent/evt:processExecutionStepIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="processExecutionStepWorkItemUpdate" id="processExecutionStepWorkItemUpdate" path="cbe:CommonBaseEvent/evt:processExecutionStepWorkItemUpdate" type="xs:string"></eventPart>
						<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
						<map>
							<trigger ref="Aux_Work_Item_Update_Changed"></trigger>
							<outputValue>
								<assignments>
									<assignment leftValue="Aux_Report_Work_Item_Update/timestamp" rightValue="Aux_Last_Event_Timestamp"></assignment>
									<assignment leftValue="Aux_Report_Work_Item_Update/principal" rightValue="Aux_Last_Event_Principal"></assignment>
									<assignment leftValue="Aux_Report_Work_Item_Update/processExecutionStepIdentifier" rightValue="Identifier"></assignment>
									<assignment leftValue="Aux_Report_Work_Item_Update/processExecutionStepWorkItemUpdate" rightValue="Last_Work_Item_Update"></assignment>
									<assignment leftValue="Aux_Report_Work_Item_Update/processDefinitionIdentifier" rightValue="../../Identifier"/>
									<assignment leftValue="Aux_Report_Work_Item_Update/processExecutionIdentifier" rightValue="../Identifier"/>
									<assignment leftValue="Aux_Report_Work_Item_Update/SystemId" rightValue="SystemId"/>
								</assignments>
							</outputValue>
						</map>
					</outboundEvent>
					<outboundEvent displayName="Aux Report Escalation" id="Aux_Report_Escalation" rootElement="cbe:CommonBaseEvent">
						<description>Event reporting an escalation of this process execution step.</description>
						<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
						<eventPart displayName="principal" id="principal" path="cbe:CommonBaseEvent/evt:principal" type="xs:string"></eventPart>
						<eventPart displayName="processDefinitionIdentifier" id="processDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:processDefinitionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="processExecutionIdentifier" id="processExecutionIdentifier" path="cbe:CommonBaseEvent/evt:processExecutionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="processExecutionStepIdentifier" id="processExecutionStepIdentifier" path="cbe:CommonBaseEvent/evt:processExecutionStepIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="processExecutionStepEscalation" id="processExecutionStepEscalation" path="cbe:CommonBaseEvent/evt:processExecutionStepEscalation" type="xs:string"></eventPart>
						<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
						<map>
							<trigger ref="Aux_Escalation_Changed"></trigger>
							<outputValue>
								<assignments>
									<assignment leftValue="Aux_Report_Escalation/timestamp" rightValue="Aux_Last_Event_Timestamp"></assignment>
									<assignment leftValue="Aux_Report_Escalation/principal" rightValue="Aux_Last_Event_Principal"></assignment>
									<assignment leftValue="Aux_Report_Escalation/processExecutionStepIdentifier" rightValue="Identifier"></assignment>
									<assignment leftValue="Aux_Report_Escalation/processExecutionStepEscalation" rightValue="State_Changed/escalationName"></assignment>
									<assignment leftValue="Aux_Report_Escalation/processDefinitionIdentifier" rightValue="../../Identifier"/>
									<assignment leftValue="Aux_Report_Escalation/processExecutionIdentifier" rightValue="../Identifier"/>
									<assignment leftValue="Aux_Report_Escalation/SystemId" rightValue="SystemId"/>
								</assignments>
							</outputValue>
						</map>
					</outboundEvent>
					<outboundEvent displayName="Aux Broadcast Information" id="Aux_Broadcast_Information" rootElement="cbe:CommonBaseEvent">
						<description>Outbound event, broadcasting information about this process execution step (for example, to add that information to the monitoring contexts of any called process or task executions).</description>
						<eventPart displayName="processExecutionIdentifier" id="processExecutionIdentifier" path="cbe:CommonBaseEvent/evt:processExecutionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="processExecutionName" id="processExecutionName" path="cbe:CommonBaseEvent/evt:processExecutionName" type="xs:string"></eventPart>
						<eventPart displayName="processExecutionDescription" id="processExecutionDescription" path="cbe:CommonBaseEvent/evt:processExecutionDescription" type="xs:string"></eventPart>
						<eventPart displayName="indentedProcessDefinitionName" id="indentedProcessDefinitionName" path="cbe:CommonBaseEvent/evt:indentedProcessDefinitionName" type="xs:string"></eventPart>
						<eventPart displayName="processDefinitionIdentifier" id="processDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:processDefinitionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="processDefinitionID" id="processDefinitionID" path="cbe:CommonBaseEvent/evt:processDefinitionID" type="xs:string"></eventPart>
						<eventPart displayName="processDefinitionName" id="processDefinitionName" path="cbe:CommonBaseEvent/evt:processDefinitionName" type="xs:string"></eventPart>
						<eventPart displayName="processDefinitionVersion" id="processDefinitionVersion" path="cbe:CommonBaseEvent/evt:processDefinitionVersion" type="xs:string"></eventPart>
						<eventPart displayName="processDefinitionDeployedAt" id="processDefinitionDeployedAt" path="cbe:CommonBaseEvent/evt:processDefinitionDeployedAt" type="xs:string"></eventPart>
						<eventPart displayName="stepDefinitionIdentifier" id="stepDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:stepDefinitionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="stepDefinitionQualifiedName" id="stepDefinitionQualifiedName" path="cbe:CommonBaseEvent/evt:stepDefinitionQualifiedName" type="xs:string"></eventPart>
						<eventPart displayName="stepExecutionIdentifier" id="stepExecutionIdentifier" path="cbe:CommonBaseEvent/evt:stepExecutionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="calledExecutionIdentifier" id="calledExecutionIdentifier" path="cbe:CommonBaseEvent/evt:calledExecutionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
						<map>
							<trigger ref="Aux_Add_Called_Execution_Identifier"/>
							<outputValue>
								<assignments>
									<assignment leftValue="Aux_Broadcast_Information/processExecutionIdentifier" rightValue="../Identifier"/>
									<assignment leftValue="Aux_Broadcast_Information/processExecutionName" rightValue="../Name"/>
									<assignment leftValue="Aux_Broadcast_Information/processExecutionDescription" rightValue="../Process_Execution_Description"/>
									<assignment leftValue="Aux_Broadcast_Information/indentedProcessDefinitionName" rightValue="../Process_Structure"/>
									<assignment leftValue="Aux_Broadcast_Information/processDefinitionIdentifier" rightValue="../Process_Definition_Identifier"/>
									<assignment leftValue="Aux_Broadcast_Information/processDefinitionName" rightValue="../Process_Definition_Name"/>
									<assignment leftValue="Aux_Broadcast_Information/processDefinitionVersion" rightValue="../Process_Definition_Version"/>
									<assignment leftValue="Aux_Broadcast_Information/calledExecutionIdentifier" rightValue="Called_Execution_Identifier"/>
									<assignment leftValue="Aux_Broadcast_Information/processDefinitionID" rightValue="../../ID"/>
									<assignment leftValue="Aux_Broadcast_Information/processDefinitionDeployedAt" rightValue="../../Deployed_At"/>
									<assignment leftValue="Aux_Broadcast_Information/stepDefinitionIdentifier" rightValue="Step_Definition_Identifier"/>
									<assignment leftValue="Aux_Broadcast_Information/stepExecutionIdentifier" rightValue="Identifier"/>
									<assignment leftValue="Aux_Broadcast_Information/stepDefinitionQualifiedName" rightValue="Qualified_Name"/>
									<assignment leftValue="Aux_Broadcast_Information/SystemId" rightValue="SystemId"/>
								</assignments>
							</outputValue>
						</map>
					</outboundEvent>
					<outboundEvent displayName="Aux Report Potential Owners BPMN2" id="Aux_Report_Potential_Owners_BPMN2" rootElement="cbe:CommonBaseEvent">
						<description>Event reporting a change of potential owners for this process execution step.</description>
						<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
						<eventPart displayName="principal" id="principal" path="cbe:CommonBaseEvent/evt:principal" type="xs:string"></eventPart>
						<eventPart displayName="processDefinitionIdentifier" id="processDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:processDefinitionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="processExecutionIdentifier" id="processExecutionIdentifier" path="cbe:CommonBaseEvent/evt:processExecutionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="processExecutionStepIdentifier" id="processExecutionStepIdentifier" path="cbe:CommonBaseEvent/evt:processExecutionStepIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="processExecutionStepPotentialOwners" id="processExecutionStepPotentialOwners" path="cbe:CommonBaseEvent/evt:processExecutionStepPotentialOwners" type="xs:string"></eventPart>
						<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
						<map>
							<trigger ref="Aux_Potential_Owners_Changed_BPMN2" />
							<outputValue>
								<assignments>
									<assignment leftValue="Aux_Report_Potential_Owners_BPMN2/timestamp" rightValue="Aux_Last_Event_Timestamp" />
									<assignment leftValue="Aux_Report_Potential_Owners_BPMN2/principal" rightValue="Aux_Last_Event_Principal" />
									<assignment leftValue="Aux_Report_Potential_Owners_BPMN2/processExecutionStepIdentifier" rightValue="Identifier" />
									<assignment leftValue="Aux_Report_Potential_Owners_BPMN2/processExecutionStepPotentialOwners" rightValue="Potential_Owners" />
									<assignment leftValue="Aux_Report_Potential_Owners_BPMN2/processDefinitionIdentifier" rightValue="../../Identifier" />
									<assignment leftValue="Aux_Report_Potential_Owners_BPMN2/processExecutionIdentifier" rightValue="../Identifier" />
									<assignment leftValue="Aux_Report_Potential_Owners_BPMN2/SystemId" rightValue="SystemId"/>
								</assignments>
							</outputValue>
						</map>
					</outboundEvent>
					<outboundEvent displayName="Aux Report Work Item Update BPMN2" id="Aux_Report_Work_Item_Update_BPMN2" rootElement="cbe:CommonBaseEvent">
						<description>Event reporting a work item update for this process execution step.</description>
						<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
						<eventPart displayName="principal" id="principal" path="cbe:CommonBaseEvent/evt:principal" type="xs:string"></eventPart>
						<eventPart displayName="processDefinitionIdentifier" id="processDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:processDefinitionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="processExecutionIdentifier" id="processExecutionIdentifier" path="cbe:CommonBaseEvent/evt:processExecutionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="processExecutionStepIdentifier" id="processExecutionStepIdentifier" path="cbe:CommonBaseEvent/evt:processExecutionStepIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="processExecutionStepWorkItemUpdate" id="processExecutionStepWorkItemUpdate" path="cbe:CommonBaseEvent/evt:processExecutionStepWorkItemUpdate" type="xs:string"></eventPart>
						<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
						<map>
							<trigger ref="Aux_Work_Item_Update_Changed_BPMN2" />
							<outputValue>
								<assignments>
									<assignment leftValue="Aux_Report_Work_Item_Update_BPMN2/timestamp" rightValue="Aux_Last_Event_Timestamp" />
									<assignment leftValue="Aux_Report_Work_Item_Update_BPMN2/principal" rightValue="Aux_Last_Event_Principal" />
									<assignment leftValue="Aux_Report_Work_Item_Update_BPMN2/processExecutionStepIdentifier" rightValue="Identifier" />
									<assignment leftValue="Aux_Report_Work_Item_Update_BPMN2/processExecutionStepWorkItemUpdate" rightValue="Last_Work_Item_Update" />
									<assignment leftValue="Aux_Report_Work_Item_Update_BPMN2/processDefinitionIdentifier" rightValue="../../Identifier" />
									<assignment leftValue="Aux_Report_Work_Item_Update_BPMN2/processExecutionIdentifier" rightValue="../Identifier" />
									<assignment leftValue="Aux_Report_Work_Item_Update_BPMN2/SystemId" rightValue="SystemId"/>
								</assignments>
							</outputValue>
						</map>
					</outboundEvent>
					<metric displayName="Identifier" id="Identifier" type="xsd:string" isPartOfKey="true" maxStringLength="128">
						<description>A unique identifier of this process execution step.</description>
						<map>
							<outputValue>
								<singleValue expression="State_Changed/baseData/wbi:eventHeaderData/wbi:ECSCurrentID"/>
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="fn:concat(State_Changed_BPMN2/processLevelModel/@mon:id,'.', State_Changed_BPMN2/processLevelModel/@mon:version,'.', State_Changed_BPMN2/processLevelModel/mon:instance/@mon:id,'.', State_Changed_BPMN2/processExecuteStepLevelModel/mon:instance/@mon:id)"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Aux Last State Reported" id="Aux_Last_State_Reported" type="xsd:string" maxStringLength="128">
						<description>The state of this process execution step, as reported by the last state-change event received. This may not be the current state, but some state from the past, if the event reporting it was delayed.</description>
						<map>
							<outputValue>
								<singleValue expression="if ( State_Changed/eventPointData/bpc:BPCEventCode = '21006' or State_Changed/eventPointData/bpc:BPCEventCode = '21021' ) then 'READY' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42020' or State_Changed/eventPointData/bpc:BPCEventCode = '21007' and State_Changed/eventPointData/bpc:state = '3 - STATE_RUNNING' ) then 'RUNNING' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '21011' or State_Changed/eventPointData/bpc:BPCEventCode = '42026' or State_Changed/eventPointData/bpc:BPCEventCode = '42036' ) then 'FINISHED' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42005' or State_Changed/eventPointData/bpc:BPCEventCode = '42021' ) then 'SKIPPED' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '21080' or State_Changed/eventPointData/bpc:BPCEventCode = '42022' ) then 'FAILED' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42023' ) then 'FAILING' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '21027' or State_Changed/eventPointData/bpc:BPCEventCode = '42024' ) then 'TERMINATED' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '21022' ) then ( if ( fn:exists( State_Changed/username ) ) then fn:concat( 'CLAIMED by ', State_Changed/username ) else 'CLAIMED' ) else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '21007' and State_Changed/eventPointData/bpc:state = '11 - STATE_WAITING' ) then 'WAITING' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '21081' ) then 'EXPIRED' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42015' or State_Changed/eventPointData/bpc:BPCEventCode = '42066' ) then 'STOPPED' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42043' ) then 'COMPENSATING' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42044' ) then 'COMPENSATED' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42045' ) then 'COMPFAILED' else (
if ( ( State_Changed/eventPointData/bpc:BPCEventCode = '42031' or State_Changed/eventPointData/bpc:BPCEventCode = '42068' ) and State_Changed/eventPointData/bpc:state = '1 - STATE_INACTIVE' ) then 'INACTIVE_FRETRIED' else (
if ( ( State_Changed/eventPointData/bpc:BPCEventCode = '42031' or State_Changed/eventPointData/bpc:BPCEventCode = '42068' ) and State_Changed/eventPointData/bpc:state = '2 - STATE_READY' ) then 'READY_FRETRIED' else (
if ( ( State_Changed/eventPointData/bpc:BPCEventCode = '42031' or State_Changed/eventPointData/bpc:BPCEventCode = '42068' ) and State_Changed/eventPointData/bpc:state = '3 - STATE_RUNNING' ) then 'RUNNING_FRETRIED' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42031' and State_Changed/eventPointData/bpc:state = '11 - STATE_WAITING' ) then 'WAITING_FRETRIED' else (
if ( ( State_Changed/eventPointData/bpc:BPCEventCode = '42031' or State_Changed/eventPointData/bpc:BPCEventCode = '42068' ) and State_Changed/eventPointData/bpc:state = '13 - STATE_STOPPED' ) then 'STOPPED_FRETRIED' else (
if ( ( State_Changed/eventPointData/bpc:BPCEventCode = '42032' or State_Changed/eventPointData/bpc:BPCEventCode = '42067' ) and State_Changed/eventPointData/bpc:state = '5 - STATE_FINISHED' ) then 'FINISHED_FCOMPLETED' else (
if ( ( State_Changed/eventPointData/bpc:BPCEventCode = '42032' or State_Changed/eventPointData/bpc:BPCEventCode = '42067' ) and State_Changed/eventPointData/bpc:state = '4 - STATE_SKIPPED' ) then 'SKIPPED_FCOMPLETED' else (
if ( ( State_Changed/eventPointData/bpc:BPCEventCode = '42032' or State_Changed/eventPointData/bpc:BPCEventCode = '42067' ) and State_Changed/eventPointData/bpc:state = '6 - STATE_FAILED' ) then 'FAILED_FCOMPLETED' else (
if ( ( State_Changed/eventPointData/bpc:BPCEventCode = '42032' or State_Changed/eventPointData/bpc:BPCEventCode = '42067' ) and State_Changed/eventPointData/bpc:state = '13 - STATE_STOPPED' ) then 'STOPPED_FCOMPLETED' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42037' ) then 'LOOP_CONDITION_TRUE' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42038' ) then 'LOOP_CONDITION_FALSE' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42057' ) then fn:concat( 'FINISHED (', xs:integer( State_Changed/branchesStarted ) + 1,' branches)' ) else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42061' ) then 'FINISHED_CONDTRUE' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42062' ) then 'FINISHED_ALLCONDFALSE' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42064' ) then 'SKIP_REQUESTED' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42065' ) then 'SKIPPED_ON_REQUEST' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42070' ) then 'SKIPPED_ON_EXIT_CONDITION_TRUE' else (
if ( fn:contains( '42039 42040 42050 42054 42055 ', fn:concat( State_Changed/eventPointData/bpc:BPCEventCode , ' ' ) ) and State_Changed/eventPointData/bpc:state = '1 - STATE_INACTIVE' ) then 'INACTIVE' else Aux_Last_State_Reported
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)"/>
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="if (fn:ends-with(State_Changed_BPMN2/EventKind,'READY')) then 'READY' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'ACTIVE')) then 'ACTIVE' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'COMPLETING')) then 'COMPLETING' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'COMPLETED')) then 'COMPLETED' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'FAILING')) then 'FAILING' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'FAILED')) then 'FAILED' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'TERMINATING')) then 'TERMINATING' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'TERMINATED')) then 'TERMINATED' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'COMPENSATING')) then 'COMPENSATING' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'COMPENSATED')) then 'COMPENSATED' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'WITHDRAWN')) then 'WITHDRAWN' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'EXPIRED')) then 'EXPIRED' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'SKIPPED')) then 'SKIPPED' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'STOPPED')) then 'STOPPED' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'FORCE_RESTARTED')) then 'FORCE_RESTARTED' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'FORCE_COMPLETED')) then 'FORCE_COMPLETED' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'LOOP_CONDITION_TRUE')) then 'LOOP_CONDITION_TRUE' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'LOOP_CONDITION_FALSE')) then 'LOOP_CONDITION_FALSE' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'GATEWAY_ACTIVATED')) then 'ACTIVATED' else(if (fn:ends-with(State_Changed_BPMN2/EventKind,'GATEWAY_COMPLETED')) then 'COMPLETED' else Aux_Last_State_Reported)))))))))))))))) )))"/>
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="''"/>
						</defaultValue>
					</metric>
					<metric displayName="Total Duration" id="Total_Duration" type="xsd:duration">
						<description>The total duration of this process execution step (the time since it started while it has not ended, and the total time from start to end after it has ended).</description>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:exists( Time_Started ) ) then ( if ( fn:exists( Time_Ended ) ) then Time_Ended - Time_Started else Aux_Last_Event_Timestamp - Time_Started ) else Total_Duration"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Time Started" id="Time_Started" type="xsd:dateTime">
						<description>The timestamp of the earliest event received about this process execution step. If its entry / start event is sent, it will be the time it came to life / started.</description>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:empty(Time_Started) or Aux_Last_Event_Timestamp &lt; Time_Started ) then Aux_Last_Event_Timestamp else Time_Started"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Time Ended" id="Time_Ended" type="xsd:dateTime">
						<description>The time when this process execution step ended.</description>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:not( Has_Ended ) ) then Aux_Empty_DateTime else ( if ( fn:exists( Time_Ended ) ) then Time_Ended else State_Timestamp )"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="State History" id="State_History" type="xsd:string" maxStringLength="4000">
						<description>The state history of this process execution step.</description>
						<map>
							<trigger ref="Aux_Reported_State_Changed" />
							<outputValue>
								<singleValue expression="fn:substring( fn:concat( Aux_Last_Event_Timestamp_xs_format, '  ', Aux_Last_State_Reported, '&lt;br/&gt;', State_History ), 1, 4000)" />
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="''" />
						</defaultValue>
					</metric>
					<metric displayName="Aux Saved Last State Reported" id="Aux_Saved_Last_State_Reported" type="xsd:string" maxStringLength="128">
						<description>Saved copy of the last state reported. It is used to prevent adding state history entries when the same state is reported several times.</description>
						<map>
							<trigger ref="Aux_Reported_State_Changed" />
							<outputValue>
								<singleValue expression="Aux_Last_State_Reported" />
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="''" />
						</defaultValue>
					</metric>
					<metric displayName="Kind" id="Kind" type="xsd:string" maxStringLength="64" valueRequired="true">
						<description>The kind of activity/task defining this step. It is redundant at the execution level, but provided for convenience and to enable grouping.</description>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:exists( State_Changed/eventPointData/bpc:activityKind ) and Kind = ' ' ) then ( if ( fn:substring( State_Changed/eventPointData/bpc:activityKind, 5, 1 ) = ' ' ) then fn:substring( State_Changed/eventPointData/bpc:activityKind, 6) else fn:substring( State_Changed/eventPointData/bpc:activityKind, 5) ) else Kind" />
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:exists(  State_Changed_BPMN2/ActivityType ) and Kind = ' ' ) then fn:substring(State_Changed_BPMN2/ActivityType,6) else Kind"/>
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="' '"/>
						</defaultValue>
					</metric>
					<metric displayName="Name" id="Name" type="xsd:string" valueRequired="true">
						<description>The name of this step. If an in-flight activity is renamed as part of a process migration, then this metric will have the form 
NewName &lt;- OldName [ &lt;- OlderName ... ]</description>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:starts-with( Name, State_Changed/eventPointData/bpc:activityTemplateName ) ) then Name else fn:concat( State_Changed/eventPointData/bpc:activityTemplateName, ( if ( Name = ' ' ) then '' else fn:concat(' &lt;- ', Name) ) )" />
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:exists(State_Changed_BPMN2/processExecuteStepLevelModel/mon:name) and Name = ' ') then fn:concat( (if (State_Changed_BPMN2/processExecuteStepUpLevelModelType = 'bpmn:subProcess') then fn:concat('(',State_Changed_BPMN2/processExecuteStepUpLevelModel/mon:name,') ') else '' ) ,State_Changed_BPMN2/processExecuteStepLevelModel/mon:name) else Name"/>
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="' '"/>
						</defaultValue>
					</metric>
					<metric displayName="State Timestamp" id="State_Timestamp" type="xsd:dateTime">
						<description>The timestamp of the last event used to set the 'State' metric. Also used to prevent unintended state changes back to earlier states when events arrive out-of-order.</description>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:empty( State_Timestamp ) or Aux_Last_Event_Timestamp &gt;= State_Timestamp ) then Aux_Last_Event_Timestamp else State_Timestamp" />
							</outputValue>
						</map>
					</metric>
					<metric displayName="Work Item Update History" id="Work_Item_Update_History" type="xsd:string" maxStringLength="4000">
						<description>The history of work item updates for this process execution step (for steps that are human tasks).</description>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:string-length( State_Changed/eventPointData/bpc:BPCEventCode ) = 5 and fn:contains( '42040 42039 42050 42054 42055 ', fn:concat( State_Changed/eventPointData/bpc:BPCEventCode, ' ' ) ) ) then fn:substring( fn:concat( Aux_Last_Event_Timestamp_xs_format, '  ', Last_Work_Item_Update, '&lt;br/&gt;', Work_Item_Update_History ), 1, 4000 ) else Work_Item_Update_History" />
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:contains( 'bpmnx:ACTIVITY_RESOURCE_ASSIGNED bpmnx:ACTIVITY_RESOURCE_DEASSIGNED ', fn:concat( State_Changed_BPMN2/EventKind, ' ' ) ) ) then fn:substring( fn:concat( Aux_Last_Event_Timestamp_xs_format, '  ', Last_Work_Item_Update, '&lt;br/&gt;', Work_Item_Update_History ), 1, 4000 ) else Work_Item_Update_History"/>
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="''" />
						</defaultValue>
					</metric>
					<metric displayName="Owner" id="Owner" type="xsd:string" maxStringLength="256" valueRequired="true">
						<description>The user who has claimed this process execution step (for steps that are human tasks).</description>
						<map>
							<outputValue>
								<singleValue expression="if ( State_Changed/eventPointData/bpc:BPCEventCode = '21022' and fn:string-length(State_Changed/username) &gt; 0 ) then State_Changed/username else ( if ( State_Changed/eventPointData/bpc:BPCEventCode = '21021' ) then ' ' else Owner )" />
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="if (fn:contains(State_Changed_BPMN2/EventKind,'bpmnx:ACTIVITY_ACTIVE') ) then State_Changed_BPMN2/processExecuteStepLevelModel/mon:instance/mon:role[@mon:id='PERFORMER']/mon:resource[1]/@mon:id else Owner"/>
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="' '" />
						</defaultValue>
					</metric>
					<metric displayName="Potential Owners" id="Potential_Owners" type="xsd:string" maxStringLength="256">
						<description>The users and/or groups eligible to claim this process execution step (for steps that are human tasks).</description>
						<map>
							<outputValue>
								<singleValue expression="if ( State_Changed/eventPointData/bpc:BPCEventCode = '42040' and fn:not( State_Changed/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason != '1' ) ) then fn:substring( fct:add-to-list( Potential_Owners, wbm:serialize( State_Changed/username, '' ) ), 1, 4000) else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42039' and fn:not( State_Changed/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason != '1' ) ) then fn:substring( fct:remove-from-list( Potential_Owners, State_Changed/username ), 1, 4000) else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42054' and fn:not( State_Changed/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason != '1' ) ) then fn:substring( fct:add-to-list( '', wbm:serialize( State_Changed/username, '' ) ), 1, 4000) else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42055' and fn:not( State_Changed/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason != '1' ) ) then fn:substring( fct:add-to-list( fct:remove-from-list( Potential_Owners, State_Changed/current_username ), State_Changed/target_username ), 1, 4000) else Potential_Owners
)
)
)" />
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:contains(State_Changed_BPMN2/EventKind,'bpmnx:ACTIVITY_RESOURCE_ASSIGNED')) then fn:substring( fct:add-to-list( Potential_Owners, State_Changed_BPMN2/processExecuteStepLevelModel/mon:instance/mon:role[@mon:id='POTENTIAL_PERFORMER']/mon:resource[1]/@mon:id ), 1, 4000) else (
if ( fn:contains(State_Changed_BPMN2/EventKind,'bpmnx:ACTIVITY_RESOURCE_UNASSIGEND')) then fn:substring( fct:remove-from-list( Potential_Owners, State_Changed_BPMN2/processExecuteStepLevelModel/mon:instance/mon:role[@mon:id='POTENTIAL_PERFORMER']/mon:resource[1]/@mon:id ), 1, 4000) else Potential_Owners)"/>
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="''" />
						</defaultValue>
					</metric>
					<metric displayName="Potential Owners History" id="Potential_Owners_History" type="xsd:string" maxStringLength="4000">
						<description>The history of users and/or groups eligible to claim this process execution step (for steps that are human tasks).</description>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:string-length( State_Changed/eventPointData/bpc:BPCEventCode ) = 5 and fn:contains( '42040 42039 42054 42055 ', fn:concat( State_Changed/eventPointData/bpc:BPCEventCode, ' ' ) )  and fn:not( State_Changed/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason != '1' ) ) then fn:substring( fn:concat( Aux_Last_Event_Timestamp_xs_format, '  ', Potential_Owners, '&lt;br/&gt;', Potential_Owners_History ), 1, 4000 ) else Potential_Owners_History" />
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:contains( 'bpmnx:ACTIVITY_RESOURCE_ASSIGNED bpmnx:ACTIVITY_RESOURCE_UNASSIGNED ', fn:concat( State_Changed_BPMN2/EventKind , ' ' ) ) ) then fn:substring( fn:concat( Aux_Last_Event_Timestamp_xs_format, '  ', Potential_Owners, '&amp;lt;br/&amp;gt;', Potential_Owners_History ), 1, 4000 ) else Potential_Owners_History"/>
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="''" />
						</defaultValue>
					</metric>
					<metric displayName="Has Ended" id="Has_Ended" type="xsd:boolean" valueRequired="true">
						<description>Flag indicating that the monitored process execution step has reached a 'terminal' state. Note that it may still be retried or compensated, at which point this flag will become false again.</description>
						<map>
							<outputValue>
								<singleValue expression="fn:starts-with( State, 'COMPLETED' ) or fn:starts-with( State, 'FINISHED' ) or fn:starts-with( State, 'SKIPPED' ) or fn:starts-with( State, 'FAILED' ) or fn:starts-with( State, 'TERMINATED' ) or fn:starts-with( State, 'EXPIRED' ) or fn:starts-with( State, 'COMPENSATED' ) or fn:starts-with( State, 'COMPFAILED' ) or (State = 'LOOP_CONDITION_TRUE' and Kind = 'KIND_REPEAT_UNTIL') or (State = 'LOOP_CONDITION_FALSE' and Kind = 'KIND_WHILE') or fn:starts-with( State, 'Completed' ) or fn:starts-with( State, 'Finished' ) or fn:starts-with( State, 'Skipped' ) or fn:starts-with( State, 'Failed' ) or fn:starts-with( State, 'Terminated' ) or fn:starts-with( State, 'Expired' ) or fn:starts-with( State, 'Compensated' ) or fn:starts-with( State, 'GATEWAY_OUTBOUND' ) or fn:starts-with( State, 'Compfailed' ) or (State = 'Loop_condition_true' and Kind = 'Kind_repeat_until') or (State = 'Loop_condition_false' and Kind = 'Kind_while')" />
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="fn:false()"/>
						</defaultValue>
					</metric>
					<metric displayName="Aux Last Event Timestamp" id="Aux_Last_Event_Timestamp" type="xsd:dateTime">
						<description>The timestamp of the last state-change event received in this monitoring context.</description>
						<map>
							<outputValue>
								<singleValue expression="State_Changed/predefinedData/creationTime" />
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="State_Changed_BPMN2/eventPointData/mon:time "/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Total Duration (xs format)" id="Total_Duration_xs_format" type="xsd:string" maxStringLength="64">
						<description>The 'Total Duration' metric in XML Schema data format.</description>
						<map>
							<outputValue>
								<singleValue expression="xs:string( Total_Duration )" />
							</outputValue>
						</map>
					</metric>
					<metric displayName="Time Started (xs format)" id="Time_Started_xs_format" type="xsd:string" maxStringLength="64">
						<description>The 'Time Started' metric in XML Schema data format.</description>
						<map>
							<outputValue>
								<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Time_Started ) ) ) " />
							</outputValue>
						</map>
					</metric>
					<metric displayName="Time Ended (xs format)" id="Time_Ended_xs_format" type="xsd:string" maxStringLength="64">
						<description>The 'Time Ended' metric in XML Schema data format.</description>
						<map>
							<outputValue>
								<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Time_Ended ) ) ) " />
							</outputValue>
						</map>
					</metric>
					<metric displayName="Waiting Duration" id="Waiting_Duration" type="xsd:duration">
						<description>The aggregate duration for which this process execution step has been waiting for a human task to be claimed.</description>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:empty( Aux_Called_Execution_Waiting_Duration ) ) then xs:dayTimeDuration( fct:aggregate-duration-in-state( 'READY', State_History, Aux_Last_Event_Timestamp ) ) else Aux_Called_Execution_Waiting_Duration" />
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="xs:dayTimeDuration('PT0S')" />
						</defaultValue>
					</metric>
					<metric displayName="Working Duration (xs format)" id="Working_Duration_xs_format" type="xsd:string" maxStringLength="64">
						<description>The 'Working Duration' metric in XML Schema data format.</description>
						<map>
							<outputValue>
								<singleValue expression="xs:string( Working_Duration )" />
							</outputValue>
						</map>
					</metric>
					<metric displayName="Waiting Duration (xs format)" id="Waiting_Duration_xs_format" type="xsd:string" maxStringLength="64">
						<description>The 'Waiting Duration' metric in XML Schema data format.</description>
						<map>
							<outputValue>
								<singleValue expression="xs:string( Waiting_Duration )" />
							</outputValue>
						</map>
					</metric>
					<metric displayName="Working Duration" id="Working_Duration" type="xsd:duration">
						<description>The aggregate duration for which this process execution step has been waiting for a claimed human task to be completed.</description>
						<map>
							<trigger ref="Aux_Work_Duration_Cal_BPMN2"/>
							<outputValue>
								<singleValue expression="if ( fn:empty( Aux_Called_Execution_Working_Duration ) ) then xs:dayTimeDuration( fct:aggregate-duration-in-state( 'ACTIVE', State_History, Aux_Last_Event_Timestamp ) ) else Aux_Called_Execution_Working_Duration" />
							</outputValue>
						</map>
						<map>
							<trigger ref="Aux_Work_Duration_Cal"/>
							<outputValue>
								<singleValue expression="if ( fn:empty( Aux_Called_Execution_Working_Duration ) ) then xs:dayTimeDuration( fct:aggregate-duration-in-state( 'CLAIMED', State_History, Aux_Last_Event_Timestamp ) ) else Aux_Called_Execution_Working_Duration"/>
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="xs:dayTimeDuration('PT0S')"/>
						</defaultValue>
					</metric>
					<metric displayName="Aux Saved Waiting Duration" id="Aux_Saved_Waiting_Duration" type="xsd:duration">
						<description>A saved copy of the 'Waiting Duration' metric. It is used to adjust the aggregation at the process execution level when the waiting duration changes.</description>
						<map>
							<trigger ref="Aux_Save_Waiting_Duration" />
							<outputValue>
								<singleValue expression="Waiting_Duration" />
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="xs:dayTimeDuration('PT0S')" />
						</defaultValue>
					</metric>
					<metric displayName="Aux Saved Working Duration" id="Aux_Saved_Working_Duration" type="xsd:duration">
						<description>A saved copy of the 'Working Duration' metric. It is used to adjust the aggregation at the process execution level when the working duration changes.</description>
						<map>
							<trigger ref="Aux_Save_Working_Duration" />
							<outputValue>
								<singleValue expression="Working_Duration" />
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="xs:dayTimeDuration('PT0S')" />
						</defaultValue>
					</metric>
					<metric displayName="State" id="State" type="xsd:string" maxStringLength="256" valueRequired="true">
						<description>The current state of this process execution step.</description>
						<map>
							<outputValue>
								<singleValue expression="if ( ( fn:empty( State_Timestamp ) or Aux_Last_Event_Timestamp &gt;= State_Timestamp ) and fn:exists(Aux_Last_State_Reported) and fn:string-length(Aux_Last_State_Reported) &gt; 0 ) then Aux_Last_State_Reported else State" />
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="' '" />
						</defaultValue>
					</metric>
					<metric displayName="Aux Last Event Timestamp (xs format)" id="Aux_Last_Event_Timestamp_xs_format" type="xsd:string" maxStringLength="64">
						<description>The 'Aux Last Event Timestamp' metric in XML Schema data format.</description>
						<map>
							<outputValue>
								<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone(  Aux_Last_Event_Timestamp ) ) )"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Escalations" id="Escalations" type="xsd:integer">
						<description>The number of escalations of this process execution step (for steps that are human tasks).</description>
						<map>
							<outputValue>
								<singleValue expression="if ( State_Changed/eventPointData/bpc:BPCEventCode = '42050' ) then Escalations + 1 else Escalations" />
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="0" />
						</defaultValue>
					</metric>
					<metric displayName="Escalation History" id="Escalation_History" type="xsd:string" maxStringLength="4000">
						<description>The history of escalations of this process execution step (for steps that are human tasks).</description>
						<map>
							<outputValue>
								<singleValue expression="if ( State_Changed/eventPointData/bpc:BPCEventCode = '42050' ) then fn:substring( fn:concat( Aux_Last_Event_Timestamp_xs_format, '  ', State_Changed/escalationName, '&lt;br /&gt;', Escalation_History ), 1, 4000 ) else Escalation_History" />
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="''" />
						</defaultValue>
					</metric>
					<metric displayName="Qualified Name" id="Qualified_Name" type="xsd:string" valueRequired="true">
						<description>The name of this step, prefixed by the process definition identifier in brackets. It is redundant at the execution level, but provided for convenience and to enable grouping.</description>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:exists( State_Changed/eventPointData/bpc:activityTemplateName ) and Qualified_Name = ' ' ) then fn:concat( '[', ../../Identifier, '] ', State_Changed/eventPointData/bpc:activityTemplateName ) else Qualified_Name" />
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:exists( State_Changed_BPMN2/processExecuteStepLevelModel/mon:name ) and Qualified_Name = ' ' ) then fn:concat( '[', ../../Identifier, '] ', State_Changed_BPMN2/processExecuteStepLevelModel/mon:name ) else Qualified_Name"/>
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="' '" />
						</defaultValue>
					</metric>
					<metric displayName="Called Execution Identifier" id="Called_Execution_Identifier" type="xsd:string" maxStringLength="128">
						<description>The identifier of the process or task execution that was called (for invocation steps). 

The if-condition safeguards against audit events that contain the invocation (activity instance) identifier in the ECSParentId and---instead of the called process instance id---the calling process instance identifier in their ECSCurrentId</description>
						<map>
							<outputValue>
								<singleValue expression="if ( Called_Execution_Exists/baseData/wbi:eventHeaderData/wbi:ECSCurrentID != ../Identifier ) then Called_Execution_Exists/baseData/wbi:eventHeaderData/wbi:ECSCurrentID else Called_Execution_Identifier" />
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:concat(Called_Execution_Exists_BPMN2/processLevelModel/@mon:id,'.',Called_Execution_Exists_BPMN2/processLevelModel/@mon:version,'.',Called_Execution_Exists_BPMN2/processLevelModel/mon:instance/@mon:id) != ../Identifier ) then fn:concat(Called_Execution_Exists_BPMN2/processLevelModel/@mon:id,'.',Called_Execution_Exists_BPMN2/processLevelModel/@mon:version,'.',Called_Execution_Exists_BPMN2/processLevelModel/mon:instance/@mon:id) else Called_Execution_Identifier"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Aux Called Execution Waiting Duration" id="Aux_Called_Execution_Waiting_Duration" type="xsd:duration">
						<description>The waiting duration of the process or task execution that was called (for invoke steps).</description>
						<map>
							<outputValue>
								<singleValue expression="xs:dayTimeDuration( Aux_Receive_Called_Execution_Waiting_Duration/waitingDuration )" />
							</outputValue>
						</map>
					</metric>
					<metric displayName="Aux Called Execution Working Duration" id="Aux_Called_Execution_Working_Duration" type="xsd:duration">
						<description>The working duration of the process or task execution that was called (for invoke steps).</description>
						<map>
							<outputValue>
								<singleValue expression="xs:dayTimeDuration( Aux_Receive_Called_Execution_Working_Duration/workingDuration )" />
							</outputValue>
						</map>
					</metric>
					<metric displayName="Last Work Item Update" id="Last_Work_Item_Update" type="xsd:string">
						<description>The last work item update for this process execution step (for steps that are human tasks).</description>
						<map>
							<outputValue>
								<singleValue expression="if ( State_Changed/eventPointData/bpc:BPCEventCode = '42040' ) then fn:concat( 'WORK_ITEMS_CREATED for user: ', fct:add-to-list( '', wbm:serialize( State_Changed/username, '' ) ), ( if ( fn:exists(State_Changed/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason) ) then fn:concat('; role: ', fn:normalize-space( fn:substring( ../../Aux_User_Roles, 32 * xs:integer(State_Changed/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason), 32 ) ) ) else '' ) ) else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42039' ) then fn:concat( 'WORK_ITEMS_DELETED for user ', State_Changed/username, ( if ( fn:exists(State_Changed/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason) ) then fn:concat(  '; role: ', fn:normalize-space( fn:substring( ../../Aux_User_Roles, 32 * xs:integer(State_Changed/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason), 32 ) ) ) else '' ) ) else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42050' ) then 'ESCALATED' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42054' ) then 'WORK_ITEMS_REFRESHED' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42055' ) then fn:concat( 'WORK_ITEMS_TRANSFERRED from ', State_Changed/current_username, ' to ', State_Changed/target_username, ( if ( fn:exists(State_Changed/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason) ) then fn:concat( '; role: ', fn:normalize-space( fn:substring( ../../Aux_User_Roles, 32 * xs:integer(State_Changed/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason), 32 ) ) ) else '' ) ) else Last_Work_Item_Update
)
)
)
)" />
							</outputValue>
						</map>
					</metric>
					<metric displayName="Process Definition Identifier" id="Process_Definition_Identifier" type="xsd:string" valueRequired="true">
						<description>A copy of the process definition identifier. It is redundant at this level, but provided for convenience and to enable grouping by process during aggregations.</description>
						<map>
							<trigger ref="Aux_Started" />
							<outputValue>
								<singleValue expression="if (../Process_Definition_Identifier != ' ' ) then ../Process_Definition_Identifier else Process_Definition_Identifier" />
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="' '" />
						</defaultValue>
					</metric>
					<metric displayName="Process Definition Name" id="Process_Definition_Name" type="xsd:string" valueRequired="true">
						<description>A copy of the process definition name. It is redundant at the execution level, but provided for convenience and to enable grouping by process definition during aggregations.</description>
						<map>
							<trigger ref="Aux_Started" />
							<outputValue>
								<singleValue expression="if ( ../Process_Definition_Name != ' ') then ../Process_Definition_Name else Process_Definition_Name" />
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="' '" />
						</defaultValue>
					</metric>
					<metric displayName="Process Definition Version" id="Process_Definition_Version" type="xsd:string" valueRequired="true">
						<description>A copy of the process definition version. It is redundant at the execution level, but provided for convenience and to enable grouping by process definition during aggregations.</description>
						<map>
							<trigger ref="Aux_Started" />
							<outputValue>
								<singleValue expression="if ( ../Process_Definition_Version != ' ' ) then ../Process_Definition_Version else Process_Definition_Version" />
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="' '" />
						</defaultValue>
					</metric>
					<metric displayName="Aux Last Event Principal" id="Aux_Last_Event_Principal" type="xsd:string">
						<description>The principal associated with the last state-change event received in this monitoring context.</description>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:exists( State_Changed/eventPointData/bpc:principal ) ) then State_Changed/eventPointData/bpc:principal else ''" />
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:exists( State_Changed_BPMN2/principal ) ) then State_Changed_BPMN2/principal  else ''"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Aux Empty DateTime" id="Aux_Empty_DateTime" type="xsd:dateTime">
						<description>Auxiliary metric representing an empty xs:dateTime value.</description>
						<map>
							<trigger ref="Aux_Never" />
							<outputValue>
								<singleValue expression="Aux_Empty_DateTime" />
							</outputValue>
						</map>
					</metric>
					<metric displayName="State Timestamp (xs format)" id="State_Timestamp_xs_format" type="xsd:string" maxStringLength="64">
						<description>The 'State Timestamp' metric in XML Schema data format.</description>
						<map>
							<outputValue>
								<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( State_Timestamp ) ) )" />
							</outputValue>
						</map>
					</metric>
					<metric displayName="Fault Name" id="Fault_Name" type="xsd:string">
						<description>If this process execution step has failed, the name of the fault (if any was reported).</description>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:empty(Fault_Name) and fn:exists(State_Changed/eventPointDataIfFailure/bpc:eventExt/bpc:faultName) ) then fn:concat( '{', State_Changed/eventPointDataIfFailure/bpc:eventExt/bpc:faultNamespace, '}',State_Changed/eventPointDataIfFailure/bpc:eventExt/bpc:faultName ) else Fault_Name" />
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:empty(Fault_Name) and fn:exists(State_Changed_BPMN2/faultName ) ) then State_Changed_BPMN2/faultName else Fault_Name"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Fault Message" id="Fault_Message" type="xsd:string" maxStringLength="4000">
						<description>If this process execution step has failed, the fault message (if any was reported).</description>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:empty(Fault_Message) and fn:exists(State_Changed/eventPointDataIfFailure/bpc:activityFailedException) ) then fn:substring(State_Changed/eventPointDataIfFailure/bpc:activityFailedException, 1, 4000) else Fault_Message" />
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:empty(Fault_Message) and fn:exists(State_Changed_BPMN2/processExecuteStepLevelModel/mon:instance/mon:fault) ) then fn:substring(State_Changed_BPMN2/processExecuteStepLevelModel/mon:instance/mon:fault, 1, 4000) else Fault_Message"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Description" id="Description" type="xsd:string" maxStringLength="4000">
						<description>A description of this process execution step. </description>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:exists(State_Changed/eventPointData/bpc:activityInstanceDescription) and fn:string-length(State_Changed/eventPointData/bpc:activityInstanceDescription) &gt; 0 ) then fn:substring(State_Changed/eventPointData/bpc:activityInstanceDescription, 1, 4000) else Description" />
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:exists(State_Changed_BPMN2/processExecuteStepLevelModel/mon:documentation) and fn:string-length(State_Changed_BPMN2/processExecuteStepLevelModel/mon:documentation) &gt; 0 ) then fn:substring(State_Changed_BPMN2/processExecuteStepLevelModel/mon:documentation, 1, 4000) else Description"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Related Task Execution Identifier" id="Related_Task_Execution_Identifier" type="xsd:string" maxStringLength="128">
						<description>The unique identifier of a related human task execution (only for staff activities)</description>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:empty(Related_Task_Execution_Identifier) and fn:exists(State_Changed/eventPointData/bpc:activityExt/bpc:taskInstanceId) ) then State_Changed/eventPointData/bpc:activityExt/bpc:taskInstanceId else Related_Task_Execution_Identifier" />
							</outputValue>
						</map>
					</metric>
					<metric displayName="Step Definition Identifier" id="Step_Definition_Identifier" type="xsd:string" maxStringLength="128">
						<description>A unique identifier of this step's definition (unique within a process definition).</description>
						<map>
							<outputValue>
								<singleValue expression="State_Changed/eventPointData/bpc:bpelId "/>
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="State_Changed_BPMN2/processExecuteStepLevelModel/@mon:id "/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Waiting For Subtask Duration (xs format)" id="Waiting_For_Subtask_Duration_xs_format" type="xsd:string" maxStringLength="64">
						<description>The 'Waiting For Subtask Duration' metric in XML Schema data format.</description>
						<map>
							<outputValue>
								<singleValue expression="xs:string(Waiting_For_Subtask_Duration)"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Waiting For Subtask Duration" id="Waiting_For_Subtask_Duration" type="xsd:duration">
						<description>The aggregate duration for which this step execution has been waiting for subtasks to be completed.</description>
						<map>
							<trigger ref="Process_Execution_Step_Related_Task_Execution/Aux_Waiting_For_Subtask_Duration_Changed"/>
							<outputValue>
								<singleValue expression="Process_Execution_Step_Related_Task_Execution/Waiting_For_Subtask_Duration "/>
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="xs:dayTimeDuration('PT0S')"/>
						</defaultValue>
					</metric>
					<metric displayName="SystemId" id="SystemId" type="xsd:string">
						<map>
							<outputValue>
								<singleValue expression="if ( fn:exists(State_Changed/eventPointData/bpc:baseExt/bpc:systemId) ) then State_Changed/eventPointData/bpc:baseExt/bpc:systemId else SystemId"/>
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="if (fn:exists(State_Changed_BPMN2/systemId)) then State_Changed_BPMN2/systemId else SystemId"/>
							</outputValue>
						</map>
					</metric>
					<counter displayName="Subtasks" id="Subtasks" type="xsd:integer">
						<description>The number of subtasks of this process execution step (only applicable for staff activities or human task invocations).</description>
						<incrementedWhen ref="Process_Execution_Step_Related_Task_Execution/Aux_Nested_Subtask_Exists"/>
					</counter>
					<monitoringContext displayName="Process Execution State Step History" id="Process_Execution_Step_State_History">
						<description>Auxiliary monitoring context definition, to save a timestamped history of states of a process execution step.</description>
						<inboundEvent displayName="Aux Report State" id="Aux_Report_State" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="raiseException" rootElement="cbe:CommonBaseEvent">
							<description>Auxiliary inbound event reporting a state change of a process execution step. Note that the correlation predicate should always evaluate to false, which will cause a new instance to be created. Other comparisons in this predicate, however, are used to identify the new instance's parent context.</description>
							<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
							<eventPart displayName="principal" id="principal" path="cbe:CommonBaseEvent/evt:principal" type="xs:string"></eventPart>
							<eventPart displayName="processDefinitionIdentifier" id="processDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:processDefinitionIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="processExecutionIdentifier" id="processExecutionIdentifier" path="cbe:CommonBaseEvent/evt:processExecutionIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="processExecutionStepIdentifier" id="processExecutionStepIdentifier" path="cbe:CommonBaseEvent/evt:processExecutionStepIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="processExecutionStepState" id="processExecutionStepState" path="cbe:CommonBaseEvent/evt:processExecutionStepState" type="xs:string"></eventPart>
							<eventPart displayName="emptyString" id="emptyString" path="cbe:CommonBaseEvent/evt:emptyString" type="xs:string"></eventPart>
							<eventPart displayName="monitorModelId" id="monitorModelId" path="cbe:CommonBaseEvent/cbe:contextDataElements[@name='MonitoringModelID']/cbe:contextValue" type="xs:string"></eventPart>
							<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
							<correlationPredicate expression="Aux_Report_State/processDefinitionIdentifier = ../../../Identifier and Aux_Report_State/processExecutionIdentifier = ../../Identifier and Aux_Report_State/processExecutionStepIdentifier = ../Identifier and  xs:dateTime( fn:concat( '1900-01-01T00:00:00Z', Aux_Report_State/emptyString ) ) = Time"/>
							<filter expression="fn:exists ( Aux_Report_State/processExecutionStepState ) and Aux_Report_State/monitorModelId = fct:monitor-model-id()"></filter>
						</inboundEvent>
						<metric displayName="Time" id="Time" type="xsd:dateTime" isPartOfKey="true">
							<description>The time this state was entered.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_State/timestamp "></singleValue>
								</outputValue>
							</map>
						</metric>
						<metric displayName="State" id="State" type="xsd:string">
							<description>The state being recorded.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_State/processExecutionStepState"></singleValue>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Time (xs format)" id="Time_xs_format" type="xsd:string">
							<description>The 'Time' metric in XML Schema data format.</description>
							<map>
								<outputValue>
									<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Time ) ) )"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Principal" id="Principal" type="xsd:string">
							<description>The principal associated with this state change.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_State/principal"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="SystemId" id="SystemId" type="xsd:string">
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_State/SystemId"/>
								</outputValue>
							</map>
						</metric>
					</monitoringContext>
					<monitoringContext displayName="Process Execution Step Potential Owners History" id="Process_Execution_Step_Potential_Owners_History">
						<description>Auxiliary monitoring context definition, to save a timestamped history of potential owner updates of a process execution step.</description>
						<inboundEvent displayName="Aux Report Potential Owners" id="Aux_Report_Potential_Owners" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="raiseException" rootElement="cbe:CommonBaseEvent">
							<description>Auxiliary inbound event reporting an update of the potential owners of a process execution step. Note that the correlation predicate should always evaluate to false, which will cause a new instance to be created. Other comparisons in this predicate, however, are used to identify the new instance's parent context.</description>
							<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
							<eventPart displayName="principal" id="principal" path="cbe:CommonBaseEvent/evt:principal" type="xs:string"></eventPart>
							<eventPart displayName="processDefinitionIdentifier" id="processDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:processDefinitionIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="processExecutionIdentifier" id="processExecutionIdentifier" path="cbe:CommonBaseEvent/evt:processExecutionIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="processExecutionStepIdentifier" id="processExecutionStepIdentifier" path="cbe:CommonBaseEvent/evt:processExecutionStepIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="processExecutionStepPotentialOwners" id="processExecutionStepPotentialOwners" path="cbe:CommonBaseEvent/evt:processExecutionStepPotentialOwners" type="xs:string"></eventPart>
							<eventPart displayName="emptyString" id="emptyString" path="cbe:CommonBaseEvent/evt:emptyString" type="xs:string"></eventPart>
							<eventPart displayName="monitorModelId" id="monitorModelId" path="cbe:CommonBaseEvent/cbe:contextDataElements[@name='MonitoringModelID']/cbe:contextValue" type="xs:string"></eventPart>
							<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
							<correlationPredicate expression="Aux_Report_Potential_Owners/processDefinitionIdentifier = ../../../Identifier and Aux_Report_Potential_Owners/processExecutionIdentifier = ../../Identifier and Aux_Report_Potential_Owners/processExecutionStepIdentifier = ../Identifier and xs:dateTime( fn:concat( '1900-01-01T00:00:00Z', Aux_Report_Potential_Owners/emptyString ) ) = Time"/>
							<filter expression="fn:exists ( Aux_Report_Potential_Owners/processExecutionStepPotentialOwners ) and Aux_Report_Potential_Owners/monitorModelId = fct:monitor-model-id()"></filter>
						</inboundEvent>
						<metric displayName="Time" id="Time" type="xsd:dateTime" isPartOfKey="true">
							<description>The time of this update of potential owners.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_Potential_Owners/timestamp"></singleValue>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Potential Owners" id="Potential_Owners" type="xsd:string">
							<description>The update of the potential owners being recorded.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_Potential_Owners/processExecutionStepPotentialOwners"></singleValue>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Time (xs format)" id="Time_xs_format" type="xsd:string">
							<description>The 'Time' metric in XML Schema data format.</description>
							<map>
								<outputValue>
									<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Time ) ) )"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Principal" id="Principal" type="xsd:string">
							<description>The principal associated with this update of potential owners.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_Potential_Owners/principal"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="SystemId" id="SystemId" type="xsd:string">
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_Potential_Owners/SystemId"></singleValue>
								</outputValue>
							</map>
						</metric>
					</monitoringContext>
					<monitoringContext displayName="Process Execution Step Work Item Update History" id="Process_Execution_Step_Work_Item_Update_History">
						<description>Auxiliary monitoring context definition, to save a timestamped history of work item updates for a process execution step.</description>
						<inboundEvent displayName="Aux Report Work Item Update" id="Aux_Report_Work_Item_Update" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="raiseException" rootElement="cbe:CommonBaseEvent">
							<description>Auxiliary inbound event reporting a work item update for a process execution step. Note that the correlation predicate should always evaluate to false, which will cause a new instance to be created. Other comparisons in this predicate, however, are used to identify the new instance's parent context.</description>
							<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
							<eventPart displayName="principal" id="principal" path="cbe:CommonBaseEvent/evt:principal" type="xs:string"></eventPart>
							<eventPart displayName="processDefinitionIdentifier" id="processDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:processDefinitionIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="processExecutionIdentifier" id="processExecutionIdentifier" path="cbe:CommonBaseEvent/evt:processExecutionIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="processExecutionStepIdentifier" id="processExecutionStepIdentifier" path="cbe:CommonBaseEvent/evt:processExecutionStepIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="processExecutionStepWorkItemUpdate" id="processExecutionStepWorkItemUpdate" path="cbe:CommonBaseEvent/evt:processExecutionStepWorkItemUpdate" type="xs:string"></eventPart>
							<eventPart displayName="emptyString" id="emptyString" path="cbe:CommonBaseEvent/evt:emptyString" type="xs:string"></eventPart>
							<eventPart displayName="monitorModelId" id="monitorModelId" path="cbe:CommonBaseEvent/cbe:contextDataElements[@name='MonitoringModelID']/cbe:contextValue" type="xs:string"></eventPart>
							<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
							<correlationPredicate expression="Aux_Report_Work_Item_Update/processDefinitionIdentifier = ../../../Identifier and Aux_Report_Work_Item_Update/processExecutionIdentifier = ../../Identifier and Aux_Report_Work_Item_Update/processExecutionStepIdentifier = ../Identifier and  xs:dateTime( fn:concat( '1900-01-01T00:00:00Z', Aux_Report_Work_Item_Update/emptyString ) ) = Time"/>
							<filter expression="fn:exists ( Aux_Report_Work_Item_Update/processExecutionStepWorkItemUpdate ) and Aux_Report_Work_Item_Update/monitorModelId = fct:monitor-model-id()"></filter>
						</inboundEvent>
						<metric displayName="Time" id="Time" type="xsd:dateTime" isPartOfKey="true">
							<description>The time of this work item update.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_Work_Item_Update/timestamp"></singleValue>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Work Item Update" id="Work_Item_Update" type="xsd:string">
							<description>The work item update being recorded.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_Work_Item_Update/processExecutionStepWorkItemUpdate"></singleValue>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Time (xs format)" id="Time_xs_format" type="xsd:string">
							<description>The 'Time' metric in XML Schema data format.</description>
							<map>
								<outputValue>
									<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Time ) ) )"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Principal" id="Principal" type="xsd:string">
							<description>The principal associated with this work item update.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_Work_Item_Update/principal"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="SystemId" id="SystemId" type="xsd:string">
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_Work_Item_Update/SystemId "/>
								</outputValue>
							</map>
						</metric>
					</monitoringContext>
					<monitoringContext displayName="Process Execution Step Escalation History" id="Process_Execution_Step_Escalation_History">
						<description>Auxiliary monitoring context definition, to save a timestamped history of escalations of a process execution step.</description>
						<inboundEvent displayName="Aux Report Escalation" id="Aux_Report_Escalation" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="raiseException" rootElement="cbe:CommonBaseEvent">
							<description>Auxiliary inbound event reporting an escalation of a process execution step. Note that the correlation predicate should always evaluate to false, which will cause a new instance to be created. Other comparisons in this predicate, however, are used to identify the new instance's parent context.</description>
							<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
							<eventPart displayName="principal" id="principal" path="cbe:CommonBaseEvent/evt:principal" type="xs:string"></eventPart>
							<eventPart displayName="processDefinitionIdentifier" id="processDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:processDefinitionIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="processExecutionIdentifier" id="processExecutionIdentifier" path="cbe:CommonBaseEvent/evt:processExecutionIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="processExecutionStepIdentifier" id="processExecutionStepIdentifier" path="cbe:CommonBaseEvent/evt:processExecutionStepIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="processExecutionStepEscalation" id="processExecutionStepEscalation" path="cbe:CommonBaseEvent/evt:processExecutionStepEscalation" type="xs:string"></eventPart>
							<eventPart displayName="emptyString" id="emptyString" path="cbe:CommonBaseEvent/evt:emptyString" type="xs:string"></eventPart>
							<eventPart displayName="monitorModelId" id="monitorModelId" path="cbe:CommonBaseEvent/cbe:contextDataElements[@name='MonitoringModelID']/cbe:contextValue" type="xs:string"></eventPart>
							<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
							<correlationPredicate expression="Aux_Report_Escalation/processDefinitionIdentifier = ../../../Identifier and Aux_Report_Escalation/processExecutionIdentifier = ../../Identifier and Aux_Report_Escalation/processExecutionStepIdentifier = ../Identifier and xs:dateTime( fn:concat( '1900-01-01T00:00:00Z', Aux_Report_Escalation/emptyString ) ) = Time"/>
							<filter expression="fn:exists ( Aux_Report_Escalation/processExecutionStepEscalation ) and Aux_Report_Escalation/monitorModelId = fct:monitor-model-id()"></filter>
						</inboundEvent>
						<metric displayName="Time" id="Time" type="xsd:dateTime" isPartOfKey="true">
							<description>The time of this escalation.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_Escalation/timestamp"></singleValue>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Escalation" id="Escalation" type="xsd:string">
							<description>The name of the escalation being recorded.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_Escalation/processExecutionStepEscalation"></singleValue>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Time (xs format)" id="Time_xs_format" type="xsd:string">
							<description>The 'Time' metric in XML Schema data format.</description>
							<map>
								<outputValue>
									<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Time ) ) )"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Principal" id="Principal" type="xsd:string">
							<description>The principal associated with this escalation.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_Escalation/principal "></singleValue>
								</outputValue>
							</map>
						</metric>
						<metric displayName="SystemId" id="SystemId" type="xsd:string">
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_Escalation/SystemId"/>
								</outputValue>
							</map>
						</metric>
					</monitoringContext>
					<monitoringContext displayName="Process Execution Step Related Task Execution" id="Process_Execution_Step_Related_Task_Execution">
						<description>Monitoring context for a human task execution related to this process step (invoked task, and any subtasks).</description>
						<trigger displayName="Aux Created" id="Aux_Created" isRepeatable="false">
							<description>Auxiliary trigger, which fires once when this monitoring context is created.</description>
							<onEvent ref="Aux_Related_Task_Execution_Update"/>
						</trigger>
						<trigger displayName="Aux Nested Subtask Exists" id="Aux_Nested_Subtask_Exists" isRepeatable="false">
							<description>Auxiliary trigger, singalling that a nested subtask (nesting depth &gt; 0) was detected.</description>
							<onEvent ref="Aux_Related_Task_Execution_Update"/>
							<gatingCondition expression="Nesting_Depth &gt;= 1"/>
						</trigger>
						<trigger displayName="Aux Waiting For Subtask Duration Changed" id="Aux_Waiting_For_Subtask_Duration_Changed" isRepeatable="true">
							<description>Auxiliary trigger, indicating that the 'Waiting For Subtask Duration' metric has changed.</description>
							<onValueChange ref="Waiting_For_Subtask_Duration"/>
							<gatingCondition expression="Waiting_For_Subtask_Duration != Aux_Saved_Waiting_For_Subtask_Duration"/>
						</trigger>
						<trigger displayName="Aux Save Waiting For Subtask Duration" id="Aux_Save_Waiting_For_Subtask_Duration" isRepeatable="true">
							<description>Auxiliary trigger, which causes the 'Waiting For Subtask Duration' to be saved after all updates have been made.</description>
							<onTrigger ref="Aux_Waiting_For_Subtask_Duration_Changed"/>
						</trigger>
						<inboundEvent displayName="Aux Related Task Execution Update" id="Aux_Related_Task_Execution_Update" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
							<description>Event reporting an update of a related task execution (related to the step execution represented by the parent monitoring context).</description>
							<eventPart displayName="taskExecutionAuxStartTimesHierarchy" id="taskExecutionAuxStartTimesHierarchy" path="cbe:CommonBaseEvent/evt:taskExecutionAuxStartTimesHierarchy" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionDescription" id="taskExecutionDescription" path="cbe:CommonBaseEvent/evt:taskExecutionDescription" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionEscalations" id="taskExecutionEscalations" path="cbe:CommonBaseEvent/evt:taskExecutionEscalations" type="xs:integer"></eventPart>
							<eventPart displayName="taskExecutionFaultMessage" id="taskExecutionFaultMessage" path="cbe:CommonBaseEvent/evt:taskExecutionFaultMessage" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionFaultName" id="taskExecutionFaultName" path="cbe:CommonBaseEvent/evt:taskExecutionFaultName" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionID" id="taskExecutionID" path="cbe:CommonBaseEvent/evt:taskExecutionID" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionIdentifier" id="taskExecutionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionIndentedName" id="taskExecutionIndentedName" path="cbe:CommonBaseEvent/evt:taskExecutionIndentedName" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionName" id="taskExecutionName" path="cbe:CommonBaseEvent/evt:taskExecutionName" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionNestingDepth" id="taskExecutionNestingDepth" path="cbe:CommonBaseEvent/evt:taskExecutionNestingDepth" type="xs:integer"></eventPart>
							<eventPart displayName="taskExecutionOwner" id="taskExecutionOwner" path="cbe:CommonBaseEvent/evt:taskExecutionOwner" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionParentTaskIdentifier" id="taskExecutionParentTaskIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionParentTaskIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionPotentialOwners" id="taskExecutionPotentialOwners" path="cbe:CommonBaseEvent/evt:taskExecutionPotentialOwners" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionQualifiedName" id="taskExecutionQualifiedName" path="cbe:CommonBaseEvent/evt:taskExecutionQualifiedName" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionRelatedProcessDefinitionIdentifier" id="taskExecutionRelatedProcessDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedProcessDefinitionIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionRelatedProcessExecutionIdentifier" id="taskExecutionRelatedProcessExecutionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedProcessExecutionIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionRelatedStepDefinitionIdentifier" id="taskExecutionRelatedStepDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedStepDefinitionIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionRelatedStepExecutionIdentifier" id="taskExecutionRelatedStepExecutionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedStepExecutionIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionState" id="taskExecutionState" path="cbe:CommonBaseEvent/evt:taskExecutionState" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionStateHistory" id="taskExecutionStateHistory" path="cbe:CommonBaseEvent/evt:taskExecutionStateHistory" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionStateTimestamp" id="taskExecutionStateTimestamp" path="cbe:CommonBaseEvent/evt:taskExecutionStateTimestamp" type="xs:dateTime"></eventPart>
							<eventPart displayName="taskExecutionSubtasks" id="taskExecutionSubtasks" path="cbe:CommonBaseEvent/evt:taskExecutionSubtasks" type="xs:integer"></eventPart>
							<eventPart displayName="taskExecutionTaskDefinitionIdentifier" id="taskExecutionTaskDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionTaskDefinitionIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionTaskDefinitionName" id="taskExecutionTaskDefinitionName" path="cbe:CommonBaseEvent/evt:taskExecutionTaskDefinitionName" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionTaskInstanceName" id="taskExecutionTaskInstanceName" path="cbe:CommonBaseEvent/evt:taskExecutionTaskInstanceName" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionTimeEnded" id="taskExecutionTimeEnded" path="cbe:CommonBaseEvent/evt:taskExecutionTimeEnded" type="xs:dateTime"></eventPart>
							<eventPart displayName="taskExecutionTimeStarted" id="taskExecutionTimeStarted" path="cbe:CommonBaseEvent/evt:taskExecutionTimeStarted" type="xs:dateTime"></eventPart>
							<eventPart displayName="taskExecutionTotalDuration" id="taskExecutionTotalDuration" path="cbe:CommonBaseEvent/evt:taskExecutionTotalDuration" type="xs:duration"></eventPart>
							<eventPart displayName="taskExecutionWaitingDuration" id="taskExecutionWaitingDuration" path="cbe:CommonBaseEvent/evt:taskExecutionWaitingDuration" type="xs:duration"></eventPart>
							<eventPart displayName="taskExecutionWaitingForSubtaskDuration" id="taskExecutionWaitingForSubtaskDuration" path="cbe:CommonBaseEvent/evt:taskExecutionWaitingForSubtaskDuration" type="xs:duration"></eventPart>
							<eventPart displayName="taskExecutionWorkingDuration" id="taskExecutionWorkingDuration" path="cbe:CommonBaseEvent/evt:taskExecutionWorkingDuration" type="xs:duration"></eventPart>
							<eventPart displayName="monitorModelId" id="monitorModelId" path="cbe:CommonBaseEvent/cbe:contextDataElements[@name='MonitoringModelID']/cbe:contextValue" type="xs:string"></eventPart>
							<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
							<correlationPredicate expression="Aux_Related_Task_Execution_Update/taskExecutionRelatedProcessDefinitionIdentifier = ../../../Identifier and 
Aux_Related_Task_Execution_Update/taskExecutionRelatedProcessExecutionIdentifier = ../../Identifier and 
Aux_Related_Task_Execution_Update/taskExecutionRelatedStepExecutionIdentifier = ../Identifier and 
Aux_Related_Task_Execution_Update/taskExecutionIdentifier = Identifier"/>
							<filter expression="fn:exists(Aux_Related_Task_Execution_Update/taskExecutionQualifiedName) and Aux_Related_Task_Execution_Update/monitorModelId = fct:monitor-model-id()"/>
						</inboundEvent>
						<metric displayName="Total Duration" id="Total_Duration" type="xsd:duration">
							<description>The total duration of this task execution so far (the time since it started while it is in progress, and the total time from start to end after it has ended).</description>
							<map>
								<outputValue>
									<singleValue expression="xs:dayTimeDuration(Aux_Related_Task_Execution_Update/taskExecutionTotalDuration)"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Time Started" id="Time_Started" type="xsd:dateTime">
							<description>The timestamp of the earliest event received about this task execution. If its entry / start event is sent, it will be the time it came to life / started.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Related_Task_Execution_Update/taskExecutionTimeStarted"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Fault Name" id="Fault_Name" type="xsd:string">
							<description>If this task execution has failed, the name of the fault (if any was reported).</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Related_Task_Execution_Update/taskExecutionFaultName"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Time Ended" id="Time_Ended" type="xsd:dateTime">
							<description>The time when this task execution ended.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Related_Task_Execution_Update/taskExecutionTimeEnded"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Aux Start Times Hierarchy" id="Aux_Start_Times_Hierarchy" type="xsd:string" maxStringLength="2048">
							<description>The concatenation of the start-times of all ancestor task executions, from the top-level task execution down to this one. Used for sorting task executions in the dashboard view.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Related_Task_Execution_Update/taskExecutionAuxStartTimesHierarchy" />
								</outputValue>
							</map>
						</metric>
						<metric displayName="Waiting Duration" id="Waiting_Duration" type="xsd:duration">
							<description>The aggregate duration for which this task execution has been waiting to be claimed or for subtasks to be completed.</description>
							<map>
								<outputValue>
									<singleValue expression="xs:dayTimeDuration(Aux_Related_Task_Execution_Update/taskExecutionWaitingDuration)"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Escalations" id="Escalations" type="xsd:integer">
							<description>The number of escalations of this task execution.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Related_Task_Execution_Update/taskExecutionEscalations" />
								</outputValue>
							</map>
							<defaultValue>
								<singleValue expression="0" />
							</defaultValue>
						</metric>
						<metric displayName="Waiting For Subtask Duration" id="Waiting_For_Subtask_Duration" type="xsd:duration">
							<description>The aggregate duration for which this task execution has been waiting for subtasks to be completed.</description>
							<map>
								<outputValue>
									<singleValue expression="xs:dayTimeDuration(Aux_Related_Task_Execution_Update/taskExecutionWaitingForSubtaskDuration)"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Name" id="Name" type="xsd:string" valueRequired="true">
							<description>A human-readable name reported for this task execution.</description>
							<map>
								<outputValue>
									<singleValue expression="if ( fn:string-length(Aux_Related_Task_Execution_Update/taskExecutionName) &gt; 0 ) then Aux_Related_Task_Execution_Update/taskExecutionName else Name" />
								</outputValue>
							</map>
							<defaultValue>
								<singleValue expression="' '" />
							</defaultValue>
						</metric>
						<metric displayName="Potential Owners" id="Potential_Owners" type="xsd:string" maxStringLength="1024">
							<description>The users and/or groups eligible to claim this task execution.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Related_Task_Execution_Update/taskExecutionPotentialOwners" />
								</outputValue>
							</map>
							<defaultValue>
								<singleValue expression="''" />
							</defaultValue>
						</metric>
						<metric displayName="State History" id="State_History" type="xsd:string" maxStringLength="2048">
							<description>The state history of this task execution.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Related_Task_Execution_Update/taskExecutionStateHistory"/>
								</outputValue>
							</map>
							<defaultValue>
								<singleValue expression="''" />
							</defaultValue>
						</metric>
						<metric displayName="ID" id="ID" type="xsd:string" maxStringLength="128" valueRequired="true">
							<description>Same as Identifier</description>
							<map>
								<outputValue>
									<singleValue expression="if ( fn:string-length(Aux_Related_Task_Execution_Update/taskExecutionID) &gt; 0 ) then Aux_Related_Task_Execution_Update/taskExecutionID else ID" />
								</outputValue>
							</map>
							<defaultValue>
								<singleValue expression="' '" />
							</defaultValue>
						</metric>
						<metric displayName="Waiting Duration (xs format)" id="Waiting_Duration_full" type="xsd:string" maxStringLength="64">
							<description>The 'Waiting Duration' metric in XML Schema data format.</description>
							<map>
								<outputValue>
									<singleValue expression="xs:string(Waiting_Duration)" />
								</outputValue>
							</map>
						</metric>
						<metric displayName="Qualified Name" id="Qualified_Name" type="xsd:string" valueRequired="true">
							<description>A copy of the qualified name of the task definition. It is redundant at this level, but copied from the parent monitoring cotext for convenience and for use in sorting or aggregations.</description>
							<map>
								<outputValue>
									<singleValue expression="if ( fn:string-length(Aux_Related_Task_Execution_Update/taskExecutionQualifiedName) &gt; 0 ) then Aux_Related_Task_Execution_Update/taskExecutionQualifiedName else Qualified_Name" />
								</outputValue>
							</map>
							<defaultValue>
								<singleValue expression="' '" />
							</defaultValue>
						</metric>
						<metric displayName="Task Definition Name" id="Task_Definition_Name" type="xsd:string" valueRequired="true">
							<description>A copy of the task definition name. It is redundant here, but provided for convenience and to enable grouping by task definition during aggregations.</description>
							<map>
								<outputValue>
									<singleValue expression="if ( fn:string-length(Aux_Related_Task_Execution_Update/taskExecutionTaskDefinitionName) &gt; 0 ) then Aux_Related_Task_Execution_Update/taskExecutionTaskDefinitionName else Task_Definition_Name"/>
								</outputValue>
							</map>
							<defaultValue>
								<singleValue expression="' '" />
							</defaultValue>
						</metric>
						<metric displayName="Total Duration (xs format)" id="Total_Duration_xs" type="xsd:string" maxStringLength="64">
							<description>The 'Total Duration' metric in XML Schema data format.</description>
							<map>
								<outputValue>
									<singleValue expression="xs:string(Total_Duration)" />
								</outputValue>
							</map>
						</metric>
						<metric displayName="Task Instance Name" id="Task_Instance_Name" type="xsd:string">
							<description>The instance name reported for this task execution.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Related_Task_Execution_Update/taskExecutionTaskInstanceName"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Time Started (xs format)" id="Time_Started_xs_format" type="xsd:string" maxStringLength="64">
							<description>The 'Time Started' metric in XML Schema data format.</description>
							<map>
								<outputValue>
									<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Time_Started ) ) )" />
								</outputValue>
							</map>
						</metric>
						<metric displayName="State" id="State" type="xsd:string" maxStringLength="64" valueRequired="true">
							<description>The current state of this task execution.</description>
							<map>
								<outputValue>
									<singleValue expression="if ( fn:string-length(Aux_Related_Task_Execution_Update/taskExecutionState) &gt; 0 ) then Aux_Related_Task_Execution_Update/taskExecutionState else State"/>
								</outputValue>
							</map>
							<defaultValue>
								<singleValue expression="' '" />
							</defaultValue>
						</metric>
						<metric displayName="Description" id="Description" type="xsd:string" maxStringLength="2048">
							<description>A description of this task execution.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Related_Task_Execution_Update/taskExecutionDescription" />
								</outputValue>
							</map>
						</metric>
						<metric displayName="Working Duration" id="Working_Duration" type="xsd:duration">
							<description>The aggregate duration for which this task execution was claimed but not completed.</description>
							<map>
								<outputValue>
									<singleValue expression="xs:dayTimeDuration(Aux_Related_Task_Execution_Update/taskExecutionWorkingDuration)"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Identifier" id="Identifier" type="xsd:string" isPartOfKey="true" maxStringLength="128" valueRequired="false">
							<description>A unique identifier of this task execution.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Related_Task_Execution_Update/taskExecutionIdentifier" />
								</outputValue>
							</map>
						</metric>
						<metric displayName="State Timestamp" id="State_Timestamp" type="xsd:dateTime">
							<description>The timestamp of the last event used to set the 'State' metric. Also used to prevent unintended state changes back to earlier states when events arrive out-of-order.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Related_Task_Execution_Update/taskExecutionStateTimestamp"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Fault Message" id="Fault_Message" type="xsd:string" maxStringLength="4000">
							<description>If this task execution has failed, the fault message (if any was reported).</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Related_Task_Execution_Update/taskExecutionFaultMessage" />
								</outputValue>
							</map>
						</metric>
						<metric displayName="Nesting Depth" id="Nesting_Depth" type="xsd:integer" valueRequired="true">
							<description>The nesting depth of this task execution within a subtask hierarchy: 0 for a top-level task execution, 1 for a first-level subtask, and so on.</description>
							<map>
								<outputValue>
									<singleValue expression="if ( fn:exists(Aux_Related_Task_Execution_Update/taskExecutionNestingDepth) ) then Aux_Related_Task_Execution_Update/taskExecutionNestingDepth else Nesting_Depth" />
								</outputValue>
							</map>
							<defaultValue>
								<singleValue expression="0" />
							</defaultValue>
						</metric>
						<metric displayName="State Timestamp (xs format)" id="State_Timestamp_xs_format" type="xsd:string" maxStringLength="64">
							<description>The 'State Timestamp' metric in XML Schema data format.</description>
							<map>
								<outputValue>
									<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( State_Timestamp ) ) )" />
								</outputValue>
							</map>
						</metric>
						<metric displayName="Waiting For Subtask Duration (xs format)" id="Waiting_For_Subtask_Duration_xs_format" type="xsd:string" maxStringLength="64">
							<description>The 'Waiting For Subtask Duration' metric in XML Schema data format.</description>
							<map>
								<outputValue>
									<singleValue expression="xs:string(Waiting_For_Subtask_Duration)" />
								</outputValue>
							</map>
						</metric>
						<metric displayName="Working Duration (xs format)" id="Working_Duration_xs_format" type="xsd:string" maxStringLength="64">
							<description>The 'Working Duration' metric in XML Schema data format.</description>
							<map>
								<outputValue>
									<singleValue expression="xs:string(Working_Duration)" />
								</outputValue>
							</map>
						</metric>
						<metric displayName="Parent Task Identifier" id="Parent_Task_Identifier" type="xsd:string" maxStringLength="128">
							<description>If this task execution is a subtasks, the identifier of its parent task execution.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Related_Task_Execution_Update/taskExecutionParentTaskIdentifier" />
								</outputValue>
							</map>
						</metric>
						<metric displayName="Task Definition Identifier" id="Task_Definition_Identifier" type="xsd:string" valueRequired="true">
							<description>A copy of the task definition identifier. It is redundant at the execution level, but provided for convenience and to enable grouping.</description>
							<map>
								<outputValue>
									<singleValue expression="if ( fn:string-length(Aux_Related_Task_Execution_Update/taskExecutionTaskDefinitionIdentifier) &gt; 0 ) then Aux_Related_Task_Execution_Update/taskExecutionTaskDefinitionIdentifier else Task_Definition_Identifier"/>
								</outputValue>
							</map>
							<defaultValue>
								<singleValue expression="' '" />
							</defaultValue>
						</metric>
						<metric displayName="Time Ended (xs format)" id="Time_Ended_xs_format" type="xsd:string" maxStringLength="64">
							<description>The 'Time Ended' metric in XML Schema data format.</description>
							<map>
								<outputValue>
									<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Time_Ended ) ) )" />
								</outputValue>
							</map>
						</metric>
						<metric displayName="Owner" id="Owner" type="xsd:string" maxStringLength="256" valueRequired="true">
							<description>The user who has claimed this task execution.</description>
							<map>
								<outputValue>
									<singleValue expression="if ( fn:string-length(Aux_Related_Task_Execution_Update/taskExecutionOwner) &gt; 0 ) then Aux_Related_Task_Execution_Update/taskExecutionOwner else Owner" />
								</outputValue>
							</map>
							<defaultValue>
								<singleValue expression="' '" />
							</defaultValue>
						</metric>
						<metric displayName="Task Structure" id="Task_Structure" type="xsd:string">
							<description>The task name, indented according to the task's nesting depth:

Top Level
-- First Level
-- -- Second Level
etc.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Related_Task_Execution_Update/taskExecutionIndentedName" />
								</outputValue>
							</map>
						</metric>
						<metric displayName="Subtasks" id="Subtasks" type="xsd:integer">
							<description>The number of (direct) subtask executions of this task execution.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Related_Task_Execution_Update/taskExecutionSubtasks"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Process Definition Identifier" id="Process_Definition_Identifier" type="xsd:string" valueRequired="true">
							<description>The identifier of the process definition that gave rise to this task execution.</description>
							<map>
								<trigger ref="Aux_Created"/>
								<outputValue>
									<singleValue expression="if ( fn:string-length(../../../Identifier) &gt; 0 ) then ../../../Identifier else Process_Definition_Identifier"/>
								</outputValue>
							</map>
							<defaultValue>
								<singleValue expression="' '"/>
							</defaultValue>
						</metric>
						<metric displayName="Step Definition Qualified Name" id="Step_Definition_Qualified_Name" type="xsd:string" valueRequired="true">
							<description>The name of the process step initiating this task execution, prefixed by the process definition identifier in brackets.</description>
							<map>
								<trigger ref="Aux_Created"/>
								<outputValue>
									<singleValue expression="if ( fn:string-length(../Qualified_Name) &gt; 0 ) then ../Qualified_Name else Step_Definition_Qualified_Name"/>
								</outputValue>
							</map>
							<defaultValue>
								<singleValue expression="' '"/>
							</defaultValue>
						</metric>
						<metric displayName="Aux Saved Waiting For Subtask Duration" id="Aux_Saved_Waiting_For_Subtask_Duration" type="xsd:duration">
							<description>Saved copy of the 'Waiting For Subtask Duration' metric.</description>
							<map>
								<trigger ref="Aux_Save_Waiting_For_Subtask_Duration"/>
								<outputValue>
									<singleValue expression="Waiting_For_Subtask_Duration"/>
								</outputValue>
							</map>
							<defaultValue>
								<singleValue expression="xs:dayTimeDuration('PT0S')"/>
							</defaultValue>
						</metric>
						<metric displayName="SystemId" id="SystemId" type="xsd:string">
							<map>
								<outputValue>
									<singleValue expression="Aux_Related_Task_Execution_Update/SystemId"/>
								</outputValue>
							</map>
						</metric>
					</monitoringContext>
				</monitoringContext>
				<monitoringContext displayName="Process Execution Variable" id="Process_Execution_Variable">
					<description>Monitoring context for a variable used in a process execution.</description>
					<trigger displayName="Aux Value Changed Or Out-Of-Order" id="Aux_Value_Changed_Or_Out-Of-Order" isRepeatable="true">
						<description>Auxiliary trigger, which fires when the variable value reported is (1) the first value ever reported, or (2) different from the last value registered, or (3) earlier than the latest value registered (reported out-of-order). In each of these cases: the value and its timestamp are saved in the 'Aux Unformatted Value' and 'Aux Unformatted Value Timestamp' metrics respectively; the 'Value History' metric is updated; and a variable snapshot is reported via the 'Aux Report Variable Value' outbound event.</description>
						<onEvent ref="Accessed"></onEvent>
						<gatingCondition expression="fn:empty(Unformatted_Value_Timestamp) or Accessed/predefinedData/creationTime &lt; Unformatted_Value_Timestamp or fn:empty(Unformatted_Value) or fn:empty(Aux_Reported_Value) or Aux_Reported_Value != Unformatted_Value"></gatingCondition>
					</trigger>
					<trigger displayName="Aux Value Changed Or Out-Of-Order BPMN2" id="Aux_Value_Changed_Or_Out-Of-Order_BPMN2" isRepeatable="true">
						<description>Auxiliary trigger, which fires when the variable value reported is (1) the first value ever reported, or (2) different from the last value registered, or (3) earlier than the latest value registered (reported out-of-order). In each of these cases: the value and its timestamp are saved in the 'Aux Unformatted Value' and 'Aux Unformatted Value Timestamp' metrics respectively; the 'Value History' metric is updated; and a variable snapshot is reported via the 'Aux Report Variable Value' outbound event.</description>
						<onEvent ref="Accessed_BPMN2"></onEvent>
						<gatingCondition expression="fn:empty(Unformatted_Value_Timestamp) or Accessed_BPMN2/predefinedData/creationTime &lt; Unformatted_Value_Timestamp or fn:empty(Unformatted_Value) or fn:empty(Aux_Reported_Value) or Aux_Reported_Value != Unformatted_Value"></gatingCondition>
					</trigger>
					<trigger displayName="Aux Value Updated" id="Aux_Value_Updated" isRepeatable="true">
						<description>Auxiliary trigger, which fires when the variable value was updated.</description>
						<onTrigger ref="Aux_Value_Changed_Or_Out-Of-Order"/>
						<gatingCondition expression="fn:empty(Unformatted_Value_Timestamp) or Accessed/predefinedData/creationTime &gt;= Unformatted_Value_Timestamp"/>
					</trigger>
					<trigger displayName="Aux Value Updated BPMN2" id="Aux_Value_Updated_BPMN2" isRepeatable="true">
						<description>Auxiliary trigger, which fires when the variable value was updated.</description>
						<onTrigger ref="Aux_Value_Changed_Or_Out-Of-Order_BPMN2"/>
						<gatingCondition expression="fn:empty(Unformatted_Value_Timestamp) or Accessed_BPMN2/predefinedData/creationTime &gt;= Unformatted_Value_Timestamp"/>
					</trigger>
					<trigger displayName="Aux Detected" id="Aux_Detected" isRepeatable="false">
						<description>Auxiliary trigger, which fires just once when this monitoring context is initialized.</description>
						<onEvent ref="Accessed"/>
						<onEvent ref="Accessed_BPMN2"/>
					</trigger>
					<inboundEvent displayName="Accessed" id="Accessed" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
						<description>Event reporting that this process variable was accessed.</description>
						<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
						<eventPart displayName="baseData" id="baseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
						<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.VARIABLE.STATUS"></eventPart>
						<correlationPredicate expression="Accessed/eventPointData/bpc:processTemplateName = ../../Name and fct:logical-deployment-location( Accessed/server ) = ../../Deployed_At and Accessed/baseData/wbi:eventHeaderData/wbi:ECSCurrentID = ../Identifier and Accessed/eventPointData/bpc:bpelId = Identifier"/>
						<filter expression="fn:exists( Accessed/eventPointData/bpc:processTemplateName ) and fn:exists( Accessed/baseData/wbi:eventHeaderData/wbi:ECSCurrentID ) and fn:exists( Accessed/eventPointData/bpc:bpelId ) and Accessed/eventPointData/bpc:BPCEventCode = '21090'"/>
					</inboundEvent>
					<inboundEvent displayName="Accessed_BPMN2" id="Accessed_BPMN2" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
						<eventPart displayName="VariableName" id="VariableName" path="cbe:CommonBaseEvent/evt:variableName" type="xs:string"></eventPart>
				<eventPart displayName="ProcessDefinitionName" id="ProcessDefinitionName" path="cbe:CommonBaseEvent/evt:processDefinitionName" type="xs:string"></eventPart>
				<eventPart displayName="ProcessDefinitionIdentifier" id="ProcessDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:processDefinitionIdentifier" type="xs:string"></eventPart>
				<eventPart displayName="DeployAt" id="DeployAt" path="cbe:CommonBaseEvent/evt:deployAt" type="xs:string"></eventPart>
				<eventPart displayName="VariableID" id="VariableID" path="cbe:CommonBaseEvent/evt:variableID" type="xs:string"></eventPart>
				<eventPart displayName="VariableVersion" id="VariableVersion" path="cbe:CommonBaseEvent/evt:variableVersion" type="xs:string"></eventPart>
				<eventPart displayName="ProcessExecutionIdentifier" id="ProcessExecutionIdentifier" path="cbe:CommonBaseEvent/evt:processExecutionIdentifier" type="xs:string"></eventPart>
				<eventPart displayName="monitorModelID" id="monitorModelID" path="cbe:CommonBaseEvent/evt:monitorModelId" type="xs:string"></eventPart>
				<eventPart displayName="VariableValue" id="VariableValue" path="cbe:CommonBaseEvent/evt:variableValue" type="xs:string"></eventPart>
				<eventPart displayName="Principal" id="Principal" path="cbe:CommonBaseEvent/evt:principal" type="xs:string"></eventPart>
				<eventPart displayName="Timestamp" id="Timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
				<eventPart displayName="systemId" id="systemId" path="cbe:CommonBaseEvent/evt:systemId" type="xs:string"></eventPart>
				<correlationPredicate expression="fn:concat(Accessed_BPMN2/VariableID,'.', Accessed_BPMN2/VariableVersion) = Identifier and Accessed_BPMN2/ProcessDefinitionName  = ../../Name and fct:logical-deployment-location( Accessed_BPMN2/DeployAt) = ../../Deployed_At and Accessed_BPMN2/ProcessExecutionIdentifier  = ../Identifier "/>
				<filter expression="fn:exists(Accessed_BPMN2/VariableName) and Accessed_BPMN2/monitorModelID  = fct:monitor-model-id() and Accessed_BPMN2/VariableValue != ''"/>
					</inboundEvent>
					<outboundEvent displayName="Aux Report Variable Value" id="Aux_Report_Variable_Value" rootElement="cbe:CommonBaseEvent">
						<description>Event reporting a snapshot of the monitored process variable.</description>
						<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
						<eventPart displayName="principal" id="principal" path="cbe:CommonBaseEvent/evt:principal" type="xs:string"></eventPart>
						<eventPart displayName="processDefinitionIdentifier" id="processDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:processDefinitionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="processExecutionIdentifier" id="processExecutionIdentifier" path="cbe:CommonBaseEvent/evt:processExecutionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="processExecutionVariableIdentifier" id="processExecutionVariableIdentifier" path="cbe:CommonBaseEvent/evt:processExecutionVariableIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="processExecutionVariableName" id="processExecutionVariableName" path="cbe:CommonBaseEvent/evt:processExecutionVariableName" type="xs:string"></eventPart>
						<eventPart displayName="processExecutionVariableUnformattedValue" id="processExecutionVariableUnformattedValue" path="cbe:CommonBaseEvent/evt:processExecutionVariableUnformattedValue" type="xs:string"></eventPart>
						<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
						<map>
							<trigger ref="Aux_Value_Updated"/>
							<outputValue>
								<assignments>
									<assignment leftValue="Aux_Report_Variable_Value/timestamp" rightValue="Unformatted_Value_Timestamp"/>
									<assignment leftValue="Aux_Report_Variable_Value/processDefinitionIdentifier" rightValue="../../Identifier"/>
									<assignment leftValue="Aux_Report_Variable_Value/processExecutionIdentifier" rightValue="../Identifier"/>
									<assignment leftValue="Aux_Report_Variable_Value/processExecutionVariableIdentifier" rightValue="Identifier"/>
									<assignment leftValue="Aux_Report_Variable_Value/processExecutionVariableName" rightValue="Name"/>
									<assignment leftValue="Aux_Report_Variable_Value/processExecutionVariableUnformattedValue" rightValue="Unformatted_Value"/>
									<assignment leftValue="Aux_Report_Variable_Value/principal" rightValue="Accessed/eventPointData/bpc:principal "/>
									<assignment leftValue="Aux_Report_Variable_Value/SystemId" rightValue="SystemId"/>
								</assignments>
							</outputValue>
						</map>
					</outboundEvent>
					<outboundEvent displayName="Aux Report Variable Value BPMN2" id="Aux_Report_Variable_Value_BPMN2" rootElement="cbe:CommonBaseEvent">
						<description>Event reporting a snapshot of the monitored process variable.</description>
						<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
						<eventPart displayName="principal" id="principal" path="cbe:CommonBaseEvent/evt:principal" type="xs:string"></eventPart>
						<eventPart displayName="processDefinitionIdentifier" id="processDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:processDefinitionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="processExecutionIdentifier" id="processExecutionIdentifier" path="cbe:CommonBaseEvent/evt:processExecutionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="processExecutionVariableIdentifier" id="processExecutionVariableIdentifier" path="cbe:CommonBaseEvent/evt:processExecutionVariableIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="processExecutionVariableName" id="processExecutionVariableName" path="cbe:CommonBaseEvent/evt:processExecutionVariableName" type="xs:string"></eventPart>
						<eventPart displayName="processExecutionVariableUnformattedValue" id="processExecutionVariableUnformattedValue" path="cbe:CommonBaseEvent/evt:processExecutionVariableUnformattedValue" type="xs:string"></eventPart>
						<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
						<map>
							<trigger ref="Aux_Value_Updated_BPMN2"/>
							<outputValue>
								<assignments>
									<assignment leftValue="Aux_Report_Variable_Value_BPMN2/timestamp" rightValue="Unformatted_Value_Timestamp"/>
									<assignment leftValue="Aux_Report_Variable_Value_BPMN2/processDefinitionIdentifier" rightValue="../../Identifier"/>
									<assignment leftValue="Aux_Report_Variable_Value_BPMN2/processExecutionIdentifier" rightValue="../Identifier"/>
									<assignment leftValue="Aux_Report_Variable_Value_BPMN2/processExecutionVariableIdentifier" rightValue="Identifier"/>
									<assignment leftValue="Aux_Report_Variable_Value_BPMN2/processExecutionVariableName" rightValue="Name"/>
									<assignment leftValue="Aux_Report_Variable_Value_BPMN2/processExecutionVariableUnformattedValue" rightValue="Unformatted_Value"/>
									<assignment leftValue="Aux_Report_Variable_Value_BPMN2/principal" rightValue="Accessed_BPMN2/Principal "/>
									<assignment leftValue="Aux_Report_Variable_Value_BPMN2/SystemId" rightValue="SystemId"/>
								</assignments>
							</outputValue>
						</map>
					</outboundEvent>
					<metric displayName="Identifier" id="Identifier" type="xsd:string" isPartOfKey="true" maxStringLength="256">
						<description>A unique identifier of this variable (more precisely, a variable definition identifier, which distinguishes it from other variables defined in the same process). Note that distinguishing instances of scope variables, of which more than one exist when their scope is instantiated several times, is a yet unresolved problem.</description>
						<map>
							<outputValue>
								<singleValue expression="Accessed/eventPointData/bpc:bpelId"/>
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="fn:concat(Accessed_BPMN2/VariableID,'.', Accessed_BPMN2/VariableVersion)"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Name" id="Name" type="xsd:string" maxStringLength="256">
						<description>The name of the process variable being monitored.</description>
						<map>
							<outputValue>
								<singleValue expression="Accessed/eventPointData/bpc:variableName"/>
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="Accessed_BPMN2/VariableName "/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Unformatted Value" id="Unformatted_Value" type="xsd:string" maxStringLength="4000">
						<description>The last &quot;new&quot; or &quot;out-of-order&quot; variable value reported (including all XML wrappers).</description>
						<map>
							<trigger ref="Aux_Value_Changed_Or_Out-Of-Order"></trigger>
							<outputValue>
								<singleValue expression="Aux_Reported_Value"/>
							</outputValue>
						</map>
						<map>
							<trigger ref="Aux_Value_Changed_Or_Out-Of-Order_BPMN2"/>
							<outputValue>
								<singleValue expression="Aux_Reported_Value"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Value History" id="Value_History" type="xsd:string" maxStringLength="4000">
						<description>The history of variable values.</description>
						<map>
							<trigger ref="Aux_Value_Changed_Or_Out-Of-Order"></trigger>
							<outputValue>
								<singleValue expression="fn:substring( fn:concat( fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Unformatted_Value_Timestamp ) ) ), '  ', fct:convert-indenting-blanks( wbm:escape-special-characters( fct:remove-content-wrapper( Unformatted_Value ) ) ), '&lt;br/&gt;', Value_History ), 1, 4000)"/>
							</outputValue>
						</map>
						<map>
							<trigger ref="Aux_Value_Changed_Or_Out-Of-Order_BPMN2"></trigger>
							<outputValue>
								<singleValue expression="fn:substring( fn:concat( fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Unformatted_Value_Timestamp ) ) ), '  ', fct:convert-indenting-blanks( wbm:escape-special-characters( fct:remove-content-wrapper( Unformatted_Value ) ) ), '&lt;br/&gt;', Value_History ), 1, 4000)"/>
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="''"/>
						</defaultValue>
					</metric>
					<metric displayName="Unformatted Value Timestamp" id="Unformatted_Value_Timestamp" type="xsd:dateTime">
						<description>The timestamp of the last &quot;new&quot; or &quot;out-of-order&quot; variable value reported. Used in the auxiliary event reporting the value change.</description>
						<map>
							<trigger ref="Aux_Value_Changed_Or_Out-Of-Order"></trigger>
							<outputValue>
								<singleValue expression="Accessed/predefinedData/creationTime"/>
							</outputValue>
						</map>
						<map>
							<trigger ref="Aux_Value_Changed_Or_Out-Of-Order_BPMN2"/>
							<outputValue>
								<singleValue expression="Accessed_BPMN2/Timestamp "/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Value" id="Value" type="xsd:string" maxStringLength="4000">
						<description>The latest variable value, after stripping off any wrappers.</description>
						<map>
							<trigger ref="Aux_Value_Changed_Or_Out-Of-Order"></trigger>
							<outputValue>
								<singleValue expression="if ( fn:empty(Value_Timestamp) or Value_Timestamp &lt;= Unformatted_Value_Timestamp ) then fn:substring( fct:convert-indenting-blanks( wbm:escape-special-characters( fct:remove-content-wrapper( Unformatted_Value ) ) ), 1, 4000 ) else Value"/>
							</outputValue>
						</map>
						<map>
							<trigger ref="Aux_Value_Changed_Or_Out-Of-Order_BPMN2"/>
							<outputValue>
								<singleValue expression="if ( fn:empty(Value_Timestamp) or Value_Timestamp &lt;= Unformatted_Value_Timestamp ) then fn:substring( fct:convert-indenting-blanks( wbm:escape-special-characters( fct:remove-content-wrapper( Unformatted_Value ) ) ), 1, 4000 ) else Value"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Qualified Name" id="Qualified_Name" type="xsd:string" valueRequired="true">
						<description>The name of the process variable being monitored, prefixed by the process definition identifier in brackets.</description>
						<map>
							<outputValue>
								<singleValue expression="fn:concat( '[', ../../Identifier, '] ', Accessed/eventPointData/bpc:variableName )"/>
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="fn:concat( '[', ../../Identifier, '] ', Accessed_BPMN2/VariableName)"/>
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="' '"/>
						</defaultValue>
					</metric>
					<metric displayName="Aux Reported Value" id="Aux_Reported_Value" type="xsd:string" maxStringLength="4000">
						<description>Auxiliary metric, holding the unformatted value reported by the last event received.</description>
						<map>
							<outputValue>
								<singleValue expression="fn:substring( wbm:serialize ( Accessed/baseData/wbi:applicationData/wbi:content, ''),1,4000 )"/>
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="fn:substring( wbm:serialize (  Accessed_BPMN2/VariableValue, ''),1,4000 )"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Value Timestamp" id="Value_Timestamp" type="xsd:dateTime">
						<description>The timestamp of the currently shown variable value.</description>
						<map>
							<trigger ref="Aux_Value_Changed_Or_Out-Of-Order"/>
							<outputValue>
								<singleValue expression="if ( fn:empty(Value_Timestamp) or Value_Timestamp &lt;= Unformatted_Value_Timestamp ) then Unformatted_Value_Timestamp else Value_Timestamp"/>
							</outputValue>
						</map>
						<map>
							<trigger ref="Aux_Value_Changed_Or_Out-Of-Order_BPMN2"></trigger>
							<outputValue>
								<singleValue expression="if ( fn:empty(Value_Timestamp) or Value_Timestamp &lt;= Unformatted_Value_Timestamp ) then Unformatted_Value_Timestamp else Value_Timestamp"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Value Timestamp (xs format)" id="Value_Timestamp_xs_format" type="xsd:string">
						<description>The 'Value Timestamp' metric in XML Schema data format.</description>
						<map>
							<outputValue>
								<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Value_Timestamp ) ) )"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="SystemId" id="SystemId" type="xsd:string">
						<map>
							<outputValue>
								<singleValue expression="if ( fn:exists(Accessed/eventPointData/bpc:baseExt/bpc:systemId) ) then Accessed/eventPointData/bpc:baseExt/bpc:systemId else SystemId" />
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="if (fn:exists(Accessed_BPMN2/systemId)) then Accessed_BPMN2/systemId else SystemId" />
							</outputValue>
						</map>
					</metric>
					<counter displayName="Historical Values" id="Historical_Values" type="xsd:integer">
						<description>The number of historical values on record (size of the value history).</description>
						<incrementedWhen ref="Process_Execution_Variable_Value_History/Aux_Report_Variable_Value"/>
					</counter>
					<monitoringContext displayName="Value History" id="Process_Execution_Variable_Value_History">
						<description>Auxiliary monitoring context definition, to save a timestamped value (snapshot) of a process variable.</description>
						<inboundEvent displayName="Aux Report Variable Value" id="Aux_Report_Variable_Value" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="raiseException" rootElement="cbe:CommonBaseEvent">
							<description>Auxiliary inbound event reporting a snapthot of a process variable. Note that the correlation predicate should always evaluate to false, which will cause a new instance to be created. Other comparisons in this predicate, however, are used to identify the new instance's parent context.</description>
							<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
							<eventPart displayName="principal" id="principal" path="cbe:CommonBaseEvent/evt:principal" type="xs:string"></eventPart>
							<eventPart displayName="processDefinitionIdentifier" id="processDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:processDefinitionIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="processExecutionIdentifier" id="processExecutionIdentifier" path="cbe:CommonBaseEvent/evt:processExecutionIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="processExecutionVariableIdentifier" id="processExecutionVariableIdentifier" path="cbe:CommonBaseEvent/evt:processExecutionVariableIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="processExecutionVariableName" id="processExecutionVariableName" path="cbe:CommonBaseEvent/evt:processExecutionVariableName" type="xs:string"></eventPart>
							<eventPart displayName="processExecutionVariableUnformattedValue" id="processExecutionVariableUnformattedValue" path="cbe:CommonBaseEvent/evt:processExecutionVariableUnformattedValue" type="xs:string"></eventPart>
							<eventPart displayName="emptyString" id="emptyString" path="cbe:CommonBaseEvent/evt:emptyString" type="xs:string"></eventPart>
							<eventPart displayName="monitorModelId" id="monitorModelId" path="cbe:CommonBaseEvent/cbe:contextDataElements[@name='MonitoringModelID']/cbe:contextValue" type="xs:string"></eventPart>
							<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
							<correlationPredicate expression="Aux_Report_Variable_Value/processDefinitionIdentifier = ../../../Identifier and Aux_Report_Variable_Value/processExecutionIdentifier = ../../Identifier and Aux_Report_Variable_Value/processExecutionVariableIdentifier = ../Identifier and xs:dateTime( fn:concat( '1900-01-01T00:00:00Z', Aux_Report_Variable_Value/emptyString ) ) = Time"/>
							<filter expression="fn:exists ( Aux_Report_Variable_Value/processExecutionVariableUnformattedValue ) and Aux_Report_Variable_Value/monitorModelId = fct:monitor-model-id()"/>
						</inboundEvent>
						<metric displayName="Time" id="Time" type="xsd:dateTime" isPartOfKey="true">
							<description>The time of this process variable snapshot.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_Variable_Value/timestamp"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Value" id="Value" type="xsd:string" maxStringLength="4000">
							<description>A snapshot of a process variable value, after stripping off any wrappers.</description>
							<map>
								<outputValue>
									<singleValue expression="fn:substring( fct:convert-indenting-blanks( wbm:escape-special-characters( fct:remove-content-wrapper( Unformatted_Value ) ) ), 1, 4000 )"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Unformatted Value" id="Unformatted_Value" type="xsd:string" maxStringLength="4000">
							<description>A snapshot of a process variable value.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_Variable_Value/processExecutionVariableUnformattedValue"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Name" id="Name" type="xsd:string">
							<description>The name of the process variable being monitored.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_Variable_Value/processExecutionVariableName"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Time (xs format)" id="Time_xs_format" type="xsd:string">
							<description>The 'Time' metric in XML Schema data format.</description>
							<map>
								<outputValue>
									<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Time ) ) )"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Principal" id="Principal" type="xsd:string">
							<description>The principal associated with this variable value update.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_Variable_Value/principal"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="SystemId" id="SystemId" type="xsd:string">
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_Variable_Value/SystemId"/>
								</outputValue>
							</map>
						</metric>
					</monitoringContext>
				</monitoringContext>
				<monitoringContext displayName="Process Execution State History" id="Process_Execution_State_History">
					<description>Auxiliary monitoring context definition, to save a timestamped history of states of a process execution.</description>
					<inboundEvent displayName="Aux Report State" id="Aux_Report_State" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="raiseException" rootElement="cbe:CommonBaseEvent">
						<description>Auxiliary inbound event reporting a state change of a process execution. Note that the correlation predicate should always evaluate to false, which will cause a new instance to be created. Other comparisons in this predicate, however, are used to identify the new instance's parent context.</description>
						<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
						<eventPart displayName="principal" id="principal" path="cbe:CommonBaseEvent/evt:principal" type="xs:string"></eventPart>
						<eventPart displayName="processDefinitionIdentifier" id="processDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:processDefinitionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="processExecutionIdentifier" id="processExecutionIdentifier" path="cbe:CommonBaseEvent/evt:processExecutionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="processExecutionState" id="processExecutionState" path="cbe:CommonBaseEvent/evt:processExecutionState" type="xs:string"></eventPart>
						<eventPart displayName="emptyString" id="emptyString" path="cbe:CommonBaseEvent/evt:emptyString" type="xs:string"></eventPart>
						<eventPart displayName="monitorModelId" id="monitorModelId" path="cbe:CommonBaseEvent/cbe:contextDataElements[@name='MonitoringModelID']/cbe:contextValue" type="xs:string"></eventPart>
						<eventPart displayName="systemId" id="systemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
						<correlationPredicate expression="Aux_Report_State/processDefinitionIdentifier = ../../Identifier and Aux_Report_State/processExecutionIdentifier = ../Identifier and xs:dateTime( fn:concat( '1900-01-01T00:00:00Z', Aux_Report_State/emptyString ) ) = Time"/>
						<filter expression="fn:exists ( Aux_Report_State/processExecutionState ) and Aux_Report_State/monitorModelId = fct:monitor-model-id()"/>
					</inboundEvent>
					<metric displayName="Time" id="Time" type="xsd:dateTime" isPartOfKey="true">
						<description>The time this process exectuion state was entered.</description>
						<map>
							<outputValue>
								<singleValue expression="Aux_Report_State/timestamp"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="State" id="State" type="xsd:string">
						<description>The process execution state being recorded.</description>
						<map>
							<outputValue>
								<singleValue expression="Aux_Report_State/processExecutionState "/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Time (xs format)" id="Time_xs_format" type="xsd:string">
						<description>The 'Time' metric in XML Schema data format.</description>
						<map>
							<outputValue>
								<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Time ) ) )"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Principal" id="Principal" type="xsd:string">
						<description>The principal associated with this process execution state change.</description>
						<map>
							<outputValue>
								<singleValue expression="Aux_Report_State/principal "/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="SystemId" id="SystemId" type="xsd:string">
						<map>
							<outputValue>
								<singleValue expression="if (fn:exists(Aux_Report_State/systemId)) then Aux_Report_State/systemId else SystemId"/>
							</outputValue>
						</map>
					</metric>
				</monitoringContext>
				<monitoringContext displayName="Process Execution Event" id="Process_Execution_Event">
					<description>Monitoring context recording an event received by a process execution.</description>
					<inboundEvent displayName="Process Event Received" id="Process_Event_Received" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="ignore" rootElement="cbe:CommonBaseEvent">
						<description>Event reporting that an event was received by the process execution that is monitored by the parent context.</description>
						<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
						<eventPart displayName="baseData" id="baseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
						<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.PROCESS.EVENT"></eventPart>
						<correlationPredicate expression="Process_Event_Received/eventPointData/bpc:processTemplateName = ../../Name and fct:logical-deployment-location( Process_Event_Received/server ) = ../../Deployed_At and Process_Event_Received/baseData/wbi:eventHeaderData/wbi:ECSCurrentID = ../Identifier and Process_Event_Received/predefinedData/creationTime = Time_Received"/>
						<filter expression="fn:exists( Process_Event_Received/eventPointData/bpc:processTemplateName ) and fn:exists( Process_Event_Received/baseData/wbi:eventHeaderData/wbi:ECSCurrentID ) and Process_Event_Received/eventPointData/bpc:BPCEventCode = '42047'"/>
					</inboundEvent>
					<inboundEvent displayName="Scope Event Received" id="Scope_Event_Received" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="ignore" rootElement="cbe:CommonBaseEvent">
						<description>Event reporting that an event was received by a scope within the process execution that is monitored by the parent context.</description>
						<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
						<eventPart displayName="baseData" id="baseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
						<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.EVENT"></eventPart>
						<correlationPredicate expression="Scope_Event_Received/eventPointData/bpc:processTemplateName = ../../Name and fct:logical-deployment-location( Scope_Event_Received/server ) = ../../Deployed_At and Scope_Event_Received/baseData/wbi:eventHeaderData/wbi:ECSParentID = ../Identifier and Scope_Event_Received/predefinedData/creationTime = Time_Received"/>
						<filter expression="fn:exists( Scope_Event_Received/eventPointData/bpc:processTemplateName ) and fn:exists( Scope_Event_Received/baseData/wbi:eventHeaderData/wbi:ECSParentID ) and Scope_Event_Received/eventPointData/bpc:BPCEventCode = '42048'"/>
					</inboundEvent>
					<inboundEvent displayName="Message Event BPMN2" id="Message_Event_BPMN2" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="ignore" rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData" type="mon:eventPointData"></eventPart>
				<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
				<eventPart displayName="processLevelModel" id="processLevelModel" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[@mon:type='bpmn:process']" type="mon:model"></eventPart>
				<eventPart displayName="EventKind" id="EventKind" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:kind" type="xs:string"></eventPart>
				<eventPart displayName="CurrentModel" id="CurrentModel" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[1]" type="mon:model"></eventPart>
				<eventPart displayName="CurrentModelType" id="CurrentModelType" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[1]/@mon:type" type="xs:string"></eventPart>
				<eventPart displayName="baseData" id="baseData" path="cbe:CommonBaseEvent/mon:monitorEvent" type="mon:monitorEvent"></eventPart>
				<eventPart displayName="systemId" id="systemId" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:source/ibm:system/@ibm:systemID" type="xs:string"></eventPart>
				<correlationPredicate expression="Message_Event_BPMN2/eventPointData/mon:time = Time_Received and Message_Event_BPMN2/processLevelModel/mon:instance/@mon:id = ../Identifier and Message_Event_BPMN2/processLevelModel/mon:name = ../../Name and fct:logical-deployment-location(Message_Event_BPMN2/server) = ../../Deployed_At "/>
				<filter expression="fn:exists(Message_Event_BPMN2/eventPointData/mon:kind) and ( Message_Event_BPMN2/CurrentModelType = 'bpmn:messageEvent' or Message_Event_BPMN2/CurrentModelType = 'bpmn:receiveTask')"/>
				</inboundEvent>
					<metric displayName="Time Received" id="Time_Received" type="xsd:dateTime" isPartOfKey="true">
						<description>The timestamp of the audit event reporting the receipt of a process event.</description>
						<map>
							<outputValue>
								<singleValue expression="Process_Event_Received/predefinedData/creationTime "/>
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="Scope_Event_Received/predefinedData/creationTime "/>
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="Message_Event_BPMN2/eventPointData/mon:time "/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Message" id="Message" type="xsd:string" maxStringLength="4000">
						<description>The message carried by the process event.</description>
						<map>
							<outputValue>
								<singleValue expression="fn:substring( fct:convert-indenting-blanks( wbm:escape-special-characters( fct:remove-content-wrapper( Aux_Unformatted_Message ) ) ), 1, 4000 )"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Operation Name" id="Operation_Name" type="xsd:string">
						<description>The name of the operation that received the process event.</description>
						<map>
							<outputValue>
								<singleValue expression="Process_Event_Received/eventPointData/bpc:operation"/>
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="Scope_Event_Received/eventPointData/bpc:operation"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Porttype Namespace" id="Porttype_Namespace" type="xsd:string">
						<description>The port type namespace name of the operation that received the process event.</description>
						<map>
							<outputValue>
								<singleValue expression="Process_Event_Received/eventPointData/bpc:portTypeNamespace"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Porttype Name" id="Porttype_Name" type="xsd:string">
						<description>The port type name of the operation that received the process event.</description>
						<map>
							<outputValue>
								<singleValue expression="Process_Event_Received/eventPointData/bpc:portTypeName"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Aux Unformatted Message" id="Aux_Unformatted_Message" type="xsd:string" maxStringLength="4000">
						<description>The message carried by the process event (including all XML wrappers).</description>
						<map>
							<outputValue>
								<singleValue expression="fn:substring( wbm:serialize ( Process_Event_Received/baseData/wbi:applicationData/wbi:content, ''),1,4000 )"/>
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="fn:substring( wbm:serialize (  Message_Event_BPMN2/baseData/mon:applicationData/wbi:content, ''),1,4000 )"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Principal" id="Principal" type="xsd:string">
						<description>The principal associated with the process event.</description>
						<map>
							<outputValue>
								<singleValue expression="Process_Event_Received/eventPointData/bpc:principal "/>
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="Scope_Event_Received/eventPointData/bpc:principal "/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Receiving Scope Name" id="Receiving_Scope_Name" type="xsd:string">
						<description>The name of the scope, one of whose event handlers received the event.</description>
						<map>
							<outputValue>
								<singleValue expression="Scope_Event_Received/eventPointData/bpc:activityTemplateName"/>
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="''"/>
						</defaultValue>
					</metric>
					<metric displayName="Time Received (xs format)" id="Time_Received_xs_format" type="xsd:string" maxStringLength="64">
						<description>The 'Time Received' metric in XML Schema data format.</description>
						<map>
							<outputValue>
								<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Time_Received ) ) )"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="SystemId" id="SystemId" type="xsd:string">
						<map>
							<outputValue>
								<singleValue expression="if ( fn:exists(Process_Event_Received/eventPointData/bpc:baseExt/bpc:systemId) ) then Process_Event_Received/eventPointData/bpc:baseExt/bpc:systemId else SystemId"/>
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:exists(Scope_Event_Received/eventPointData/bpc:baseExt/bpc:systemId) ) then Scope_Event_Received/eventPointData/bpc:baseExt/bpc:systemId else SystemId"/>
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="if (fn:exists(Message_Event_BPMN2/systemId)) then Message_Event_BPMN2/systemId else SystemId"/>
							</outputValue>
						</map>
					</metric>
				</monitoringContext>
				<monitoringContext displayName="Process Execution Migration" id="Process_Execution_Migration">
					<description>Monitoring context for a process execution migration.</description>
					<inboundEvent displayName="Started" id="Started" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
						<description>An event reporting the beginning of a process execution migration.</description>
						<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
						<eventPart displayName="baseData" id="baseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
						<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.PROCESS.BASE"></eventPart>
						<eventPart displayName="migrateToPTID" id="migrateToPTID" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/bpc:migrateToPTID" type="xs:string"></eventPart>
						<eventPart displayName="migrateToValidFrom" id="migrateToValidFrom" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/bpc:migrateToValidFrom" type="xs:string"></eventPart>
						<correlationPredicate expression="Started/eventPointData/bpc:processTemplateName = ../../Name and fct:logical-deployment-location( Started/server ) = ../../Deployed_At and Started/baseData/wbi:eventHeaderData/wbi:ECSCurrentID = ../Identifier and Started/eventPointData/bpc:processTemplateId = Process_Definition_Identifier_Migrated_From and Started/migrateToPTID = Process_Definition_Identifier_Migrated_To"/>
						<filter expression="fn:exists( Started/eventPointData/bpc:processTemplateName ) and fn:exists( Started/eventPointData/bpc:processTemplateValidFrom ) and fn:exists( Started/baseData/wbi:eventHeaderData/wbi:ECSCurrentID ) and fn:exists( Started/eventPointData/bpc:processTemplateId ) and fn:exists( Started/migrateToPTID ) and Started/eventPointData/bpc:BPCEventCode = '42080'"/>
					</inboundEvent>
					<inboundEvent displayName="Completed" id="Completed" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
						<description>An event reporting the completion of a process execution migration.</description>
						<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
						<eventPart displayName="baseData" id="baseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
						<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.PROCESS.BASE"></eventPart>
						<eventPart displayName="migratedFromPTID" id="migratedFromPTID" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/bpc:migratedFromPTID" type="xs:string"></eventPart>
						<eventPart displayName="migratedFromValidFrom" id="migratedFromValidFrom" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/bpc:migratedFromValidFrom" type="xs:string"></eventPart>
						<correlationPredicate expression="Completed/eventPointData/bpc:processTemplateName = ../../Name and fct:logical-deployment-location( Completed/server ) = ../../Deployed_At and Completed/baseData/wbi:eventHeaderData/wbi:ECSCurrentID = ../Identifier and Completed/migratedFromPTID = Process_Definition_Identifier_Migrated_From and Completed/eventPointData/bpc:processTemplateId = Process_Definition_Identifier_Migrated_To"/>
						<filter expression="fn:exists( Completed/eventPointData/bpc:processTemplateName ) and fn:exists( Completed/baseData/wbi:eventHeaderData/wbi:ECSCurrentID ) and fn:exists( Completed/migratedFromPTID ) and fn:exists( Completed/eventPointData/bpc:processTemplateId ) and Completed/eventPointData/bpc:BPCEventCode = '42079'"/>
					</inboundEvent> 
					<metric displayName="Process Definition Identifier Migrated From" id="Process_Definition_Identifier_Migrated_From" type="xsd:string" isPartOfKey="true">
						<description>The identifier of the migrated-from process defintion.</description>
						<map>
							<outputValue>
								<singleValue expression="Started/eventPointData/bpc:processTemplateId"/>
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="Completed/migratedFromPTID"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Process Definition Identifier Migrated To" id="Process_Definition_Identifier_Migrated_To" type="xsd:string" isPartOfKey="true">
						<description>The identifier of the migrated-to process defintion.</description>
						<map>
							<outputValue>
								<singleValue expression="Started/migrateToPTID"/>
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="Completed/eventPointData/bpc:processTemplateId"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Process Definition Name" id="Process_Definition_Name" type="xsd:string">
						<description>A copy of the process definition name. It is redundant here, but provided for convenience.</description>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:exists( Started/predefinedData/creationTime ) ) then ../../Name else ../../Name"/>
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:exists( Completed/predefinedData/creationTime ) ) then ../../Name else  ../../Name"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Process Definition Version Migrated From" id="Process_Definition_Version_Migrated_From" type="xsd:string">
						<description>The version of the migrated-from process defintion.</description>
						<map>
							<outputValue>
								<singleValue expression="Started/eventPointData/bpc:processTemplateValidFrom"/>
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="Completed/migratedFromValidFrom"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Process Definition Version Migrated To" id="Process_Definition_Version_Migrated_To" type="xsd:string">
						<description>The version of the migrated-to process defintion.</description>
						<map>
							<outputValue>
								<singleValue expression="Started/migrateToValidFrom"/>
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="Completed/eventPointData/bpc:processTemplateValidFrom"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Principal" id="Principal" type="xsd:string">
						<description>The principal associated with this process execution migration. </description>
						<map>
							<outputValue>
								<singleValue expression="Started/eventPointData/bpc:principal"/>
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="Completed/eventPointData/bpc:principal"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Time Migration Started" id="Time_Migration_Started" type="xsd:dateTime">
						<description>The time when this process execution migration was triggered.</description>
						<map>
							<outputValue>
								<singleValue expression="Started/predefinedData/creationTime"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Time Migration Completed" id="Time_Migration_Completed" type="xsd:dateTime">
						<description>The time when this process execution migration was completed.</description>
						<map>
							<outputValue>
								<singleValue expression="Completed/predefinedData/creationTime"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Time Migration Started (xs format)" id="Time_Migration_Started_xs_format" type="xsd:string" maxStringLength="64">
						<description>The 'Time Migration Started' metric in XML Schema data format.</description>
						<map>
							<outputValue>
								<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Time_Migration_Started ) ) )"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Time Migration Completed (xs format)" id="Time_Migration_Completed_xs_format" type="xsd:string" maxStringLength="64">
						<description>The 'Time Migration Completed' metric in XML Schema data format.</description>
						<map>
							<outputValue>
								<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Time_Migration_Completed ) ) )"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Process Definition Version Migrated To No Blanks" id="Process_Definition_Version_Migrated_To_No_Blanks" type="xsd:string">
						<description>The 'Process Definition Version Migrated To' metric with blanks replaced by underscores.</description>
						<map>
							<outputValue>
								<singleValue expression="fct:replace-all( Process_Definition_Version_Migrated_To, ' ', '_' )"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Process Definition Version Migrated From No Blanks" id="Process_Definition_Version_Migrated_From_No_Blanks" type="xsd:string">
						<description>The 'Process Definition Version Migrated From' metric with blanks replaced by underscores.</description>
						<map>
							<outputValue>
								<singleValue expression="fct:replace-all( Process_Definition_Version_Migrated_From, ' ', '_' )"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="SystemId" id="SystemId" type="xsd:string">
						<map>
							<outputValue>
								<singleValue expression="if ( fn:exists(Started/eventPointData/bpc:baseExt/bpc:systemId) ) then Started/eventPointData/bpc:baseExt/bpc:systemId else SystemId"/>
							</outputValue>
						</map>
					</metric>
				</monitoringContext>
			</monitoringContext>
			<monitoringContext displayName="Step Definition" id="Step_Definition">
				<description>Monitoring context for a step defined in a process (definition level).</description>
				<trigger displayName="Aux Never" id="Aux_Never" isRepeatable="false">
					<description>Auxiliary trigger, which never fires. It is needed to circumvent a problem in validator, which has been fixed in version 7. If the model is used on Monitor version 7 or later, this trigger can be deleted.</description>
					<evaluationTime days="100" hours="100" minutes="100"/>
					<gatingCondition expression="fn:false()"/>
				</trigger>
				<trigger displayName="Aux_Update_StdDev" id="Aux_Update_StdDev" isRepeatable="true">
					<description>Auxiliary trigger, which delays the update of standard deviations until after the 'Sum' and 'Sum Squares' metrics have been updated.</description>
					<onTrigger ref="Step_Execution/Aux_Update_Aggregate_Durations"/>
					<onTrigger ref="Step_Execution/Aux_Retried"/>
				</trigger>
				<trigger displayName="Aux_Exists" id="Aux_Exists" isRepeatable="false">
					<description>Auxiliary trigger, which fires once as a new step definition is encountered.</description>
					<onEvent ref="Exists"/>
					<onEvent ref="Exists_BPMN2"/>
				</trigger>
				<inboundEvent displayName="Exists" id="Exists" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
					<description>Any event reporting the existence of step for a deployed process.</description>
					<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
					<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData"
					type="bpc:BPC.BFM.ACTIVITY.BASE"></eventPart>
					<correlationPredicate expression="Exists/eventPointData/bpc:processTemplateName = ../Name and fct:logical-deployment-location( Exists/server ) = ../Deployed_At and Exists/eventPointData/bpc:bpelId = Identifier"/>
					<filter expression="fn:exists( Exists/eventPointData/bpc:processTemplateName ) and fn:exists( Exists/eventPointData/bpc:activityTemplateId ) and fn:exists( Exists/eventPointData/bpc:bpelId ) and fn:exists( Exists/eventPointData/bpc:activityKind )"/>
				</inboundEvent>
				<inboundEvent displayName="Exists BPMN2" id="Exists_BPMN2" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
					<description>Any event reporting the existence of step for a deployed process.</description>
					<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData" type="mon:eventPointData"></eventPart>
						<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
						<eventPart displayName="processExecuteStepLevelModel" id="processExecuteStepLevelModel" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[1]" type="mon:model"></eventPart>
						<eventPart displayName="processExecuteStepUpLevelModel" id="processExecuteStepUpLevelModel" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[2]" type="mon:model"></eventPart>
						<eventPart displayName="processExecuteStepUpLevelModelType" id="processExecuteStepUpLevelModelType" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[2]/@mon:type" type="xs:string"></eventPart>						
						<eventPart displayName="processLevelModel" id="processLevelModel" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[@mon:type='bpmn:process']" type="mon:model"></eventPart>
						<eventPart displayName="faultName" id="faultName" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[1]/mon:instance/mon:fault/@mon:name" type="xs:string"></eventPart>
						<eventPart displayName="ActivityKind" id="ActivityKind" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[1]/@mon:type" type="xs:string"></eventPart>
						<eventPart displayName="EventKind" id="EventKind" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:kind" type="xs:string"></eventPart>
						<eventPart displayName="systemId" id="systemId" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:source/ibm:system/@ibm:systemID" type="xs:string"></eventPart>
						<correlationPredicate expression="fn:concat(Exists_BPMN2/processExecuteStepLevelModel/@mon:id,'.', Exists_BPMN2/processExecuteStepLevelModel/@mon:version)  = Identifier and fct:logical-deployment-location(Exists_BPMN2/server) = ../Deployed_At and Exists_BPMN2/processLevelModel/mon:name = ../Name"/>
						<filter expression="fn:exists(Exists_BPMN2/eventPointData/mon:kind ) and (fn:contains(Exists_BPMN2/EventKind, 'bpmnx:ACTIVITY') or fn:contains(Exists_BPMN2/EventKind, 'bpmnx:GATEWAY'))"/>
				</inboundEvent>
				<metric displayName="Identifier" id="Identifier" type="xsd:string" isPartOfKey="true" maxStringLength="256">
					<description>A unique identifier of this step definition (unique within the process definition).</description>
					<map>
						<outputValue>
							<singleValue expression="Exists/eventPointData/bpc:bpelId"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="fn:concat(Exists_BPMN2/processExecuteStepLevelModel/@mon:id,'.', Exists_BPMN2/processExecuteStepLevelModel/@mon:version)"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Kind" id="Kind" type="xsd:string" maxStringLength="64" valueRequired="true">
					<description>The kind of activity/task represented by this step.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists( Exists/eventPointData/bpc:activityKind ) and fn:string-length( Exists/eventPointData/bpc:activityKind ) &gt;= 6 and Kind = ' ' ) then ( if ( fn:substring( Exists/eventPointData/bpc:activityKind, 5, 1 ) = ' ' ) then fn:substring( Exists/eventPointData/bpc:activityKind, 6 ) else fn:substring( Exists/eventPointData/bpc:activityKind, 5 ) ) else Kind"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists( Exists_BPMN2/ActivityKind )) then Exists_BPMN2/ActivityKind else Kind"/>
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="' '"/>
					</defaultValue>
				</metric>
				<metric displayName="Name" id="Name" type="xsd:string" valueRequired="true">
					<description>The name of this step definition.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:starts-with( Name, Exists/eventPointData/bpc:activityTemplateName ) ) then Name else fn:concat( Exists/eventPointData/bpc:activityTemplateName, (if ( Name = ' ' ) then '' else ' &lt;- '), Name )"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists(Exists_BPMN2/processExecuteStepLevelModel/mon:name) and Name = ' ') then fn:concat( (if (Exists_BPMN2/processExecuteStepUpLevelModelType = 'bpmn:subProcess') then fn:concat('(',Exists_BPMN2/processExecuteStepUpLevelModel/mon:name,') ') else '' ) ,Exists_BPMN2/processExecuteStepLevelModel/mon:name) else Name"/>
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="' '"/>
					</defaultValue>
				</metric>
				<metric displayName="Avg Total Duration" id="Avg_Total_Duration" type="xsd:duration">
					<description>The average total duration of all completed executions.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( Finished &gt; 0 ) then Sum_Total_Duration div Finished else Aux_Empty_Duration"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Min Total Duration" id="Min_Total_Duration" type="xsd:duration">
					<description>The minimum total duration of all completed executions.</description>
					<map>
						<outputValue>
							<singleValue expression="xs:dayTimeDuration( fct:get-min-duration( Aux_Candidate_Min_Total_Durations ) )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Max Total Duration" id="Max_Total_Duration" type="xsd:duration">
					<description>The maximum total duration of all completed executions.</description>
					<map>
						<outputValue>
							<singleValue expression="xs:dayTimeDuration( fct:get-max-duration( Aux_Candidate_Max_Total_Durations ) )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Sum Total Duration" id="Sum_Total_Duration" type="xsd:duration">
					<description>The summed up (aggregate) total duration of all completed executions.</description>
					<map>
						<trigger ref="Step_Execution/Aux_Update_Aggregate_Durations"/>
						<outputValue>
							<singleValue expression="Sum_Total_Duration + Step_Execution/Total_Duration - ( if ( fn:exists( Step_Execution/Aux_Saved_Total_Duration ) ) then Step_Execution/Aux_Saved_Total_Duration else xs:dayTimeDuration('PT0S') )"/>
						</outputValue>
					</map>
					<map>
						<trigger ref="Step_Execution/Aux_Retried"/>
						<outputValue>
							<singleValue expression="Sum_Total_Duration - ( if ( fn:exists( Step_Execution/Aux_Saved_Total_Duration ) ) then Step_Execution/Aux_Saved_Total_Duration else xs:dayTimeDuration('PT0S') )"/>
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="xs:dayTimeDuration('PT0S')"/>
					</defaultValue>
				</metric>
				<metric displayName="Avg Waiting Duration" id="Avg_Waiting_Duration" type="xsd:duration">
					<description>The average waiting duration of all completed executions.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( Finished &gt; 0 ) then Sum_Waiting_Duration div Finished else Aux_Empty_Duration"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Min Waiting Duration" id="Min_Waiting_Duration" type="xsd:duration">
					<description>The minimum waiting duration of all completed executions.</description>
					<map>
						<outputValue>
							<singleValue expression="xs:dayTimeDuration( fct:get-min-duration( Aux_Candidate_Min_Waiting_Durations ) )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Max Waiting Duration" id="Max_Waiting_Duration" type="xsd:duration">
					<description>The maximum waiting duration of all completed executions.</description>
					<map>
						<outputValue>
							<singleValue expression="xs:dayTimeDuration( fct:get-max-duration( Aux_Candidate_Max_Waiting_Durations ) )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Sum Waiting Duration" id="Sum_Waiting_Duration" type="xsd:duration">
					<description>The summed up (aggregate) waiting duration of of all completed executions.</description>
					<map>
						<trigger ref="Step_Execution/Aux_Update_Aggregate_Durations"/>
						<outputValue>
							<singleValue expression="Sum_Waiting_Duration + Step_Execution/Waiting_Duration - ( if ( fn:exists( Step_Execution/Aux_Saved_Waiting_Duration ) ) then Step_Execution/Aux_Saved_Waiting_Duration else xs:dayTimeDuration('PT0S') )"/>
						</outputValue>
					</map>
					<map>
						<trigger ref="Step_Execution/Aux_Retried"/>
						<outputValue>
							<singleValue expression="Sum_Waiting_Duration - ( if ( fn:exists( Step_Execution/Aux_Saved_Waiting_Duration ) ) then Step_Execution/Aux_Saved_Waiting_Duration else xs:dayTimeDuration('PT0S') )"/>
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="xs:dayTimeDuration('PT0S')"/>
					</defaultValue>
				</metric>
				<metric displayName="Avg Working Duration" id="Avg_Working_Duration" type="xsd:duration">
					<description>The average working duration of all completed executions.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( Finished &gt; 0 ) then Sum_Working_Duration div Finished else Aux_Empty_Duration"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Min Working Duration" id="Min_Working_Duration" type="xsd:duration">
					<description>The minimum working duration of all completed executions.</description>
					<map>
						<outputValue>
							<singleValue expression="xs:dayTimeDuration( fct:get-min-duration( Aux_Candidate_Min_Working_Durations ) )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Max Working Duration" id="Max_Working_Duration" type="xsd:duration">
					<description>The maximum working duration of all completed executions.</description>
					<map>
						<outputValue>
							<singleValue expression="xs:dayTimeDuration( fct:get-max-duration( Aux_Candidate_Max_Working_Durations ) )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Sum Working Duration" id="Sum_Working_Duration" type="xsd:duration">
					<description>The summed up (aggregate) working duration of all completed executions.</description>
					<map>
						<trigger ref="Step_Execution/Aux_Update_Aggregate_Durations"/>
						<outputValue>
							<singleValue expression="Sum_Working_Duration + Step_Execution/Working_Duration - ( if ( fn:exists( Step_Execution/Aux_Saved_Working_Duration ) ) then Step_Execution/Aux_Saved_Working_Duration else xs:dayTimeDuration('PT0S') )"/>
						</outputValue>
					</map>
					<map>
						<trigger ref="Step_Execution/Aux_Retried"/>
						<outputValue>
							<singleValue expression="Sum_Working_Duration - Step_Execution/Aux_Saved_Working_Duration"/>
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="xs:dayTimeDuration('PT0S')"/>
					</defaultValue>
				</metric>
				<metric displayName="In Progress" id="In_Progress" type="xsd:integer">
					<description>The number of step executions that are in progress.</description>
					<map>
						<outputValue>
							<singleValue expression="Started - Finished"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Max Total Duration (xs format)" id="Max_Total_Duration_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'Max Total Duration' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="xs:string( Max_Total_Duration )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Min Total Duration (xs format)" id="Min_Total_Duration_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'Min Total Duration' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="xs:string( Min_Total_Duration )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Avg Total Duration (xs format)" id="Avg_Total_Duration_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'Avg Total Duration' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="xs:string( Avg_Total_Duration )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Sum Total Duration (xs format)" id="Sum_Total_Duration_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'Sum Total Duration' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="xs:string( Sum_Total_Duration )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Max Waiting Duration (xs format)" id="Max_Waiting_Duration_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'Max Waiting Duration' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="xs:string( Max_Waiting_Duration )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Min Waiting Duration (xs format)" id="Min_Waiting_Duration_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'Min Waiting Duration' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="xs:string( Min_Waiting_Duration )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Avg Waiting Duration (xs format)" id="Avg_Waiting_Duration_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'Avg Waiting Duration' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="xs:string( Avg_Waiting_Duration )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Sum Waiting Duration (xs format)" id="Sum_Waiting_Duration_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'Sum Waiting Duration' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="xs:string( Sum_Waiting_Duration )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Max Working Duration (xs format)" id="Max_Working_Duration_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'Max Working Duration' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="xs:string( Max_Working_Duration )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Min Working Duration (xs format)" id="Min_Working_Duration_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'Min Working Duration' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="xs:string( Min_Working_Duration )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Avg Working Duration (xs format)" id="Avg_Working_Duration_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'Avg Working Duration' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="xs:string( Avg_Working_Duration )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Sum Working Duration (xs format)" id="Sum_Working_Duration_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'Sum Working Duration' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="xs:string( Sum_Working_Duration )"/>
						</outputValue>
					</map>
				</metric>
			<metric displayName="StdDev Total Duration" id="StdDev_Total_Duration" type="xsd:duration">
				<description>The standard deviation of the total durations of all completed executions.</description>
				<map>
					<trigger ref="Aux_Update_StdDev"/>
					<outputValue>
						<singleValue expression="if ( Finished &gt; 1 and fn:exists(Aux_Sum_Squares_Total_Duration) and fn:exists(Avg_Total_Duration) ) then xs:dayTimeDuration( fn:concat( &quot;PT&quot;, fct:sqrt( Aux_Sum_Squares_Total_Duration div Finished - ( Avg_Total_Duration div xs:dayTimeDuration('PT1S') ) * ( Avg_Total_Duration div xs:dayTimeDuration('PT1S') ) ), &quot;S&quot; ) ) else ( if ( Finished = 1 ) then xs:dayTimeDuration('PT0S') else Aux_Empty_Duration )"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="StdDev Waiting Duration" id="StdDev_Waiting_Duration" type="xsd:duration">
				<description>The standard deviation of the waiting durations of all completed executions.</description>
				<map>
					<trigger ref="Aux_Update_StdDev"/>
					<outputValue>
						<singleValue expression="if ( Finished &gt; 1 and fn:exists(Aux_Sum_Squares_Waiting_Duration) and fn:exists(Avg_Waiting_Duration) ) then xs:dayTimeDuration( fn:concat( &quot;PT&quot;, fct:sqrt( Aux_Sum_Squares_Waiting_Duration div Finished - ( Avg_Waiting_Duration div xs:dayTimeDuration('PT1S') ) * ( Avg_Waiting_Duration div xs:dayTimeDuration('PT1S') ) ), &quot;S&quot; ) ) else ( if ( Finished = 1 ) then xs:dayTimeDuration('PT0S') else Aux_Empty_Duration )"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="StdDev Working Duration" id="StdDev_Working_Duration" type="xsd:duration">
				<description>The standard deviation of the working durations of all completed executions.</description>
				<map>
					<trigger ref="Aux_Update_StdDev"/>
					<outputValue>
						<singleValue expression="if ( Finished &gt; 1 and fn:exists(Aux_Sum_Squares_Working_Duration) and fn:exists(Avg_Working_Duration) ) then xs:dayTimeDuration( fn:concat( &quot;PT&quot;, fct:sqrt( Aux_Sum_Squares_Working_Duration div Finished - ( Avg_Working_Duration div xs:dayTimeDuration('PT1S') ) * ( Avg_Working_Duration div xs:dayTimeDuration('PT1S') ) ), &quot;S&quot; ) ) else ( if ( Finished = 1 ) then xs:dayTimeDuration('PT0S') else Aux_Empty_Duration )"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="StdDev Total Duration (xs format)" id="StdDev_Total_Duration_xs_format" type="xsd:string">
				<description>The 'StdDev Total Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( StdDev_Total_Duration )"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="StdDev Waiting Duration (xs format)" id="StdDev_Waiting_Duration_xs_format" type="xsd:string">
				<description>The 'StdDev Waiting Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( StdDev_Waiting_Duration )"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="StdDev Working Duration (xs format)" id="StdDev_Working_Duration_xs_format" type="xsd:string">
				<description>The 'StdDev Working Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( StdDev_Working_Duration )"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Aux Sum Squares Waiting Duration" id="Aux_Sum_Squares_Waiting_Duration" type="xsd:decimal">
				<description>The sum of the squares of the waiting durations of all completed executions (in seconds ^ 2).</description>
				<map>
					<trigger ref="Step_Execution/Aux_Update_Aggregate_Durations"/>
					<outputValue>
						<singleValue expression="Aux_Sum_Squares_Waiting_Duration + ( Step_Execution/Waiting_Duration div xs:dayTimeDuration('PT1S') ) * ( Step_Execution/Waiting_Duration div xs:dayTimeDuration('PT1S') ) - ( if ( fn:exists(Step_Execution/Aux_Saved_Waiting_Duration) ) then ( Step_Execution/Aux_Saved_Waiting_Duration div xs:dayTimeDuration('PT1S') ) * ( Step_Execution/Aux_Saved_Waiting_Duration div xs:dayTimeDuration('PT1S') ) else 0.0 )"/>
					</outputValue>
				</map>
				<map>
					<trigger ref="Step_Execution/Aux_Retried"/>
					<outputValue>
						<singleValue expression="Aux_Sum_Squares_Waiting_Duration - ( if ( fn:exists(Step_Execution/Aux_Saved_Waiting_Duration) ) then ( Step_Execution/Aux_Saved_Waiting_Duration div xs:dayTimeDuration('PT1S') ) * ( Step_Execution/Aux_Saved_Waiting_Duration div xs:dayTimeDuration('PT1S') ) else 0.0 )"/>
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="0.0"/>
				</defaultValue>
			</metric>
			<metric displayName="Aux Sum Squares Total Duration" id="Aux_Sum_Squares_Total_Duration" type="xsd:decimal">
				<description>The sum of the squares of the total durations of all completed executions (in seconds ^ 2).</description>
				<map>
					<trigger ref="Step_Execution/Aux_Update_Aggregate_Durations"/>
					<outputValue>
						<singleValue expression="Aux_Sum_Squares_Total_Duration + ( Step_Execution/Total_Duration div xs:dayTimeDuration('PT1S') ) * ( Step_Execution/Total_Duration div xs:dayTimeDuration('PT1S') ) - ( if ( fn:exists(Step_Execution/Aux_Saved_Total_Duration) ) then ( Step_Execution/Aux_Saved_Total_Duration div xs:dayTimeDuration('PT1S') ) * ( Step_Execution/Aux_Saved_Total_Duration div xs:dayTimeDuration('PT1S') ) else 0.0 )"/>
					</outputValue>
				</map>
				<map>
					<trigger ref="Step_Execution/Aux_Retried"/>
					<outputValue>
						<singleValue expression="Aux_Sum_Squares_Total_Duration - ( if ( fn:exists(Step_Execution/Aux_Saved_Total_Duration) ) then ( Step_Execution/Aux_Saved_Total_Duration div xs:dayTimeDuration('PT1S') ) * ( Step_Execution/Aux_Saved_Total_Duration div xs:dayTimeDuration('PT1S') ) else 0.0 )"/>
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="0.0"/>
				</defaultValue>
			</metric>
			<metric displayName="Aux Sum Squares Working Duration" id="Aux_Sum_Squares_Working_Duration" type="xsd:decimal">
				<description>The sum of the squares of the working durations of all completed executions (in seconds ^ 2).</description>
				<map>
					<trigger ref="Step_Execution/Aux_Update_Aggregate_Durations"/>
					<outputValue>
						<singleValue expression="Aux_Sum_Squares_Working_Duration + ( Step_Execution/Working_Duration div xs:dayTimeDuration('PT1S') ) * ( Step_Execution/Working_Duration div xs:dayTimeDuration('PT1S') ) - ( if ( fn:exists(Step_Execution/Aux_Saved_Working_Duration) ) then ( Step_Execution/Aux_Saved_Working_Duration div xs:dayTimeDuration('PT1S') ) * ( Step_Execution/Aux_Saved_Working_Duration div xs:dayTimeDuration('PT1S') ) else 0.0 )"/>
					</outputValue>
				</map>
				<map>
					<trigger ref="Step_Execution/Aux_Retried"/>
					<outputValue>
						<singleValue expression="Aux_Sum_Squares_Working_Duration - ( if ( fn:exists(Step_Execution/Aux_Saved_Working_Duration) ) then ( Step_Execution/Aux_Saved_Working_Duration div xs:dayTimeDuration('PT1S') ) * ( Step_Execution/Aux_Saved_Working_Duration div xs:dayTimeDuration('PT1S') ) else 0.0 )"/>
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="0.0"/>
				</defaultValue>
			</metric>
			<metric displayName="Qualified Name" id="Qualified_Name" type="xsd:string" valueRequired="true">
				<description>The name of this step definition, prefixed by the process definition identifier in brackets.</description>
				<map>
					<outputValue>
						<singleValue expression="if ( fn:exists( Exists/eventPointData/bpc:activityTemplateName ) and Qualified_Name = ' ' ) then fn:concat( '[', ../Identifier, '] ', Exists/eventPointData/bpc:activityTemplateName ) else Qualified_Name" />
					</outputValue>
				</map>
				<map>
					<outputValue>
						<singleValue expression="if ( fn:exists(  Exists_BPMN2/processExecuteStepLevelModel/mon:name ) and Qualified_Name = ' ' ) then fn:concat( '[', ../Identifier, '] ', Exists_BPMN2/processExecuteStepLevelModel/mon:name ) else Qualified_Name"/>
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="' '" />
				</defaultValue>
			</metric>
			<metric displayName="Aux Candidate Max Working Durations" id="Aux_Candidate_Max_Working_Durations" type="xsd:string" maxStringLength="4000">
				<description>The step execution working durations that can be reinstated as maxima when the current maximum is revoked because the execution that marked it is being retried.</description>
				<map>
					<trigger ref="Step_Execution/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Max_Working_Durations, Aux_Empty_Duration, fn:true(), Step_Execution/Working_Duration, Step_Execution/Aux_Saved_Working_Duration, 4000 )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Step_Execution/Aux_Retried" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Max_Working_Durations, Aux_Empty_Duration, fn:true(), Aux_Empty_Duration, Step_Execution/Aux_Saved_Working_Duration, 4000 )" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="''" />
				</defaultValue>
			</metric>
			<metric displayName="Aux Candidate Min Waiting Durations" id="Aux_Candidate_Min_Waiting_Durations" type="xsd:string" maxStringLength="4000">
				<description>The step execution waiting durations that can be reinstated as minima when the current minimum is revoked because the execution that marked it is being retried.</description>
				<map>
					<trigger ref="Step_Execution/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Min_Waiting_Durations, Aux_Empty_Duration, fn:false(), Step_Execution/Waiting_Duration, Step_Execution/Aux_Saved_Waiting_Duration, 4000 )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Step_Execution/Aux_Retried" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Min_Waiting_Durations, Aux_Empty_Duration, fn:false(), Aux_Empty_Duration, Step_Execution/Aux_Saved_Waiting_Duration, 4000 )" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="''" />
				</defaultValue>
			</metric>
			<metric displayName="Aux Candidate Max Total Durations" id="Aux_Candidate_Max_Total_Durations" type="xsd:string" maxStringLength="4000">
				<description>The step execution total durations that can be reinstated as maxima when the current maximum is revoked because the execution that marked it is being retried.</description>
				<map>
					<trigger ref="Step_Execution/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Max_Total_Durations, Aux_Empty_Duration, fn:true(), Step_Execution/Total_Duration, Step_Execution/Aux_Saved_Total_Duration, 4000 )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Step_Execution/Aux_Retried" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Max_Total_Durations, Aux_Empty_Duration, fn:true(), Aux_Empty_Duration, Step_Execution/Aux_Saved_Total_Duration, 4000 )" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="''" />
				</defaultValue>
			</metric>
			<metric displayName="Aux Candidate Min Working Durations" id="Aux_Candidate_Min_Working_Durations" type="xsd:string" maxStringLength="4000">
				<description>The step execution working durations that can be reinstated as minima when the current minimum is revoked because the execution that marked it is being retried.</description>
				<map>
					<trigger ref="Step_Execution/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Min_Working_Durations, Aux_Empty_Duration, fn:false(), Step_Execution/Working_Duration, Step_Execution/Aux_Saved_Working_Duration, 4000 )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Step_Execution/Aux_Retried" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Min_Working_Durations, Aux_Empty_Duration, fn:false(), Aux_Empty_Duration, Step_Execution/Aux_Saved_Working_Duration, 4000 )" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="''" />
				</defaultValue>
			</metric>
			<metric displayName="Aux Empty Duration" id="Aux_Empty_Duration" type="xsd:duration">
				<description>Auxiliary xs:duration metric which will always be empty.</description>
				<map>
					<trigger ref="Aux_Never" />
					<outputValue>
						<singleValue expression='xs:dayTimeDuration("PT0S")' />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Aux Candidate Min Total Durations" id="Aux_Candidate_Min_Total_Durations" type="xsd:string" maxStringLength="4000">
				<description>The step execution total durations that can be reinstated as minima when the current minimum is revoked because the execution that marked it is being retried.</description>
				<map>
					<trigger ref="Step_Execution/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Min_Total_Durations, Aux_Empty_Duration, fn:false(), Step_Execution/Total_Duration, Step_Execution/Aux_Saved_Total_Duration, 4000 )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Step_Execution/Aux_Retried" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Min_Total_Durations, Aux_Empty_Duration, fn:false(), Aux_Empty_Duration, Step_Execution/Aux_Saved_Total_Duration, 4000 )" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="''" />
				</defaultValue>
			</metric>
			<metric displayName="Aux Candidate Max Waiting Durations" id="Aux_Candidate_Max_Waiting_Durations" type="xsd:string" maxStringLength="4000">
				<description>The step execution waiting durations that can be reinstated as maxima when the current maximum is revoked because the execution that marked it is being retried.</description>
				<map>
					<trigger ref="Step_Execution/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Max_Waiting_Durations, Aux_Empty_Duration, fn:true(), Step_Execution/Waiting_Duration, Step_Execution/Aux_Saved_Waiting_Duration, 4000 )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Step_Execution/Aux_Retried" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Max_Waiting_Durations, Aux_Empty_Duration, fn:true(), Aux_Empty_Duration, Step_Execution/Aux_Saved_Waiting_Duration, 4000 )" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="''" />
				</defaultValue>
			</metric>
			<metric displayName="Earliest Audit Event (xs format)" id="Earliest_Audit_Event_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Earliest Audit Event' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Earliest_Audit_Event ) ) )"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Latest Audit Event" id="Latest_Audit_Event" type="xsd:dateTime">
				<description>The timestamp of the latest event received about this step.</description>
				<map>
					<outputValue>
						<singleValue expression="if ( fn:empty(Latest_Audit_Event) or Latest_Audit_Event &lt; Exists/predefinedData/creationTime ) then Exists/predefinedData/creationTime else Latest_Audit_Event"/>
					</outputValue>
				</map>
				<map>
					<outputValue>
						<singleValue expression="if ( fn:empty(Latest_Audit_Event) or Latest_Audit_Event &lt; Exists_BPMN2/eventPointData/mon:time  ) then Exists_BPMN2/eventPointData/mon:time else Latest_Audit_Event"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Earliest Audit Event" id="Earliest_Audit_Event" type="xsd:dateTime">
				<description>The timestamp of the earliest event received about this step.</description>
				<map>
					<outputValue>
						<singleValue expression="if ( fn:empty(Earliest_Audit_Event) or Earliest_Audit_Event &gt; Exists/predefinedData/creationTime ) then Exists/predefinedData/creationTime else Earliest_Audit_Event"/>
					</outputValue>
				</map>
				<map>
					<outputValue>
						<singleValue expression="if ( fn:empty(Earliest_Audit_Event) or Earliest_Audit_Event &gt; Exists_BPMN2/eventPointData/mon:time  ) then Exists_BPMN2/eventPointData/mon:time else Earliest_Audit_Event"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Latest Audit Event (xs format)" id="Latest_Audit_Event_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Latest Audit Event' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Latest_Audit_Event ) ) )"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Process Definition Identifier" id="Process_Definition_Identifier" type="xsd:string" valueRequired="true">
				<description>A copy of the process definition identifier. It is redundant here, but provided for convenience and to enable grouping by process during aggregations.</description>
				<map>
					<outputValue>
						<singleValue expression="if ( fn:string-length(../Identifier) &gt; 0 and ../Identifier != ' ' and fn:exists(Exists/eventPointData/bpc:BPCEventCode) ) then ../Identifier else Process_Definition_Identifier" />
					</outputValue>
				</map>
				<map>
					<outputValue>
						<singleValue expression="if ( fn:string-length(../Identifier) &gt; 0 and ../Identifier != ' ' and fn:exists(Exists_BPMN2/processLevelModel/@mon:id ) ) then ../Identifier else Process_Definition_Identifier"/>
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="' '" />
				</defaultValue>
			</metric>
			<metric displayName="Process Definition ID" id="Process_Definition_ID" type="xsd:string" valueRequired="true">
				<description>A copy of the process definition identifier. It is redundant here, but provided for convenience and to enable grouping by process during aggregations.</description>
				<map>
					<outputValue>
						<singleValue expression="if ( fn:string-length(../ID) &gt; 0 and ../ID != ' ' and fn:exists(Exists/eventPointData/bpc:BPCEventCode) ) then ../ID else Process_Definition_ID" />
					</outputValue>
				</map>
				<map>
					<outputValue>
						<singleValue expression="if ( fn:string-length(../ID) &gt; 0 and ../ID != ' ' and fn:exists(Exists_BPMN2/processLevelModel/@mon:id ) ) then ../ID else Process_Definition_ID"/>
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="' '" />
				</defaultValue>
			</metric>
			<metric displayName="Process Definition Name" id="Process_Definition_Name" type="xsd:string" valueRequired="true">
				<description>A copy of the process definition name. It is redundant here, but provided for convenience and to enable grouping by process definition during aggregations.</description>
				<map>
					<outputValue>
						<singleValue expression="if ( fn:string-length(../Name) &gt; 0 and ../Name != ' ' and fn:exists(Exists/eventPointData/bpc:BPCEventCode) ) then ../Name else Process_Definition_Name" />
					</outputValue>
				</map>
				<map>
					<outputValue>
						<singleValue expression="if ( fn:string-length(../Name) &gt; 0 and ../Name != ' ' and fn:exists(Exists_BPMN2/processLevelModel/@mon:id ) ) then ../Name else Process_Definition_Name"/>
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="' '" />
				</defaultValue>
			</metric>
			<metric displayName="SystemId" id="SystemId" type="xsd:string">
				<map>
					<outputValue>
						<singleValue expression="if ( fn:exists(Exists/eventPointData/bpc:baseExt/bpc:systemId) ) then Exists/eventPointData/bpc:baseExt/bpc:systemId else SystemId"/>
					</outputValue>
				</map>
				<map>
					<outputValue>
						<singleValue expression="if (fn:exists(Exists_BPMN2/systemId)) then Exists_BPMN2/systemId else SystemId"/>
					</outputValue>
				</map>
			</metric>
			<counter displayName="Started" id="Started" type="xsd:integer">
					<description>The number of step executions that have started.</description>
					<incrementedWhen ref="Step_Execution/Aux_Started" />
				</counter>
				<counter displayName="Finished" id="Finished" type="xsd:integer">
					<description>The number of step executions that have finished.</description>
					<incrementedWhen ref="Step_Execution/Aux_Ended" />
				</counter>
				<counter displayName="Subtasks" id="Subtasks" type="xsd:integer">
					<description>The aggregate number of subtasks of any executions of this step definition (only applicable for staff activities or human task invocations).</description>
					<incrementedWhen ref="Step_Execution/Step_Execution_Related_Task_Execution/Aux_Nested_Subtask_Exists"/>
				</counter>
				<monitoringContext displayName="Step Execution" id="Step_Execution">
					<description>Monitoring context for a running process step ( activity execution, task execution, scope execution ).</description>
					<trigger displayName="Aux Started" id="Aux_Started" isRepeatable="false">
						<description>Auxiliary trigger, which fires just once when this monitoring context is initialized.</description>
						<onValueChange ref="Identifier"/>
					</trigger>
					<trigger displayName="Aux Ended" id="Aux_Ended" isRepeatable="false">
						<description>Auxiliary trigger, which indicates that this step execution has ended. While not repeatable, it will fire more than once when a step execution is retried and ends a second time (it fires each time the 'Has Ended' metric changes from false to true).</description>
						<onValueChange ref="Has_Ended"/>
						<gatingCondition expression="Has_Ended"/>
					</trigger>
					<trigger displayName="Aux Save Durations" id="Aux_Save_Durations" isRepeatable="true">
						<description>Auxiliary trigger, which indicates that the duration metrics should be saved (to prepare for potential corrections of aggregations at the step definition level).</description>
						<onTrigger ref="Aux_Update_Aggregate_Durations" />
					</trigger>
					<trigger displayName="Aux Update Aggregate Durations" id="Aux_Update_Aggregate_Durations" isRepeatable="true">
						<description>Auxiliary trigger, which indicates that the step execution has ended and aggregate durations should be updated.</description>
						<onValueChange ref="Has_Ended" />
						<onValueChange ref="Total_Duration" />
						<onValueChange ref="Waiting_Duration" />
						<onValueChange ref="Working_Duration" />
						<gatingCondition expression="Has_Ended and fn:exists(Total_Duration) and fn:exists(Waiting_Duration) and fn:exists(Working_Duration) and fn:not( Total_Duration = Aux_Saved_Total_Duration and Waiting_Duration = Aux_Saved_Waiting_Duration and Working_Duration = Aux_Saved_Working_Duration )" />
					</trigger>
					<trigger displayName="Aux Potential Owners Changed" id="Aux_Potential_Owners_Changed" isRepeatable="true">
						<description>Auxiliary trigger, which fires when the potential owners for this step execution have changed.</description>
						<onEvent ref="State_Changed" />
						<gatingCondition expression="fn:string-length( State_Changed/eventPointData/bpc:BPCEventCode ) = 5 and fn:contains( '42040 42039 42054 42055 ', fn:concat( State_Changed/eventPointData/bpc:BPCEventCode, ' ' ) ) and fn:not( State_Changed/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason != '1' )" />
					</trigger>
					<trigger displayName="Aux Retried" id="Aux_Retried" isRepeatable="false">
						<description>Auxiliary trigger, which indicates that this step execution is being retried.</description>
						<onValueChange ref="Has_Ended"/>
						<gatingCondition expression="fn:not( Has_Ended ) and Aux_Has_Ended_At_Least_Once"/>
					</trigger>
					<trigger displayName="Aux Never" id="Aux_Never" isRepeatable="true">
						<description>Auxiliary trigger, which never fires. It is needed to circumvent a problem in validator, which has been fixed in version 7. If the model is used on Monitor version 7 or later, this trigger can be deleted.</description>
						<evaluationTime days="100" hours="100" minutes="100" />
						<gatingCondition expression="fn:false()" />
					</trigger>
					<trigger displayName="Aux Clear Saved Durations" id="Aux_Clear_Saved_Durations" isRepeatable="true">
						<description>Auxiliary trigger, which causes the saved duration values to be cleared when the step execution is retried.</description>
						<onTrigger ref="Aux_Retried" />
					</trigger>
					<trigger displayName="Aux Reported State Changed" id="Aux_Reported_State_Changed" isRepeatable="true">
						<description>Auxiliary trigger, which fires when the last state reported for this step execution is different from the state reported before, or when a loop condition is reported to be true or false (in which case we always want to keep a history record, even for repeated true or false evaluations). If events arrive out-of-order, the 'State' metric may remain unchanged.</description>
						<onValueChange ref="Aux_Last_State_Reported"/>
						<gatingCondition expression="Aux_Last_State_Reported != Aux_Saved_Last_State_Reported or fn:starts-with( Aux_Last_State_Reported, 'LOOP_CONDITION' )" />
					</trigger>
					<trigger displayName="Aux Escalation Changed" id="Aux_Escalation_Changed" isRepeatable="true">
						<description>Auxiliary trigger, which fires when an escalation has occurred for this step execution.</description>
						<onEvent ref="State_Changed" />
						<gatingCondition expression="State_Changed/eventPointData/bpc:BPCEventCode = '42050'" />
					</trigger>
					<trigger displayName="Aux Work Item Update Changed" id="Aux_Work_Item_Update_Changed" isRepeatable="true">
						<description>Auxiliary trigger, which fires when the work items defined for this step execution have changed.</description>
						<onEvent ref="State_Changed" />
						<gatingCondition expression="fn:string-length( State_Changed/eventPointData/bpc:BPCEventCode ) = 5 and fn:contains( '42040 42039 42050 42054 42055 ', fn:concat( State_Changed/eventPointData/bpc:BPCEventCode, ' ' ) )" />
					</trigger>
					<trigger displayName="Aux Escalation Changed BPMN2" id="Aux_Escalation_Changed_BPMN2" isRepeatable="true">
						<onEvent ref="State_Changed_BPMN2"/>
						<gatingCondition expression="fn:contains(State_Changed_BPMN2/EventKind,'bpmnx:ACTIVITY_ESCALATED')"/>
					</trigger>
					<trigger displayName="Aux Potential Owners Changed BPMN2" id="Aux_Potential_Owners_Changed_BPMN2" isRepeatable="true">
						<onEvent ref="State_Changed_BPMN2"/>
						<gatingCondition expression="fn:contains( 'bpmnx:ACTIVITY_RESOURCE_ASSIGNED bpmnx:ACTIVITY_RESOURCE_DEASSIGNED ', fn:concat( State_Changed_BPMN2/EventKind , ' ' ) )"/>
					</trigger>
					<trigger displayName="Aux Work Item Update Changed BPMN2" id="Aux_Work_Item_Update_Changed_BPMN2" isRepeatable="true">
						<onEvent ref="State_Changed_BPMN2"/>
						<gatingCondition expression="fn:contains( 'bpmnx:ACTIVITY_RESOURCE_ASSIGNED bpmnx:ACTIVITY_RESOURCE_DEASSIGNED ', fn:concat( State_Changed_BPMN2/EventKind , ' ' ) )"/>
					</trigger>
					<trigger displayName="Aux WPS Step Report" id="Aux_WPS_Step_Report" isRepeatable="false">
						<onEvent ref="State_Changed"/>
					</trigger>
					<trigger displayName="Aux WLE Step Report" id="Aux_WLE_Step_Report" isRepeatable="false">
						<onEvent ref="State_Changed_BPMN2"/>
					</trigger>
					<inboundEvent displayName="State Changed" id="State_Changed" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
						<description>Event reporting a state change of a running process step.</description>
						<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
						<eventPart displayName="baseData" id="baseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
						<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.BASE"></eventPart>
						<eventPart displayName="eventPointDataIfFailure" id="eventPointDataIfFailure" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.FAILURE"></eventPart>
						<eventPart displayName="eventPointDataIfWiStatus" id="eventPointDataIfWiStatus" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.WISTATUS"></eventPart>
						<eventPart displayName="username" id="username" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/bpc:username" type="xs:string"></eventPart>
						<eventPart displayName="current_username" id="current_username" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/bpc:current" type="xs:string"></eventPart>
						<eventPart displayName="target_username" id="target_username" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/bpc:target" type="xs:string"></eventPart>
						<eventPart displayName="branchesStarted" id="branchesStarted" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/bpc:parallelBranchesStarted" type="xs:integer"></eventPart>
						<eventPart displayName="escalationName" id="escalationName" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/bpc:escalationName" type="xs:string"></eventPart>
						<correlationPredicate expression="State_Changed/eventPointData/bpc:processTemplateName = ../../Name and fct:logical-deployment-location( State_Changed/server ) = ../../Deployed_At and State_Changed/eventPointData/bpc:bpelId = ../Identifier and State_Changed/baseData/wbi:eventHeaderData/wbi:ECSCurrentID = Identifier"/>
						<filter expression="fn:exists( State_Changed/eventPointData/bpc:processTemplateName ) and fn:exists( State_Changed/eventPointData/bpc:bpelId ) and fn:exists( State_Changed/baseData/wbi:eventHeaderData/wbi:ECSCurrentID ) and fn:string-length( State_Changed/eventPointData/bpc:BPCEventCode ) = 5 and fn:contains( '21006 21007 21011 21021 21022 21027 21080 21081 42005 42015 42020 42021 42022 42024 42026 42031 42032 42036 42037 42038 42039 42040 42050 42054 42055 42057 42061 42062 42064 42065 42066 42067 42068 42070 ', fn:concat( State_Changed/eventPointData/bpc:BPCEventCode, ' ' ) )"/>
					</inboundEvent>
					<inboundEvent displayName="Called Execution Exists" id="Called_Execution_Exists" multipleCorrelationMatches="deliverToAll" noCorrelationMatches="ignore" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
						<description>Event from a called process or task execution, which is used to set that execution's identifier in this monitoring context.</description>
						<eventPart displayName="baseData" id="baseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
						<eventPart displayName="eventPointDataProcessEvents" id="eventPointDataProcessEvents" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.BASE"></eventPart>
						<eventPart displayName="eventPointDataTaskEvents" id="eventPointDataTaskEvents" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.BASE"></eventPart>
						<eventPart displayName="topLevelTaskTemplateName" id="topLevelTaskTemplateName" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/htm:topLevelTaskTemplateName" type="xs:string"></eventPart>
						<correlationPredicate expression="Called_Execution_Exists/baseData/wbi:eventHeaderData/wbi:ECSParentID = Identifier"/>
						<filter expression="fn:exists( Called_Execution_Exists/baseData/wbi:eventHeaderData/wbi:ECSParentID ) and fn:exists( Called_Execution_Exists/baseData/wbi:eventHeaderData/wbi:ECSCurrentID ) and ( fn:exists( Called_Execution_Exists/eventPointDataProcessEvents/bpc:BPCEventCode ) or fn:exists(Called_Execution_Exists/eventPointDataTaskEvents/htm:HTMEventCode) ) and fn:empty(Called_Execution_Exists/topLevelTaskTemplateName)"/>
					</inboundEvent>
					<inboundEvent displayName="Aux Receive Called Execution Waiting Duration" id="Aux_Receive_Called_Execution_Waiting_Duration" multipleCorrelationMatches="raiseException" noCorrelationMatches="ignore" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
						<description>Event reporting the waiting duration of a called process or task execution.</description>
						<eventPart displayName="executionId" id="executionId" path="cbe:CommonBaseEvent/evt:executionId" type="xs:string"></eventPart>
						<eventPart displayName="waitingDuration" id="waitingDuration" path="cbe:CommonBaseEvent/evt:waitingDuration" type="xs:duration"></eventPart>
						<eventPart displayName="monitorModelId" id="monitorModelId" path="cbe:CommonBaseEvent/cbe:contextDataElements[@name='MonitoringModelID']/cbe:contextValue" type="xs:string"></eventPart>
						<correlationPredicate expression="Aux_Receive_Called_Execution_Waiting_Duration/executionId = Called_Execution_Identifier"/>
						<filter expression="fn:exists( Aux_Receive_Called_Execution_Waiting_Duration/waitingDuration ) and fn:exists( Aux_Receive_Called_Execution_Waiting_Duration/executionId ) and Aux_Receive_Called_Execution_Waiting_Duration/monitorModelId = fct:monitor-model-id()"/>
					</inboundEvent>
					<inboundEvent displayName="State Changed BPMN2" id="State_Changed_BPMN2" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
						<description>Event reporting a state change of this process execution step.</description>
						<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData" type="mon:eventPointData"></eventPart>
						<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
						<eventPart displayName="processExecuteStepLevelModel" id="processExecuteStepLevelModel" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[1]" type="mon:model"></eventPart>
						<eventPart displayName="processExecuteStepUpLevelModel" id="processExecuteStepUpLevelModel" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[2]" type="mon:model"></eventPart>
						<eventPart displayName="processExecuteStepUpLevelModelType" id="processExecuteStepUpLevelModelType" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[2]/@mon:type" type="xs:string"></eventPart>
						<eventPart displayName="processLevelModel" id="processLevelModel" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[@mon:type='bpmn:process']" type="mon:model"></eventPart>
						<eventPart displayName="faultName" id="faultName" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[1]/mon:instance/mon:fault/@mon:name" type="xs:string"></eventPart>
						<eventPart displayName="EventKind" id="EventKind" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:kind" type="xs:string"></eventPart>
						<eventPart displayName="ActivityType" id="ActivityType" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[1]/@mon:type" type="xs:string"></eventPart>
						<eventPart displayName="principal" id="principal" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[1]/mon:instance/ibm:principal" type="xs:string"></eventPart>
						<eventPart displayName="systemId" id="systemId" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:source/ibm:system/@ibm:systemID" type="xs:string"></eventPart>
						<correlationPredicate expression="fn:concat(State_Changed_BPMN2/processLevelModel/@mon:id,'.', State_Changed_BPMN2/processLevelModel/@mon:version,'.', State_Changed_BPMN2/processLevelModel/mon:instance/@mon:id,'.', State_Changed_BPMN2/processExecuteStepLevelModel/mon:instance/@mon:id) = Identifier and fn:concat(State_Changed_BPMN2/processExecuteStepLevelModel/@mon:id,'.', State_Changed_BPMN2/processExecuteStepLevelModel/@mon:version)  = ../Identifier and fct:logical-deployment-location(State_Changed_BPMN2/server) = ../../Deployed_At and State_Changed_BPMN2/processLevelModel/mon:name = ../../Name"/>
						<filter expression="fn:exists(State_Changed_BPMN2/eventPointData/mon:kind ) and (fn:contains(State_Changed_BPMN2/EventKind, 'bpmnx:ACTIVITY') or fn:contains(State_Changed_BPMN2/EventKind, 'bpmnx:GATEWAY'))"/>
					</inboundEvent>
							<inboundEvent displayName="Called Execution Exists BPMN2" id="Called_Execution_Exists_BPMN2" multipleCorrelationMatches="deliverToAll" noCorrelationMatches="ignore" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
						<description>Event from a called process or task execution, which is used to set that execution's identifier in this monitoring context.</description>
						<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData" type="mon:eventPointData"></eventPart>
						<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
						<eventPart displayName="processLevelModel" id="processLevelModel" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[@mon:type='bpmn:process']" type="mon:model"></eventPart>
						<eventPart displayName="faultName" id="faultName" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[@mon:type='bpmn:process']/mon:instance/mon:fault/@mon:name" type="xs:string"></eventPart>
						<eventPart displayName="EventKind" id="EventKind" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:kind" type="xs:string"></eventPart>
						<correlationPredicate expression="Called_Execution_Exists_BPMN2/eventPointData/mon:correlation/mon:ancestor/mon:ancestor/@mon:id  = Identifier"/>
						<filter expression="fn:exists(Called_Execution_Exists_BPMN2/eventPointData/mon:kind ) and fn:contains(Called_Execution_Exists_BPMN2/EventKind, 'bpmnx:PROCESS') "/>
					</inboundEvent>
					<inboundEvent displayName="Aux Receive Called Execution Working Duration" id="Aux_Receive_Called_Execution_Working_Duration" multipleCorrelationMatches="raiseException" noCorrelationMatches="ignore" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
						<description>Event reporting the working duration of a called process or task execution.</description>
						<eventPart displayName="executionId" id="executionId" path="cbe:CommonBaseEvent/evt:executionId" type="xs:string"></eventPart>
						<eventPart displayName="workingDuration" id="workingDuration" path="cbe:CommonBaseEvent/evt:workingDuration" type="xs:duration"></eventPart>
						<eventPart displayName="monitorModelId" id="monitorModelId" path="cbe:CommonBaseEvent/cbe:contextDataElements[@name='MonitoringModelID']/cbe:contextValue" type="xs:string"></eventPart>
						<correlationPredicate expression="Aux_Receive_Called_Execution_Working_Duration/executionId = Called_Execution_Identifier"/>
						<filter expression="fn:exists( Aux_Receive_Called_Execution_Working_Duration/workingDuration ) and fn:exists( Aux_Receive_Called_Execution_Working_Duration/executionId ) and Aux_Receive_Called_Execution_Working_Duration/monitorModelId = fct:monitor-model-id()"/>
					</inboundEvent>
					<outboundEvent displayName="Aux Report Work Item Update" id="Aux_Report_Work_Item_Update" rootElement="cbe:CommonBaseEvent">
						<description>Event reporting a work item update for this step execution.</description>
						<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
						<eventPart displayName="principal" id="principal" path="cbe:CommonBaseEvent/evt:principal" type="xs:string"></eventPart>
						<eventPart displayName="processDefinitionIdentifier" id="processDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:processDefinitionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="stepDefinitionIdentifier" id="stepDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:stepDefinitionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="stepExecutionIdentifier" id="stepExecutionIdentifier" path="cbe:CommonBaseEvent/evt:stepExecutionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="stepExecutionWorkItemUpdate" id="stepExecutionWorkItemUpdate" path="cbe:CommonBaseEvent/evt:stepExecutionWorkItemUpdate" type="xs:string"></eventPart>
						<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
						<map>
							<trigger ref="Aux_Work_Item_Update_Changed"/>
							<outputValue>
								<assignments>
									<assignment leftValue="Aux_Report_Work_Item_Update/timestamp" rightValue="Aux_Last_Event_Timestamp"/>
									<assignment leftValue="Aux_Report_Work_Item_Update/principal" rightValue="Aux_Last_Event_Principal"/>
									<assignment leftValue="Aux_Report_Work_Item_Update/stepExecutionWorkItemUpdate" rightValue="Last_Work_Item_Update"/>
									<assignment leftValue="Aux_Report_Work_Item_Update/stepExecutionIdentifier" rightValue="Identifier"/>
									<assignment leftValue="Aux_Report_Work_Item_Update/processDefinitionIdentifier" rightValue="../../Identifier"/>
									<assignment leftValue="Aux_Report_Work_Item_Update/stepDefinitionIdentifier" rightValue="../Identifier"/>
									<assignment leftValue="Aux_Report_Work_Item_Update/SystemId" rightValue="SystemId"/>
								</assignments>
							</outputValue>
						</map>
					</outboundEvent>
					<outboundEvent displayName="Aux Report Potential Owners" id="Aux_Report_Potential_Owners" rootElement="cbe:CommonBaseEvent">
						<description>Event reporting a change of potential owners for this step execution.</description>
						<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
						<eventPart displayName="principal" id="principal" path="cbe:CommonBaseEvent/evt:principal" type="xs:string"></eventPart>
						<eventPart displayName="processDefinitionIdentifier" id="processDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:processDefinitionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="stepDefinitionIdentifier" id="stepDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:stepDefinitionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="stepExecutionIdentifier" id="stepExecutionIdentifier" path="cbe:CommonBaseEvent/evt:stepExecutionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="stepExecutionPotentialOwners" id="stepExecutionPotentialOwners" path="cbe:CommonBaseEvent/evt:stepExecutionPotentialOwners" type="xs:string"></eventPart>
						<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
						<map>
							<trigger ref="Aux_Potential_Owners_Changed"/>
							<outputValue>
								<assignments>
									<assignment leftValue="Aux_Report_Potential_Owners/timestamp" rightValue="Aux_Last_Event_Timestamp"/>
									<assignment leftValue="Aux_Report_Potential_Owners/principal" rightValue="Aux_Last_Event_Principal"/>
									<assignment leftValue="Aux_Report_Potential_Owners/stepExecutionPotentialOwners" rightValue="Potential_Owners"/>
									<assignment leftValue="Aux_Report_Potential_Owners/stepExecutionIdentifier" rightValue="Identifier"/>
									<assignment leftValue="Aux_Report_Potential_Owners/processDefinitionIdentifier" rightValue="../../Identifier"/>
									<assignment leftValue="Aux_Report_Potential_Owners/stepDefinitionIdentifier" rightValue="../Identifier"/>
									<assignment leftValue="Aux_Report_Potential_Owners/SystemId" rightValue="SystemId"/>
								</assignments>
							</outputValue>
						</map>
					</outboundEvent>
					<outboundEvent displayName="Aux Report State" id="Aux_Report_State" rootElement="cbe:CommonBaseEvent">
						<description>Event reporting a state change of this step execution.</description>
						<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
						<eventPart displayName="principal" id="principal" path="cbe:CommonBaseEvent/evt:principal" type="xs:string"></eventPart>
						<eventPart displayName="processDefinitionIdentifier" id="processDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:processDefinitionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="stepDefinitionIdentifier" id="stepDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:stepDefinitionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="stepExecutionIdentifier" id="stepExecutionIdentifier" path="cbe:CommonBaseEvent/evt:stepExecutionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="stepExecutionState" id="stepExecutionState" path="cbe:CommonBaseEvent/evt:stepExecutionState" type="xs:string"></eventPart>
						<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
						<map>
							<trigger ref="Aux_Reported_State_Changed"/>
							<outputValue>
								<assignments>
									<assignment leftValue="Aux_Report_State/timestamp" rightValue="Aux_Last_Event_Timestamp"/>
									<assignment leftValue="Aux_Report_State/principal" rightValue="Aux_Last_Event_Principal"/>
									<assignment leftValue="Aux_Report_State/stepExecutionState" rightValue="Aux_Last_State_Reported"/>
									<assignment leftValue="Aux_Report_State/stepExecutionIdentifier" rightValue="Identifier"/>
									<assignment leftValue="Aux_Report_State/processDefinitionIdentifier" rightValue="../../Identifier"/>
									<assignment leftValue="Aux_Report_State/stepDefinitionIdentifier" rightValue="../Identifier"/>
									<assignment leftValue="Aux_Report_State/SystemId" rightValue="SystemId"/>
								</assignments>
							</outputValue>
						</map>
					</outboundEvent>
					<outboundEvent displayName="Aux Report Escalation" id="Aux_Report_Escalation" rootElement="cbe:CommonBaseEvent">
						<description>Event reporting an escalation of this step execution.</description>
						<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
						<eventPart displayName="principal" id="principal" path="cbe:CommonBaseEvent/evt:principal" type="xs:string"></eventPart>
						<eventPart displayName="processDefinitionIdentifier" id="processDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:processDefinitionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="stepDefinitionIdentifier" id="stepDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:stepDefinitionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="stepExecutionIdentifier" id="stepExecutionIdentifier" path="cbe:CommonBaseEvent/evt:stepExecutionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="stepExecutionEscalation" id="stepExecutionEscalation" path="cbe:CommonBaseEvent/evt:stepExecutionEscalation" type="xs:string"></eventPart>
						<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
						<map>
							<trigger ref="Aux_Escalation_Changed"/>
							<outputValue>
								<assignments>
									<assignment leftValue="Aux_Report_Escalation/timestamp" rightValue="Aux_Last_Event_Timestamp"/>
									<assignment leftValue="Aux_Report_Escalation/principal" rightValue="Aux_Last_Event_Principal"/>
									<assignment leftValue="Aux_Report_Escalation/stepExecutionEscalation" rightValue="State_Changed/escalationName"/>
									<assignment leftValue="Aux_Report_Escalation/stepExecutionIdentifier" rightValue="Identifier"/>
									<assignment leftValue="Aux_Report_Escalation/processDefinitionIdentifier" rightValue="../../Identifier"/>
									<assignment leftValue="Aux_Report_Escalation/stepDefinitionIdentifier" rightValue="../Identifier"/>
									<assignment leftValue="Aux_Report_Escalation/SystemId" rightValue="SystemId "/>
								</assignments>
							</outputValue>
						</map>
					</outboundEvent>
					<outboundEvent displayName="Aux Report Potential Owners BPMN2" id="Aux_Report_Potential_Owners_BPMN2" rootElement="cbe:CommonBaseEvent">
						<description>Event reporting a change of potential owners for this step execution.</description>
						<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
						<eventPart displayName="principal" id="principal" path="cbe:CommonBaseEvent/evt:principal" type="xs:string"></eventPart>
						<eventPart displayName="processDefinitionIdentifier" id="processDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:processDefinitionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="stepDefinitionIdentifier" id="stepDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:stepDefinitionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="stepExecutionIdentifier" id="stepExecutionIdentifier" path="cbe:CommonBaseEvent/evt:stepExecutionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="stepExecutionPotentialOwners" id="stepExecutionPotentialOwners" path="cbe:CommonBaseEvent/evt:stepExecutionPotentialOwners" type="xs:string"></eventPart>
						<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
						<map>
							<trigger ref="Aux_Potential_Owners_Changed_BPMN2"/>
							<outputValue>
								<assignments>
									<assignment leftValue="Aux_Report_Potential_Owners_BPMN2/timestamp" rightValue="Aux_Last_Event_Timestamp"/>
									<assignment leftValue="Aux_Report_Potential_Owners_BPMN2/principal" rightValue="Aux_Last_Event_Principal"/>
									<assignment leftValue="Aux_Report_Potential_Owners_BPMN2/stepExecutionPotentialOwners" rightValue="Potential_Owners"/>
									<assignment leftValue="Aux_Report_Potential_Owners_BPMN2/stepExecutionIdentifier" rightValue="Identifier"/>
									<assignment leftValue="Aux_Report_Potential_Owners_BPMN2/processDefinitionIdentifier" rightValue="../../Identifier"/>
									<assignment leftValue="Aux_Report_Potential_Owners_BPMN2/stepDefinitionIdentifier" rightValue="../Identifier"/>
									<assignment leftValue="Aux_Report_Potential_Owners_BPMN2/SystemId" rightValue="SystemId"/>
								</assignments>
							</outputValue>
						</map>
					</outboundEvent>
					<outboundEvent displayName="Aux Report Work Item Update BPMN2" id="Aux_Report_Work_Item_Update_BPMN2" rootElement="cbe:CommonBaseEvent">
						<description>Event reporting a work item update for this process execution step.</description>
						<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
						<eventPart displayName="principal" id="principal" path="cbe:CommonBaseEvent/evt:principal" type="xs:string"></eventPart>
						<eventPart displayName="processDefinitionIdentifier" id="processDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:processDefinitionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="processExecutionIdentifier" id="processExecutionIdentifier" path="cbe:CommonBaseEvent/evt:processExecutionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="processExecutionStepIdentifier" id="processExecutionStepIdentifier" path="cbe:CommonBaseEvent/evt:processExecutionStepIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="processExecutionStepWorkItemUpdate" id="processExecutionStepWorkItemUpdate" path="cbe:CommonBaseEvent/evt:processExecutionStepWorkItemUpdate" type="xs:string"></eventPart>
						<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
						<map>
							<trigger ref="Aux_Work_Item_Update_Changed_BPMN2"></trigger>
							<outputValue>
								<assignments>
									<assignment leftValue="Aux_Report_Work_Item_Update_BPMN2/timestamp" rightValue="Aux_Last_Event_Timestamp"></assignment>
									<assignment leftValue="Aux_Report_Work_Item_Update_BPMN2/principal" rightValue="Aux_Last_Event_Principal"></assignment>
									<assignment leftValue="Aux_Report_Work_Item_Update_BPMN2/processExecutionStepIdentifier" rightValue="Identifier"></assignment>
									<assignment leftValue="Aux_Report_Work_Item_Update_BPMN2/processExecutionStepWorkItemUpdate" rightValue="Last_Work_Item_Update"></assignment>
									<assignment leftValue="Aux_Report_Work_Item_Update_BPMN2/processDefinitionIdentifier" rightValue="../../Identifier"/>
									<assignment leftValue="Aux_Report_Work_Item_Update_BPMN2/processExecutionIdentifier" rightValue="../Identifier"/>
									<assignment leftValue="Aux_Report_Work_Item_Update_BPMN2/SystemId" rightValue="SystemId"/>
								</assignments>
							</outputValue>
						</map>
					</outboundEvent>
					<metric displayName="Identifier" id="Identifier" type="xsd:string" isPartOfKey="true" maxStringLength="128">
						<description>A unique identifier of this step execution.</description>
						<map>
							<outputValue>
								<singleValue expression="State_Changed/baseData/wbi:eventHeaderData/wbi:ECSCurrentID"/>
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="fn:concat(State_Changed_BPMN2/processLevelModel/@mon:id,'.', State_Changed_BPMN2/processLevelModel/@mon:version,'.', State_Changed_BPMN2/processLevelModel/mon:instance/@mon:id,'.', State_Changed_BPMN2/processExecuteStepLevelModel/mon:instance/@mon:id)"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Aux Last State Reported" id="Aux_Last_State_Reported" type="xsd:string" maxStringLength="128">
						<description>The state of this step execution, as reported by the last state-change event received. This may not be the current state, but some state from the past, if the event reporting it was delayed.</description>
						<map>
							<outputValue>
<!-- 
								<singleValue expression="stateChanged/eventPointData/bpc:state"/>
-->
								<singleValue expression="if ( State_Changed/eventPointData/bpc:BPCEventCode = '21006' or State_Changed/eventPointData/bpc:BPCEventCode = '21021' ) then 'READY' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42020' or State_Changed/eventPointData/bpc:BPCEventCode = '21007' and State_Changed/eventPointData/bpc:state = '3 - STATE_RUNNING' ) then 'RUNNING' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '21011' or State_Changed/eventPointData/bpc:BPCEventCode = '42026' or State_Changed/eventPointData/bpc:BPCEventCode = '42036' ) then 'FINISHED' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42005' or State_Changed/eventPointData/bpc:BPCEventCode = '42021' ) then 'SKIPPED' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '21080' or State_Changed/eventPointData/bpc:BPCEventCode = '42022' ) then 'FAILED' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42023' ) then 'FAILING' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '21027' or State_Changed/eventPointData/bpc:BPCEventCode = '42024' ) then 'TERMINATED' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '21022' ) then ( if ( fn:exists( State_Changed/username ) ) then fn:concat( 'CLAIMED by ', State_Changed/username ) else 'CLAIMED' ) else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '21007' and State_Changed/eventPointData/bpc:state = '11 - STATE_WAITING' ) then 'WAITING' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '21081' ) then 'EXPIRED' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42015' or State_Changed/eventPointData/bpc:BPCEventCode = '42066' ) then 'STOPPED' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42043' ) then 'COMPENSATING' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42044' ) then 'COMPENSATED' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42045' ) then 'COMPFAILED' else (
if ( ( State_Changed/eventPointData/bpc:BPCEventCode = '42031' or State_Changed/eventPointData/bpc:BPCEventCode = '42068' ) and State_Changed/eventPointData/bpc:state = '1 - STATE_INACTIVE' ) then 'INACTIVE_FRETRIED' else (
if ( ( State_Changed/eventPointData/bpc:BPCEventCode = '42031' or State_Changed/eventPointData/bpc:BPCEventCode = '42068' ) and State_Changed/eventPointData/bpc:state = '2 - STATE_READY' ) then 'READY_FRETRIED' else (
if ( ( State_Changed/eventPointData/bpc:BPCEventCode = '42031' or State_Changed/eventPointData/bpc:BPCEventCode = '42068' ) and State_Changed/eventPointData/bpc:state = '3 - STATE_RUNNING' ) then 'RUNNING_FRETRIED' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42031' and State_Changed/eventPointData/bpc:state = '11 - STATE_WAITING' ) then 'WAITING_FRETRIED' else (
if ( ( State_Changed/eventPointData/bpc:BPCEventCode = '42031' or State_Changed/eventPointData/bpc:BPCEventCode = '42068' ) and State_Changed/eventPointData/bpc:state = '13 - STATE_STOPPED' ) then 'STOPPED_FRETRIED' else (
if ( ( State_Changed/eventPointData/bpc:BPCEventCode = '42032' or State_Changed/eventPointData/bpc:BPCEventCode = '42067' ) and State_Changed/eventPointData/bpc:state = '5 - STATE_FINISHED' ) then 'FINISHED_FCOMPLETED' else (
if ( ( State_Changed/eventPointData/bpc:BPCEventCode = '42032' or State_Changed/eventPointData/bpc:BPCEventCode = '42067' ) and State_Changed/eventPointData/bpc:state = '4 - STATE_SKIPPED' ) then 'SKIPPED_FCOMPLETED' else (
if ( ( State_Changed/eventPointData/bpc:BPCEventCode = '42032' or State_Changed/eventPointData/bpc:BPCEventCode = '42067' ) and State_Changed/eventPointData/bpc:state = '6 - STATE_FAILED' ) then 'FAILED_FCOMPLETED' else (
if ( ( State_Changed/eventPointData/bpc:BPCEventCode = '42032' or State_Changed/eventPointData/bpc:BPCEventCode = '42067' ) and State_Changed/eventPointData/bpc:state = '13 - STATE_STOPPED' ) then 'STOPPED_FCOMPLETED' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42037' ) then 'LOOP_CONDITION_TRUE' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42038' ) then 'LOOP_CONDITION_FALSE' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42057' ) then fn:concat( 'FINISHED (', xs:integer( State_Changed/branchesStarted ) + 1,' branches)' ) else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42061' ) then 'FINISHED_CONDTRUE' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42062' ) then 'FINISHED_ALLCONDFALSE' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42064' ) then 'SKIP_REQUESTED' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42065' ) then 'SKIPPED_ON_REQUEST' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42070' ) then 'SKIPPED_ON_EXIT_CONDITION_TRUE' else (
if ( fn:contains( '42039 42040 42050 42054 42055 ', fn:concat( State_Changed/eventPointData/bpc:BPCEventCode , ' ' ) ) and State_Changed/eventPointData/bpc:state = '1 - STATE_INACTIVE' ) then 'INACTIVE' else Aux_Last_State_Reported
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)"/>
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="if (fn:ends-with(State_Changed_BPMN2/EventKind,'READY')) then 'READY' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'ACTIVE')) then 'ACTIVE' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'COMPLETING')) then 'COMPLETING' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'COMPLETED')) then 'COMPLETED' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'FAILING')) then 'FAILING' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'FAILED')) then 'FAILED' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'TERMINATING')) then 'TERMINATING' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'TERMINATED')) then 'TERMINATED' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'COMPENSATING')) then 'COMPENSATING' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'COMPENSATED')) then 'COMPENSATED' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'WITHDRAWN')) then 'WITHDRAWN' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'EXPIRED')) then 'EXPIRED' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'SKIPPED')) then 'SKIPPED' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'STOPPED')) then 'STOPPED' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'FORCE_RESTARTED')) then 'FORCE_RESTARTED' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'FORCE_COMPLETED')) then 'FORCE_COMPLETED' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'LOOP_CONDITION_TRUE')) then 'LOOP_CONDITION_TRUE' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'LOOP_CONDITION_FALSE')) then 'LOOP_CONDITION_FALSE' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'GATEWAY_ACTIVATED')) then 'ACTIVATED' else(if (fn:ends-with(State_Changed_BPMN2/EventKind,'GATEWAY_COMPLETED')) then 'COMPLETED' else Aux_Last_State_Reported)))))))))))))))) )))"/>
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="''"/>
						</defaultValue>
					</metric>
					<metric displayName="Total Duration" id="Total_Duration" type="xsd:duration">
						<description>The total duration of this step execution so far (the time since it started while it is in progress, and the total time from start to end after it has ended).</description>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:exists( Time_Started ) ) then ( if ( fn:exists( Time_Ended ) ) then Time_Ended - Time_Started else Aux_Last_Event_Timestamp - Time_Started ) else Total_Duration"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Process Execution Identifier" id="Process_Execution_Identifier" type="xsd:string" maxStringLength="128">
						<description>The identifier of the process execution that initiated this step execution.</description>
						<map>
							<outputValue>
								<singleValue expression="State_Changed/baseData/wbi:eventHeaderData/wbi:ECSParentID" />
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="State_Changed_BPMN2/processLevelModel/mon:instance/@mon:id"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="State History" id="State_History" type="xsd:string" maxStringLength="4000">
						<description>The state history of this step execution.</description>
						<map>
							<trigger ref="Aux_Reported_State_Changed" />
							<outputValue>
								<singleValue expression="fn:substring( fn:concat( Aux_Last_Event_Timestamp_xs_format, '  ', Aux_Last_State_Reported, '&lt;br/&gt;', State_History ), 1, 4000)" />
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="''" />
						</defaultValue>
					</metric>
					<metric displayName="Called Execution Identifier" id="Called_Execution_Identifier" type="xsd:string" maxStringLength="128">
						<description>The identifier of the process or task execution that was called (for invocation steps).</description>
						<map>
							<outputValue>
								<singleValue expression="Called_Execution_Exists/baseData/wbi:eventHeaderData/wbi:ECSCurrentID" />
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="if (  Called_Execution_Exists_BPMN2/processLevelModel/mon:instance/@mon:id != ../Identifier ) then Called_Execution_Exists_BPMN2/processLevelModel/mon:instance/@mon:id else Called_Execution_Identifier"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Owner" id="Owner" type="xsd:string" maxStringLength="256" valueRequired="true">
						<description>The user who has claimed this step execution (for steps that are human tasks).</description>
						<map>
							<outputValue>
								<singleValue expression="if ( State_Changed/eventPointData/bpc:BPCEventCode = '21022' and fn:string-length(State_Changed/username) &gt; 0 ) then State_Changed/username else ( if ( State_Changed/eventPointData/bpc:BPCEventCode = '21021' ) then ' ' else Owner )" />
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="if (fn:contains(State_Changed_BPMN2/EventKind,'bpmnx:ACTIVITY_ACTIVE')) then State_Changed_BPMN2/processExecuteStepLevelModel/mon:instance/mon:role[@mon:id='PERFORMER']/mon:resource[1]/@mon:id else Owner"/>
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="' '" />
						</defaultValue>
					</metric>
					<metric displayName="Time Ended" id="Time_Ended" type="xsd:dateTime">
						<description>The time when this step execution ended.</description>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:not( Has_Ended ) ) then Aux_Empty_DateTime else ( if ( fn:exists( Time_Ended ) ) then Time_Ended else State_Timestamp )" />
							</outputValue>
						</map>
					</metric>
					<metric displayName="Has Ended" id="Has_Ended" type="xsd:boolean" valueRequired="true">
						<description>Flag indicating that the monitored step execution has reached a 'terminal' state. Note that it may still be retried or compensated, at which point this flag will become false again.</description>
						<map>
							<outputValue>
								<singleValue expression="fn:starts-with( State, 'COMPLETED' ) or fn:starts-with( State, 'FINISHED' ) or fn:starts-with( State, 'SKIPPED' ) or fn:starts-with( State, 'FAILED' ) or fn:starts-with( State, 'TERMINATED' ) or fn:starts-with( State, 'EXPIRED' ) or fn:starts-with( State, 'COMPENSATED' ) or fn:starts-with( State, 'COMPFAILED' ) or (State = 'LOOP_CONDITION_TRUE' and Kind = 'KIND_REPEAT_UNTIL') or (State = 'LOOP_CONDITION_FALSE' and Kind = 'KIND_WHILE') or fn:starts-with( State, 'Completed' ) or fn:starts-with( State, 'Finished' ) or fn:starts-with( State, 'Skipped' ) or fn:starts-with( State, 'Failed' ) or fn:starts-with( State, 'Terminated' ) or fn:starts-with( State, 'Expired' ) or fn:starts-with( State, 'Compensated' ) or fn:starts-with( State, 'Compfailed' ) or fn:starts-with( State, 'GATEWAY_OUTBOUND' ) or (State = 'Loop_condition_true' and Kind = 'Kind_repeat_until') or (State = 'Loop_condition_false' and Kind = 'Kind_while')" />
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="fn:false()" />
						</defaultValue>
					</metric>
					<metric displayName="Aux Last Event Timestamp" id="Aux_Last_Event_Timestamp" type="xsd:dateTime">
						<description>The timestamp of the last state-change event received in this monitoring context.</description>
						<map>
							<outputValue>
								<singleValue expression="State_Changed/predefinedData/creationTime" />
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="State_Changed_BPMN2/eventPointData/mon:time"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Total Duration (xs format)" id="Total_Duration_xs_format" type="xsd:string" maxStringLength="64">
						<description>The 'Total Duration' metric in XML Schema data format.</description>
						<map>
							<outputValue>
								<singleValue expression="xs:string( Total_Duration )" />
							</outputValue>
						</map>
					</metric>
					<metric displayName="Time Started (xs format)" id="Time_Started_xs_format" type="xsd:string" maxStringLength="64">
						<description>The 'Time Started' metric in XML Schema data format.</description>
						<map>
							<outputValue>
								<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Time_Started ) ) )" />
							</outputValue>
						</map>
					</metric>
					<metric displayName="Time Ended (xs format)" id="Time_Ended_xs_format" type="xsd:string" maxStringLength="64">
						<description>The 'Time Ended' metric in XML Schema data format.</description>
						<map>
							<outputValue>
								<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Time_Ended ) ) ) " />
							</outputValue>
						</map>
					</metric>
					<metric displayName="Name" id="Name" type="xsd:string" valueRequired="true">
						<description>The name of this step. It is redundant at the execution level, but provided for convenience and to enable grouping.</description>
						<map>
							<trigger ref="Aux_Started"/>
							<outputValue>
								<singleValue expression="if ( fn:string-length(../Name) &gt; 0 ) then ../Name else Name" />
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="' '"/>
						</defaultValue>
					</metric>
					<metric displayName="Kind" id="Kind" type="xsd:string" maxStringLength="64" valueRequired="true">
						<description>The kind of activity/task represented by this step. It is redundant at the execution level, but provided for convenience and to enable grouping.</description>
						<map>
							<trigger ref="Aux_Started"/>
							<outputValue>
								<singleValue expression="if ( fn:string-length(../Kind) &gt; 0 ) then ../Kind else Kind" />
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:exists(  State_Changed_BPMN2/ActivityType ) and Kind = ' ' ) then State_Changed_BPMN2/ActivityType else Kind"/>
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="' '"/>
						</defaultValue>
					</metric>
					<metric displayName="Waiting Duration" id="Waiting_Duration" type="xsd:duration">
						<description>The aggregate duration for which this step execution has been waiting for a human task to be claimed.</description>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:empty( Aux_Called_Execution_Waiting_Duration ) ) then xs:dayTimeDuration( fct:aggregate-duration-in-state( 'READY', State_History, Aux_Last_Event_Timestamp ) ) else Aux_Called_Execution_Waiting_Duration" />
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="xs:dayTimeDuration('PT0S')"/>
						</defaultValue>
					</metric>
					<metric displayName="Working Duration" id="Working_Duration" type="xsd:duration">
						<description>The aggregate duration for which this step execution has been waiting for a claimed human task to be completed.</description>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:empty( Aux_Called_Execution_Working_Duration ) and Aux_Execution_Step_Type = 'WPS' ) then xs:dayTimeDuration( fct:aggregate-duration-in-state( 'CLAIMED', State_History, Aux_Last_Event_Timestamp ) ) else ( if ( fn:empty( Aux_Called_Execution_Working_Duration ) and Aux_Execution_Step_Type = 'WLE' ) then xs:dayTimeDuration( fct:aggregate-duration-in-state( 'ACTIVE', State_History, Aux_Last_Event_Timestamp ) ) else Aux_Called_Execution_Working_Duration ) " />
							</outputValue>
						</map>
					</metric>
					<metric displayName="Waiting Duration (xs format)" id="Waiting_Duration_xs_format" type="xsd:string" maxStringLength="64">
						<description>The 'Waiting Duration' metric in XML Schema data format.</description>
						<map>
							<outputValue>
								<singleValue expression="xs:string( Waiting_Duration )" />
							</outputValue>
						</map>
					</metric>
					<metric displayName="Working Duration (xs format)" id="Working_Duration_xs_format" type="xsd:string" maxStringLength="64">
						<description>The 'Working Duration' metric in XML Schema data format.</description>
						<map>
							<outputValue>
								<singleValue expression="xs:string( Working_Duration )" />
							</outputValue>
						</map>
					</metric>
					<metric displayName="State" id="State" type="xsd:string" maxStringLength="64" valueRequired="true">
						<description>The current state of this step execution.</description>
						<map>
							<outputValue>
								<singleValue expression="if ( ( fn:empty( State_Timestamp ) or Aux_Last_Event_Timestamp &gt;= State_Timestamp ) and fn:string-length(Aux_Last_State_Reported) &gt; 0 ) then Aux_Last_State_Reported else State" />
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="' '" />
						</defaultValue>
					</metric>
					<metric displayName="Aux Last Event Timestamp (xs format)" id="Aux_Last_Event_Timestamp_xs_format" type="xsd:string" maxStringLength="64">
						<description>The 'Aux Last Event Timestamp' metric in XML Schema data format.</description>
						<map>
							<outputValue>
								<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone(  Aux_Last_Event_Timestamp ) ) )"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Qualified Name" id="Qualified_Name" type="xsd:string" valueRequired="true">
						<description>The name of this step, prefixed by the process definition identifier in brackets. It is redundant at the execution level, but provided for convenience and to enable grouping.</description>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:exists( State_Changed/eventPointData/bpc:activityTemplateName ) and Qualified_Name = ' ' ) then fn:concat( '[', ../../Identifier, '] ', State_Changed/eventPointData/bpc:activityTemplateName ) else Qualified_Name" />
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:exists( State_Changed_BPMN2/processExecuteStepLevelModel/mon:name) and Qualified_Name = ' ' ) then fn:concat( '[', ../../Identifier, '] ', State_Changed_BPMN2/processExecuteStepLevelModel/mon:name ) else Qualified_Name"/>
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="' '" />
						</defaultValue>
					</metric>
					<metric displayName="Aux Called Execution Waiting Duration" id="Aux_Called_Execution_Waiting_Duration" type="xsd:duration">
						<description>The waiting duration of the process or task execution that was called (for invoke steps).</description>
						<map>
							<outputValue>
								<singleValue expression="xs:dayTimeDuration( Aux_Receive_Called_Execution_Waiting_Duration/waitingDuration )" />
							</outputValue>
						</map>
					</metric>
					<metric displayName="Aux Called Execution Working Duration" id="Aux_Called_Execution_Working_Duration" type="xsd:duration">
						<description>The working duration of the process or task execution that was called (for invoke steps).</description>
						<map>
							<outputValue>
								<singleValue expression="xs:dayTimeDuration( Aux_Receive_Called_Execution_Working_Duration/workingDuration )" />
							</outputValue>
						</map>
					</metric>
					<metric displayName="Escalations" id="Escalations" type="xsd:integer">
						<description>The number of escalations of this step execution (for steps that are human tasks).</description>
						<map>
							<outputValue>
								<singleValue expression="if ( State_Changed/eventPointData/bpc:BPCEventCode = '42050' ) then Escalations + 1 else Escalations" />
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="0" />
						</defaultValue>
					</metric>
					<metric displayName="Potential Owners History" id="Potential_Owners_History" type="xsd:string" maxStringLength="4000">
						<description>The history of users and/or groups eligible to claim this step execution (for steps that are human tasks).</description>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:string-length( State_Changed/eventPointData/bpc:BPCEventCode ) = 5 and fn:contains( '42040 42039 42054 42055 ', fn:concat( State_Changed/eventPointData/bpc:BPCEventCode, ' ' ) ) and fn:not( State_Changed/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason != '1' ) ) then fn:substring( fn:concat( Aux_Last_Event_Timestamp_xs_format, '  ', Potential_Owners, '&lt;br/&gt;', Potential_Owners_History ), 1, 4000 ) else Potential_Owners_History" />
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:contains( 'bpmnx:ACTIVITY_RESOURCE_ASSIGNED bpmnx:ACTIVITY_RESOURCE_UNASSIGNED ', fn:concat( State_Changed_BPMN2/EventKind , ' ' ) ) ) then fn:substring( fn:concat( Aux_Last_Event_Timestamp_xs_format, '  ', Potential_Owners, '&amp;lt;br/&amp;gt;', Potential_Owners_History ), 1, 4000 ) else Potential_Owners_History"/>
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="''" />
						</defaultValue>
					</metric>
					<metric displayName="Potential Owners" id="Potential_Owners" type="xsd:string" maxStringLength="256">
						<description>The users and/or groups eligible to claim this step execution (for steps that are human tasks).</description>
						<map>
							<outputValue>
								<singleValue expression="if ( State_Changed/eventPointData/bpc:BPCEventCode = '42040' and fn:not( State_Changed/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason != '1' ) ) then fn:substring( fct:add-to-list( Potential_Owners, wbm:serialize( State_Changed/username, '' ) ), 1, 4000) else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42039' and fn:not( State_Changed/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason != '1' ) ) then fn:substring( fct:remove-from-list( Potential_Owners, State_Changed/username ), 1, 4000) else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42054' and fn:not( State_Changed/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason != '1' ) ) then fn:substring( fct:add-to-list( '', wbm:serialize( State_Changed/username, '' ) ), 1, 4000) else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42055' and fn:not( State_Changed/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason != '1' ) ) then fn:substring( fct:add-to-list( fct:remove-from-list( Potential_Owners, State_Changed/current_username ), State_Changed/target_username ), 1, 4000) else Potential_Owners
)
)
)" />
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:contains(State_Changed_BPMN2/EventKind,'bpmnx:ACTIVITY_RESOURCE_ASSIGNED') and fn:not(  State_Changed_BPMN2/processExecuteStepLevelModel/mon:instance/mon:role[1]/@mon:id != 'POTENTIAL_PERFORMER' ) ) then fn:substring( fct:add-to-list( Potential_Owners, State_Changed_BPMN2/processExecuteStepLevelModel/mon:instance/mon:role[1]/mon:resource[1]/@mon:id ), 1, 4000) else (
if ( fn:contains(State_Changed_BPMN2/EventKind,'bpmnx:ACTIVITY_RESOURCE_UNASSIGEND') and fn:not(  State_Changed_BPMN2/processExecuteStepLevelModel/mon:instance/mon:role[1]/@mon:id != 'POTENTIAL_PERFORMER' ) ) then fn:substring( fct:remove-from-list( Potential_Owners, State_Changed_BPMN2/processExecuteStepLevelModel/mon:instance/mon:role[1]/mon:resource[1]/@mon:id ), 1, 4000) else Potential_Owners)"/>
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="''" />
						</defaultValue>
					</metric>
					<metric displayName="Escalation History" id="Escalation_History" type="xsd:string" maxStringLength="4000">
						<description>The history of escalations of this step execution (for steps that are human tasks).</description>
						<map>
							<outputValue>
								<singleValue expression="if ( State_Changed/eventPointData/bpc:BPCEventCode = '42050' ) then fn:substring( fn:concat( Aux_Last_Event_Timestamp_xs_format, '  ', State_Changed/escalationName, '&lt;br /&gt;', Escalation_History ), 1, 4000 ) else Escalation_History" />
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="''" />
						</defaultValue>
					</metric>
					<metric displayName="Aux Last Event Principal" id="Aux_Last_Event_Principal" type="xsd:string">
						<description>The principal associated with the last state-change event received in this monitoring context.</description>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:exists( State_Changed/eventPointData/bpc:principal ) ) then State_Changed/eventPointData/bpc:principal else ''" />
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:exists(  State_Changed_BPMN2/principal ) ) then State_Changed_BPMN2/principal else ''"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Aux Empty DateTime" id="Aux_Empty_DateTime" type="xsd:dateTime">
						<description>Auxiliary metric representing an empty xs:dateTime value.</description>
						<map>
							<trigger ref="Aux_Never" />
							<outputValue>
								<singleValue expression="Aux_Empty_DateTime" />
							</outputValue>
						</map>
					</metric>
					<metric displayName="Aux Saved Last State Reported" id="Aux_Saved_Last_State_Reported" type="xsd:string" maxStringLength="128">
						<description>Saved copy of the last state reported. It is used to prevent adding state history entries when the same state is reported several times.</description>
						<map>
							<trigger ref="Aux_Reported_State_Changed" />
							<outputValue>
								<singleValue expression="Aux_Last_State_Reported" />
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="''" />
						</defaultValue>
					</metric>
					<metric displayName="Aux Saved Total Duration" id="Aux_Saved_Total_Duration" type="xsd:duration">
						<description>A saved copy of the 'Total Duration' metric. It is used to adjust the aggregation at the step definition level when the total duration changes.</description>
						<map>
							<trigger ref="Aux_Save_Durations" />
							<outputValue>
								<singleValue expression="Total_Duration" />
							</outputValue>
						</map>
						<map>
							<trigger ref="Aux_Clear_Saved_Durations" />
							<outputValue>
								<singleValue expression="Aux_Empty_Duration" />
							</outputValue>
						</map>
					</metric>
					<metric displayName="Aux Saved Waiting Duration" id="Aux_Saved_Waiting_Duration" type="xsd:duration">
						<description>A saved copy of the 'Waiting Duration' metric. It is used to adjust the aggregation at the step definition level when the waiting duration changes.</description>
						<map>
							<trigger ref="Aux_Save_Durations" />
							<outputValue>
								<singleValue expression="Waiting_Duration" />
							</outputValue>
						</map>
						<map>
							<trigger ref="Aux_Clear_Saved_Durations" />
							<outputValue>
								<singleValue expression="Aux_Empty_Duration" />
							</outputValue>
						</map>
					</metric>
					<metric displayName="Aux Saved Working Duration" id="Aux_Saved_Working_Duration" type="xsd:duration">
						<description>A saved copy of the 'Working Duration' metric. It is used to adjust the aggregation at the step definition level when the working duration changes.</description>
						<map>
							<trigger ref="Aux_Save_Durations" />
							<outputValue>
								<singleValue expression="Working_Duration" />
							</outputValue>
						</map>
						<map>
							<trigger ref="Aux_Clear_Saved_Durations" />
							<outputValue>
								<singleValue expression="Aux_Empty_Duration" />
							</outputValue>
						</map>
					</metric>
					<metric displayName="Aux Has Ended At Least Once" id="Aux_Has_Ended_At_Least_Once" type="xsd:boolean">
						<description>Auxiliay flag, which becomes true when the step execution ends for the first time.</description>
						<map>
							<outputValue>
								<singleValue expression="Has_Ended or Aux_Has_Ended_At_Least_Once" />
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="fn:false()" />
						</defaultValue>
					</metric>
					<metric displayName="Process Definition Identifier" id="Process_Definition_Identifier" type="xsd:string" valueRequired="true">
						<description>A copy of the process definition identifier. It is redundant at the execution level, but provided for convenience and to enable grouping by process during aggregations.</description>
						<map>
							<trigger ref="Aux_Started" />
							<outputValue>
								<singleValue expression="if ( fn:string-length(../../Identifier) &gt; 0 ) then ../../Identifier else Process_Definition_Identifier" />
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="' '" />
						</defaultValue>
					</metric>
					<metric displayName="Process Definition Name" id="Process_Definition_Name" type="xsd:string" valueRequired="true">
						<description>A copy of the process definition name. It is redundant at the execution level, but provided for convenience and to enable grouping by process during aggregations.</description>
						<map>
							<trigger ref="Aux_Started" />
							<outputValue>
								<singleValue expression="if ( fn:string-length(../../Name) &gt; 0 ) then ../../Name else Process_Definition_Name" />
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="' '" />
						</defaultValue>
					</metric>
					<metric displayName="State Timestamp" id="State_Timestamp" type="xsd:dateTime">
						<description>The timestamp of the last event used to set the 'State' metric. Also used to prevent unintended state changes back to earlier states when events arrive out-of-order.</description>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:empty( State_Timestamp ) or Aux_Last_Event_Timestamp &gt;= State_Timestamp ) then Aux_Last_Event_Timestamp else State_Timestamp" />
							</outputValue>
						</map>
					</metric>
					<metric displayName="Time Started" id="Time_Started" type="xsd:dateTime">
						<description>The timestamp of the earliest event received about this step execution. If its entry / start event is sent, it will be the time it came to life / started.</description>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:empty(Time_Started) or Aux_Last_Event_Timestamp &lt; Time_Started ) then Aux_Last_Event_Timestamp else Time_Started" />
							</outputValue>
						</map>
					</metric>
					<metric displayName="Work Item Update History" id="Work_Item_Update_History" type="xsd:string" maxStringLength="4000">
						<description>The history of work item updates for this step execution (for steps that are human tasks).</description>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:string-length( State_Changed/eventPointData/bpc:BPCEventCode ) = 5 and fn:contains( '42040 42039 42050 42054 42055 ', fn:concat( State_Changed/eventPointData/bpc:BPCEventCode, ' ' ) ) ) then fn:substring( fn:concat( Aux_Last_Event_Timestamp_xs_format, '  ', Last_Work_Item_Update, '&lt;br/&gt;', Work_Item_Update_History), 1, 4000 ) else Work_Item_Update_History" />
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:contains( 'bpmnx:ACTIVITY_RESOURCE_ASSIGNED bpmnx:ACTIVITY_RESOURCE_DEASSIGNED ', fn:concat( State_Changed_BPMN2/EventKind, ' ' ) ) ) then fn:substring( fn:concat( Aux_Last_Event_Timestamp_xs_format, '  ', Last_Work_Item_Update, '&amp;lt;br/&amp;gt;', Work_Item_Update_History ), 1, 4000 ) else Work_Item_Update_History"/>
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="''" />
						</defaultValue>
					</metric>
					<metric displayName="Last Work Item Update" id="Last_Work_Item_Update" type="xsd:string">
						<description>The last work item update for this step execution (for steps that are human tasks).</description>
						<map>
							<outputValue>
								<singleValue expression="if ( State_Changed/eventPointData/bpc:BPCEventCode = '42040' ) then fn:concat( 'WORK_ITEMS_CREATED for user: ', fct:add-to-list( '', wbm:serialize( State_Changed/username, '' ) ), ( if ( fn:exists(State_Changed/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason) ) then fn:concat('; role: ', fn:normalize-space( fn:substring( ../../Aux_User_Roles, 32 * xs:integer(State_Changed/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason), 32 ) ) ) else '' ) ) else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42039' ) then fn:concat( 'WORK_ITEMS_DELETED for user ', State_Changed/username, ( if ( fn:exists(State_Changed/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason) ) then fn:concat(  '; role: ', fn:normalize-space( fn:substring( ../../Aux_User_Roles, 32 * xs:integer(State_Changed/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason), 32 ) ) ) else '' ) ) else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42050' ) then 'ESCALATED' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42054' ) then 'WORK_ITEMS_REFRESHED' else (
if ( State_Changed/eventPointData/bpc:BPCEventCode = '42055' ) then fn:concat( 'WORK_ITEMS_TRANSFERRED from ', State_Changed/current_username, ' to ', State_Changed/target_username, ( if ( fn:exists(State_Changed/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason) ) then fn:concat( '; role: ', fn:normalize-space( fn:substring( ../../Aux_User_Roles, 32 * xs:integer(State_Changed/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason), 32 ) ) ) else '' ) ) else Last_Work_Item_Update
)
)
)
)" />
							</outputValue>
						</map>
					</metric>
					<metric displayName="Aux Empty Duration" id="Aux_Empty_Duration" type="xsd:duration">
						<description>Auxiliary xs:duration metric which will always be empty.</description>
						<map>
							<trigger ref="Aux_Never" />
							<outputValue>
								<singleValue expression='xs:dayTimeDuration("PT0S")' />
							</outputValue>
						</map>
					</metric>
					<metric displayName="State Timestamp (xs format)" id="State_Timestamp_xs_format" type="xsd:string" maxStringLength="64">
						<description>The 'State Timestamp' metric in XML Schema data format.</description>
						<map>
							<outputValue>
								<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( State_Timestamp ) ) )" />
							</outputValue>
						</map>
					</metric>
					<metric displayName="Fault Name" id="Fault_Name" type="xsd:string">
						<description>If this step execution has failed, the name of the fault (if any was reported).</description>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:empty(Fault_Name) and fn:exists(State_Changed/eventPointDataIfFailure/bpc:eventExt/bpc:faultName) ) then fn:concat( '{', State_Changed/eventPointDataIfFailure/bpc:eventExt/bpc:faultNamespace, '}',State_Changed/eventPointDataIfFailure/bpc:eventExt/bpc:faultName ) else Fault_Name"/>
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:empty(Fault_Name) and fn:exists(State_Changed_BPMN2/faultName ) ) then State_Changed_BPMN2/faultName else Fault_Name"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Fault Message" id="Fault_Message" type="xsd:string" maxStringLength="4000">
						<description>If this step execution has failed, the fault message (if any was reported).</description>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:empty(Fault_Message) and fn:exists(State_Changed/eventPointDataIfFailure/bpc:activityFailedException) ) then fn:substring(State_Changed/eventPointDataIfFailure/bpc:activityFailedException, 1, 4000) else Fault_Message"/>
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:empty(Fault_Message) and fn:exists(State_Changed_BPMN2/processExecuteStepLevelModel/mon:instance/mon:fault) ) then fn:substring(State_Changed_BPMN2/processExecuteStepLevelModel/mon:instance/mon:fault, 1, 4000) else Fault_Message"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Description" id="Description" type="xsd:string" maxStringLength="4000">
						<description>A description of this step execution.</description>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:exists(State_Changed/eventPointData/bpc:activityInstanceDescription) and fn:string-length(State_Changed/eventPointData/bpc:activityInstanceDescription) &gt; 0 ) then fn:substring(State_Changed/eventPointData/bpc:activityInstanceDescription, 1, 4000) else Description"/>
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:exists(State_Changed_BPMN2/processExecuteStepLevelModel/mon:documentation) and fn:string-length(State_Changed_BPMN2/processExecuteStepLevelModel/mon:documentation) &gt; 0 ) then fn:substring(State_Changed_BPMN2/processExecuteStepLevelModel/mon:documentation, 1, 4000) else Description"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Related Task Execution Identifier" id="Related_Task_Execution_Identifier" type="xsd:string" maxStringLength="128">
						<description>The unique identifier of a related human task execution (only for staff activities)</description>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:empty(Related_Task_Execution_Identifier) and fn:exists(State_Changed/eventPointData/bpc:activityExt/bpc:taskInstanceId) ) then State_Changed/eventPointData/bpc:activityExt/bpc:taskInstanceId else Related_Task_Execution_Identifier"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Waiting For Subtask Duration" id="Waiting_For_Subtask_Duration" type="xsd:duration">
						<description>The aggregate duration for which this step execution has been waiting for subtasks to be completed.</description>
						<map>
							<trigger ref="Step_Execution_Related_Task_Execution/Aux_Waiting_For_Subtask_Duration_Changed"/>
							<outputValue>
								<singleValue expression="Step_Execution_Related_Task_Execution/Waiting_For_Subtask_Duration "/>
							</outputValue>
						</map>
						<defaultValue>
							<singleValue expression="xs:dayTimeDuration('PT0S')"/>
						</defaultValue>
					</metric>
					<metric displayName="Waiting For Subtask Duration (xs format)" id="Waiting_For_Subtask_Duration_xs_format" type="xsd:string" maxStringLength="64">
						<description>The 'Waiting For Subtask Duration' metric in XML Schema data format.</description>
						<map>
							<outputValue>
								<singleValue expression="xs:string(Waiting_For_Subtask_Duration)"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Aux Execution Step Type" id="Aux_Execution_Step_Type" type="xsd:string">
						<map>
							<trigger ref="Aux_WPS_Step_Report"/>
							<outputValue>
								<singleValue expression="'WPS'"/>
							</outputValue>
						</map>
						<map>
							<trigger ref="Aux_WLE_Step_Report"/>
							<outputValue>
								<singleValue expression="'WLE'"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="SystemId" id="SystemId" type="xsd:string">
						<map>
							<outputValue>
								<singleValue expression="if ( fn:exists(State_Changed/eventPointData/bpc:baseExt/bpc:systemId) ) then State_Changed/eventPointData/bpc:baseExt/bpc:systemId else SystemId"/>
							</outputValue>
						</map>
						<map>
							<outputValue>
								<singleValue expression="if (fn:exists(State_Changed_BPMN2/systemId)) then State_Changed_BPMN2/systemId else SystemId"/>
							</outputValue>
						</map>
					</metric>
					<counter displayName="Subtasks" id="Subtasks" type="xsd:integer">
						<description>The number of subtasks of this step execution (only applicable for staff activities or human task invocations).</description>
						<incrementedWhen ref="Step_Execution_Related_Task_Execution/Aux_Nested_Subtask_Exists"/>
					</counter>
					<monitoringContext displayName="Step Execution Potential Owners History" id="Step_Execution_Potential_Owners_History">
						<description>Auxiliary monitoring context definition, to save a timestamped history of potential owner updates of a step execution</description>
						<inboundEvent displayName="Aux Report Potential Owners" id="Aux_Report_Potential_Owners" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="raiseException" rootElement="cbe:CommonBaseEvent">
							<description>Auxiliary inbound event reporting an update of the potential owners of a step execution. Note that the correlation predicate should always evaluate to false, which will cause a new instance to be created. Other comparisons in this predicate, however, are used to identify the new instance's parent context.</description>
							<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
							<eventPart displayName="principal" id="principal" path="cbe:CommonBaseEvent/evt:principal" type="xs:string"></eventPart>
							<eventPart displayName="processDefinitionIdentifier" id="processDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:processDefinitionIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="stepDefinitionIdentifier" id="stepDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:stepDefinitionIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="stepExecutionIdentifier" id="stepExecutionIdentifier" path="cbe:CommonBaseEvent/evt:stepExecutionIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="stepExecutionPotentialOwners" id="stepExecutionPotentialOwners" path="cbe:CommonBaseEvent/evt:stepExecutionPotentialOwners" type="xs:string"></eventPart>
							<eventPart displayName="emptyString" id="emptyString" path="cbe:CommonBaseEvent/evt:emtpyString" type="xs:string"></eventPart>
							<eventPart displayName="monitorModelId" id="monitorModelId" path="cbe:CommonBaseEvent/cbe:contextDataElements[@name='MonitoringModelID']/cbe:contextValue" type="xs:string"></eventPart>
							<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
							<correlationPredicate expression="Aux_Report_Potential_Owners/processDefinitionIdentifier = ../../../Identifier and Aux_Report_Potential_Owners/stepDefinitionIdentifier = ../../Identifier and Aux_Report_Potential_Owners/stepExecutionIdentifier = ../Identifier and xs:dateTime( fn:concat( '1900-01-01T00:00:00Z', Aux_Report_Potential_Owners/emptyString ) ) = Time"/>
							<filter expression="fn:exists ( Aux_Report_Potential_Owners/stepExecutionPotentialOwners ) and Aux_Report_Potential_Owners/monitorModelId = fct:monitor-model-id()"/>
						</inboundEvent>
						<metric displayName="Time" id="Time" type="xsd:dateTime" isPartOfKey="true">
							<description>The time of this update of potential owners.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_Potential_Owners/timestamp"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Potential Owners" id="Potential_Owners" type="xsd:string">
							<description>The update of the potential owners being recorded.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_Potential_Owners/stepExecutionPotentialOwners"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Time (xs format)" id="Time_xs_format" type="xsd:string">
							<description>The 'Time' metric in XML Schema data format.</description>
							<map>
								<outputValue>
									<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Time ) ) )"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Principal" id="Principal" type="xsd:string">
							<description>The principal associated with this update of potential owners.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_Potential_Owners/principal"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="SystemId" id="SystemId" type="xsd:string">
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_Potential_Owners/SystemId"/>
								</outputValue>
							</map>
						</metric>
					</monitoringContext>
					<monitoringContext displayName="Step Execution State History" id="Step_Execution_State_History">
						<description>Auxiliary monitoring context definition, to save a timestamped history of states of a step execution.</description>
						<inboundEvent displayName="Aux Report State" id="Aux_Report_State" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="raiseException" rootElement="cbe:CommonBaseEvent">
							<description>Auxiliary inbound event reporting a state change of a step execution. Note that the correlation predicate should always evaluate to false, which will cause a new instance to be created. Other comparisons in this predicate, however, are used to identify the new instance's parent context.</description>
							<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
							<eventPart displayName="principal" id="principal" path="cbe:CommonBaseEvent/evt:principal" type="xs:string"></eventPart>
							<eventPart displayName="processDefinitionIdentifier" id="processDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:processDefinitionIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="stepDefinitionIdentifier" id="stepDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:stepDefinitionIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="stepExecutionIdentifier" id="stepExecutionIdentifier" path="cbe:CommonBaseEvent/evt:stepExecutionIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="stepExecutionState" id="stepExecutionState" path="cbe:CommonBaseEvent/evt:stepExecutionState" type="xs:string"></eventPart>
							<eventPart displayName="emptyString" id="emptyString" path="cbe:CommonBaseEvent/evt:emptyString" type="xs:string"></eventPart>
							<eventPart displayName="monitorModelId" id="monitorModelId" path="cbe:CommonBaseEvent/cbe:contextDataElements[@name='MonitoringModelID']/cbe:contextValue" type="xs:string"></eventPart>
							<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
							<correlationPredicate expression="Aux_Report_State/processDefinitionIdentifier = ../../../Identifier and Aux_Report_State/stepDefinitionIdentifier = ../../Identifier and Aux_Report_State/stepExecutionIdentifier = ../Identifier and xs:dateTime( fn:concat( '1900-01-01T00:00:00Z', Aux_Report_State/emptyString ) ) = Time"/>
							<filter expression="fn:exists ( Aux_Report_State/stepExecutionState ) and Aux_Report_State/monitorModelId = fct:monitor-model-id()"/>
						</inboundEvent>
						<metric displayName="Time" id="Time" type="xsd:dateTime" isPartOfKey="true">
							<description>The time this state was entered.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_State/timestamp"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="State" id="State" type="xsd:string">
							<description>The state being recorded.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_State/stepExecutionState"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Time (xs format)" id="Time_xs_format" type="xsd:string">
							<description>The 'Time' metric in XML Schema data format.</description>
							<map>
								<outputValue>
									<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Time ) ) )"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Principal" id="Principal" type="xsd:string">
							<description>The principal associated with this state change.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_State/principal"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="SystemId" id="SystemId" type="xsd:string">
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_State/SystemId"/>
								</outputValue>
							</map>
						</metric>
					</monitoringContext>
					<monitoringContext displayName="Step Execution Escalation History" id="Step_Execution_Escalation_History">
						<description>Auxiliary monitoring context definition, to save a timestamped history of escalations of a step execution.</description>
						<inboundEvent displayName="Aux Report Escalation" id="Aux_Report_Escalation" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="raiseException" rootElement="cbe:CommonBaseEvent">
							<description>Auxiliary inbound event reporting an escalation of a step execution. Note that the correlation predicate should always evaluate to false, which will cause a new instance to be created. Other comparisons in this predicate, however, are used to identify the new instance's parent context.</description>
							<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
							<eventPart displayName="principal" id="principal" path="cbe:CommonBaseEvent/evt:principal" type="xs:string"></eventPart>
							<eventPart displayName="processDefinitionIdentifier" id="processDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:processDefinitionIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="stepDefinitionIdentifier" id="stepDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:stepDefinitionIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="stepExecutionIdentifier" id="stepExecutionIdentifier" path="cbe:CommonBaseEvent/evt:stepExecutionIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="stepExecutionEscalation" id="stepExecutionEscalation" path="cbe:CommonBaseEvent/evt:stepExecutionEscalation" type="xs:string"></eventPart>
							<eventPart displayName="emptyString" id="emptyString" path="cbe:CommonBaseEvent/evt:emptyString" type="xs:string"></eventPart>
							<eventPart displayName="monitorModelId" id="monitorModelId" path="cbe:CommonBaseEvent/cbe:contextDataElements[@name='MonitoringModelID']/cbe:contextValue" type="xs:string"></eventPart>
							<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
							<correlationPredicate expression="Aux_Report_Escalation/processDefinitionIdentifier = ../../../Identifier and Aux_Report_Escalation/stepDefinitionIdentifier = ../../Identifier and Aux_Report_Escalation/stepExecutionIdentifier = ../Identifier and xs:dateTime( fn:concat( '1900-01-01T00:00:00Z', Aux_Report_Escalation/emptyString ) ) = Time"/>
							<filter expression="fn:exists ( Aux_Report_Escalation/stepExecutionEscalation ) and Aux_Report_Escalation/monitorModelId = fct:monitor-model-id()"/>
						</inboundEvent>
						<metric displayName="Time" id="Time" type="xsd:dateTime" isPartOfKey="true">
							<description>The time of this escalation.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_Escalation/timestamp"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Escalation" id="Escalation" type="xsd:string">
							<description>The name of the escalation being recorded.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_Escalation/stepExecutionEscalation"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Time (xs format)" id="Time_xs_format" type="xsd:string">
							<description>The 'Time' metric in XML Schema data format.</description>
							<map>
								<outputValue>
									<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Time ) ) )"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Principal" id="Principal" type="xsd:string">
							<description>The principal associated with this escalation.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_Escalation/principal"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="SystemId" id="SystemId" type="xsd:string">
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_Escalation/SystemId"/>
								</outputValue>
							</map>
						</metric>
					</monitoringContext>
					<monitoringContext displayName="Step Execution Work Item Update History" id="Step_Execution_Work_Item_Update_History">
						<description>Auxiliary monitoring context definition, to save a timestamped history of work item updates for a step execution.</description>
						<inboundEvent displayName="Aux Report Work Item Update" id="Aux_Report_Work_Item_Update" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="raiseException" rootElement="cbe:CommonBaseEvent">
							<description>Auxiliary inbound event reporting a work item update for a step execution. Note that the correlation predicate should always evaluate to false, which will cause a new instance to be created. Other comparisons in this predicate, however, are used to identify the new instance's parent context.</description>
							<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
							<eventPart displayName="principal" id="principal" path="cbe:CommonBaseEvent/evt:principal" type="xs:string"></eventPart>
							<eventPart displayName="processDefinitionIdentifier" id="processDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:processDefinitionIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="stepDefinitionIdentifier" id="stepDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:stepDefinitionIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="stepExecutionIdentifier" id="stepExecutionIdentifier" path="cbe:CommonBaseEvent/evt:stepExecutionIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="stepExecutionWorkItemUpdate" id="stepExecutionWorkItemUpdate" path="cbe:CommonBaseEvent/evt:stepExecutionWorkItemUpdate" type="xs:string"></eventPart>
							<eventPart displayName="emptyString" id="emptyString" path="cbe:CommonBaseEvent/evt:emptyString" type="xs:string"></eventPart>
							<eventPart displayName="monitorModelId" id="monitorModelId" path="cbe:CommonBaseEvent/cbe:contextDataElements[@name='MonitoringModelID']/cbe:contextValue" type="xs:string"></eventPart>
							<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
							<correlationPredicate expression="Aux_Report_Work_Item_Update/processDefinitionIdentifier = ../../../Identifier and Aux_Report_Work_Item_Update/stepDefinitionIdentifier = ../../Identifier and Aux_Report_Work_Item_Update/stepExecutionIdentifier = ../Identifier and xs:dateTime( fn:concat( '1900-01-01T00:00:00Z', Aux_Report_Work_Item_Update/emptyString ) ) = Time"/>
							<filter expression="fn:exists ( Aux_Report_Work_Item_Update/stepExecutionWorkItemUpdate ) and Aux_Report_Work_Item_Update/monitorModelId = fct:monitor-model-id()"/>
						</inboundEvent>
						<metric displayName="Time" id="Time" type="xsd:dateTime" isPartOfKey="true">
							<description>The time of this work item update.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_Work_Item_Update/timestamp"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Work Item Update" id="Work_Item_Update" type="xsd:string">
							<description>The work item update being recorded.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_Work_Item_Update/stepExecutionWorkItemUpdate"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Time (xs format)" id="Time_xs_format" type="xsd:string">
							<description>The 'Time' metric in XML Schema data format.</description>
							<map>
								<outputValue>
									<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Time ) ) )"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Principal" id="Principal" type="xsd:string">
							<description>The principal associated with this work item update.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_Work_Item_Update/principal"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="SystemId" id="SystemId" type="xsd:string">
							<map>
								<outputValue>
									<singleValue expression="Aux_Report_Work_Item_Update/SystemId"/>
								</outputValue>
							</map>
						</metric>
					</monitoringContext>
					<monitoringContext displayName="Step Execution Related Task Execution" id="Step_Execution_Related_Task_Execution">
						<description>Monitoring context for a human task execution related to this process step (invoked task, and any subtasks).</description>
						<trigger displayName="Aux Created" id="Aux_Created" isRepeatable="false">
							<description>Auxiliary trigger, which fires once when this monitoring context is created.</description>
							<onEvent ref="Aux_Related_Task_Execution_Update"/>
						</trigger>
						<trigger displayName="Aux Nested Subtask Exists" id="Aux_Nested_Subtask_Exists" isRepeatable="false">
							<description>Auxiliary trigger, singalling that a nested subtask (nesting depth &gt; 0) was detected.</description>
							<onEvent ref="Aux_Related_Task_Execution_Update"/>
							<gatingCondition expression="Nesting_Depth &gt;= 1"/>
						</trigger>
						<trigger displayName="Aux Save Waiting For Subtask Duration" id="Aux_Save_Waiting_For_Subtask_Duration" isRepeatable="true">
							<description>Auxiliary trigger, which causes the 'Waiting For Subtask Duration' to be saved after all updates have been made.</description>
							<onTrigger ref="Aux_Waiting_For_Subtask_Duration_Changed"/>
						</trigger>
						<trigger displayName="Aux Waiting For Subtask Duration Changed" id="Aux_Waiting_For_Subtask_Duration_Changed" isRepeatable="true">
							<description>Auxiliary trigger, indicating that the 'Waiting For Subtask Duration' metric has changed.</description>
							<onValueChange ref="Waiting_For_Subtask_Duration"/>
							<gatingCondition expression="Waiting_For_Subtask_Duration != Aux_Saved_Waiting_For_Subtask_Duration"/>
						</trigger>
						<inboundEvent displayName="Aux Related Task Execution Update" id="Aux_Related_Task_Execution_Update" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
							<description>Event reporting an update of a related task execution (related to the step execution represented by the parent monitoring context).</description>
							<eventPart displayName="taskExecutionAuxStartTimesHierarchy" id="taskExecutionAuxStartTimesHierarchy" path="cbe:CommonBaseEvent/evt:taskExecutionAuxStartTimesHierarchy" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionDescription" id="taskExecutionDescription" path="cbe:CommonBaseEvent/evt:taskExecutionDescription" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionEscalations" id="taskExecutionEscalations" path="cbe:CommonBaseEvent/evt:taskExecutionEscalations" type="xs:integer"></eventPart>
							<eventPart displayName="taskExecutionFaultMessage" id="taskExecutionFaultMessage" path="cbe:CommonBaseEvent/evt:taskExecutionFaultMessage" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionFaultName" id="taskExecutionFaultName" path="cbe:CommonBaseEvent/evt:taskExecutionFaultName" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionID" id="taskExecutionID" path="cbe:CommonBaseEvent/evt:taskExecutionID" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionIdentifier" id="taskExecutionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionIndentedName" id="taskExecutionIndentedName" path="cbe:CommonBaseEvent/evt:taskExecutionIndentedName" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionName" id="taskExecutionName" path="cbe:CommonBaseEvent/evt:taskExecutionName" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionNestingDepth" id="taskExecutionNestingDepth" path="cbe:CommonBaseEvent/evt:taskExecutionNestingDepth" type="xs:integer"></eventPart>
							<eventPart displayName="taskExecutionOwner" id="taskExecutionOwner" path="cbe:CommonBaseEvent/evt:taskExecutionOwner" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionParentTaskIdentifier" id="taskExecutionParentTaskIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionParentTaskIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionPotentialOwners" id="taskExecutionPotentialOwners" path="cbe:CommonBaseEvent/evt:taskExecutionPotentialOwners" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionQualifiedName" id="taskExecutionQualifiedName" path="cbe:CommonBaseEvent/evt:taskExecutionQualifiedName" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionRelatedProcessDefinitionIdentifier" id="taskExecutionRelatedProcessDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedProcessDefinitionIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionRelatedProcessExecutionIdentifier" id="taskExecutionRelatedProcessExecutionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedProcessExecutionIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionRelatedStepDefinitionIdentifier" id="taskExecutionRelatedStepDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedStepDefinitionIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionRelatedStepExecutionIdentifier" id="taskExecutionRelatedStepExecutionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedStepExecutionIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionState" id="taskExecutionState" path="cbe:CommonBaseEvent/evt:taskExecutionState" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionStateHistory" id="taskExecutionStateHistory" path="cbe:CommonBaseEvent/evt:taskExecutionStateHistory" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionStateTimestamp" id="taskExecutionStateTimestamp" path="cbe:CommonBaseEvent/evt:taskExecutionStateTimestamp" type="xs:dateTime"></eventPart>
							<eventPart displayName="taskExecutionSubtasks" id="taskExecutionSubtasks" path="cbe:CommonBaseEvent/evt:taskExecutionSubtasks" type="xs:integer"></eventPart>
							<eventPart displayName="taskExecutionTaskDefinitionIdentifier" id="taskExecutionTaskDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionTaskDefinitionIdentifier" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionTaskDefinitionName" id="taskExecutionTaskDefinitionName" path="cbe:CommonBaseEvent/evt:taskExecutionTaskDefinitionName" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionTaskInstanceName" id="taskExecutionTaskInstanceName" path="cbe:CommonBaseEvent/evt:taskExecutionTaskInstanceName" type="xs:string"></eventPart>
							<eventPart displayName="taskExecutionTimeEnded" id="taskExecutionTimeEnded" path="cbe:CommonBaseEvent/evt:taskExecutionTimeEnded" type="xs:dateTime"></eventPart>
							<eventPart displayName="taskExecutionTimeStarted" id="taskExecutionTimeStarted" path="cbe:CommonBaseEvent/evt:taskExecutionTimeStarted" type="xs:dateTime"></eventPart>
							<eventPart displayName="taskExecutionTotalDuration" id="taskExecutionTotalDuration" path="cbe:CommonBaseEvent/evt:taskExecutionTotalDuration" type="xs:duration"></eventPart>
							<eventPart displayName="taskExecutionWaitingDuration" id="taskExecutionWaitingDuration" path="cbe:CommonBaseEvent/evt:taskExecutionWaitingDuration" type="xs:duration"></eventPart>
							<eventPart displayName="taskExecutionWaitingForSubtaskDuration" id="taskExecutionWaitingForSubtaskDuration" path="cbe:CommonBaseEvent/evt:taskExecutionWaitingForSubtaskDuration" type="xs:duration"></eventPart>
							<eventPart displayName="taskExecutionWorkingDuration" id="taskExecutionWorkingDuration" path="cbe:CommonBaseEvent/evt:taskExecutionWorkingDuration" type="xs:duration"></eventPart>
							<eventPart displayName="monitorModelId" id="monitorModelId" path="cbe:CommonBaseEvent/cbe:contextDataElements[@name='MonitoringModelID']/cbe:contextValue" type="xs:string"></eventPart>
							<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
							<correlationPredicate expression="Aux_Related_Task_Execution_Update/taskExecutionRelatedProcessDefinitionIdentifier = ../../../Identifier and 
Aux_Related_Task_Execution_Update/taskExecutionRelatedStepDefinitionIdentifier = ../../Identifier and 
Aux_Related_Task_Execution_Update/taskExecutionRelatedStepExecutionIdentifier = ../Identifier and 
Aux_Related_Task_Execution_Update/taskExecutionIdentifier = Identifier"/>
							<filter expression="fn:exists(Aux_Related_Task_Execution_Update/taskExecutionQualifiedName) and Aux_Related_Task_Execution_Update/monitorModelId = fct:monitor-model-id() "/>
						</inboundEvent>
						<metric displayName="Total Duration" id="Total_Duration" type="xsd:duration">
							<description>The total duration of this task execution so far (the time since it started while it is in progress, and the total time from start to end after it has ended).</description>
							<map>
								<outputValue>
									<singleValue expression="xs:dayTimeDuration(Aux_Related_Task_Execution_Update/taskExecutionTotalDuration)"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Time Started" id="Time_Started" type="xsd:dateTime">
							<description>The timestamp of the earliest event received about this task execution. If its entry / start event is sent, it will be the time it came to life / started.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Related_Task_Execution_Update/taskExecutionTimeStarted"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Fault Name" id="Fault_Name" type="xsd:string">
							<description>If this task execution has failed, the name of the fault (if any was reported).</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Related_Task_Execution_Update/taskExecutionFaultName"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Time Ended" id="Time_Ended" type="xsd:dateTime">
							<description>The time when this task execution ended.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Related_Task_Execution_Update/taskExecutionTimeEnded"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Aux Start Times Hierarchy" id="Aux_Start_Times_Hierarchy" type="xsd:string" maxStringLength="2048">
							<description>The concatenation of the start-times of all ancestor task executions, from the top-level task execution down to this one. Used for sorting task executions in the dashboard view.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Related_Task_Execution_Update/taskExecutionAuxStartTimesHierarchy"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Waiting Duration" id="Waiting_Duration" type="xsd:duration">
							<description>The aggregate duration for which this task execution has been waiting to be claimed or for subtasks to be completed.</description>
							<map>
								<outputValue>
									<singleValue expression="xs:dayTimeDuration(Aux_Related_Task_Execution_Update/taskExecutionWaitingDuration)"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Escalations" id="Escalations" type="xsd:integer">
							<description>The number of escalations of this task execution.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Related_Task_Execution_Update/taskExecutionEscalations"/>
								</outputValue>
							</map>
							<defaultValue>
								<singleValue expression="0"/>
							</defaultValue>
						</metric>
						<metric displayName="Waiting For Subtask Duration" id="Waiting_For_Subtask_Duration" type="xsd:duration">
							<description>The aggregate duration for which this task execution has been waiting for subtasks to be completed.</description>
							<map>
								<outputValue>
									<singleValue expression="xs:dayTimeDuration(Aux_Related_Task_Execution_Update/taskExecutionWaitingForSubtaskDuration)"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Name" id="Name" type="xsd:string" valueRequired="true">
							<description>A human-readable name reported for this task execution.</description>
							<map>
								<outputValue>
									<singleValue expression="if ( fn:string-length(Aux_Related_Task_Execution_Update/taskExecutionName) &gt; 0 ) then Aux_Related_Task_Execution_Update/taskExecutionName else Name"/>
								</outputValue>
							</map>
							<defaultValue>
								<singleValue expression="' '"/>
							</defaultValue>
						</metric>
						<metric displayName="Potential Owners" id="Potential_Owners" type="xsd:string" maxStringLength="1024">
							<description>The users and/or groups eligible to claim this task execution.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Related_Task_Execution_Update/taskExecutionPotentialOwners"/>
								</outputValue>
							</map>
							<defaultValue>
								<singleValue expression="''"/>
							</defaultValue>
						</metric>
						<metric displayName="State History" id="State_History" type="xsd:string" maxStringLength="2048">
							<description>The state history of this task execution.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Related_Task_Execution_Update/taskExecutionStateHistory"/>
								</outputValue>
							</map>
							<defaultValue>
								<singleValue expression="''"/>
							</defaultValue>
						</metric>
						<metric displayName="ID" id="ID" type="xsd:string" maxStringLength="128" valueRequired="true">
							<description>Same as Identifier</description>
							<map>
								<outputValue>
									<singleValue expression="if ( fn:string-length(Aux_Related_Task_Execution_Update/taskExecutionID) &gt; 0 ) then Aux_Related_Task_Execution_Update/taskExecutionID else ID"/>
								</outputValue>
							</map>
							<defaultValue>
								<singleValue expression="' '"/>
							</defaultValue>
						</metric>
						<metric displayName="Waiting Duration (xs format)" id="Waiting_Duration_full" type="xsd:string" maxStringLength="64">
							<description>The 'Waiting Duration' metric in XML Schema data format.</description>
							<map>
								<outputValue>
									<singleValue expression="xs:string(Waiting_Duration)"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Qualified Name" id="Qualified_Name" type="xsd:string">
							<description>A copy of the qualified name of the task definition. It is redundant at this level, but copied from the parent monitoring cotext for convenience and for use in sorting or aggregations.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Related_Task_Execution_Update/taskExecutionQualifiedName"/>
								</outputValue>
							</map>
							<defaultValue>
								<singleValue expression="' '"/>
							</defaultValue>
						</metric>
						<metric displayName="Task Definition Name" id="Task_Definition_Name" type="xsd:string" valueRequired="true">
							<description>A copy of the task definition name. It is redundant here, but provided for convenience and to enable grouping by task definition during aggregations.</description>
							<map>
								<outputValue>
									<singleValue expression="if ( fn:string-length(Aux_Related_Task_Execution_Update/taskExecutionTaskDefinitionName) &gt; 0 ) then Aux_Related_Task_Execution_Update/taskExecutionTaskDefinitionName else Task_Definition_Name"/>
								</outputValue>
							</map>
							<defaultValue>
								<singleValue expression="' '"/>
							</defaultValue>
						</metric>
						<metric displayName="Total Duration (xs format)" id="Total_Duration_xs" type="xsd:string" maxStringLength="64">
							<description>The 'Total Duration' metric in XML Schema data format.</description>
							<map>
								<outputValue>
									<singleValue expression="xs:string(Total_Duration)"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Task Instance Name" id="Task_Instance_Name" type="xsd:string">
							<description>The instance name reported for this task execution.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Related_Task_Execution_Update/taskExecutionTaskInstanceName"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Time Started (xs format)" id="Time_Started_xs_format" type="xsd:string" maxStringLength="64">
							<description>The 'Time Started' metric in XML Schema data format.</description>
							<map>
								<outputValue>
									<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Time_Started ) ) )"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="State" id="State" type="xsd:string" maxStringLength="64" valueRequired="true">
							<description>The current state of this task execution.</description>
							<map>
								<outputValue>
									<singleValue expression="if ( fn:string-length(Aux_Related_Task_Execution_Update/taskExecutionState) &gt; 0 ) then Aux_Related_Task_Execution_Update/taskExecutionState else State"/>
								</outputValue>
							</map>
							<defaultValue>
								<singleValue expression="' '"/>
							</defaultValue>
						</metric>
						<metric displayName="Description" id="Description" type="xsd:string" maxStringLength="2048">
							<description>A description of this task execution.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Related_Task_Execution_Update/taskExecutionDescription"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Working Duration" id="Working_Duration" type="xsd:duration">
							<description>The aggregate duration for which this task execution was claimed but not completed.</description>
							<map>
								<outputValue>
									<singleValue expression="xs:dayTimeDuration(Aux_Related_Task_Execution_Update/taskExecutionWorkingDuration)"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Identifier" id="Identifier" type="xsd:string" isPartOfKey="true" maxStringLength="128" valueRequired="false">
							<description>A unique identifier of this task execution.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Related_Task_Execution_Update/taskExecutionIdentifier"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="State Timestamp" id="State_Timestamp" type="xsd:dateTime">
							<description>The timestamp of the last event used to set the 'State' metric. Also used to prevent unintended state changes back to earlier states when events arrive out-of-order.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Related_Task_Execution_Update/taskExecutionStateTimestamp"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Fault Message" id="Fault_Message" type="xsd:string" maxStringLength="4000">
							<description>If this task execution has failed, the fault message (if any was reported).</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Related_Task_Execution_Update/taskExecutionFaultMessage"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Nesting Depth" id="Nesting_Depth" type="xsd:integer" valueRequired="true">
							<description>The nesting depth of this task execution within a subtask hierarchy: 0 for a top-level task execution, 1 for a first-level subtask, and so on.</description>
							<map>
								<outputValue>
									<singleValue expression="if ( fn:exists(Aux_Related_Task_Execution_Update/taskExecutionNestingDepth) ) then Aux_Related_Task_Execution_Update/taskExecutionNestingDepth else Nesting_Depth"/>
								</outputValue>
							</map>
							<defaultValue>
								<singleValue expression="0"/>
							</defaultValue>
						</metric>
						<metric displayName="State Timestamp (xs format)" id="State_Timestamp_xs_format" type="xsd:string" maxStringLength="64">
							<description>The 'State Timestamp' metric in XML Schema data format.</description>
							<map>
								<outputValue>
									<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( State_Timestamp ) ) )"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Waiting For Subtask Duration (xs format)" id="Waiting_For_Subtask_Duration_xs_format" type="xsd:string" maxStringLength="64">
							<description>The 'Waiting For Subtask Duration' metric in XML Schema data format.</description>
							<map>
								<outputValue>
									<singleValue expression="xs:string(Waiting_For_Subtask_Duration)"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Working Duration (xs format)" id="Working_Duration_xs_format" type="xsd:string" maxStringLength="64">
							<description>The 'Working Duration' metric in XML Schema data format.</description>
							<map>
								<outputValue>
									<singleValue expression="xs:string(Working_Duration)"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Parent Task Identifier" id="Parent_Task_Identifier" type="xsd:string" maxStringLength="128">
							<description>If this task execution is a subtasks, the identifier of its parent task execution.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Related_Task_Execution_Update/taskExecutionParentTaskIdentifier"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Task Definition Identifier" id="Task_Definition_Identifier" type="xsd:string" valueRequired="true">
							<description>A copy of the task definition identifier. It is redundant at the execution level, but provided for convenience and to enable grouping.</description>
							<map>
								<outputValue>
									<singleValue expression="if ( fn:string-length(Aux_Related_Task_Execution_Update/taskExecutionTaskDefinitionIdentifier) &gt; 0 ) then Aux_Related_Task_Execution_Update/taskExecutionTaskDefinitionIdentifier else Task_Definition_Identifier"/>
								</outputValue>
							</map>
							<defaultValue>
								<singleValue expression="' '"/>
							</defaultValue>
						</metric>
						<metric displayName="Time Ended (xs format)" id="Time_Ended_xs_format" type="xsd:string" maxStringLength="64">
							<description>The 'Time Ended' metric in XML Schema data format.</description>
							<map>
								<outputValue>
									<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Time_Ended ) ) )"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Owner" id="Owner" type="xsd:string" maxStringLength="256" valueRequired="true">
							<description>The user who has claimed this task execution.</description>
							<map>
								<outputValue>
									<singleValue expression="if ( fn:string-length(Aux_Related_Task_Execution_Update/taskExecutionOwner) &gt; 0 ) then Aux_Related_Task_Execution_Update/taskExecutionOwner else Owner"/>
								</outputValue>
							</map>
							<defaultValue>
								<singleValue expression="' '"/>
							</defaultValue>
						</metric>
						<metric displayName="Task Structure" id="Task_Structure" type="xsd:string">
							<description>The task name, indented according to the task's nesting depth:

Top Level
-- First Level
-- -- Second Level
etc.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Related_Task_Execution_Update/taskExecutionIndentedName"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Subtasks" id="Subtasks" type="xsd:integer">
							<description>The number of (direct) subtask executions of this task execution.</description>
							<map>
								<outputValue>
									<singleValue expression="Aux_Related_Task_Execution_Update/taskExecutionSubtasks"/>
								</outputValue>
							</map>
						</metric>
						<metric displayName="Step Definition Qualified Name" id="Step_Definition_Qualified_Name" type="xsd:string" valueRequired="true">
							<description>The name of the process step initiating this task execution, prefixed by the process definition identifier in brackets.</description>
							<map>
								<trigger ref="Aux_Created"/>
								<outputValue>
									<singleValue expression="if ( fn:string-length(../Qualified_Name) &gt; 0 ) then ../Qualified_Name else Step_Definition_Qualified_Name"/>
								</outputValue>
							</map>
							<defaultValue>
								<singleValue expression="' '"/>
							</defaultValue>
						</metric>
						<metric displayName="Process Definition Identifier" id="Process_Definition_Identifier" type="xsd:string" valueRequired="true">
							<description>The identifier of the process definition that gave rise to this task execution.</description>
							<map>
								<trigger ref="Aux_Created"/>
								<outputValue>
									<singleValue expression="if ( fn:string-length(../../../Identifier) &gt; 0 ) then ../../../Identifier else Process_Definition_Identifier"/>
								</outputValue>
							</map>
							<defaultValue>
								<singleValue expression="' '"/>
							</defaultValue>
						</metric>
						<metric displayName="Aux Saved Waiting For Subtask Duration" id="Aux_Saved_Waiting_For_Subtask_Duration" type="xsd:duration">
							<description>Saved copy of the 'Waiting For Subtask Duration' metric.</description>
							<map>
								<trigger ref="Aux_Save_Waiting_For_Subtask_Duration"/>
								<outputValue>
									<singleValue expression="Waiting_For_Subtask_Duration"/>
								</outputValue>
							</map>
							<defaultValue>
								<singleValue expression="xs:dayTimeDuration('PT0S')"/>
							</defaultValue>
						</metric>
						<metric displayName="SystemId" id="SystemId" type="xsd:string">
							<map>
								<outputValue>
									<singleValue expression="Aux_Related_Task_Execution_Update/SystemId "/>
								</outputValue>
							</map>
						</metric>
					</monitoringContext>
				</monitoringContext>
			</monitoringContext>
			<monitoringContext displayName="Process Migration" id="Process_Migration">
				<description>Monitoring context for migrations of process executions from one version to another.</description>
				<inboundEvent displayName="Started" id="Started" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
					<description>An event reporting the beginning of a process execution migration.</description>
					<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
					<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.PROCESS.BASE"></eventPart>
					<eventPart displayName="migrateToPTID" id="migrateToPTID" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/bpc:migrateToPTID" type="xs:string"></eventPart>
					<eventPart displayName="migrateToValidFrom" id="migrateToValidFrom" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/bpc:migrateToValidFrom" type="xs:string"></eventPart>
					<correlationPredicate expression="Started/eventPointData/bpc:processTemplateName = ../Name and fct:logical-deployment-location( Started/server ) = ../Deployed_At and Started/eventPointData/bpc:processTemplateId = Process_Definition_Identifier_Migrated_From and Started/migrateToPTID = Process_Definition_Identifier_Migrated_To"/>
					<filter expression="fn:exists( Started/eventPointData/bpc:processTemplateName ) and fn:exists( Started/eventPointData/bpc:processTemplateId ) and fn:exists( Started/migrateToPTID ) and Started/eventPointData/bpc:BPCEventCode = '42080'"/>
				</inboundEvent>
				<inboundEvent displayName="Completed" id="Completed" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
					<description>An event reporting the completion of a process execution migration.</description>
					<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
					<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.PROCESS.BASE"></eventPart>
					<eventPart displayName="migratedFromPTID" id="migratedFromPTID" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/bpc:migratedFromPTID" type="xs:string"></eventPart>
					<eventPart displayName="migratedFromValidFrom" id="migratedFromValidFrom" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/bpc:migratedFromValidFrom" type="xs:string"></eventPart>
					<correlationPredicate expression="Completed/eventPointData/bpc:processTemplateName = ../Name and fct:logical-deployment-location( Completed/server ) = ../Deployed_At and Completed/migratedFromPTID = Process_Definition_Identifier_Migrated_From and Completed/eventPointData/bpc:processTemplateId = Process_Definition_Identifier_Migrated_To"/>
					<filter expression="fn:exists( Completed/eventPointData/bpc:processTemplateName ) and fn:exists( Completed/migratedFromPTID ) and fn:exists( Completed/eventPointData/bpc:processTemplateId ) and Completed/eventPointData/bpc:BPCEventCode = '42079'"/>
				</inboundEvent>
				<metric displayName="Process Definition Identifier Migrated To" id="Process_Definition_Identifier_Migrated_To" type="xsd:string" isPartOfKey="true">
					<description>The identifier of the migrated-to process defintion.</description>
					<map>
						<outputValue>
							<singleValue expression="Started/migrateToPTID"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="Completed/eventPointData/bpc:processTemplateId"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Process Definition Identifier Migrated From" id="Process_Definition_Identifier_Migrated_From" type="xsd:string" isPartOfKey="true">
					<description>The identifier of the migrated-from process defintion.</description>
					<map>
						<outputValue>
							<singleValue expression="Started/eventPointData/bpc:processTemplateId"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="Completed/migratedFromPTID"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Process Definition Name" id="Process_Definition_Name" type="xsd:string">
					<description>A copy of the process definition name. It is redundant here, but provided for convenience.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists( Started/predefinedData/creationTime ) ) then ../Name else ../Name"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists( Completed/predefinedData/creationTime ) ) then ../Name else ../Name"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Process Definition Version Migrated From" id="Process_Definition_Version_Migrated_From" type="xsd:string">
					<description>The version of the migrated-from process defintion.</description>
					<map>
						<outputValue>
							<singleValue expression="Started/eventPointData/bpc:processTemplateValidFrom"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="Completed/migratedFromValidFrom"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Earliest Time Migration Started" id="Earliest_Time_Migration_Started" type="xsd:dateTime">
					<description>The first time this migration was started for an execution of this process.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty( Earliest_Time_Migration_Started ) or Started/predefinedData/creationTime &lt; Earliest_Time_Migration_Started ) then Started/predefinedData/creationTime else Earliest_Time_Migration_Started"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Earliest Time Migration Completed" id="Earliest_Time_Migration_Completed" type="xsd:dateTime">
					<description>The first time this migration was completed for an execution of this process.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty( Earliest_Time_Migration_Completed ) or Completed/predefinedData/creationTime &lt; Earliest_Time_Migration_Completed ) then Completed/predefinedData/creationTime else Earliest_Time_Migration_Completed"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Process Definition Version Migrated To" id="Process_Definition_Version_Migrated_To" type="xsd:string">
					<description>The version of the migrated-to process defintion.</description>
					<map>
						<outputValue>
							<singleValue expression="Started/migrateToValidFrom"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="Completed/eventPointData/bpc:processTemplateValidFrom"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Latest Time Migration Started" id="Latest_Time_Migration_Started" type="xsd:dateTime">
					<description>The last time this migration was started for an execution of this process.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty( Latest_Time_Migration_Started ) or Started/predefinedData/creationTime &gt; Latest_Time_Migration_Started ) then Started/predefinedData/creationTime else Latest_Time_Migration_Started"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Latest Time Migration Completed" id="Latest_Time_Migration_Completed" type="xsd:dateTime">
					<description>The last time this migration was completed for an execution of this process.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty( Latest_Time_Migration_Completed ) or Completed/predefinedData/creationTime &gt; Latest_Time_Migration_Completed ) then Completed/predefinedData/creationTime else Latest_Time_Migration_Completed"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Latest Time Migration Completed (xs format)" id="Latest_Time_Migration_Completed_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'Latest Time Migration Completed' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Latest_Time_Migration_Completed ) ) )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Earliest Time Migration Completed (xs format)" id="Earliest_Time_Migration_Completed_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'Earliest Time Migration Completed' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Earliest_Time_Migration_Completed ) ) )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Latest Time Migration Started (xs format)" id="Latest_Time_Migration_Started_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'Latest Time Migration Started' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Latest_Time_Migration_Started ) ) )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Earliest Time Migration Started (xs format)" id="Earliest_Time_Migration_Started_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'Earliest Time Migration Started' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Earliest_Time_Migration_Started ) ) )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Process Definition Version Migrated To No Blanks" id="Process_Definition_Version_Migrated_To_No_Blanks" type="xsd:string">
					<description>The 'Process Definition Version Migrated To' metric with blanks replaced by underscores.</description>
					<map>
						<outputValue>
							<singleValue expression="fct:replace-all( Process_Definition_Version_Migrated_To, ' ', '_' )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Process Definition Version Migrated From No Blanks" id="Process_Definition_Version_Migrated_From_No_Blanks" type="xsd:string">
					<description>The 'Process Definition Version Migrated From' metric with blanks replaced by underscores.</description>
					<map>
						<outputValue>
							<singleValue expression="fct:replace-all( Process_Definition_Version_Migrated_From, ' ', '_' )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="SystemId" id="SystemId" type="xsd:string">
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists(Started/eventPointData/bpc:baseExt/bpc:systemId) ) then Started/eventPointData/bpc:baseExt/bpc:systemId else SystemId"/>
						</outputValue>
					</map>
				</metric>
			</monitoringContext>
			<monitoringContext displayName="Process Version" id="Process_Version">
				<description>Monitoring context for a version of a process definition.</description>
				<inboundEvent displayName="Detected" id="Detected" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
					<description>Any event reporting a yet unknown version of a process definition.</description>
					<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
					<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.PROCESS.BASE"></eventPart>
					<correlationPredicate expression="Detected/eventPointData/bpc:processTemplateName = ../Name and fct:logical-deployment-location( Detected/server ) = ../Deployed_At and Detected/eventPointData/bpc:processTemplateValidFrom = Version"/>
					<filter expression="fn:exists( Detected/eventPointData/bpc:processTemplateName ) and fn:exists( Detected/eventPointData/bpc:processTemplateValidFrom )"/>
				</inboundEvent>
				<inboundEvent displayName="Detected BPMN2" id="Detected_BPMN2" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
					<description>Any event reporting a yet unknown version of a process definition.</description>
					<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData" type="mon:eventPointData"></eventPart>
					<eventPart displayName="processLevelModel" id="processLevelModel" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[@mon:type='bpmn:process']" type="mon:model"></eventPart>
					<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
					<eventPart displayName="SnapshotName" id="SnapshotName" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[@mon:type='bpmn:process']/wle:snapshot-name" type="xs:string"></eventPart>
					<eventPart displayName="systemId" id="systemId" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:source/ibm:system/@ibm:systemID" type="xs:string"></eventPart>
					<correlationPredicate expression="Detected_BPMN2/processLevelModel/mon:name = ../Name and fct:logical-deployment-location(Detected_BPMN2/server)  = ../Deployed_At and fn:concat(Detected_BPMN2/SnapshotName,Detected_BPMN2/processLevelModel/@mon:version)  = Version" />
					<filter expression="fn:exists( Detected_BPMN2/eventPointData/mon:kind) and fn:exists(  Detected_BPMN2/processLevelModel/@mon:version )" />
				</inboundEvent>
				<metric displayName="Process Definition Name" id="Process_Definition_Name" type="xsd:string">
					<description>A copy of the process definition name. It is redundant here, but provided for convenience.</description>
					<map>
						<outputValue>
							<singleValue expression="Detected_BPMN2/processLevelModel/mon:name "/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Version" id="Version" type="xsd:string" isPartOfKey="true" >
					<description>The version of a process defintion.</description>
					<map>
						<outputValue>
							<singleValue expression="Detected/eventPointData/bpc:processTemplateValidFrom"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="fn:concat(Detected_BPMN2/SnapshotName ,Detected_BPMN2/processLevelModel/@mon:version)"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Earliest Audit Event (xs format)" id="Earliest_Audit_Event_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'Earliest Audit Event' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Earliest_Audit_Event ) ) )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Latest Audit Event" id="Latest_Audit_Event" type="xsd:dateTime">
					<description>The timestamp of the latest event received about this process definition version.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty(Latest_Audit_Event) or Detected_BPMN2/eventPointData/mon:time &gt; Latest_Audit_Event ) then Detected_BPMN2/eventPointData/mon:time else Latest_Audit_Event"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Earliest Audit Event" id="Earliest_Audit_Event" type="xsd:dateTime">
					<description>The timestamp of the earliest event received about this process definition version.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty(Earliest_Audit_Event) or Earliest_Audit_Event &gt; Detected/predefinedData/creationTime ) then Detected/predefinedData/creationTime else Earliest_Audit_Event"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty(Earliest_Audit_Event) or Earliest_Audit_Event &gt; Detected_BPMN2/eventPointData/mon:time  ) then Detected_BPMN2/eventPointData/mon:time else Earliest_Audit_Event"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Latest Audit Event (xs format)" id="Latest_Audit_Event_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'Latest Audit Event' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Latest_Audit_Event ) ) )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Version No Blanks" id="Version_No_Blanks" type="xsd:string">
					<description>The 'Version' metric with blanks replaced by underscores.</description>
					<map>
						<outputValue>
							<singleValue expression="fct:replace-all( Version, ' ', '_' )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="ID" id="ID" type="xsd:string" maxStringLength="128">
					<description>A unique identifier of this process definition version.</description>
					<map>
						<outputValue>
							<singleValue expression="Detected_BPMN2/processLevelModel/@mon:id "/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Name" id="Name" type="xsd:string">
					<description>Same as Process Definition Name</description>
					<map>
						<outputValue>
							<singleValue expression="Process_Definition_Name"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="SystemId" id="SystemId" type="xsd:string">
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists(Detected/eventPointData/bpc:baseExt/bpc:systemId) ) then Detected/eventPointData/bpc:baseExt/bpc:systemId else SystemId"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if (fn:exists(Detected_BPMN2/systemId)) then Detected_BPMN2/systemId else SystemId"/>
						</outputValue>
					</map>
				</metric>
			</monitoringContext>
			<monitoringContext displayName="Variable Definition" id="Variable_Definition">
				<description>Monitoring context for a variable defined in a process (definition level).</description>
				<inboundEvent displayName="Accessed" id="Accessed" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="ignore" rootElement="cbe:CommonBaseEvent">
					<description>Event reporting that an instance of this variable definition was accessed in some process execution.</description>
					<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
					<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.VARIABLE.STATUS"></eventPart>
					<correlationPredicate expression="Accessed/eventPointData/bpc:processTemplateName = ../Name and fct:logical-deployment-location( Accessed/server ) = ../Deployed_At and Accessed/eventPointData/bpc:bpelId = Identifier"/>
					<filter expression="fn:exists( Accessed/eventPointData/bpc:processTemplateName ) and fn:exists( Accessed/eventPointData/bpc:bpelId ) and Accessed/eventPointData/bpc:BPCEventCode = '21090'"/>
				</inboundEvent>
				<inboundEvent displayName="Accessed_BPMN2" id="Accessed_BPMN2" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="ignore" rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="VariableName" id="VariableName" path="cbe:CommonBaseEvent/evt:variableName" type="xs:string"></eventPart>
				<eventPart displayName="ProcessDefinitionName" id="ProcessDefinitionName" path="cbe:CommonBaseEvent/evt:processDefinitionName" type="xs:string"></eventPart>
				<eventPart displayName="ProcessDefinitionIdentifier" id="ProcessDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:processDefinitionIdentifier" type="xs:string"></eventPart>
				<eventPart displayName="DeployAt" id="DeployAt" path="cbe:CommonBaseEvent/evt:deployAt" type="xs:string"></eventPart>
				<eventPart displayName="VariableID" id="VariableID" path="cbe:CommonBaseEvent/evt:variableID" type="xs:string"></eventPart>
				<eventPart displayName="VariableVersion" id="VariableVersion" path="cbe:CommonBaseEvent/evt:variableVersion" type="xs:string"></eventPart>
				<eventPart displayName="monitorModelID" id="monitorModelID" path="cbe:CommonBaseEvent/evt:monitorModelId" type="xs:string"></eventPart>
				<eventPart displayName="VariableValue" id="VariableValue" path="cbe:CommonBaseEvent/evt:variableValue" type="xs:string"></eventPart>
				<eventPart displayName="systemId" id="systemId" path="cbe:CommonBaseEvent/evt:systemId" type="xs:string"></eventPart>
				<correlationPredicate expression="fn:concat(Accessed_BPMN2/VariableID,'.', Accessed_BPMN2/VariableVersion) = Identifier and Accessed_BPMN2/ProcessDefinitionName  = ../Name and fct:logical-deployment-location( Accessed_BPMN2/DeployAt) = ../Deployed_At"/>
				<filter expression="fn:exists(Accessed_BPMN2/VariableName) and Accessed_BPMN2/monitorModelID  = fct:monitor-model-id() and Accessed_BPMN2/VariableValue != ''"/>
				</inboundEvent>
				<metric displayName="Identifier" id="Identifier" type="xsd:string" isPartOfKey="true" maxStringLength="256">
					<description>A unique identifier of this variable (more precisely, a variable definition identifier that distinguishes it from other variables defined in the same process).</description>
					<map>
						<outputValue>
							<singleValue expression="Accessed/eventPointData/bpc:bpelId"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="fn:concat(Accessed_BPMN2/VariableID,'.', Accessed_BPMN2/VariableVersion)"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Name" id="Name" type="xsd:string" maxStringLength="256">
					<description>The name of the process variable being monitored.</description>
					<map>
						<outputValue>
							<singleValue expression="Accessed/eventPointData/bpc:variableName"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="Accessed_BPMN2/VariableName "/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Qualified Name" id="Qualified_Name" type="xsd:string" valueRequired="true">
					<description>The name of the process variable being monitored, prefixed by the process definition identifier in brackets.</description>
					<map>
						<outputValue>
							<singleValue expression="fn:concat( '[', ../Identifier, '] ', Accessed_BPMN2/VariableName )" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="' '" />
					</defaultValue>
				</metric>
				<metric displayName="SystemId" id="SystemId" type="xsd:string">
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists(Accessed/eventPointData/bpc:baseExt/bpc:systemId) ) then Accessed/eventPointData/bpc:baseExt/bpc:systemId else SystemId"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if (fn:exists(Accessed_BPMN2/systemId)) then Accessed_BPMN2/systemId else SystemId"/>
						</outputValue>
					</map>
				</metric>
			</monitoringContext>
		</monitoringContext>
		<monitoringContext displayName="Task Definition" id="Task_Definition">
			<description>Monitoring context for a human task definition deployed on a server and running.</description>
			<trigger displayName="Aux Inactive" id="Aux_Inactive" isRepeatable="false" terminateContext="true">
				<description>Auxiliary trigger, which fires when no event from any execution of this task has been received for an extended period of time, indicating that the task is inactive (it may have been undeployed).</description>
				<evaluationTime days="1" hours="0" minutes="0"/>
				<gatingCondition expression='Time_Since_Last_Active &gt; xs:dayTimeDuration("P90D")'/>
			</trigger>
			<trigger displayName="Aux Never" id="Aux_Never" isRepeatable="false">
				<description>Auxiliary trigger, which never fires. It is needed to circumvent a problem in validator, which has been fixed in version 7. If the model is used on Monitor version 7 or later, this trigger can be deleted.</description>
				<evaluationTime days="100" hours="100" minutes="100"/>
				<gatingCondition expression="fn:false()"/>
			</trigger>
			<trigger displayName="Aux_Update_StdDev" id="Aux_Update_StdDev" isRepeatable="true">
				<description>Auxiliary trigger, which delays the update of standard deviations until after the 'Sum' and 'Sum Squares' metrics have been updated.</description>
				<onTrigger ref="Task_Execution/Aux_Update_Aggregate_Durations"/>
				<onTrigger ref="Task_Execution/Aux_Retried"/>
			</trigger>
			<inboundEvent displayName="Exists" id="Exists" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
				<description>Any event reporting the existence of a task (template) on a server.</description>
				<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
				<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.BASE"></eventPart>
				<eventPart displayName="topLevelTaskTemplateName" id="topLevelTaskTemplateName" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/htm:topLevelTaskTemplateName" type="xs:string"></eventPart>
				<correlationPredicate expression="fn:concat( ( if ( fn:exists(Exists/eventPointData/htm:taskTemplateName) ) then Exists/eventPointData/htm:taskTemplateName else 'FREE-FORM' ), ' -- deployed at ', fct:logical-deployment-location( Exists/server ) ) = Identifier"/>
				<filter expression="fn:exists( Exists/eventPointData/htm:HTMEventCode ) and fn:empty(Exists/topLevelTaskTemplateName)"/>
			</inboundEvent>
			<inboundEvent displayName="Exists_BPMN2" id="Exists_BPMN2" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="EventPointData" id="EventPointData" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData" type="mon:eventPointData"></eventPart>
				<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
				<eventPart displayName="processLevelModel" id="processLevelModel" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[@mon:type='bpmn:process']" type="mon:model"></eventPart>
				<eventPart displayName="processExecuteStepLevelModel" id="processExecuteStepLevelModel" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[1]" type="mon:model"></eventPart>
				<eventPart displayName="CurrentModel" id="CurrentModel" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[1]" type="mon:model"></eventPart>
				<eventPart displayName="CurrentModelType" id="CurrentModelType" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[1]/@mon:type" type="xs:string"></eventPart>
				<eventPart displayName="SnapshotName" id="SnapshotName" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[@mon:type='bpmn:process']/wle:snapshot-name" type="xs:string"></eventPart>
				<eventPart displayName="TaskSnapshotName" id="TaskSnapshotName" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[1]/wle:snapshot-name" type="xs:string"></eventPart>
				<eventPart displayName="systemId" id="systemId" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:source/ibm:system/@ibm:systemID" type="xs:string"></eventPart>
				<correlationPredicate expression="fn:concat( Exists_BPMN2/CurrentModel/mon:name, ' -- deployed at ', fct:logical-deployment-location( Exists_BPMN2/server ) ) = Identifier "/>
				<filter expression="fn:exists( Exists_BPMN2/EventPointData/mon:kind ) and Exists_BPMN2/CurrentModelType = 'bpmn:userTask'" />
			</inboundEvent>
			<inboundEvent displayName="Aux Process Event" id="Aux_Process_Event" multipleCorrelationMatches="deliverToAll" noCorrelationMatches="ignore" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
				<description>Receive any event from the process defining this task in order to glean information not carried by the human task events (e.g. the process template name and version).</description>
				<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
				<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.PROCESS.BASE"></eventPart>
				<correlationPredicate expression="Aux_Process_Event/eventPointData/bpc:processTemplateId = Process_ID"/>
				<filter expression="fn:exists( Aux_Process_Event/eventPointData/bpc:processTemplateId )"/>
			</inboundEvent>
			<inboundEvent displayName="Aux Activity Event" id="Aux_Activity_Event" multipleCorrelationMatches="deliverToAll" noCorrelationMatches="ignore" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
				<description>Receive any event from activities in the process defining this task in order to glean information not carried by the human task events (e.g. the process template name and version).</description>
				<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
				<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.BASE"></eventPart>
				<correlationPredicate expression="Aux_Activity_Event/eventPointData/bpc:activityExt/bpc:processTemplateId = Process_ID" />
				<filter expression="fn:exists( Aux_Activity_Event/eventPointData/bpc:activityExt/bpc:processTemplateId )" />
			</inboundEvent>
			<metric displayName="Identifier" id="Identifier" type="xsd:string" valueRequired="true" isPartOfKey="true">
				<description>A unique identifier of a deployed copy of this task definition. </description>
				<map>
					<outputValue>
						<singleValue expression="fn:concat( ( if ( fn:exists(Exists/eventPointData/htm:taskTemplateName) ) then Exists/eventPointData/htm:taskTemplateName else 'FREE-FORM' ), ' -- deployed at ', fct:logical-deployment-location( Exists/server ) )"/>
					</outputValue>
				</map>
				<map>
					<outputValue>
						<singleValue expression="fn:concat( Exists_BPMN2/CurrentModel/mon:name, ' -- deployed at ', fct:logical-deployment-location( Exists_BPMN2/server ) )"/>
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="' '"/>
				</defaultValue>
			</metric>
			<metric displayName="Sum Total Duration" id="Sum_Total_Duration" type="xsd:duration">
				<description>The summed up (aggregate) total duration of all completed executions.</description>
				<map>
					<trigger ref="Task_Execution/Aux_Update_Aggregate_Durations"/>
					<outputValue>
						<singleValue expression="Sum_Total_Duration + Task_Execution/Total_Duration - ( if ( fn:exists(Task_Execution/Aux_Saved_Total_Duration) ) then Task_Execution/Aux_Saved_Total_Duration else xs:dayTimeDuration('PT0S') )"/>
					</outputValue>
				</map>
				<map>
					<trigger ref="Task_Execution/Aux_Retried"/>
					<outputValue>
						<singleValue expression="Sum_Total_Duration - ( if ( fn:exists(Task_Execution/Aux_Saved_Total_Duration) ) then Task_Execution/Aux_Saved_Total_Duration else xs:dayTimeDuration('PT0S') )"/>
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="xs:dayTimeDuration('PT0S')"/>
				</defaultValue>
			</metric>
			<metric displayName="Avg Total Duration" id="Avg_Total_Duration" type="xsd:duration">
				<description>The average total duration of all completed task executions.</description>
				<map>
					<outputValue>
						<singleValue expression="if ( Finished &gt; 0 ) then Sum_Total_Duration div Finished else Aux_Empty_Duration"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Sum Waiting Duration" id="Sum_Waiting_Duration" type="xsd:duration">
				<description>The summed up (aggregate) waiting duration of all completed executions.</description>
				<map>
					<trigger ref="Task_Execution/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue expression="Sum_Waiting_Duration + Task_Execution/Waiting_Duration - ( if ( fn:exists(Task_Execution/Aux_Saved_Waiting_Duration) ) then Task_Execution/Aux_Saved_Waiting_Duration else xs:dayTimeDuration('PT0S') )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Task_Execution/Aux_Retried"/>
					<outputValue>
						<singleValue expression="Sum_Waiting_Duration - ( if ( fn:exists(Task_Execution/Aux_Saved_Waiting_Duration) ) then Task_Execution/Aux_Saved_Waiting_Duration else xs:dayTimeDuration('PT0S') )"/>
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="xs:dayTimeDuration('PT0S')" />
				</defaultValue>
			</metric>
			<metric displayName="Avg Waiting Duration" id="Avg_Waiting_Duration" type="xsd:duration">
				<description>The average waiting duration of all completed task executions.</description>
				<map>
					<outputValue>
						<singleValue expression="if ( Finished &gt; 0 ) then Sum_Waiting_Duration div Finished else Aux_Empty_Duration" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Sum Working Duration" id="Sum_Working_Duration" type="xsd:duration">
				<description>The summed up (aggregate) working duration of all completed executions.</description>
				<map>
					<trigger ref="Task_Execution/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue expression="Sum_Working_Duration + Task_Execution/Working_Duration - ( if ( fn:exists(Task_Execution/Aux_Saved_Working_Duration) ) then Task_Execution/Aux_Saved_Working_Duration else xs:dayTimeDuration('PT0S') )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Task_Execution/Aux_Retried"/>
					<outputValue>
						<singleValue expression="Sum_Working_Duration - ( if ( fn:exists(Task_Execution/Aux_Saved_Working_Duration) ) then Task_Execution/Aux_Saved_Working_Duration else xs:dayTimeDuration('PT0S') )"/>
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="xs:dayTimeDuration('PT0S')" />
				</defaultValue>
			</metric>
			<metric displayName="Avg Working Duration" id="Avg_Working_Duration" type="xsd:duration">
				<description>The average working duration of all completed task executions.</description>
				<map>
					<outputValue>
						<singleValue expression="if ( Finished &gt; 0 ) then Sum_Working_Duration div Finished else Aux_Empty_Duration" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="In Progress" id="In_Progress" type="xsd:integer">
				<description>The number of executions in progress.</description>
				<map>
					<outputValue>
						<singleValue expression="Started - Finished" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Qualified Name" id="Qualified_Name" type="xsd:string" valueRequired="true">
				<description>The fully qualified name of this task definition.</description>
				<map>
					<outputValue>
						<singleValue expression="if ( fn:string-length(Exists/eventPointData/htm:taskTemplateName) &gt; 0 ) then Exists/eventPointData/htm:taskTemplateName else Qualified_Name" />
					</outputValue>
				</map>
				<map>
					<outputValue>
						<singleValue expression="if ( fn:string-length(Exists_BPMN2/CurrentModel/mon:name) &gt; 0 ) then Exists_BPMN2/CurrentModel/mon:name else Qualified_Name"/>
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="' '" />
				</defaultValue>
			</metric>
			<metric displayName="Version" id="Version" type="xsd:string" maxStringLength="128">
				<description>The valid-from timestamp of this task definition.</description>
				<map>
					<outputValue>
						<singleValue expression="Exists/eventPointData/htm:taskTemplateValidFrom" />
					</outputValue>
				</map>
				<map>
					<outputValue>
						<singleValue expression="fn:concat(Exists_BPMN2/TaskSnapshotName ,Exists_BPMN2/processExecuteStepLevelModel/@mon:version)"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Min Total Duration (xs format)" id="Min_Total_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Min Total Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Min_Total_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Max Total Duration (xs format)" id="Max_Total_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Max Total Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Max_Total_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Avg Total Duration (xs format)" id="Avg_Total_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Avg Total Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Avg_Total_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Sum Total Duration (xs format)" id="Sum_Total_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Sum Total Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Sum_Total_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Min Waiting Duration (xs format)" id="Min_Waiting_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Min Waiting Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Min_Waiting_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Max Waiting Duration (xs format)" id="Max_Waiting_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Max Waiting Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Max_Waiting_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Avg Waiting Duration (xs format)" id="Avg_Waiting_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Avg Waiting Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Avg_Waiting_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Sum Waiting Duration (xs format)" id="Sum_Waiting_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Sum Waiting Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Sum_Waiting_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Min Working Duration (xs format)" id="Min_Working_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Min Working Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Min_Working_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Max Working Duration (xs format)" id="Max_Working_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Max Working Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Max_Working_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Avg Working Duration (xs format)" id="Avg_Working_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Avg Working Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Avg_Working_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Sum Working Duration (xs format)" id="Sum_Working_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Sum Working Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Sum_Working_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Latest Audit Event (xs format)" id="Latest_Audit_Event_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Latest Audit Event' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Latest_Audit_Event ) ) )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Earliest Audit Event" id="Earliest_Audit_Event" type="xsd:dateTime">
				<description>The timestamp of the earliest event received about this task.</description>
				<map>
					<outputValue>
						<singleValue expression="if ( fn:empty(Earliest_Audit_Event) or Earliest_Audit_Event &gt; Exists/predefinedData/creationTime ) then Exists/predefinedData/creationTime else Earliest_Audit_Event" />
					</outputValue>
				</map>
				<map>
					<outputValue>
						<singleValue expression="if ( fn:empty(Earliest_Audit_Event) or Earliest_Audit_Event &gt; Exists_BPMN2/EventPointData/mon:time ) then Exists_BPMN2/EventPointData/mon:time else Earliest_Audit_Event"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Latest Audit Event" id="Latest_Audit_Event" type="xsd:dateTime">
				<description>The timestamp of the latest event received about this task.</description>
				<map>
					<outputValue>
						<singleValue expression="if ( fn:empty(Latest_Audit_Event) or Latest_Audit_Event &lt; Exists/predefinedData/creationTime ) then Exists/predefinedData/creationTime else Latest_Audit_Event" />
					</outputValue>
				</map>
				<map>
					<outputValue>
						<singleValue expression="if ( fn:empty(Latest_Audit_Event) or Latest_Audit_Event &lt;  Exists_BPMN2/EventPointData/mon:time ) then Exists_BPMN2/EventPointData/mon:time else Latest_Audit_Event"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Earliest Audit Event (xs format)" id="Earliest_Audit_Event_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Earliest Audit Event' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Earliest_Audit_Event ) ) )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Deployed At" id="Deployed_At" type="xsd:string">
				<description>The server on which the monitored task is running.</description>
				<map>
					<outputValue>
						<singleValue expression="fct:logical-deployment-location( Exists/server )" />
					</outputValue>
				</map>
				<map>
					<outputValue>
						<singleValue expression="fct:logical-deployment-location( Exists_BPMN2/server )"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Aux Sum Squares Waiting Duration" id="Aux_Sum_Squares_Waiting_Duration" type="xsd:decimal">
				<description>The sum of the squares of the waiting durations of all completed executions (in seconds ^ 2).</description>
				<map>
					<trigger ref="Task_Execution/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue expression="Aux_Sum_Squares_Waiting_Duration + ( Task_Execution/Waiting_Duration div xs:dayTimeDuration('PT1S') ) * ( Task_Execution/Waiting_Duration div xs:dayTimeDuration('PT1S') ) - ( if ( fn:exists(Task_Execution/Aux_Saved_Waiting_Duration) ) then ( Task_Execution/Aux_Saved_Waiting_Duration div xs:dayTimeDuration('PT1S') ) * ( Task_Execution/Aux_Saved_Waiting_Duration div xs:dayTimeDuration('PT1S') ) else 0.0 )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Task_Execution/Aux_Retried" />
					<outputValue>
						<singleValue expression="Aux_Sum_Squares_Waiting_Duration - ( if ( fn:exists(Task_Execution/Aux_Saved_Waiting_Duration) ) then ( Task_Execution/Aux_Saved_Waiting_Duration div xs:dayTimeDuration('PT1S') ) * ( Task_Execution/Aux_Saved_Waiting_Duration div xs:dayTimeDuration('PT1S') ) else 0.0 )" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="0.0" />
				</defaultValue>
			</metric>
			<metric displayName="Aux Sum Squares Total Duration" id="Aux_Sum_Squares_Total_Duration" type="xsd:decimal">
				<description>The sum of the squares of the total durations of all completed executions (in seconds ^ 2).</description>
				<map>
					<trigger ref="Task_Execution/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue expression="Aux_Sum_Squares_Total_Duration + ( Task_Execution/Total_Duration div xs:dayTimeDuration('PT1S') ) * ( Task_Execution/Total_Duration div xs:dayTimeDuration('PT1S') ) - ( if ( fn:exists(Task_Execution/Aux_Saved_Total_Duration) ) then ( Task_Execution/Aux_Saved_Total_Duration div xs:dayTimeDuration('PT1S') ) * ( Task_Execution/Aux_Saved_Total_Duration div xs:dayTimeDuration('PT1S') ) else 0.0 )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Task_Execution/Aux_Retried" />
					<outputValue>
						<singleValue expression="Aux_Sum_Squares_Total_Duration - ( if ( fn:exists(Task_Execution/Aux_Saved_Total_Duration) ) then ( Task_Execution/Aux_Saved_Total_Duration div xs:dayTimeDuration('PT1S') ) * ( Task_Execution/Aux_Saved_Total_Duration div xs:dayTimeDuration('PT1S') ) else 0.0 )" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="0.0" />
				</defaultValue>
			</metric>
			<metric displayName="Aux Sum Squares Working Duration" id="Aux_Sum_Squares_Working_Duration" type="xsd:decimal">
				<description>The sum of the squares of the working durations of all completed executions (in seconds ^ 2).</description>
				<map>
					<trigger ref="Task_Execution/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue expression="Aux_Sum_Squares_Working_Duration + ( Task_Execution/Working_Duration div xs:dayTimeDuration('PT1S') ) * ( Task_Execution/Working_Duration div xs:dayTimeDuration('PT1S') ) - ( if ( fn:exists(Task_Execution/Aux_Saved_Working_Duration) ) then ( Task_Execution/Aux_Saved_Working_Duration div xs:dayTimeDuration('PT1S') ) * ( Task_Execution/Aux_Saved_Working_Duration div xs:dayTimeDuration('PT1S') ) else 0.0 )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Task_Execution/Aux_Retried" />
					<outputValue>
						<singleValue expression="Aux_Sum_Squares_Working_Duration - ( if ( fn:exists(Task_Execution/Aux_Saved_Working_Duration) ) then ( Task_Execution/Aux_Saved_Working_Duration div xs:dayTimeDuration('PT1S') ) * ( Task_Execution/Aux_Saved_Working_Duration div xs:dayTimeDuration('PT1S') ) else 0.0 )" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="0.0" />
				</defaultValue>
			</metric>
			<metric displayName="StdDev Working Duration (xs format)" id="StdDev_Working_Duration_xs_format" type="xsd:string">
				<description>The 'StdDev Working Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( StdDev_Working_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="StdDev Total Duration" id="StdDev_Total_Duration" type="xsd:duration">
				<description>The standard deviation of the total durations of all completed executions.</description>
				<map>
					<trigger ref="Aux_Update_StdDev"/>
					<outputValue>
						<singleValue expression="if ( Finished &gt; 1 and fn:exists(Aux_Sum_Squares_Total_Duration) and fn:exists(Avg_Total_Duration) ) then xs:dayTimeDuration( fn:concat( &quot;PT&quot;, fct:sqrt( Aux_Sum_Squares_Total_Duration div Finished - ( Avg_Total_Duration div xs:dayTimeDuration('PT1S') ) * ( Avg_Total_Duration div xs:dayTimeDuration('PT1S') ) ), &quot;S&quot; ) ) else ( if ( Finished = 1 ) then xs:dayTimeDuration('PT0S') else Aux_Empty_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="StdDev Working Duration" id="StdDev_Working_Duration" type="xsd:duration">
				<description>The standard deviation of the working durations of all completed executions.</description>
				<map>
					<trigger ref="Aux_Update_StdDev"/>
					<outputValue>
						<singleValue expression="if ( Finished &gt; 1 and fn:exists(Aux_Sum_Squares_Working_Duration) and fn:exists(Avg_Working_Duration) ) then xs:dayTimeDuration( fn:concat( &quot;PT&quot;, fct:sqrt( Aux_Sum_Squares_Working_Duration div Finished - ( Avg_Working_Duration div xs:dayTimeDuration('PT1S') ) * ( Avg_Working_Duration div xs:dayTimeDuration('PT1S') ) ), &quot;S&quot; ) ) else ( if ( Finished = 1 ) then xs:dayTimeDuration('PT0S') else Aux_Empty_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="StdDev Waiting Duration" id="StdDev_Waiting_Duration" type="xsd:duration">
				<description>The standard deviation of the waiting durations of all completed executions.</description>
				<map>
					<trigger ref="Aux_Update_StdDev"/>
					<outputValue>
						<singleValue expression="if ( Finished &gt; 1 and fn:exists(Aux_Sum_Squares_Waiting_Duration) and fn:exists(Avg_Waiting_Duration) ) then xs:dayTimeDuration( fn:concat( &quot;PT&quot;, fct:sqrt( Aux_Sum_Squares_Waiting_Duration div Finished - ( Avg_Waiting_Duration div xs:dayTimeDuration('PT1S') ) * ( Avg_Waiting_Duration div xs:dayTimeDuration('PT1S') ) ), &quot;S&quot; ) ) else ( if ( Finished = 1 ) then xs:dayTimeDuration('PT0S') else Aux_Empty_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="StdDev Waiting Duration (xs format)" id="StdDev_Waiting_Duration_xs_format" type="xsd:string">
				<description>The 'StdDev Waiting Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( StdDev_Waiting_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="StdDev Total Duration (xs format)" id="StdDev_Total_Duration_xs_format" type="xsd:string">
				<description>The 'StdDev Total Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( StdDev_Total_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Aux Candidate Min Waiting Durations" id="Aux_Candidate_Min_Waiting_Durations" type="xsd:string" maxStringLength="4000">
				<description>The task execution waiting durations that can be reinstated as minima when the current minimum is revoked because the execution that marked it is being retried.</description>
				<map>
					<trigger ref="Task_Execution/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Min_Waiting_Durations, Aux_Empty_Duration, fn:false(), Task_Execution/Waiting_Duration, Task_Execution/Aux_Saved_Waiting_Duration, 4000 )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Task_Execution/Aux_Retried" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Min_Waiting_Durations, Aux_Empty_Duration, fn:false(), Aux_Empty_Duration, Task_Execution/Aux_Saved_Waiting_Duration, 4000 )" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="''" />
				</defaultValue>
			</metric>
			<metric displayName="Aux Empty Duration" id="Aux_Empty_Duration" type="xsd:duration">
				<description>Auxiliary xs:duration metric which will always be empty.</description>
				<map>
					<trigger ref="Task_Execution/Aux_Never" />
					<outputValue>
						<singleValue expression='xs:dayTimeDuration("PT0S")' />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Aux Candidate Max Working Durations" id="Aux_Candidate_Max_Working_Durations" type="xsd:string" maxStringLength="4000">
				<description>The task execution working durations that can be reinstated as maxima when the current maximum is revoked because the execution that marked it is being retried.</description>
				<map>
					<trigger ref="Task_Execution/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Max_Working_Durations, Aux_Empty_Duration, fn:true(), Task_Execution/Working_Duration, Task_Execution/Aux_Saved_Working_Duration, 4000 )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Task_Execution/Aux_Retried" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Max_Working_Durations, Aux_Empty_Duration, fn:true(), Aux_Empty_Duration, Task_Execution/Aux_Saved_Working_Duration, 4000 )" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="''" />
				</defaultValue>
			</metric>
			<metric displayName="Aux Candidate Max Waiting Durations" id="Aux_Candidate_Max_Waiting_Durations" type="xsd:string" maxStringLength="4000">
				<description>The task execution waiting durations that can be reinstated as maxima when the current maximum is revoked because the execution that marked it is being retried.</description>
				<map>
					<trigger ref="Task_Execution/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Max_Waiting_Durations, Aux_Empty_Duration, fn:true(), Task_Execution/Waiting_Duration, Task_Execution/Aux_Saved_Waiting_Duration, 4000 )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Task_Execution/Aux_Retried" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Max_Waiting_Durations, Aux_Empty_Duration, fn:true(), Aux_Empty_Duration, Task_Execution/Aux_Saved_Waiting_Duration, 4000 )" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="''" />
				</defaultValue>
			</metric>
			<metric displayName="Aux Candidate Min Total Durations" id="Aux_Candidate_Min_Total_Durations" type="xsd:string" maxStringLength="4000">
				<description>The task execution total durations that can be reinstated as minima when the current minimum is revoked because the execution that marked it is being retried.</description>
				<map>
					<trigger ref="Task_Execution/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Min_Total_Durations, Aux_Empty_Duration, fn:false(), Task_Execution/Total_Duration, Task_Execution/Aux_Saved_Total_Duration, 4000 )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Task_Execution/Aux_Retried" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Min_Total_Durations, Aux_Empty_Duration, fn:false(), Aux_Empty_Duration, Task_Execution/Aux_Saved_Total_Duration, 4000 )" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="''" />
				</defaultValue>
			</metric>
			<metric displayName="Aux Candidate Max Total Durations" id="Aux_Candidate_Max_Total_Durations" type="xsd:string" maxStringLength="4000">
				<description>The task execution total durations that can be reinstated as maxima when the current maximum is revoked because the execution that marked it is being retried.</description>
				<map>
					<trigger ref="Task_Execution/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Max_Total_Durations, Aux_Empty_Duration, fn:true(), Task_Execution/Total_Duration, Task_Execution/Aux_Saved_Total_Duration, 4000 )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Task_Execution/Aux_Retried" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Max_Total_Durations, Aux_Empty_Duration, fn:true(), Aux_Empty_Duration, Task_Execution/Aux_Saved_Total_Duration, 4000 )" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="''" />
				</defaultValue>
			</metric>
			<metric displayName="Aux Candidate Min Working Durations" id="Aux_Candidate_Min_Working_Durations" type="xsd:string" maxStringLength="4000">
				<description>The task execution working durations that can be reinstated as minima when the current minimum is revoked because the execution that marked it is being retried.</description>
				<map>
					<trigger ref="Task_Execution/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Min_Working_Durations, Aux_Empty_Duration, fn:false(), Task_Execution/Working_Duration, Task_Execution/Aux_Saved_Working_Duration, 4000 )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Task_Execution/Aux_Retried" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Min_Working_Durations, Aux_Empty_Duration, fn:false(), Aux_Empty_Duration, Task_Execution/Aux_Saved_Working_Duration, 4000 )" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="''" />
				</defaultValue>
			</metric>
			<metric displayName="Min Working Duration" id="Min_Working_Duration" type="xsd:duration">
				<description>The minimum working duration of all completed executions.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:dayTimeDuration( fct:get-min-duration( Aux_Candidate_Min_Working_Durations ) )"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Min Waiting Duration" id="Min_Waiting_Duration" type="xsd:duration">
				<description>The minimum waiting duration of all completed executions.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:dayTimeDuration( fct:get-min-duration( Aux_Candidate_Min_Waiting_Durations ) )"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Max Waiting Duration" id="Max_Waiting_Duration" type="xsd:duration">
				<description>The maximum waiting duration of all completed executions.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:dayTimeDuration( fct:get-max-duration( Aux_Candidate_Max_Waiting_Durations ) )"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Min Total Duration" id="Min_Total_Duration" type="xsd:duration">
				<description>The minimum total duration of all completed executions.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:dayTimeDuration( fct:get-min-duration( Aux_Candidate_Min_Total_Durations ) )"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Max Working Duration" id="Max_Working_Duration" type="xsd:duration">
				<description>The maximum working duration of all completed executions.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:dayTimeDuration( fct:get-max-duration( Aux_Candidate_Max_Working_Durations ) )"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Max Total Duration" id="Max_Total_Duration" type="xsd:duration">
				<description>The maximum total duration of all completed executions.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:dayTimeDuration( fct:get-max-duration( Aux_Candidate_Max_Total_Durations ) )"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Process Name" id="Process_Name" type="xsd:string">
				<description>The name of the process in whose context this task is executed, or empty if not in the context of a process.</description>
				<map>
					<outputValue>
						<singleValue expression="Aux_Process_Event/eventPointData/bpc:processTemplateName "/>
					</outputValue>
				</map>
				<map>
					<outputValue>
						<singleValue expression="Aux_Activity_Event/eventPointData/bpc:processTemplateName "/>
					</outputValue>
				</map>
				<map>
					<outputValue>
						<singleValue expression="Exists_BPMN2/processLevelModel/mon:name "/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Process Version" id="Process_Version" type="xsd:string">
				<description>The version of the process in whose context this task is executed, or empty if not in the context of a process.</description>
				<map>
					<outputValue>
						<singleValue expression="Aux_Process_Event/eventPointData/bpc:processTemplateValidFrom"/>
					</outputValue>
				</map>
				<map>
					<outputValue>
						<singleValue expression="Aux_Activity_Event/eventPointData/bpc:processTemplateValidFrom"/>
					</outputValue>
				</map>
				<map>
					<outputValue>
						<singleValue expression="fn:concat(Exists_BPMN2/SnapshotName,Exists_BPMN2/processLevelModel/@mon:version)"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Process Version No Blanks" id="Process_Version_No_Blanks" type="xsd:string">
				<description>The 'Process Version' metric with blanks replaced by underscores.</description>
				<map>
					<outputValue>
						<singleValue expression="fct:replace-all( Process_Version, ' ', '_' )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Process Deployed At" id="Process_Deployed_At" type="xsd:string">
				<description>The deployment location of the process in whose context this task is executed, or empty if not in the context of a process.</description>
				<map>
					<outputValue>
						<singleValue expression="fct:logical-deployment-location( Aux_Process_Event/server )"/>
					</outputValue>
				</map>
				<map>
					<outputValue>
						<singleValue expression="fct:logical-deployment-location( Aux_Activity_Event/server )"/>
					</outputValue>
				</map>
				<map>
					<outputValue>
						<singleValue expression="fct:logical-deployment-location(Exists_BPMN2/server)"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Version No Blanks" id="Version_No_Blanks" type="xsd:string">
				<description>The 'Version' metric with blanks replaced by underscores.</description>
				<map>
					<outputValue>
						<singleValue expression="fct:replace-all( Version, ' ', '_' )"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="ID" id="ID" type="xsd:string" maxStringLength="128">
				<description>For WebSphere Process Server: the template id of the human task corresponding to this staff activity.</description>
				<map>
					<outputValue>
						<singleValue expression="if ( ID = ' ' and fn:exists(Exists/eventPointData/htm:taskTemplateId) ) then Exists/eventPointData/htm:taskTemplateId else ID" />
					</outputValue>
				</map>
				<map>
					<outputValue>
						<singleValue expression="if ( ID = ' ' and fn:exists( Exists_BPMN2/CurrentModel/@mon:id) ) then Exists_BPMN2/CurrentModel/@mon:id else ID"/>
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="' '" />
				</defaultValue>
			</metric>
			<metric displayName="Process ID" id="Process_ID" type="xsd:string">
				<description>The ID of the process in whose context this task is executed, or empty if not in the context of a process.</description>
				<map>
					<outputValue>
						<singleValue expression="Exists/eventPointData/htm:baseExt/htm:processTemplateId" />
					</outputValue>
				</map>
				<map>
					<outputValue>
						<singleValue expression="Exists_BPMN2/processLevelModel/@mon:id"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Name" id="Name" type="xsd:string" maxStringLength="128" valueRequired="true">
				<description>The (unqualified) name of this task definition.</description>
				<map>
					<outputValue>
						<singleValue expression="if ( fn:string-length(Exists/eventPointData/htm:baseExt/htm:displayName) &gt; 0 ) then Exists/eventPointData/htm:baseExt/htm:displayName else ( if ( fct:first-or-last-index-of( Qualified_Name, '/', fn:false() ) &lt; 0 ) then Qualified_Name else fn:substring( Qualified_Name, fct:first-or-last-index-of( Qualified_Name, '/', fn:false() ) + 1 ) )"/>
					</outputValue>
				</map>
				<map>
					<outputValue>
						<singleValue expression="if ( fn:string-length(Exists_BPMN2/CurrentModel/mon:name) &gt; 0 ) then Exists_BPMN2/CurrentModel/mon:name else ( if ( fct:first-or-last-index-of( Qualified_Name, '/', fn:false() ) &lt; 0 ) then Qualified_Name else fn:substring( Qualified_Name, fct:first-or-last-index-of( Qualified_Name, '/', fn:false() ) + 1 ) )"/>
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="' '"/>
				</defaultValue>
			</metric>
			<metric displayName="Aux User Roles" id="Aux_User_Roles" type="xsd:string" maxStringLength="512">
				<description>Constant, auxiliary metric holding a list of user roles as defined for WebSphere Process Server human task work items. Used in setting 'Work Item Update' metrics.</description>
				<defaultValue>
					<singleValue expression="'NONE                            POTENTIAL_OWNER                 EDITOR                          READER                          OWNER                           POTENTIAL_STARTER               STARTER                         ADMINISTRATOR                                                   ORIGINATOR                      ESCALATION_RECEIVER             POTENTIAL_INSTANCE_CREATOR      '"/>
				</defaultValue>
			</metric>
			<metric displayName="SystemId" id="SystemId" type="xsd:string">
				<map>
					<outputValue>
						<singleValue expression="if ( fn:exists(Exists/eventPointData/htm:baseExt/htm:systemId) ) then Exists/eventPointData/htm:baseExt/htm:systemId else SystemId"/>
					</outputValue>
				</map>
				<map>
					<outputValue>
						<singleValue expression="if (fn:exists(Exists_BPMN2/systemId)) then Exists_BPMN2/systemId else SystemId"/>
					</outputValue>
				</map>
			</metric>
			<counter displayName="Started" id="Started" type="xsd:integer">
				<description>The number of executions that have started.</description>
				<incrementedWhen ref="Task_Execution/Aux_Started"/>
			</counter>
			<counter displayName="Finished" id="Finished" type="xsd:integer">
				<description>The number of executions that have finished.</description>
				<incrementedWhen ref="Task_Execution/Aux_Ended"/>
				<decrementedWhen ref="Task_Execution/Aux_Retried"/>
			</counter>
			<counter displayName="Audit Events" id="Audit_Events" type="xsd:integer">
				<description>The total number of audit events received about this task.</description>
				<incrementedWhen ref="Task_Execution/Deleted"/>
				<incrementedWhen ref="Task_Execution/Escalation_State_Changed" />
				<incrementedWhen ref="Task_Execution/State_Changed" />
				<incrementedWhen ref="Task_Execution/State_Changed_BPMN2"/>
			</counter>
			<stopwatch displayName="Time Since Last Active" id="Time_Since_Last_Active" type="xsd:duration">
				<description>The elapsed time (duration) since the last event was received about this task.</description>
				<resetWhen ref="Exists"/>
				<resetWhen ref="Exists_BPMN2"/>
				<startedWhen ref="Exists"/>
				<startedWhen ref="Exists_BPMN2"/>
			</stopwatch>
			<stopwatch displayName="Time Since First Active" id="Time_Since_First_Active" type="xsd:duration">
				<description>The elapsed time (duration) since monitoring started for this task.</description>
				<startedWhen ref="Exists"/>
				<startedWhen ref="Exists_BPMN2"/>
			</stopwatch>
			<monitoringContext displayName="Task Execution" id="Task_Execution">
				<description>Monitoring context for a human task execution.</description>
				<trigger displayName="Aux Update Aggregate Durations" id="Aux_Update_Aggregate_Durations" isRepeatable="true">
					<description>Auxiliary trigger, which indicates that the task execution has ended and aggregate durations should be updated.</description>
					<onValueChange ref="Has_Ended" />
					<onValueChange ref="Total_Duration" />
					<onValueChange ref="Waiting_Duration" />
					<onValueChange ref="Working_Duration" />
					<gatingCondition expression="Has_Ended and fn:exists(Total_Duration) and fn:exists(Waiting_Duration) and fn:exists(Working_Duration) and fn:not( Total_Duration = Aux_Saved_Total_Duration and Waiting_Duration = Aux_Saved_Waiting_Duration and Working_Duration = Aux_Saved_Working_Duration )" />
				</trigger>
				<trigger displayName="Aux Work Item Update Changed" id="Aux_Work_Item_Update_Changed" isRepeatable="true">
					<description>Auxiliary trigger, which fires when the work items defined for this task execution have changed.</description>
					<onValueChange ref="Aux_Last_Event_Code" />
					<gatingCondition expression="fn:string-length( Aux_Last_Event_Code ) = 5 and fn:contains( '51201 51202 51204 51205 53201 53202 53204 53205 ', fn:concat( Aux_Last_Event_Code, ' ' ) )" />
				</trigger>
				<trigger displayName="Aux Work Item Update Changed BPMN2" id="Aux_Work_Item_Update_Changed_BPMN2" isRepeatable="true">
						<onEvent ref="State_Changed_BPMN2"/>
						<gatingCondition expression="fn:contains( 'bpmnx:ACTIVITY_RESOURCE_ASSIGNED bpmnx:ACTIVITY_RESOURCE_DEASSIGNED ', fn:concat( State_Changed_BPMN2/EventKind , ' ' ) )"/>
					</trigger>
				<trigger displayName="Aux Potential Owners Changed" id="Aux_Potential_Owners_Changed" isRepeatable="true">
					<description>Auxiliary trigger, which fires when the potential owners for this task execution have changed.</description>
					<onEvent ref="State_Changed"/>
					<gatingCondition expression="fn:string-length( Aux_Last_Event_Code ) = 5 and fn:contains( '51201 51202 51204 51205 53201 53202 53204 53205 ', fn:concat( Aux_Last_Event_Code, ' ' ) ) and fn:not( State_Changed/eventPointDataIfWiStatus/htm:eventExt/htm:reason != '1' )" />
				</trigger>
				<trigger displayName="Aux Potential Owners Changed BPMN2" id="Aux_Potential_Owners_Changed_BPMN2" isRepeatable="true">
						<onEvent ref="State_Changed_BPMN2"/>
						<gatingCondition expression="fn:contains( 'bpmnx:ACTIVITY_RESOURCE_ASSIGNED bpmnx:ACTIVITY_RESOURCE_DEASSIGNED ', fn:concat( State_Changed_BPMN2/EventKind , ' ' ) )"/>
				</trigger>
				<trigger displayName="Aux Never" id="Aux_Never" isRepeatable="false">
					<description>Auxiliary trigger, which never fires. It is needed to circumvent a problem in validator, which has been fixed in version 7. If the model is used on Monitor version 7 or later, this trigger can be deleted.</description>
					<evaluationTime days="100" hours="100" minutes="100" />
					<gatingCondition expression="fn:false()" />
				</trigger>
				<trigger displayName="Aux Clear Saved Durations" id="Aux_Clear_Saved_Durations" isRepeatable="true">
					<description>Auxiliary trigger, which causes the saved duration values to be cleared when the task execution is retried.</description>
					<onTrigger ref="Aux_Retried" />
				</trigger>
				<trigger displayName="Aux Save Durations" id="Aux_Save_Durations" isRepeatable="true">
					<description>Auxiliary trigger, which indicates that the duration metrics should be saved (to prepare for potential corrections of aggregations at the task definition level).</description>
					<onTrigger ref="Aux_Update_Aggregate_Durations" />
				</trigger>
				<trigger displayName="Aux Reported State Changed" id="Aux_Reported_State_Changed" isRepeatable="true">
					<description>Auxiliary trigger, which fires when the last state reported for this task execution is different from the state reported before. If events arrive out-of-order, the 'State' metric may remain unchanged.</description>
					<onValueChange ref="Aux_Last_State_Reported" />
					<gatingCondition expression="Aux_Last_State_Reported != Aux_Saved_Last_State_Reported" />
				</trigger>
				<trigger displayName="Aux Retried" id="Aux_Retried" isRepeatable="false">
					<description>Auxiliary trigger, which indicates that this task execution is being retried/restarted.</description>
					<onValueChange ref="Has_Ended" />
					<gatingCondition expression="fn:not( Has_Ended ) and Aux_Has_Ended_At_Least_Once" />
				</trigger>
				<trigger displayName="Aux Started" id="Aux_Started" isRepeatable="false">
					<description>Auxiliary trigger, which fires just once when this monitoring context is initialized.</description>
					<onValueChange ref="Identifier" />
				</trigger>
				<trigger displayName="Aux Ended" id="Aux_Ended" isRepeatable="false">
					<description>Auxiliary trigger, which indicates that this task execution has ended. While not repeatable, it will fire more than once when a task execution is retried and ends a second time (it fires each time the 'Has Ended' metric changes from false to true).</description>
					<onValueChange ref="Has_Ended" />
					<gatingCondition expression="Has_Ended" />
				</trigger>
				<trigger displayName="Aux New Subtask Detected" id="Aux_New_Subtask_Detected" isRepeatable="true">
					<description>Auxiliary trigger, signalling the detection of a new subtask execution.</description>
					<onEvent ref="Subtask_Execution_Exists"/>
					<gatingCondition expression="fn:not( fn:contains( Aux_Known_Subtask_Identifiers, Subtask_Execution_Exists/baseData/wbi:eventHeaderData/wbi:ECSCurrentID ) ) "/>
				</trigger>
				<trigger displayName="Aux Nesting Depth Changed" id="Aux_Nesting_Depth_Changed" isRepeatable="true">
					<description>Auxiliary trigger indicating that the nesting depth of this task execution was corrected by an event from the parent task execution's monitoring context. </description>
					<onValueChange ref="Nesting_Depth"/>
					<gatingCondition expression="Nesting_Depth != Aux_Saved_Nesting_Depth"/>
				</trigger>
				<trigger displayName="Aux Related Process Information Changed" id="Aux_Related_Process_Information_Changed" isRepeatable="true">
					<description>Auxiliary trigger indicating that the information about a related process was updated.</description>
					<onValueChange ref="Related_Process_Definition_Identifier" />
					<onValueChange ref="Related_Process_Execution_Identifier" />
					<onValueChange ref="Related_Step_Definition_Identifier" />
					<onValueChange ref="Related_Step_Execution_Identifier" />
					<gatingCondition expression="fn:exists(Related_Process_Definition_Identifier) and
fn:string-length(fn:normalize-space(Related_Process_Definition_Identifier)) &gt; 0 and
fn:exists(Related_Process_Execution_Identifier) and 
fn:string-length(fn:normalize-space(Related_Process_Execution_Identifier)) &gt; 0 and
fn:exists(Related_Step_Definition_Identifier) and 
fn:string-length(fn:normalize-space(Related_Step_Definition_Identifier)) &gt; 0 and 
fn:exists(Related_Step_Execution_Identifier) and
fn:string-length(fn:normalize-space(Related_Step_Execution_Identifier)) &gt; 0" />
				</trigger>
				<trigger displayName="Aux Re-Broadcast Information" id="Aux_Re-Broadcast_Information" isRepeatable="true">
					<description>Auxiliary trigger indicating that information about this task execution has changed and should be re-broadcasted to any subscribers.</description>
					<onValueChange ref="Aux_Start_Times_Hierarchy" />
					<onValueChange ref="Description" />
					<onValueChange ref="Escalations" />
					<onValueChange ref="Fault_Message" />
					<onValueChange ref="Fault_Name" />
					<onValueChange ref="Task_Structure" />
					<onValueChange ref="Nesting_Depth" />
					<onValueChange ref="Owner" />
					<onValueChange ref="Potential_Owners" />
					<onValueChange ref="Related_Process_Definition_Identifier" />
					<onValueChange ref="Related_Process_Execution_Identifier" />
					<onValueChange ref="Related_Step_Definition_Identifier" />
					<onValueChange ref="Related_Step_Execution_Identifier" />
					<onValueChange ref="State" />
					<onValueChange ref="State_History" />
					<onValueChange ref="State_Timestamp" />
					<onValueChange ref="Subtasks" />
					<onValueChange ref="Task_Instance_Name" />
					<onValueChange ref="Time_Ended" />
					<onValueChange ref="Time_Started" />
					<onValueChange ref="Total_Duration" />
					<onValueChange ref="Waiting_Duration" />
					<onValueChange ref="Waiting_For_Subtask_Duration" />
					<onValueChange ref="Working_Duration" />
					<gatingCondition expression="fn:exists(Related_Process_Definition_Identifier) and
fn:string-length(fn:normalize-space(Related_Process_Definition_Identifier)) &gt; 0 and
fn:exists(Related_Process_Execution_Identifier) and 
fn:string-length(fn:normalize-space(Related_Process_Execution_Identifier)) &gt; 0 and
fn:exists(Related_Step_Definition_Identifier) and 
fn:string-length(fn:normalize-space(Related_Step_Definition_Identifier)) &gt; 0 and 
fn:exists(Related_Step_Execution_Identifier) and
fn:string-length(fn:normalize-space(Related_Step_Execution_Identifier)) &gt; 0" />
				</trigger>
				<trigger displayName="Aux_Work_Duration_Calculation" id="Aux_Work_Duration_Calculation" isRepeatable="true">
					<onEvent ref="State_Changed"/>
				</trigger>
				<trigger displayName="Aux_Work_Duration_Calculation_BPMN2" id="Aux_Work_Duration_Calculation_BPMN2" isRepeatable="true">
					<onEvent ref="State_Changed_BPMN2"/>
				</trigger>
				<inboundEvent displayName="Deleted" id="Deleted" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
					<description>Any event reporting the deletion of a task execution (irrevocably final state transition, affecting all monitored restarts).</description>
					<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
					<eventPart displayName="baseData" id="baseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
					<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.TASK.BASE"></eventPart>
					<eventPart displayName="topLevelTaskTemplateName" id="topLevelTaskTemplateName" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/htm:topLevelTaskTemplateName" type="xs:string"></eventPart>
					<correlationPredicate expression="fn:concat( ( if ( fn:exists(Deleted/eventPointData/htm:taskTemplateName) ) then Deleted/eventPointData/htm:taskTemplateName else 'FREE-FORM' ), ' -- deployed at ', fct:logical-deployment-location( Deleted/server ) ) = ../Identifier and Deleted/baseData/wbi:eventHeaderData/wbi:ECSCurrentID = Identifier"/>
					<filter expression="fn:exists( Deleted/baseData/wbi:eventHeaderData/wbi:ECSCurrentID ) and Deleted/eventPointData/htm:HTMEventCode = '51002' and fn:empty(Deleted/topLevelTaskTemplateName)"/>
				</inboundEvent>
				<inboundEvent displayName="State Changed" id="State_Changed" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
					<description>Any event reporting a state change of a task execution.</description>
					<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
					<eventPart displayName="baseData" id="baseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
					<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.TASK.BASE"></eventPart>
					<eventPart displayName="eventPointDataIfFailure" id="eventPointDataIfFailure" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.TASK.FAILURE"></eventPart>
					<eventPart displayName="eventPointDataIfWiStatus" id="eventPointDataIfWiStatus" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.TASK.WISTATUS"></eventPart>
					<eventPart displayName="username" id="username" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/htm:username" type="xs:string"></eventPart>
					<eventPart displayName="current_username" id="current_username" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/htm:current" type="xs:string"></eventPart>
					<eventPart displayName="target_username" id="target_username" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/htm:target" type="xs:string"></eventPart>
					<eventPart displayName="topLevelTaskTemplateName" id="topLevelTaskTemplateName" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/htm:topLevelTaskTemplateName" type="xs:string"></eventPart>
					<correlationPredicate expression="fn:concat( ( if ( fn:exists(State_Changed/eventPointData/htm:taskTemplateName) ) then State_Changed/eventPointData/htm:taskTemplateName else 'FREE-FORM' ), ' -- deployed at ', fct:logical-deployment-location( State_Changed/server ) ) = ../Identifier and State_Changed/baseData/wbi:eventHeaderData/wbi:ECSCurrentID = Identifier" />
					<filter expression="fn:exists( State_Changed/baseData/wbi:eventHeaderData/wbi:ECSCurrentID ) and fn:string-length( State_Changed/eventPointData/htm:HTMEventCode ) = 5 and fn:contains( '51001 51003 51004 51005 51006 51007 51008 51009 51010 51011 51012 51013 51014 51015 51201 51202 51204 51205 ', fn:concat( State_Changed/eventPointData/htm:HTMEventCode, ' ' ) ) and fn:empty(State_Changed/topLevelTaskTemplateName)" />
				</inboundEvent>
				<inboundEvent displayName="State Changed BPMN2" id="State_Changed_BPMN2" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
						<description>Event reporting a state change of this task.</description>
						<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData" type="mon:eventPointData"></eventPart>
						<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
						<eventPart displayName="processExecuteStepLevelModel" id="processExecuteStepLevelModel" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[1]" type="mon:model"></eventPart>
						<eventPart displayName="processLevelModel" id="processLevelModel" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[@mon:type='bpmn:process']" type="mon:model"></eventPart>
						<eventPart displayName="faultName" id="faultName" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[1]/mon:instance/mon:fault/@mon:name" type="xs:string"></eventPart>
						<eventPart displayName="EventKind" id="EventKind" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:kind" type="xs:string"></eventPart>
						<eventPart displayName="ActivityType" id="ActivityType" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[1]/@mon:type" type="xs:string"></eventPart>
						<eventPart displayName="principal" id="principal" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[1]/mon:instance/mon:role[@mon:id='PERFORMER']/mon:resource[1]/@mon:id" type="xs:string"></eventPart>
						<eventPart displayName="applicationData" id="applicationData" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:applicationData" type="mon:applicationData"></eventPart>
						<eventPart displayName="TaskType" id="TaskType" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[1]/@mon:type" type="xs:string"></eventPart>
						<eventPart displayName="SnapshotName" id="SnapshotName" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:model[@mon:type='bpmn:process']/wle:snapshot-name" type="xs:string"></eventPart>
						<eventPart displayName="systemId" id="systemId" path="cbe:CommonBaseEvent/mon:monitorEvent/mon:eventPointData/mon:source/ibm:system/@ibm:systemID" type="xs:string"></eventPart>
						<correlationPredicate expression="fn:concat( State_Changed_BPMN2/processExecuteStepLevelModel/mon:name, ' -- deployed at ', fct:logical-deployment-location( State_Changed_BPMN2/server ) ) = ../Identifier and fn:concat( State_Changed_BPMN2/processLevelModel/@mon:id,'.', State_Changed_BPMN2/processLevelModel/@mon:version,'.', State_Changed_BPMN2/processLevelModel/mon:instance/@mon:id,'.', State_Changed_BPMN2/processExecuteStepLevelModel/mon:instance/@mon:id) = Identifier "/>
						<filter expression="fn:exists(State_Changed_BPMN2/eventPointData/mon:kind ) and State_Changed_BPMN2/TaskType  = 'bpmn:userTask'"/>
					</inboundEvent>
				<inboundEvent displayName="Escalation State Changed" id="Escalation_State_Changed" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
					<description>Any event reporting a state change of a task escalation.</description>
					<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
					<eventPart displayName="baseData" id="baseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
					<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.ESCALATION.BASE"></eventPart>
					<eventPart displayName="eventPointDataIfFailure" id="eventPointDataIfFailure" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.TASK.FAILURE"></eventPart>
					<eventPart displayName="eventPointDataIfWiStatus" id="eventPointDataIfWiStatus" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.TASK.WISTATUS"></eventPart>
					<eventPart displayName="username" id="username" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/htm:username" type="xs:string"></eventPart>
					<eventPart displayName="current_username" id="current_username" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/htm:current" type="xs:string"></eventPart>
					<eventPart displayName="target_username" id="target_username" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/htm:target" type="xs:string"></eventPart>
					<eventPart displayName="topLevelTaskTemplateName" id="topLevelTaskTemplateName" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/htm:topLevelTaskTemplateName" type="xs:string"></eventPart>
					<correlationPredicate expression="fn:concat( ( if ( fn:exists(Escalation_State_Changed/eventPointData/htm:taskTemplateName) ) then Escalation_State_Changed/eventPointData/htm:taskTemplateName else 'FREE-FORM' ), ' -- deployed at ', fct:logical-deployment-location( Escalation_State_Changed/server ) ) = ../Identifier and Escalation_State_Changed/baseData/wbi:eventHeaderData/wbi:ECSParentID = Identifier" />
					<filter expression="fn:exists( Escalation_State_Changed/baseData/wbi:eventHeaderData/wbi:ECSParentID ) and fn:string-length( Escalation_State_Changed/eventPointData/htm:HTMEventCode ) = 5 and fn:contains( '53001 53201 53202 53204 53205 ', fn:concat( Escalation_State_Changed/eventPointData/htm:HTMEventCode, ' ' ) ) and fn:empty(Escalation_State_Changed/topLevelTaskTemplateName)" />
				</inboundEvent>
				<inboundEvent displayName="Subtask Execution Exists" id="Subtask_Execution_Exists" multipleCorrelationMatches="raiseException" noCorrelationMatches="ignore" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
					<description>Any event reporting a subtask execution of this task execution.</description>
					<eventPart displayName="baseData" id="baseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
					<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.TASK.BASE"></eventPart>
					<eventPart displayName="topLevelTaskTemplateName" id="topLevelTaskTemplateName" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/htm:topLevelTaskTemplateName" type="xs:string"></eventPart>
					<correlationPredicate expression="Subtask_Execution_Exists/eventPointData/htm:baseExt/htm:parentTaskId = Identifier"/>
					<filter expression="fn:exists( Subtask_Execution_Exists/baseData/wbi:eventHeaderData/wbi:ECSCurrentID ) and fn:exists( Subtask_Execution_Exists/eventPointData/htm:baseExt/htm:parentTaskId ) and fn:empty(Subtask_Execution_Exists/topLevelTaskTemplateName)"/>
				</inboundEvent>
				<inboundEvent displayName="Aux Report From Parent Task" id="Aux_Report_From_Parent_Task" multipleCorrelationMatches="deliverToAll" noCorrelationMatches="ignore" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
					<description>Event subscription for reports of nesting depth and identifier hierarchy from the parent task execution.</description>
					<eventPart displayName="taskExecutionIdentifier" id="taskExecutionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionNestingDepth" id="taskExecutionNestingDepth" path="cbe:CommonBaseEvent/evt:taskExecutionNestingDepth" type="xs:integer"></eventPart>
					<eventPart displayName="taskExecutionStartTimesHierarchy" id="taskExecutionStartTimesHierarchy" path="cbe:CommonBaseEvent/evt:taskExecutionStartTimesHierarchy" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionTopLevelTaskExecutionIdentifier" id="taskExecutionTopLevelTaskExecutionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionTopLevelTaskExecutionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionTopLevelTaskQualifiedName" id="taskExecutionTopLevelTaskQualifiedName" path="cbe:CommonBaseEvent/evt:taskExecutionTopLevelTaskQualifiedName" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionTopLevelTaskName" id="taskExecutionTopLevelTaskName" path="cbe:CommonBaseEvent/evt:taskExecutionTopLevelTaskName" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionRelatedStaffActivityExecutionIdentifier" id="taskExecutionRelatedStaffActivityExecutionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedStaffActivityExecutionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionRelatedProcessDefinitionDeployedAt" id="taskExecutionRelatedProcessDefinitionDeployedAt" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedProcessDefinitionDeployedAt" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionRelatedProcessDefinitionID" id="taskExecutionRelatedProcessDefinitionID" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedProcessDefinitionID" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionRelatedProcessDefinitionIdentifier" id="taskExecutionRelatedProcessDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedProcessDefinitionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionRelatedProcessDefinitionName" id="taskExecutionRelatedProcessDefinitionName" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedProcessDefinitionName" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionRelatedProcessDefinitionNameIndented" id="taskExecutionRelatedProcessDefinitionNameIndented" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedProcessDefinitionNameIndented" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionRelatedProcessDefinitionVersion" id="taskExecutionRelatedProcessDefinitionVersion" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedProcessDefinitionVersion" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionRelatedProcessExecutionDescription" id="taskExecutionRelatedProcessExecutionDescription" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedProcessExecutionDescription" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionRelatedProcessExecutionIdentifier" id="taskExecutionRelatedProcessExecutionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedProcessExecutionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionRelatedProcessExecutionName" id="taskExecutionRelatedProcessExecutionName" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedProcessExecutionName" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionRelatedStepDefinitionQualifiedName" id="taskExecutionRelatedStepDefinitionQualifiedName" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedStepDefinitionQualifiedName" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionRelatedStepDefinitionIdentifier" id="taskExecutionRelatedStepDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedStepDefinitionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionRelatedStepExecutionIdentifier" id="taskExecutionRelatedStepExecutionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedStepExecutionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="monitorModelId" id="monitorModelId" path="cbe:CommonBaseEvent/cbe:contextDataElements[@name='MonitoringModelID']/cbe:contextValue" type="xs:string"></eventPart>
					<correlationPredicate expression="Aux_Report_From_Parent_Task/taskExecutionIdentifier = Parent_Task_Identifier"/>
					<filter expression="fn:exists( Aux_Report_From_Parent_Task/taskExecutionTopLevelTaskExecutionIdentifier) and
fn:exists( Aux_Report_From_Parent_Task/taskExecutionIdentifier ) and Aux_Report_From_Parent_Task/monitorModelId = fct:monitor-model-id()"/>
				</inboundEvent>
				<inboundEvent displayName="Aux Related Process Execution Information" id="Aux_Related_Process_Execution_Information" multipleCorrelationMatches="deliverToAll" noCorrelationMatches="ignore" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
					<description>Auxiliary event subscription to receive information broadcasted from a Process Execution monitoring context.</description>
					<eventPart displayName="processExecutionIdentifier" id="processExecutionIdentifier" path="cbe:CommonBaseEvent/evt:processExecutionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="processExecutionName" id="processExecutionName" path="cbe:CommonBaseEvent/evt:processExecutionName" type="xs:string"></eventPart>
					<eventPart displayName="processExecutionDescription" id="processExecutionDescription" path="cbe:CommonBaseEvent/evt:processExecutionDescription" type="xs:string"></eventPart>
					<eventPart displayName="indentedProcessDefinitionName" id="indentedProcessDefinitionName" path="cbe:CommonBaseEvent/evt:indentedProcessDefinitionName" type="xs:string"></eventPart>
					<eventPart displayName="processDefinitionIdentifier" id="processDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:processDefinitionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="processDefinitionID" id="processDefinitionID" path="cbe:CommonBaseEvent/evt:processDefinitionID" type="xs:string"></eventPart>
					<eventPart displayName="processDefinitionName" id="processDefinitionName" path="cbe:CommonBaseEvent/evt:processDefinitionName" type="xs:string"></eventPart>
					<eventPart displayName="processDefinitionVersion" id="processDefinitionVersion" path="cbe:CommonBaseEvent/evt:processDefinitionVersion" type="xs:string"></eventPart>
					<eventPart displayName="processDefinitionDeployedAt" id="processDefinitionDeployedAt" path="cbe:CommonBaseEvent/evt:processDefinitionDeployedAt" type="xs:string"></eventPart>
					<eventPart displayName="stepDefinitionQualifiedName" id="stepDefinitionQualifiedName" path="cbe:CommonBaseEvent/evt:stepDefinitionQualifiedName" type="xs:string"></eventPart>
					<eventPart displayName="stepDefinitionIdentifier" id="stepDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:stepDefinitionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="stepExecutionIdentifier" id="stepExecutionIdentifier" path="cbe:CommonBaseEvent/evt:stepExecutionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="calledExecutionIdentifier" id="calledExecutionIdentifier" path="cbe:CommonBaseEvent/evt:calledExecutionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="monitorModelId" id="monitorModelId" path="cbe:CommonBaseEvent/cbe:contextDataElements[@name='MonitoringModelID']/cbe:contextValue" type="xs:string"></eventPart>
					<correlationPredicate expression="Aux_Related_Process_Execution_Information/calledExecutionIdentifier = Identifier"/>
					<filter expression="fn:exists( Aux_Related_Process_Execution_Information/calledExecutionIdentifier ) and Aux_Related_Process_Execution_Information/monitorModelId = fct:monitor-model-id()"/>
				</inboundEvent>
				<outboundEvent displayName="Aux Report Waiting Duration" id="Aux_Report_Waiting_Duration" rootElement="cbe:CommonBaseEvent">
					<description>Event reporting the waiting duration of this human task execution, to update the aggregate waiting duration of any callers.</description>
					<eventPart displayName="executionId" id="executionId" path="cbe:CommonBaseEvent/evt:executionId" type="xs:string"></eventPart>
					<eventPart displayName="waitingDuration" id="waitingDuration" path="cbe:CommonBaseEvent/evt:waitingDuration" type="xs:duration"></eventPart>
					<map>
						<trigger ref="Aux_Reported_State_Changed"/>
						<outputValue>
							<assignments>
								<assignment leftValue="Aux_Report_Waiting_Duration/executionId" rightValue="Identifier"/>
								<assignment leftValue="Aux_Report_Waiting_Duration/waitingDuration" rightValue="Waiting_Duration"/>
							</assignments>
						</outputValue>
					</map>
				</outboundEvent>
				<outboundEvent displayName="Aux Report Working Duration" id="Aux_Report_Working_Duration" rootElement="cbe:CommonBaseEvent">
					<description>Event reporting the working duration of this human task execution, to update the aggregate working duration of any callers.</description>
					<eventPart displayName="executionId" id="executionId" path="cbe:CommonBaseEvent/evt:executionId" type="xs:string"></eventPart>
					<eventPart displayName="workingDuration" id="workingDuration" path="cbe:CommonBaseEvent/evt:workingDuration" type="xs:duration"></eventPart>
					<map>
						<trigger ref="Aux_Reported_State_Changed"/>
						<outputValue>
							<assignments>
								<assignment leftValue="Aux_Report_Working_Duration/executionId" rightValue="Identifier"/>
								<assignment leftValue="Aux_Report_Working_Duration/workingDuration" rightValue="Working_Duration"/>
							</assignments>
						</outputValue>
					</map>
				</outboundEvent>
				<outboundEvent displayName="Aux Report Escalation" id="Aux_Report_Escalation" rootElement="cbe:CommonBaseEvent">
					<description>Event reporting an escalation of this human task execution.</description>
					<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
					<eventPart displayName="taskDefinitionIdentifier" id="taskDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:taskDefinitionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionIdentifier" id="taskExecutionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionEscalation" id="taskExecutionEscalation" path="cbe:CommonBaseEvent/evt:taskExecutionEscalation" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionEscalationPrincipal" id="taskExecutionEscalationPrincipal" path="cbe:CommonBaseEvent/evt:taskExecutionEscalationPrincipal" type="xs:string"></eventPart>
					<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
					<map>
						<trigger ref="Aux_Task_Escalation/Aux_Stand_Alone_Task_Escalation"/>
						<outputValue>
							<assignments>
								<assignment leftValue="Aux_Report_Escalation/timestamp" rightValue="Aux_Task_Escalation/Time_Escalated"/>
								<assignment leftValue="Aux_Report_Escalation/taskExecutionEscalation" rightValue="Aux_Task_Escalation/Name" />
								<assignment leftValue="Aux_Report_Escalation/taskDefinitionIdentifier" rightValue="../Identifier"/>
								<assignment leftValue="Aux_Report_Escalation/taskExecutionIdentifier" rightValue="Identifier"/>
								<assignment leftValue="Aux_Report_Escalation/taskExecutionEscalationPrincipal" rightValue="Aux_Last_Principal"/>
								<assignment leftValue="Aux_Report_Escalation/SystemId" rightValue="SystemId"/>
							</assignments>
						</outputValue>
					</map>
				</outboundEvent>
				<outboundEvent displayName="Aux Report Work Item Update" id="Aux_Report_Work_Item_Update" rootElement="cbe:CommonBaseEvent">
					<description>Event reporting a work item update for this human task execution.</description>
					<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
					<eventPart displayName="taskDefinitionIdentifier" id="taskDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:taskDefinitionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionIdentifier" id="taskExecutionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionWorkItemUpdate" id="taskExecutionWorkItemUpdate" path="cbe:CommonBaseEvent/evt:taskExecutionWorkItemUpdate" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionWorkItemUpdatePrincipal" id="taskExecutionWorkItemUpdatePrincipal" path="cbe:CommonBaseEvent/evt:taskExecutionWorkItemUpdatePrincipal" type="xs:string"></eventPart>
					<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
					<map>
						<trigger ref="Aux_Work_Item_Update_Changed"/>
						<outputValue>
							<assignments>
								<assignment leftValue="Aux_Report_Work_Item_Update/timestamp" rightValue="Aux_Last_Event_Timestamp"/>
								<assignment leftValue="Aux_Report_Work_Item_Update/taskDefinitionIdentifier" rightValue="../Identifier"/>
								<assignment leftValue="Aux_Report_Work_Item_Update/taskExecutionIdentifier" rightValue="Identifier"/>
								<assignment leftValue="Aux_Report_Work_Item_Update/taskExecutionWorkItemUpdate" rightValue="Last_Work_Item_Update"/>
								<assignment leftValue="Aux_Report_Work_Item_Update/taskExecutionWorkItemUpdatePrincipal" rightValue="Aux_Last_Principal"/>
								<assignment leftValue="Aux_Report_Work_Item_Update/SystemId" rightValue="SystemId"/>
							</assignments>
						</outputValue>
					</map>
				</outboundEvent>
				<outboundEvent displayName="Aux Report Work Item Update BPMN2" id="Aux_Report_Work_Item_Update_BPMN2" rootElement="cbe:CommonBaseEvent">
					<description>Event reporting a work item update for this human task execution.</description>
					<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
					<eventPart displayName="taskDefinitionIdentifier" id="taskDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:taskDefinitionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionIdentifier" id="taskExecutionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionWorkItemUpdate" id="taskExecutionWorkItemUpdate" path="cbe:CommonBaseEvent/evt:taskExecutionWorkItemUpdate" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionWorkItemUpdatePrincipal" id="taskExecutionWorkItemUpdatePrincipal" path="cbe:CommonBaseEvent/evt:taskExecutionWorkItemUpdatePrincipal" type="xs:string"></eventPart>
					<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
					<map>
						<trigger ref="Aux_Work_Item_Update_Changed_BPMN2"/>
						<outputValue>
							<assignments>
								<assignment leftValue="Aux_Report_Work_Item_Update_BPMN2/timestamp" rightValue="Aux_Last_Event_Timestamp"/>
								<assignment leftValue="Aux_Report_Work_Item_Update_BPMN2/taskDefinitionIdentifier" rightValue="../Identifier"/>
								<assignment leftValue="Aux_Report_Work_Item_Update_BPMN2/taskExecutionIdentifier" rightValue="Identifier"/>
								<assignment leftValue="Aux_Report_Work_Item_Update_BPMN2/taskExecutionWorkItemUpdate" rightValue="Last_Work_Item_Update"/>
								<assignment leftValue="Aux_Report_Work_Item_Update_BPMN2/taskExecutionWorkItemUpdatePrincipal" rightValue="Aux_Last_Principal"/>
								<assignment leftValue="Aux_Report_Work_Item_Update_BPMN2/SystemId" rightValue="SystemId"/>
							</assignments>
						</outputValue>
					</map>
				</outboundEvent>
				<outboundEvent displayName="Aux Report Potential Owners" id="Aux_Report_Potential_Owners" rootElement="cbe:CommonBaseEvent">
					<description>Event reporting a change of potential owners for this human task execution.</description>
					<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
					<eventPart displayName="taskDefinitionIdentifier" id="taskDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:taskDefinitionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionIdentifier" id="taskExecutionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionPotentialOwners" id="taskExecutionPotentialOwners" path="cbe:CommonBaseEvent/evt:taskExecutionPotentialOwners" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionPotentialOwnersPrincipal" id="taskExecutionPotentialOwnersPrincipal" path="cbe:CommonBaseEvent/evt:taskExecutionPotentialOwnersPrincipal" type="xs:string"></eventPart>
					<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
					<map>
						<trigger ref="Aux_Potential_Owners_Changed"/>
						<outputValue>
							<assignments>
								<assignment leftValue="Aux_Report_Potential_Owners/timestamp" rightValue="Aux_Last_Event_Timestamp"/>
								<assignment leftValue="Aux_Report_Potential_Owners/taskDefinitionIdentifier" rightValue="../Identifier"/>
								<assignment leftValue="Aux_Report_Potential_Owners/taskExecutionIdentifier" rightValue="Identifier"/>
								<assignment leftValue="Aux_Report_Potential_Owners/taskExecutionPotentialOwners" rightValue="Potential_Owners"/>
								<assignment leftValue="Aux_Report_Potential_Owners/taskExecutionPotentialOwnersPrincipal" rightValue="Aux_Last_Principal"/>
								<assignment leftValue="Aux_Report_Potential_Owners/SystemId" rightValue="SystemId"/>
							</assignments>
						</outputValue>
					</map>
				</outboundEvent>
				<outboundEvent displayName="Aux Report Potential Owners BPMN2" id="Aux_Report_Potential_Owners_BPMN2" rootElement="cbe:CommonBaseEvent">
					<description>Event reporting a change of potential owners for this human task execution.</description>
					<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
					<eventPart displayName="taskDefinitionIdentifier" id="taskDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:taskDefinitionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionIdentifier" id="taskExecutionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionPotentialOwners" id="taskExecutionPotentialOwners" path="cbe:CommonBaseEvent/evt:taskExecutionPotentialOwners" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionPotentialOwnersPrincipal" id="taskExecutionPotentialOwnersPrincipal" path="cbe:CommonBaseEvent/evt:taskExecutionPotentialOwnersPrincipal" type="xs:string"></eventPart>
					<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
					<map>
						<trigger ref="Aux_Potential_Owners_Changed_BPMN2"/>
						<outputValue>
							<assignments>
								<assignment leftValue="Aux_Report_Potential_Owners_BPMN2/timestamp" rightValue="Aux_Last_Event_Timestamp"/>
								<assignment leftValue="Aux_Report_Potential_Owners_BPMN2/taskDefinitionIdentifier" rightValue="../Identifier"/>
								<assignment leftValue="Aux_Report_Potential_Owners_BPMN2/taskExecutionIdentifier" rightValue="Identifier"/>
								<assignment leftValue="Aux_Report_Potential_Owners_BPMN2/taskExecutionPotentialOwners" rightValue="Potential_Owners"/>
								<assignment leftValue="Aux_Report_Potential_Owners_BPMN2/taskExecutionPotentialOwnersPrincipal" rightValue="Aux_Last_Principal"/>
								<assignment leftValue="Aux_Report_Potential_Owners_BPMN2/SystemId" rightValue="SystemId"/>
							</assignments>
						</outputValue>
					</map>
				</outboundEvent>
				<outboundEvent displayName="Aux Report State" id="Aux_Report_State" rootElement="cbe:CommonBaseEvent">
					<description>Event reporting a state change for this human task execution.</description>
					<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
					<eventPart displayName="taskDefinitionIdentifier" id="taskDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:taskDefinitionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionIdentifier" id="taskExecutionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionState" id="taskExecutionState" path="cbe:CommonBaseEvent/evt:taskExecutionState" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionStatePrincipal" id="taskExecutionStatePrincipal" path="cbe:CommonBaseEvent/evt:taskExecutionStatePrincipal" type="xs:string"></eventPart>
					<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
					<map>
						<trigger ref="Aux_Reported_State_Changed"/>
						<outputValue>
							<assignments>
								<assignment leftValue="Aux_Report_State/timestamp" rightValue="Aux_Last_Event_Timestamp"/>
								<assignment leftValue="Aux_Report_State/taskDefinitionIdentifier" rightValue="../Identifier"/>
								<assignment leftValue="Aux_Report_State/taskExecutionIdentifier" rightValue="Identifier"/>
								<assignment leftValue="Aux_Report_State/taskExecutionState" rightValue="Aux_Last_State_Reported"/>
								<assignment leftValue="Aux_Report_State/taskExecutionStatePrincipal" rightValue="Aux_Last_Principal "/>
								<assignment leftValue="Aux_Report_State/SystemId" rightValue="SystemId"/>
							</assignments>
						</outputValue>
					</map>
				</outboundEvent>
				<outboundEvent displayName="Aux Report To Subtasks" id="Aux_Report_To_Subtasks" rootElement="cbe:CommonBaseEvent">
					<description>Event reporting the nesting depth and start times hierarchy of this task execution to subtask executions.</description>
					<eventPart displayName="taskExecutionIdentifier" id="taskExecutionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionNestingDepth" id="taskExecutionNestingDepth" path="cbe:CommonBaseEvent/evt:taskExecutionNestingDepth" type="xs:integer"></eventPart>
					<eventPart displayName="taskExecutionStartTimesHierarchy" id="taskExecutionStartTimesHierarchy" path="cbe:CommonBaseEvent/evt:taskExecutionStartTimesHierarchy" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionTopLevelTaskExecutionIdentifier" id="taskExecutionTopLevelTaskExecutionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionTopLevelTaskExecutionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionTopLevelTaskQualifiedName" id="taskExecutionTopLevelTaskQualifiedName" path="cbe:CommonBaseEvent/evt:taskExecutionTopLevelTaskQualifiedName" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionTopLevelTaskName" id="taskExecutionTopLevelTaskName" path="cbe:CommonBaseEvent/evt:taskExecutionTopLevelTaskName" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionRelatedStaffActivityExecutionIdentifier" id="taskExecutionRelatedStaffActivityExecutionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedStaffActivityExecutionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionRelatedProcessDefinitionDeployedAt" id="taskExecutionRelatedProcessDefinitionDeployedAt" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedProcessDefinitionDeployedAt" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionRelatedProcessDefinitionIdentifier" id="taskExecutionRelatedProcessDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedProcessDefinitionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionRelatedProcessDefinitionID" id="taskExecutionRelatedProcessDefinitionID" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedProcessDefinitionID" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionRelatedProcessDefinitionName" id="taskExecutionRelatedProcessDefinitionName" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedProcessDefinitionName" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionRelatedProcessDefinitionNameIndented" id="taskExecutionRelatedProcessDefinitionNameIndented" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedProcessDefinitionNameIndented" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionRelatedProcessDefinitionVersion" id="taskExecutionRelatedProcessDefinitionVersion" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedProcessDefinitionVersion" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionRelatedProcessExecutionDescription" id="taskExecutionRelatedProcessExecutionDescription" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedProcessExecutionDescription" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionRelatedProcessExecutionIdentifier" id="taskExecutionRelatedProcessExecutionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedProcessExecutionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionRelatedProcessExecutionName" id="taskExecutionRelatedProcessExecutionName" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedProcessExecutionName" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionRelatedStepDefinitionQualifiedName" id="taskExecutionRelatedStepDefinitionQualifiedName" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedStepDefinitionQualifiedName" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionRelatedStepDefinitionIdentifier" id="taskExecutionRelatedStepDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedStepDefinitionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionRelatedStepExecutionIdentifier" id="taskExecutionRelatedStepExecutionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedStepExecutionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
					<map>
						<trigger ref="Aux_New_Subtask_Detected"/>
						<outputValue>
							<assignments>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionIdentifier" rightValue="Identifier" />
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionNestingDepth" rightValue="Nesting_Depth" />
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionStartTimesHierarchy" rightValue="Aux_Start_Times_Hierarchy" />
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedProcessExecutionIdentifier" rightValue="Related_Process_Execution_Identifier" />
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionTopLevelTaskExecutionIdentifier" rightValue="Top_Level_Task_Execution_Identifier"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionTopLevelTaskQualifiedName" rightValue="Top_Level_Task_Qualified_Name"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionTopLevelTaskName" rightValue="Top_Level_Task_Name"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedProcessExecutionName" rightValue="Related_Process_Execution_Name"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedStepDefinitionIdentifier" rightValue="Related_Step_Definition_Identifier"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedStepExecutionIdentifier" rightValue="Related_Step_Execution_Identifier"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedProcessExecutionDescription" rightValue="Related_Process_Execution_Description"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedProcessDefinitionVersion" rightValue="Related_Process_Definition_Version"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedProcessDefinitionNameIndented" rightValue="Related_Process_Definition_Name_Indented"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedProcessDefinitionName" rightValue="Related_Process_Definition_Name"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedProcessDefinitionID" rightValue="Related_Process_Definition_ID"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedProcessDefinitionIdentifier" rightValue="Related_Process_Definition_Identifier"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedStaffActivityExecutionIdentifier" rightValue="Related_Staff_Activity_Execution_Identifier"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedProcessDefinitionDeployedAt" rightValue="Related_Process_Definition_Deployed_At"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedStepDefinitionQualifiedName" rightValue="Related_Step_Definition_Qualified_Name"/>
								<assignment leftValue="Aux_Report_To_Subtasks/SystemId" rightValue="SystemId"/>
							</assignments>
						</outputValue>
					</map>
					<map>
						<trigger ref="Aux_Nesting_Depth_Changed"/>
						<outputValue>
							<assignments>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionIdentifier" rightValue="Identifier" />
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionNestingDepth" rightValue="Nesting_Depth" />
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionStartTimesHierarchy" rightValue="Aux_Start_Times_Hierarchy" />
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedProcessExecutionIdentifier" rightValue="Related_Process_Execution_Identifier" />
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionTopLevelTaskExecutionIdentifier" rightValue="Top_Level_Task_Execution_Identifier"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionTopLevelTaskQualifiedName" rightValue="Top_Level_Task_Qualified_Name"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionTopLevelTaskName" rightValue="Top_Level_Task_Name"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedProcessExecutionName" rightValue="Related_Process_Execution_Name"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedStepDefinitionIdentifier" rightValue="Related_Step_Definition_Identifier"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedStepExecutionIdentifier" rightValue="Related_Step_Execution_Identifier"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedProcessExecutionDescription" rightValue="Related_Process_Execution_Description"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedProcessDefinitionVersion" rightValue="Related_Process_Definition_Version"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedProcessDefinitionNameIndented" rightValue="Related_Process_Definition_Name_Indented"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedProcessDefinitionName" rightValue="Related_Process_Definition_Name"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedProcessDefinitionID" rightValue="Related_Process_Definition_ID"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedProcessDefinitionIdentifier" rightValue="Related_Process_Definition_Identifier"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedStaffActivityExecutionIdentifier" rightValue="Related_Staff_Activity_Execution_Identifier"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedProcessDefinitionDeployedAt" rightValue="Related_Process_Definition_Deployed_At"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedStepDefinitionQualifiedName" rightValue="Related_Step_Definition_Qualified_Name"/>
								<assignment leftValue="Aux_Report_To_Subtasks/SystemId" rightValue="SystemId"/>
							</assignments>
						</outputValue>
					</map>
					<map>
						<trigger ref="Aux_Related_Process_Information_Changed"/>
						<outputValue>
							<assignments>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionIdentifier" rightValue="Identifier" />
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionNestingDepth" rightValue="Nesting_Depth" />
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionStartTimesHierarchy" rightValue="Aux_Start_Times_Hierarchy" />
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedProcessExecutionIdentifier" rightValue="Related_Process_Execution_Identifier" />
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionTopLevelTaskExecutionIdentifier" rightValue="Top_Level_Task_Execution_Identifier"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionTopLevelTaskQualifiedName" rightValue="Top_Level_Task_Qualified_Name"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionTopLevelTaskName" rightValue="Top_Level_Task_Name"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedProcessExecutionName" rightValue="Related_Process_Execution_Name"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedStepDefinitionIdentifier" rightValue="Related_Step_Definition_Identifier"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedStepExecutionIdentifier" rightValue="Related_Step_Execution_Identifier"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedProcessExecutionDescription" rightValue="Related_Process_Execution_Description"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedProcessDefinitionVersion" rightValue="Related_Process_Definition_Version"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedProcessDefinitionNameIndented" rightValue="Related_Process_Definition_Name_Indented"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedProcessDefinitionName" rightValue="Related_Process_Definition_Name"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedProcessDefinitionID" rightValue="Related_Process_Definition_ID"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedProcessDefinitionIdentifier" rightValue="Related_Process_Definition_Identifier"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedStaffActivityExecutionIdentifier" rightValue="Related_Staff_Activity_Execution_Identifier"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedProcessDefinitionDeployedAt" rightValue="Related_Process_Definition_Deployed_At"/>
								<assignment leftValue="Aux_Report_To_Subtasks/taskExecutionRelatedStepDefinitionQualifiedName" rightValue="Related_Step_Definition_Qualified_Name"/>
								<assignment leftValue="Aux_Report_To_Subtasks/SystemId" rightValue="SystemId"/>
							</assignments>
						</outputValue>
					</map>
				</outboundEvent>
				<outboundEvent displayName="Aux Broadcast Information" id="Aux_Broadcast_Information" rootElement="cbe:CommonBaseEvent">
					<description>Outbound event, broadcasting information about this task execution, for example to add monitoring information for a related process.</description>
					<eventPart displayName="taskExecutionAuxStartTimesHierarchy" id="taskExecutionAuxStartTimesHierarchy" path="cbe:CommonBaseEvent/evt:taskExecutionAuxStartTimesHierarchy" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionDescription" id="taskExecutionDescription" path="cbe:CommonBaseEvent/evt:taskExecutionDescription" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionEscalations" id="taskExecutionEscalations" path="cbe:CommonBaseEvent/evt:taskExecutionEscalations" type="xs:integer"></eventPart>
					<eventPart displayName="taskExecutionFaultMessage" id="taskExecutionFaultMessage" path="cbe:CommonBaseEvent/evt:taskExecutionFaultMessage" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionFaultName" id="taskExecutionFaultName" path="cbe:CommonBaseEvent/evt:taskExecutionFaultName" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionID" id="taskExecutionID" path="cbe:CommonBaseEvent/evt:taskExecutionID" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionIdentifier" id="taskExecutionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionIndentedName" id="taskExecutionIndentedName" path="cbe:CommonBaseEvent/evt:taskExecutionIndentedName" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionName" id="taskExecutionName" path="cbe:CommonBaseEvent/evt:taskExecutionName" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionNestingDepth" id="taskExecutionNestingDepth" path="cbe:CommonBaseEvent/evt:taskExecutionNestingDepth" type="xs:integer"></eventPart>
					<eventPart displayName="taskExecutionOwner" id="taskExecutionOwner" path="cbe:CommonBaseEvent/evt:taskExecutionOwner" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionParentTaskIdentifier" id="taskExecutionParentTaskIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionParentTaskIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionPotentialOwners" id="taskExecutionPotentialOwners" path="cbe:CommonBaseEvent/evt:taskExecutionPotentialOwners" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionQualifiedName" id="taskExecutionQualifiedName" path="cbe:CommonBaseEvent/evt:taskExecutionQualifiedName" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionRelatedProcessDefinitionIdentifier" id="taskExecutionRelatedProcessDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedProcessDefinitionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionRelatedProcessExecutionIdentifier" id="taskExecutionRelatedProcessExecutionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedProcessExecutionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionRelatedStepDefinitionIdentifier" id="taskExecutionRelatedStepDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedStepDefinitionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionRelatedStepExecutionIdentifier" id="taskExecutionRelatedStepExecutionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionRelatedStepExecutionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionState" id="taskExecutionState" path="cbe:CommonBaseEvent/evt:taskExecutionState" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionStateHistory" id="taskExecutionStateHistory" path="cbe:CommonBaseEvent/evt:taskExecutionStateHistory" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionStateTimestamp" id="taskExecutionStateTimestamp" path="cbe:CommonBaseEvent/evt:taskExecutionStateTimestamp" type="xs:dateTime"></eventPart>
					<eventPart displayName="taskExecutionSubtasks" id="taskExecutionSubtasks" path="cbe:CommonBaseEvent/evt:taskExecutionSubtasks" type="xs:integer"></eventPart>
					<eventPart displayName="taskExecutionTaskDefinitionIdentifier" id="taskExecutionTaskDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionTaskDefinitionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionTaskDefinitionName" id="taskExecutionTaskDefinitionName" path="cbe:CommonBaseEvent/evt:taskExecutionTaskDefinitionName" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionTaskInstanceName" id="taskExecutionTaskInstanceName" path="cbe:CommonBaseEvent/evt:taskExecutionTaskInstanceName" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionTimeEnded" id="taskExecutionTimeEnded" path="cbe:CommonBaseEvent/evt:taskExecutionTimeEnded" type="xs:dateTime"></eventPart>
					<eventPart displayName="taskExecutionTimeStarted" id="taskExecutionTimeStarted" path="cbe:CommonBaseEvent/evt:taskExecutionTimeStarted" type="xs:dateTime"></eventPart>
					<eventPart displayName="taskExecutionTotalDuration" id="taskExecutionTotalDuration" path="cbe:CommonBaseEvent/evt:taskExecutionTotalDuration" type="xs:duration"></eventPart>
					<eventPart displayName="taskExecutionWaitingDuration" id="taskExecutionWaitingDuration" path="cbe:CommonBaseEvent/evt:taskExecutionWaitingDuration" type="xs:duration"></eventPart>
					<eventPart displayName="taskExecutionWaitingForSubtaskDuration" id="taskExecutionWaitingForSubtaskDuration" path="cbe:CommonBaseEvent/evt:taskExecutionWaitingForSubtaskDuration" type="xs:duration"></eventPart>
					<eventPart displayName="taskExecutionWorkingDuration" id="taskExecutionWorkingDuration" path="cbe:CommonBaseEvent/evt:taskExecutionWorkingDuration" type="xs:duration"></eventPart>
					<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
					<map>
						<trigger ref="Aux_Re-Broadcast_Information"/>
						<outputValue>
							<assignments>
								<assignment leftValue="Aux_Broadcast_Information/taskExecutionAuxStartTimesHierarchy" rightValue="Aux_Start_Times_Hierarchy"/>
								<assignment leftValue="Aux_Broadcast_Information/taskExecutionDescription" rightValue="Description"/>
								<assignment leftValue="Aux_Broadcast_Information/taskExecutionEscalations" rightValue="Escalations"/>
								<assignment leftValue="Aux_Broadcast_Information/taskExecutionFaultMessage" rightValue="Fault_Message"/>
								<assignment leftValue="Aux_Broadcast_Information/taskExecutionFaultName" rightValue="Fault_Name"/>
								<assignment leftValue="Aux_Broadcast_Information/taskExecutionID" rightValue="ID"/>
								<assignment leftValue="Aux_Broadcast_Information/taskExecutionIdentifier" rightValue="Identifier"/>
								<assignment leftValue="Aux_Broadcast_Information/taskExecutionIndentedName" rightValue="Task_Structure"></assignment>
								<assignment leftValue="Aux_Broadcast_Information/taskExecutionName" rightValue="Name"/>
								<assignment leftValue="Aux_Broadcast_Information/taskExecutionNestingDepth" rightValue="Nesting_Depth"/>
								<assignment leftValue="Aux_Broadcast_Information/taskExecutionOwner" rightValue="Owner"/>
								<assignment leftValue="Aux_Broadcast_Information/taskExecutionParentTaskIdentifier" rightValue="Parent_Task_Identifier"/>
								<assignment leftValue="Aux_Broadcast_Information/taskExecutionPotentialOwners" rightValue="Potential_Owners"/>
								<assignment leftValue="Aux_Broadcast_Information/taskExecutionQualifiedName" rightValue="Qualified_Name"/>
								<assignment leftValue="Aux_Broadcast_Information/taskExecutionRelatedProcessDefinitionIdentifier" rightValue="Related_Process_Definition_Identifier"/>
								<assignment leftValue="Aux_Broadcast_Information/taskExecutionRelatedProcessExecutionIdentifier" rightValue="Related_Process_Execution_Identifier"/>
								<assignment leftValue="Aux_Broadcast_Information/taskExecutionRelatedStepDefinitionIdentifier" rightValue="Related_Step_Definition_Identifier"/>
								<assignment leftValue="Aux_Broadcast_Information/taskExecutionRelatedStepExecutionIdentifier" rightValue="Related_Step_Execution_Identifier"/>
								<assignment leftValue="Aux_Broadcast_Information/taskExecutionState" rightValue="State"/>
								<assignment leftValue="Aux_Broadcast_Information/taskExecutionStateHistory" rightValue="State_History"/>
								<assignment leftValue="Aux_Broadcast_Information/taskExecutionStateTimestamp" rightValue="State_Timestamp"/>
								<assignment leftValue="Aux_Broadcast_Information/taskExecutionSubtasks" rightValue="Subtasks"/>
								<assignment leftValue="Aux_Broadcast_Information/taskExecutionTaskDefinitionIdentifier" rightValue="Task_Definition_Identifier"></assignment>
								<assignment leftValue="Aux_Broadcast_Information/taskExecutionTaskDefinitionName" rightValue="Task_Definition_Name"/>
								<assignment leftValue="Aux_Broadcast_Information/taskExecutionTaskInstanceName" rightValue="Task_Instance_Name"/>
								<assignment leftValue="Aux_Broadcast_Information/taskExecutionTimeEnded" rightValue="Time_Ended"/>
								<assignment leftValue="Aux_Broadcast_Information/taskExecutionTimeStarted" rightValue="Time_Started"/>
								<assignment leftValue="Aux_Broadcast_Information/taskExecutionTotalDuration" rightValue="Total_Duration"/>
								<assignment leftValue="Aux_Broadcast_Information/taskExecutionWaitingDuration" rightValue="Waiting_Duration"/>
								<assignment leftValue="Aux_Broadcast_Information/taskExecutionWaitingForSubtaskDuration" rightValue="Waiting_For_Subtask_Duration"/>
								<assignment leftValue="Aux_Broadcast_Information/taskExecutionWorkingDuration" rightValue="Working_Duration"/>
								<assignment leftValue="Aux_Broadcast_Information/SystemId" rightValue="SystemId"/>
							</assignments>
						</outputValue>
					</map>
				</outboundEvent>
				<metric displayName="Aux Last State Reported" id="Aux_Last_State_Reported" type="xsd:string" maxStringLength="128">
					<description>The state of this task execution, as reported by the last event received. This may not be the current state, but some state from the past, if the event reporting it was delayed.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( State_Changed/eventPointData/htm:HTMEventCode = '51001' ) then 'CREATED' else (
if ( State_Changed/eventPointData/htm:HTMEventCode = '51003' or State_Changed/eventPointData/htm:HTMEventCode = '51005' or State_Changed/eventPointData/htm:HTMEventCode = '51014' ) then 'READY' else (
if ( State_Changed/eventPointData/htm:HTMEventCode = '51004' or State_Changed/eventPointData/htm:HTMEventCode = '51015' ) then 'FINISHED' else (
if ( State_Changed/eventPointData/htm:HTMEventCode = '51006' ) then ( if ( fn:exists( State_Changed/username ) ) then fn:concat( 'CLAIMED by ', State_Changed/username ) else 'CLAIMED' ) else (
if ( State_Changed/eventPointData/htm:HTMEventCode = '51007' ) then 'TERMINATED' else (
if ( State_Changed/eventPointData/htm:HTMEventCode = '51008' ) then 'FAILED' else (
if ( State_Changed/eventPointData/htm:HTMEventCode = '51009' ) then 'EXPIRED' else (
if ( State_Changed/eventPointData/htm:HTMEventCode = '51010' ) then 'WAITING_FOR_SUBTASK' else (
if ( State_Changed/eventPointData/htm:HTMEventCode = '51011' ) then 'SUBTASKS_COMPLETED' else (
if ( State_Changed/eventPointData/htm:HTMEventCode = '51012' ) then 'RESTARTED' else (
if ( State_Changed/eventPointData/htm:HTMEventCode = '51013' ) then 'SUSPENDED' else Aux_Last_State_Reported
)
)
)
)
)
)
)
)
)
)" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( Deleted/eventPointData/htm:HTMEventCode = '51002' ) then 'DELETED' else 'INTERNAL ERROR'" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if (fn:ends-with(State_Changed_BPMN2/EventKind,'READY')) then 'READY' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'ACTIVE')) then 'ACTIVE' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'COMPLETING')) then 'COMPLETING' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'COMPLETED')) then 'COMPLETED' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'FAILING')) then 'FAILING' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'FAILED')) then 'FAILED' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'TERMINATING')) then 'TERMINATING' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'TERMINATED')) then 'TERMINATED' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'COMPENSATING')) then 'COMPENSATING' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'COMPENSATED')) then 'COMPENSATED' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'WITHDRAWN')) then 'WITHDRAWN' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'EXPIRED')) then 'EXPIRED' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'SKIPPED')) then 'SKIPPED' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'STOPPED')) then 'STOPPED' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'FORCE_RESTARTED')) then 'FORCE_RESTARTED' else (if (fn:ends-with(State_Changed_BPMN2/EventKind,'FORCE_COMPLETED')) then 'FORCE_COMPLETED' else Aux_Last_State_Reported)))))))))))))))"/>
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="'UNKNOWN'" />
					</defaultValue>
				</metric>
				<metric displayName="Caller Identifier" id="Caller_Identifier" type="xsd:string" maxStringLength="128">
					<description>Unique identifier of the task initiator (invocation) for stand-alone human tasks, and of the embedding process execution for inline human tasks.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty( Caller_Identifier ) and  fn:exists( State_Changed/baseData/wbi:eventHeaderData/wbi:ECSParentID) ) then State_Changed/baseData/wbi:eventHeaderData/wbi:ECSParentID else Caller_Identifier" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty( Caller_Identifier ) and fn:exists( Deleted/baseData/wbi:eventHeaderData/wbi:ECSParentID) ) then Deleted/baseData/wbi:eventHeaderData/wbi:ECSParentID else Caller_Identifier" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty( Caller_Identifier ) and fn:exists( State_Changed_BPMN2/eventPointData/mon:correlation/mon:ancestor/mon:ancestor/@mon:id  ) ) then State_Changed_BPMN2/eventPointData/mon:correlation/mon:ancestor/mon:ancestor/@mon:id else Caller_Identifier"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Time Started" id="Time_Started" type="xsd:dateTime">
					<description>The timestamp of the earliest event received about this task execution. If its entry / start event is sent, it will be the time it came to life / started.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty( Time_Started ) or Aux_Last_Event_Timestamp &lt; Time_Started ) then Aux_Last_Event_Timestamp else Time_Started" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Identifier" id="Identifier" type="xsd:string" valueRequired="false" maxStringLength="128" isPartOfKey="true">
					<description>A unique identifier of this task execution.</description>
					<map>
						<outputValue>
							<singleValue expression="State_Changed/baseData/wbi:eventHeaderData/wbi:ECSCurrentID" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="Deleted/baseData/wbi:eventHeaderData/wbi:ECSCurrentID" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="Escalation_State_Changed/baseData/wbi:eventHeaderData/wbi:ECSParentID" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="fn:concat( State_Changed_BPMN2/processLevelModel/@mon:id,'.', State_Changed_BPMN2/processLevelModel/@mon:version,'.', State_Changed_BPMN2/processLevelModel/mon:instance/@mon:id,'.',State_Changed_BPMN2/processExecuteStepLevelModel/mon:instance/@mon:id) "/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="State History" id="State_History" type="xsd:string" maxStringLength="2048">
					<description>The state history of this task execution.</description>
					<map>
						<trigger ref="Aux_Reported_State_Changed" />
						<outputValue>
							<singleValue expression="fn:substring( fn:concat( Aux_Last_Event_Timestamp_xs_format, '  ', Aux_Last_State_Reported, '&lt;br/&gt;', State_History ), 1, 2048)" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="''" />
					</defaultValue>
				</metric>
				<metric displayName="Time Ended" id="Time_Ended" type="xsd:dateTime">
					<description>The time when this task execution ended.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:not( Has_Ended ) ) then Aux_Empty_DateTime else ( if ( fn:exists( Time_Ended ) ) then Time_Ended else State_Timestamp )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Has Ended" id="Has_Ended" type="xsd:boolean">
					<description>Flag indicating that the monitored task execution has reached a 'terminal' state. Note that it may still be retried, at which point this flag will become false again.</description>
					<map>
						<outputValue>
							<singleValue expression="fn:starts-with( State, 'FINISHED' ) or fn:starts-with( State, 'TERMINATED' ) or fn:starts-with( State, 'FAILED' ) or fn:starts-with( State, 'EXPIRED' ) or fn:starts-with( State, 'SKIPPED' ) or fn:starts-with( State, 'DELETED' ) or fn:starts-with( State, 'COMPLETED' ) or fn:starts-with( State, 'STOPPED' )" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="fn:false()" />
					</defaultValue>
				</metric>
				<metric displayName="Aux Last Event Timestamp" id="Aux_Last_Event_Timestamp" type="xsd:dateTime">
					<description>The timestamp of the last event received in this monitoring context.</description>
					<map>
						<outputValue>
							<singleValue expression="State_Changed/predefinedData/creationTime" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="Escalation_State_Changed/predefinedData/creationTime" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="Deleted/predefinedData/creationTime" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="State_Changed_BPMN2/eventPointData/mon:time "/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Aux Last Event Timestamp (xs format)" id="Aux_Last_Event_Timestamp_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'Aux Last Event Timestamp' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Aux_Last_Event_Timestamp ) ) )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Potential Owners History" id="Potential_Owners_History" type="xsd:string" maxStringLength="2048">
					<description>The history of users and/or groups eligible to claim this task.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:string-length( Aux_Last_Event_Code ) = 5 and fn:contains( '51201 51202 51204 51205 53201 53202 53204 53205 ', fn:concat( Aux_Last_Event_Code, ' ' ) ) and fn:not( State_Changed/eventPointDataIfWiStatus/htm:eventExt/htm:reason != '1' ) ) then fn:substring( fn:concat( Aux_Last_Event_Timestamp_xs_format, '  ', Potential_Owners, '&lt;br/&gt;', Potential_Owners_History ), 1, 2048 ) else Potential_Owners_History" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:string-length( Aux_Last_Event_Code ) = 5 and fn:contains( '51201 51202 51204 51205 53201 53202 53204 53205 ', fn:concat( Aux_Last_Event_Code, ' ' ) ) and fn:not( Escalation_State_Changed/eventPointDataIfWiStatus/htm:eventExt/htm:reason != '1' ) ) then fn:substring( fn:concat( Aux_Last_Event_Timestamp_xs_format, '  ', Potential_Owners, '&lt;br/&gt;', Potential_Owners_History ), 1, 2048 ) else Potential_Owners_History" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="''" />
					</defaultValue>
				</metric>
				<metric displayName="Work Item Update History" id="Work_Item_Update_History" type="xsd:string" maxStringLength="2048">
					<description>The history of work item updates for this task execution.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:string-length( Aux_Last_Event_Code ) = 5 and fn:contains( '51201 51202 51204 51205 53201 53202 53204 53205 ', fn:concat( Aux_Last_Event_Code, ' ' ) ) ) then fn:substring( fn:concat( Aux_Last_Event_Timestamp_xs_format, '  ', Last_Work_Item_Update, '&lt;br/&gt;', Work_Item_Update_History ), 1, 2048 ) else Work_Item_Update_History" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="''" />
					</defaultValue>
				</metric>
				<metric displayName="Potential Owners" id="Potential_Owners" type="xsd:string" maxStringLength="1024">
					<description>The users and/or groups eligible to claim this task execution.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( State_Changed/eventPointData/htm:HTMEventCode = '51202' and fn:not( State_Changed/eventPointDataIfWiStatus/htm:eventExt/htm:reason != '1') ) then fn:substring( fct:add-to-list( Potential_Owners, wbm:serialize( State_Changed/username, '' ) ), 1, 2048) else (
if ( State_Changed/eventPointData/htm:HTMEventCode = '51201' and fn:not( State_Changed/eventPointDataIfWiStatus/htm:eventExt/htm:reason != '1') ) then fn:substring( fct:remove-from-list( Potential_Owners, State_Changed/username ), 1, 2048) else (
if ( State_Changed/eventPointData/htm:HTMEventCode = '51205' and fn:not( State_Changed/eventPointDataIfWiStatus/htm:eventExt/htm:reason != '1') ) then fn:substring( fct:add-to-list( '', wbm:serialize( State_Changed/username, '' ) ), 1, 2048) else (
if ( State_Changed/eventPointData/htm:HTMEventCode = '51204' and fn:not( State_Changed/eventPointDataIfWiStatus/htm:eventExt/htm:reason != '1') ) then fn:substring( fct:add-to-list( fct:remove-from-list( Potential_Owners, State_Changed/current_username ), State_Changed/target_username ), 1, 2048) else Potential_Owners
)
)
)" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( Escalation_State_Changed/eventPointData/htm:HTMEventCode = '53202' and fn:not( Escalation_State_Changed/eventPointDataIfWiStatus/htm:eventExt/htm:reason != '1') ) then fn:substring( fct:add-to-list( Potential_Owners, wbm:serialize( Escalation_State_Changed/username, '' ) ), 1, 2048) else (
if ( Escalation_State_Changed/eventPointData/htm:HTMEventCode = '53201' and fn:not( Escalation_State_Changed/eventPointDataIfWiStatus/htm:eventExt/htm:reason != '1') ) then fn:substring( fct:remove-from-list( Potential_Owners, Escalation_State_Changed/username ), 1, 2048) else (
if ( Escalation_State_Changed/eventPointData/htm:HTMEventCode = '53205' and fn:not( Escalation_State_Changed/eventPointDataIfWiStatus/htm:eventExt/htm:reason != '1') ) then fn:substring( fct:add-to-list( '', wbm:serialize( Escalation_State_Changed/username, '' ) ), 1, 2048) else (
if ( Escalation_State_Changed/eventPointData/htm:HTMEventCode = '53204' and fn:not( Escalation_State_Changed/eventPointDataIfWiStatus/htm:eventExt/htm:reason != '1') ) then fn:substring( fct:add-to-list( fct:remove-from-list( Potential_Owners, Escalation_State_Changed/current_username ), Escalation_State_Changed/target_username ), 1, 2048) else Potential_Owners
)
)
)" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:contains(State_Changed_BPMN2/EventKind,'bpmnx:ACTIVITY_RESOURCE_ASSIGNED') and fn:not(  State_Changed_BPMN2/processExecuteStepLevelModel/mon:instance/mon:role[1]/@mon:id != 'POTENTIAL_PERFORMER' ) ) then fn:substring( fct:add-to-list( Potential_Owners, State_Changed_BPMN2/processExecuteStepLevelModel/mon:instance/mon:role[1]/mon:resource[1]/@mon:id ), 1, 4000) else (
if ( fn:contains(State_Changed_BPMN2/EventKind,'bpmnx:ACTIVITY_RESOURCE_UNASSIGEND') and fn:not(  State_Changed_BPMN2/processExecuteStepLevelModel/mon:instance/mon:role[1]/@mon:id != 'POTENTIAL_PERFORMER' ) ) then fn:substring( fct:remove-from-list( Potential_Owners, State_Changed_BPMN2/processExecuteStepLevelModel/mon:instance/mon:role[1]/mon:resource[1]/@mon:id ), 1, 4000) else Potential_Owners)"/>
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="''" />
					</defaultValue>
				</metric>
				<metric displayName="Owner" id="Owner" type="xsd:string" maxStringLength="256" valueRequired="true">
					<description>The user who has claimed this task execution.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( State_Changed/eventPointData/htm:HTMEventCode = '51006' and fn:string-length(State_Changed/username) &gt; 0 ) then State_Changed/username else ( if ( State_Changed/eventPointData/htm:HTMEventCode = '51005' ) then ' ' else Owner )" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if (fn:contains(State_Changed_BPMN2/EventKind,'bpmnx:ACTIVITY_ACTIVE')) then State_Changed_BPMN2/processExecuteStepLevelModel/mon:instance/mon:role[@mon:id='PERFORMER']/mon:resource[1]/@mon:id else Owner"/>
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="' '" />
					</defaultValue>
				</metric>
				<metric displayName="Description" id="Description" type="xsd:string" maxStringLength="2048">
					<description>A description of this task execution.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists(State_Changed/eventPointData/htm:taskInstanceDescription) and fn:string-length(State_Changed/eventPointData/htm:taskInstanceDescription) &gt; 0 ) then fn:substring(State_Changed/eventPointData/htm:taskInstanceDescription, 1, 2048) else Description" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists(State_Changed_BPMN2/processExecuteStepLevelModel/mon:documentation) and fn:string-length(State_Changed_BPMN2/processExecuteStepLevelModel/mon:documentation) &gt; 0 ) then fn:substring(State_Changed_BPMN2/processExecuteStepLevelModel/mon:documentation, 1, 4000) else Description"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Escalation History" id="Escalation_History" type="xsd:string" maxStringLength="2048">
					<description>The history of escalations of this task execution.</description>
					<map>
						<trigger ref="Aux_Task_Escalation/Aux_Stand_Alone_Task_Escalation" />
						<outputValue>
							<singleValue expression="fn:substring( fn:concat( fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Aux_Last_Event_Timestamp ) ) ), '  ', Aux_Task_Escalation/Name, '&lt;br/&gt;', Escalation_History ), 1, 2048 )" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="''" />
					</defaultValue>
				</metric>
				<metric displayName="Time Ended (xs format)" id="Time_Ended_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'Time Ended' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Time_Ended ) ) ) " />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Time Started (xs format)" id="Time_Started_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'Time Started' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Time_Started ) ) )" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Waiting Duration" id="Waiting_Duration" type="xsd:duration">
					<description>The aggregate duration for which this task execution has been waiting to be claimed or for subtasks to be completed.</description>
					<map>
						<outputValue>
							<singleValue expression="xs:dayTimeDuration( fct:aggregate-duration-in-state( 'READY', State_History, Aux_Last_Event_Timestamp ) ) + Waiting_For_Subtask_Duration" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Working Duration (xs format)" id="Working_Duration_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'Working Duration' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="xs:string(Working_Duration)" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Total Duration (xs format)" id="Total_Duration_xs" type="xsd:string" maxStringLength="64">
					<description>The 'Total Duration' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="xs:string(Total_Duration)" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Waiting Duration (xs format)" id="Waiting_Duration_full" type="xsd:string" maxStringLength="64">
					<description>The 'Waiting Duration' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="xs:string(Waiting_Duration)" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Total Duration" id="Total_Duration" type="xsd:duration">
					<description>The total duration of this task execution so far (the time since it started while it is in progress, and the total time from start to end after it has ended).</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists( Time_Started ) ) then ( if ( fn:exists( Time_Ended ) ) then Time_Ended - Time_Started else Aux_Last_Event_Timestamp - Time_Started ) else Total_Duration" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Working Duration" id="Working_Duration" type="xsd:duration">
					<description>The aggregate duration for which this task execution was claimed but not completed.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( Aux_UserTask_Type = 'WPS' ) then xs:dayTimeDuration( fct:aggregate-duration-in-state( 'CLAIMED', State_History, Aux_Last_Event_Timestamp ) ) else ( if ( Aux_UserTask_Type = 'WLE' ) then xs:dayTimeDuration( fct:aggregate-duration-in-state( 'ACTIVE', State_History, Aux_Last_Event_Timestamp ) ) else Working_Duration)"></singleValue>
						</outputValue>
					</map>
				</metric>
				<metric displayName="State" id="State" type="xsd:string" maxStringLength="64" valueRequired="true">
					<description>The current state of this task execution.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty( State_Timestamp ) or Aux_Last_Event_Timestamp &gt;= State_Timestamp and fn:string-length(Aux_Last_State_Reported) &gt; 0 ) then Aux_Last_State_Reported else State" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="' '" />
					</defaultValue>
				</metric>
				<metric displayName="Escalations" id="Escalations" type="xsd:integer">
					<description>The number of escalations of this task execution.</description>
					<map>
						<trigger ref="Aux_Task_Escalation/Aux_Stand_Alone_Task_Escalation" />
						<outputValue>
							<singleValue expression="Escalations + 1" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="0" />
					</defaultValue>
				</metric>
				<metric displayName="Task Definition Identifier" id="Task_Definition_Identifier" type="xsd:string" valueRequired="true">
					<description>A copy of the task definition identifier. It is redundant at the execution level, but provided for convenience and to enable grouping.</description>
					<map>
						<trigger ref="Aux_Started" />
						<outputValue>
							<singleValue expression="if ( fn:string-length(../Identifier) &gt; 0 ) then ../Identifier else Task_Definition_Identifier" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="' '" />
					</defaultValue>
				</metric>
				<metric displayName="Last Work Item Update" id="Last_Work_Item_Update" type="xsd:string">
					<description>The last work item update for this task execution.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( State_Changed/eventPointData/htm:HTMEventCode = '51202' ) then fn:concat( 'WORK_ITEMS_CREATED for ', fct:add-to-list( '', wbm:serialize( State_Changed/username, '' ) ), ( if ( fn:exists( State_Changed/eventPointDataIfWiStatus/htm:eventExt/htm:reason ) ) then fn:concat('; role: ', fn:normalize-space( fn:substring( ../Aux_User_Roles, 32 * xs:integer( State_Changed/eventPointDataIfWiStatus/htm:eventExt/htm:reason ), 32 ) ) ) else '' ) ) else (
if ( State_Changed/eventPointData/htm:HTMEventCode = '51201' ) then fn:concat( 'WORK_ITEMS_DELETED for ', State_Changed/username, ( if ( fn:exists( State_Changed/eventPointDataIfWiStatus/htm:eventExt/htm:reason ) ) then fn:concat('; role: ', fn:normalize-space( fn:substring( ../Aux_User_Roles, 32 * xs:integer( State_Changed/eventPointDataIfWiStatus/htm:eventExt/htm:reason ), 32 ) ) ) else '' ) ) else (
if ( State_Changed/eventPointData/htm:HTMEventCode = '51205' ) then 'WORK_ITEMS_REFRESHED' else (
if ( State_Changed/eventPointData/htm:HTMEventCode = '51204' ) then fn:concat( 'WORK_ITEMS_TRANSFERRED from ', State_Changed/current_username, ' to ', State_Changed/target_username, ( if ( fn:exists( State_Changed/eventPointDataIfWiStatus/htm:eventExt/htm:reason ) ) then fn:concat('; role: ', fn:normalize-space( fn:substring( ../Aux_User_Roles, 32 * xs:integer( State_Changed/eventPointDataIfWiStatus/htm:eventExt/htm:reason ), 32 ) ) ) else '' ) ) else Last_Work_Item_Update
)
)
)" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( Escalation_State_Changed/eventPointData/htm:HTMEventCode = '53202' ) then fn:concat( 'WORK_ITEMS_CREATED for ', fct:add-to-list( '', wbm:serialize( Escalation_State_Changed/username, '' ) ), ( if ( fn:exists( Escalation_State_Changed/eventPointDataIfWiStatus/htm:eventExt/htm:reason ) ) then fn:concat('; role: ', fn:normalize-space( fn:substring( ../Aux_User_Roles, 32 * xs:integer( Escalation_State_Changed/eventPointDataIfWiStatus/htm:eventExt/htm:reason ), 32 ) ) ) else '' ) ) else (
if ( Escalation_State_Changed/eventPointData/htm:HTMEventCode = '53201' ) then fn:concat( 'WORK_ITEMS_DELETED for ', Escalation_State_Changed/username, ( if ( fn:exists( Escalation_State_Changed/eventPointDataIfWiStatus/htm:eventExt/htm:reason ) ) then fn:concat('; role: ', fn:normalize-space( fn:substring( ../Aux_User_Roles, 32 * xs:integer( Escalation_State_Changed/eventPointDataIfWiStatus/htm:eventExt/htm:reason ), 32 ) ) ) else '' ) ) else (
if ( Escalation_State_Changed/eventPointData/htm:HTMEventCode = '53205' ) then 'WORK_ITEMS_REFRESHED' else (
if ( Escalation_State_Changed/eventPointData/htm:HTMEventCode = '53204' ) then fn:concat( 'WORK_ITEMS_TRANSFERRED from ', Escalation_State_Changed/current_username, ' to ', Escalation_State_Changed/target_username, ( if ( fn:exists( Escalation_State_Changed/eventPointDataIfWiStatus/htm:eventExt/htm:reason ) ) then fn:concat('; role: ', fn:normalize-space( fn:substring( ../Aux_User_Roles, 32 * xs:integer( Escalation_State_Changed/eventPointDataIfWiStatus/htm:eventExt/htm:reason ), 32 ) ) ) else '' ) ) else Last_Work_Item_Update
)
)
)" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Aux Last Event Code" id="Aux_Last_Event_Code" type="xsd:string" maxStringLength="8">
					<description>The BPCEventCode of the last event received in this monitoring context.</description>
					<map>
						<outputValue>
							<singleValue expression="State_Changed/eventPointData/htm:HTMEventCode" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="Escalation_State_Changed/eventPointData/htm:HTMEventCode" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="Deleted/eventPointData/htm:HTMEventCode" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Aux Empty DateTime" id="Aux_Empty_DateTime" type="xsd:dateTime">
					<description>Auxiliary metric representing an empty xs:dateTime value.</description>
					<map>
						<trigger ref="Aux_Never" />
						<outputValue>
							<singleValue expression="Aux_Empty_DateTime" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Aux Saved Last State Reported" id="Aux_Saved_Last_State_Reported" type="xsd:string" maxStringLength="128">
					<description>Saved copy of the last state reported. It is used to prevent adding state history entries when the same state is reported several times.</description>
					<map>
						<trigger ref="Aux_Reported_State_Changed" />
						<outputValue>
							<singleValue expression="Aux_Last_State_Reported" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="''" />
					</defaultValue>
				</metric>
				<metric displayName="Aux Has Ended At Least Once" id="Aux_Has_Ended_At_Least_Once" type="xsd:boolean">
					<description>Auxiliay flag, which becomes true when the step execution ends for the first time.</description>
					<map>
						<outputValue>
							<singleValue expression="Has_Ended or Aux_Has_Ended_At_Least_Once" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="fn:false()" />
					</defaultValue>
				</metric>
				<metric displayName="State Timestamp" id="State_Timestamp" type="xsd:dateTime">
					<description>The timestamp of the last event used to set the 'State' metric. Also used to prevent unintended state changes back to earlier states when events arrive out-of-order.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty( State_Timestamp ) or Aux_Last_Event_Timestamp &gt;= State_Timestamp ) then Aux_Last_Event_Timestamp else State_Timestamp" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Aux Saved Working Duration" id="Aux_Saved_Working_Duration" type="xsd:duration">
					<description>A saved copy of the 'Working Duration' metric. It is used to adjust the aggregation at the task definition level when the working duration changes.</description>
					<map>
						<trigger ref="Aux_Save_Durations" />
						<outputValue>
							<singleValue expression="Working_Duration" />
						</outputValue>
					</map>
					<map>
						<trigger ref="Aux_Clear_Saved_Durations" />
						<outputValue>
							<singleValue expression="Aux_Empty_Duration" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Aux Saved Waiting Duration" id="Aux_Saved_Waiting_Duration" type="xsd:duration">
					<description>A saved copy of the 'Waiting Duration' metric. It is used to adjust the aggregation at the task definition level when the waiting duration changes.</description>
					<map>
						<trigger ref="Aux_Save_Durations" />
						<outputValue>
							<singleValue expression="Waiting_Duration" />
						</outputValue>
					</map>
					<map>
						<trigger ref="Aux_Clear_Saved_Durations" />
						<outputValue>
							<singleValue expression="Aux_Empty_Duration" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Aux Saved Total Duration" id="Aux_Saved_Total_Duration" type="xsd:duration">
					<description>A saved copy of the 'Total Duration' metric. It is used to adjust the aggregation at the task definition level when the total duration changes.</description>
					<map>
						<trigger ref="Aux_Save_Durations" />
						<outputValue>
							<singleValue expression="Total_Duration" />
						</outputValue>
					</map>
					<map>
						<trigger ref="Aux_Clear_Saved_Durations" />
						<outputValue>
							<singleValue expression="Aux_Empty_Duration" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Aux Empty Duration" id="Aux_Empty_Duration" type="xsd:duration">
					<description>Auxiliary xs:duration metric which will always be empty.</description>
					<map>
						<trigger ref="Aux_Never" />
						<outputValue>
							<singleValue expression='xs:dayTimeDuration("PT0S")' />
						</outputValue>
					</map>
				</metric>
				<metric displayName="State Timestamp (xs format)" id="State_Timestamp_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'State Timestamp' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( State_Timestamp ) ) )" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Task Definition Name" id="Task_Definition_Name" type="xsd:string" valueRequired="true">
					<description>A copy of the task definition name. It is redundant here, but provided for convenience and to enable grouping by task definition during aggregations.</description>
					<map>
						<trigger ref="Aux_Started" />
						<outputValue>
							<singleValue expression="if ( fn:string-length(../Name) &gt; 0 ) then ../Name else Task_Definition_Name" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="' '" />
					</defaultValue>
				</metric>
				<metric displayName="Fault Name" id="Fault_Name" type="xsd:string">
					<description>If this task execution has failed, the name of the fault (if any was reported).</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty(Fault_Name) and fn:exists(State_Changed/eventPointDataIfFailure/htm:eventExt/htm:faultName) ) then State_Changed/eventPointDataIfFailure/htm:eventExt/htm:faultName else Fault_Name" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty(Fault_Name) and fn:exists(Escalation_State_Changed/eventPointDataIfFailure/htm:eventExt/htm:faultName) ) then Escalation_State_Changed/eventPointDataIfFailure/htm:eventExt/htm:faultName else Fault_Name" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty(Fault_Name) and fn:exists(State_Changed_BPMN2/faultName ) ) then State_Changed_BPMN2/faultName else Fault_Name"></singleValue>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Fault Message" id="Fault_Message" type="xsd:string" maxStringLength="4000">
					<description>If this task execution has failed, the fault message (if any was reported).</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty(Fault_Message) and fn:exists( State_Changed/eventPointDataIfFailure/htm:taskFailedException ) ) then fn:substring(State_Changed/eventPointDataIfFailure/htm:taskFailedException, 1, 4000) else Fault_Message" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty(Fault_Message) and fn:exists( Escalation_State_Changed/eventPointDataIfFailure/htm:taskFailedException ) ) then fn:substring(Escalation_State_Changed/eventPointDataIfFailure/htm:taskFailedException, 1, 4000) else Fault_Message" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty(Fault_Message) and fn:exists(State_Changed_BPMN2/processExecuteStepLevelModel/mon:instance/mon:fault) ) then fn:substring(State_Changed_BPMN2/processExecuteStepLevelModel/mon:instance/mon:fault, 1, 4000) else Fault_Message"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="ID" id="ID" type="xsd:string" maxStringLength="128" valueRequired="true">
					<description>Same as Identifier</description>
					<map>
						<outputValue>
							<singleValue expression="Identifier"/>
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="' '" />
					</defaultValue>
				</metric>
				<metric displayName="Related Process Execution Identifier" id="Related_Process_Execution_Identifier" type="xsd:string" maxStringLength="128">
					<description>The unique identifier of a related process execution.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty(Related_Process_Execution_Identifier) and fn:exists(Deleted/eventPointData/htm:baseExt/htm:processInstanceId) ) then Deleted/eventPointData/htm:baseExt/htm:processInstanceId else Related_Process_Execution_Identifier" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty(Related_Process_Execution_Identifier) and fn:exists(Escalation_State_Changed/eventPointData/htm:baseExt/htm:processInstanceId) ) then Escalation_State_Changed/eventPointData/htm:baseExt/htm:processInstanceId else Related_Process_Execution_Identifier" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty(Related_Process_Execution_Identifier) and fn:exists(State_Changed/eventPointData/htm:baseExt/htm:processInstanceId) ) then State_Changed/eventPointData/htm:baseExt/htm:processInstanceId else Related_Process_Execution_Identifier" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty(Related_Process_Execution_Identifier) and fn:string-length(Aux_Report_From_Parent_Task/taskExecutionRelatedProcessExecutionIdentifier) &gt; 0 ) then Aux_Report_From_Parent_Task/taskExecutionRelatedProcessExecutionIdentifier else Related_Process_Execution_Identifier"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="Aux_Related_Process_Execution_Information/processExecutionIdentifier"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="Aux_Report_From_Parent_Task/taskExecutionRelatedProcessExecutionIdentifier"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="fn:concat(State_Changed_BPMN2/processLevelModel/@mon:id,'.',State_Changed_BPMN2/processLevelModel/@mon:version,'.',State_Changed_BPMN2/processLevelModel/mon:instance/@mon:id)"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Related Staff Activity Execution Identifier" id="Related_Staff_Activity_Execution_Identifier" type="xsd:string" maxStringLength="128" isSortable="true">
					<description>The unique identifier of a related activity execution.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists(Deleted/eventPointData/htm:baseExt/htm:activityInstanceId) ) then Deleted/eventPointData/htm:baseExt/htm:activityInstanceId else Related_Staff_Activity_Execution_Identifier" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists(Escalation_State_Changed/eventPointData/htm:baseExt/htm:activityInstanceId) ) then Escalation_State_Changed/eventPointData/htm:baseExt/htm:activityInstanceId else Related_Staff_Activity_Execution_Identifier" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists(State_Changed/eventPointData/htm:baseExt/htm:activityInstanceId) ) then State_Changed/eventPointData/htm:baseExt/htm:activityInstanceId else Related_Staff_Activity_Execution_Identifier" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="Aux_Report_From_Parent_Task/taskExecutionRelatedStaffActivityExecutionIdentifier"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Name" id="Name" type="xsd:string" valueRequired="true">
					<description>A human-readable name reported for this task execution.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( Name = ' ' and fn:string-length(Escalation_State_Changed/eventPointData/htm:baseExt/htm:displayName) &gt; 0) then Escalation_State_Changed/eventPointData/htm:baseExt/htm:displayName else Name" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( Name = ' ' ) then ( if ( fn:string-length(Deleted/eventPointData/htm:baseExt/htm:displayName) &gt; 0) then Deleted/eventPointData/htm:baseExt/htm:displayName else ( if ( fn:string-length(Deleted/eventPointData/htm:taskExt/htm:taskInstanceName) &gt; 0) then Deleted/eventPointData/htm:taskExt/htm:taskInstanceName else Name ) ) else Name" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( Name = ' ' ) then ( if ( fn:string-length(State_Changed/eventPointData/htm:baseExt/htm:displayName) &gt; 0) then State_Changed/eventPointData/htm:baseExt/htm:displayName else ( if ( fn:string-length(State_Changed/eventPointData/htm:taskExt/htm:taskInstanceName)  &gt; 0 ) then State_Changed/eventPointData/htm:taskExt/htm:taskInstanceName else Name ) ) else Name" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists(State_Changed_BPMN2/processExecuteStepLevelModel/mon:name) and fn:starts-with( Name,  State_Changed_BPMN2/processExecuteStepLevelModel/mon:name ) ) then Name else fn:concat( State_Changed_BPMN2/processExecuteStepLevelModel/mon:name, (if ( Name = ' ' ) then '' else ' &lt;- '), Name )"/>
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="' '"/>
					</defaultValue>
				</metric>
				<!-- 
				<metric displayName="Is Ad-Hoc" id="Is_Ad-Hoc" type="xsd:boolean">
					<description>Indicates that this task-execution has no task definition.</description>
					<map>
						<outputValue>
							<singleValue expression="Is_Ad-Hoc or Deleted/eventPointData/htm:baseExt/htm:isAdHoc " />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="Is_Ad-Hoc or State_Changed/eventPointData/htm:baseExt/htm:isAdHoc " />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="Is_Ad-Hoc or Escalation_State_Changed/eventPointData/htm:baseExt/htm:isAdHoc " />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="fn:false()" />
					</defaultValue>
				</metric>
				 -->
				<metric displayName="Is Subtask" id="Is_Subtask" type="xsd:boolean" valueRequired="true">
					<description>Indicates that this task-execution is a subtask.</description>
					<map>
						<outputValue>
							<singleValue expression="Is_Subtask or Deleted/eventPointData/htm:baseExt/htm:isSubTask " />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="Is_Subtask or State_Changed/eventPointData/htm:baseExt/htm:isSubTask " />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="Is_Subtask or Escalation_State_Changed/eventPointData/htm:baseExt/htm:isSubTask " />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="fn:false()" />
					</defaultValue>
				</metric>
				<metric displayName="Is Waiting For Subtask" id="Is_Waiting_For_Subtask" type="xsd:boolean">
					<description>Indicates that this task-execution is waiting for a subtask.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists( Deleted/eventPointData/htm:baseExt/htm:isWaitingForSubTask ) ) then Deleted/eventPointData/htm:baseExt/htm:isWaitingForSubTask else Is_Waiting_For_Subtask" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists( State_Changed/eventPointData/htm:baseExt/htm:isWaitingForSubTask ) ) then State_Changed/eventPointData/htm:baseExt/htm:isWaitingForSubTask else Is_Waiting_For_Subtask" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists( Escalation_State_Changed/eventPointData/htm:baseExt/htm:isWaitingForSubTask ) ) then Escalation_State_Changed/eventPointData/htm:baseExt/htm:isWaitingForSubTask else Is_Waiting_For_Subtask" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="fn:false()" />
					</defaultValue>
				</metric>
				<metric displayName="Aux Last Principal" id="Aux_Last_Principal" type="xsd:string" maxStringLength="128">
					<description>The principal effecting the last state change.</description>
					<map>
						<outputValue>
							<singleValue expression="Deleted/eventPointData/htm:baseExt/htm:principal " />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="State_Changed/eventPointData/htm:baseExt/htm:principal " />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="Escalation_State_Changed/eventPointData/htm:baseExt/htm:principal " />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists(  State_Changed_BPMN2/principal ) ) then State_Changed_BPMN2/principal else ''"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Parent Task Identifier" id="Parent_Task_Identifier" type="xsd:string" maxStringLength="128">
					<description>If this task execution is a subtasks, the identifier of its parent task execution.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty( Parent_Task_Identifier ) and fn:exists(State_Changed/eventPointData/htm:baseExt/htm:parentTaskId) ) then State_Changed/eventPointData/htm:baseExt/htm:parentTaskId else Parent_Task_Identifier" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Task Instance Name" id="Task_Instance_Name" type="xsd:string">
					<description>The instance name reported for this task execution.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:string-length(Deleted/eventPointData/htm:taskExt/htm:taskInstanceName) &gt; 0 ) then Deleted/eventPointData/htm:taskExt/htm:taskInstanceName else Task_Instance_Name" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:string-length(State_Changed/eventPointData/htm:taskExt/htm:taskInstanceName) &gt; 0 ) then State_Changed/eventPointData/htm:taskExt/htm:taskInstanceName else Task_Instance_Name" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists( State_Changed_BPMN2/processExecuteStepLevelModel/mon:instance/mon:name) ) then State_Changed_BPMN2/processExecuteStepLevelModel/mon:instance/mon:name else ''"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Aux Start Times Hierarchy" id="Aux_Start_Times_Hierarchy" type="xsd:string" maxStringLength="2048">
					<description>The concatenation of the start-times of all ancestor task executions, from the top-level task execution down to this one. Used for sorting task executions in the dashboard view.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty( Aux_Start_Times_Hierarchy ) ) then Time_Started_xs_format else Aux_Start_Times_Hierarchy"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="fn:substring( fn:concat( Aux_Report_From_Parent_Task/taskExecutionStartTimesHierarchy, ' ', Time_Started_xs_format ), 1, 2048)"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Nesting Depth" id="Nesting_Depth" type="xsd:integer" valueRequired="true">
					<description>The nesting depth of this task execution within a subtask hierarchy: 0 for a top-level task execution, 1 for a first-level subtask, and so on.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists(Aux_Report_From_Parent_Task/taskExecutionNestingDepth) ) then Aux_Report_From_Parent_Task/taskExecutionNestingDepth + 1 else Nesting_Depth"/>
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="0"/>
					</defaultValue>
				</metric>
				<metric displayName="Aux Known Subtask Identifiers" id="Aux_Known_Subtask_Identifiers" type="xsd:string" maxStringLength="2048">
					<description>Auxiliary metric containing the known subtask identifiers. It is used to prevent unnecessary 'Aux Report To Subtasks' outbound event emissions.</description>
					<map>
						<trigger ref="Aux_New_Subtask_Detected"/>
						<outputValue>
							<singleValue expression="fn:substring( fn:concat( Subtask_Execution_Exists/baseData/wbi:eventHeaderData/wbi:ECSCurrentID, ' ', Aux_Known_Subtask_Identifiers ), 1, 2048 )"/>
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="''"/>
					</defaultValue>
				</metric>
				<metric displayName="Aux Saved Nesting Depth" id="Aux_Saved_Nesting_Depth" type="xsd:integer">
					<description>Saved copy of 'Nesting Depth' to detect changes.</description>
					<map>
						<trigger ref="Aux_Nesting_Depth_Changed"/>
						<outputValue>
							<singleValue expression="Nesting_Depth"/>
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="0"/>
					</defaultValue>
				</metric>
				<metric displayName="Task Structure" id="Task_Structure" type="xsd:string">
					<description>The task name, indented according to the invocation depth of this execution:
Top Level
-- First Level
-- -- Second Level
etc.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( Name != ' ' ) then fct:prefix-N-times( Name, '&lt;font color=&quot;#c6c6c6&quot;&gt;&amp;deg;&amp;nbsp;&lt;/font&gt;', Nesting_Depth ) else Name"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Related Process Execution Name" id="Related_Process_Execution_Name" type="xsd:string">
					<description>A user-specified name for a related process execution. It is only shown when it is different from the execution's identifier.</description>
					<map>
						<outputValue>
							<singleValue expression="Aux_Related_Process_Execution_Information/processExecutionName" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="Aux_Report_From_Parent_Task/taskExecutionRelatedProcessExecutionName"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists(State_Changed_BPMN2/processLevelModel/mon:instance/mon:name)) then State_Changed_BPMN2/processLevelModel/mon:instance/mon:name else Related_Process_Execution_Name"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Related Process Execution Description" id="Related_Process_Execution_Description" type="xsd:string" maxStringLength="256">
					<description>An optional, user-specified description of a related process execution.</description>
					<map>
						<outputValue>
							<singleValue expression="fn:substring( Aux_Related_Process_Execution_Information/processExecutionDescription, 1, 256 )" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="fn:substring(Aux_Report_From_Parent_Task/taskExecutionRelatedProcessExecutionDescription, 1, 256)"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty(Related_Process_Execution_Description) and fn:exists(State_Changed_BPMN2/processLevelModel/mon:instance/mon:documentation) ) then fn:substring( State_Changed_BPMN2/processLevelModel/mon:instance/mon:documentation, 1, 2048) else Related_Process_Execution_Description"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Related Process Definition Name" id="Related_Process_Definition_Name" type="xsd:string">
					<description>The name of a related process definition.</description>
					<map>
						<outputValue>
							<singleValue expression="Aux_Related_Process_Execution_Information/processDefinitionName" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="Aux_Report_From_Parent_Task/taskExecutionRelatedProcessDefinitionName"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists(State_Changed_BPMN2/processLevelModel/mon:name) ) then State_Changed_BPMN2/processLevelModel/mon:name else Related_Process_Definition_Name"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Related Process Definition Version" id="Related_Process_Definition_Version" type="xsd:string" maxStringLength="128">
					<description>The latest version ofa related process definition from which events have been received.</description>
					<map>
						<outputValue>
							<singleValue expression="Aux_Related_Process_Execution_Information/processDefinitionVersion" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="Aux_Report_From_Parent_Task/taskExecutionRelatedProcessDefinitionVersion"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="fn:concat(State_Changed_BPMN2/SnapshotName ,' ',State_Changed_BPMN2/processLevelModel/@mon:version)"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Related Process Definition Version No Blanks" id="Related_Process_Definition_Version_No_Blanks" type="xsd:string" maxStringLength="128">
					<description>The 'Related Process Definition Version' metric with blanks replaced by underscores.</description>
					<map>
						<outputValue>
							<singleValue expression="fct:replace-all( Related_Process_Definition_Version, ' ', '_' )" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Related Process Definition Deployed At" id="Related_Process_Definition_Deployed_At" type="xsd:string">
					<description>The server on which the related process is running.</description>
					<map>
						<outputValue>
							<singleValue expression="Aux_Related_Process_Execution_Information/processDefinitionDeployedAt" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="Aux_Report_From_Parent_Task/taskExecutionRelatedProcessDefinitionDeployedAt"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="fct:logical-deployment-location(State_Changed_BPMN2/server)"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Related Process Definition Name Indented" id="Related_Process_Definition_Name_Indented" type="xsd:string">
					<description>The name of the related process definition, indented according to the invocation depth of the related process execution:
Top Level
-- First Level
-- -- Second Level
etc.</description>
					<map>
						<outputValue>
							<singleValue expression="Aux_Related_Process_Execution_Information/indentedProcessDefinitionName" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="Aux_Report_From_Parent_Task/taskExecutionRelatedProcessDefinitionNameIndented"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Related Process Definition Identifier" id="Related_Process_Definition_Identifier" type="xsd:string" valueRequired="true">
					<description>A unique identifier of a related process definition, which does not change when a new version is deployed.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:string-length(Aux_Related_Process_Execution_Information/processDefinitionIdentifier) &gt; 0 ) then Aux_Related_Process_Execution_Information/processDefinitionIdentifier else Related_Process_Definition_Identifier" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:string-length(Aux_Report_From_Parent_Task/taskExecutionRelatedProcessDefinitionIdentifier) &gt; 0 ) then Aux_Report_From_Parent_Task/taskExecutionRelatedProcessDefinitionIdentifier else Related_Process_Definition_Identifier"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="fn:concat( State_Changed_BPMN2/processLevelModel/mon:name, ' -- deployed at ', fct:logical-deployment-location( State_Changed_BPMN2/server ) )"/>
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="' '" />
					</defaultValue>
				</metric>
				<metric displayName="Related Process Definition ID" id="Related_Process_Definition_ID" type="xsd:string" maxStringLength="128">
					<description>An optional, secondary identifier of a related process definition (for example, a generated UUID).</description>
					<map>
						<outputValue>
							<singleValue expression="Aux_Related_Process_Execution_Information/processDefinitionID" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="Aux_Report_From_Parent_Task/taskExecutionRelatedProcessDefinitionID"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists(State_Changed_BPMN2/processLevelModel/@mon:id) ) then State_Changed_BPMN2/processLevelModel/@mon:id else Related_Process_Definition_ID"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Qualified Name" id="Qualified_Name" type="xsd:string">
					<description>A copy of the qualified name of the task definition. It is redundant at this level, but copied from the parent monitoring cotext for convenience and for use in sorting or aggregations.</description>
					<map>
						<trigger ref="Aux_Started" />
						<outputValue>
							<singleValue expression="../Qualified_Name" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="' '" />
					</defaultValue>
				</metric>
				<metric displayName="Top Level Task Qualified Name" id="Top_Level_Task_Qualified_Name" type="xsd:string" valueRequired="true">
					<description>The qualified name of the top-level task of the hierarchy that this task is part of.</description>
					<map>
						<trigger ref="Aux_Started" />
						<outputValue>
							<singleValue expression="if ( fn:string-length(../Qualified_Name) &gt; 0 ) then ../Qualified_Name else Top_Level_Task_Qualified_Name" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:string-length(Aux_Report_From_Parent_Task/taskExecutionTopLevelTaskQualifiedName) &gt; 0 ) then Aux_Report_From_Parent_Task/taskExecutionTopLevelTaskQualifiedName else Top_Level_Task_Qualified_Name" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="' '" />
					</defaultValue>
				</metric>
				<metric displayName="Top Level Task Name" id="Top_Level_Task_Name" type="xsd:string" valueRequired="true">
					<description>The name of the top-level task of the hierarchy that this task is part of.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( Top_Level_Task_Name = ' ' and Name != ' ' ) then Name else Top_Level_Task_Name" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:string-length(Aux_Report_From_Parent_Task/taskExecutionTopLevelTaskName) &gt; 0 ) then Aux_Report_From_Parent_Task/taskExecutionTopLevelTaskName else Top_Level_Task_Name" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="' '" />
					</defaultValue>
				</metric>
				<metric displayName="Top Level Task Execution Identifier" id="Top_Level_Task_Execution_Identifier" type="xsd:string" valueRequired="true">
					<description>The identifier of the top-level task of the hierarchy that this task is part of.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( Top_Level_Task_Execution_Identifier = ' ' and fn:string-length(Identifier) &gt; 0) then Identifier else Top_Level_Task_Execution_Identifier" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:string-length(Aux_Report_From_Parent_Task/taskExecutionTopLevelTaskExecutionIdentifier) &gt; 0 ) then Aux_Report_From_Parent_Task/taskExecutionTopLevelTaskExecutionIdentifier else Top_Level_Task_Execution_Identifier" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="' '" />
					</defaultValue>
				</metric>
				<metric displayName="Related Step Definition Qualified Name" id="Related_Step_Definition_Qualified_Name" type="xsd:string" maxStringLength="256">
					<description>The name of a related process execution step, prefixed by the process definition identifier in brackets</description>
					<map>
						<outputValue>
							<singleValue expression="Aux_Related_Process_Execution_Information/stepDefinitionQualifiedName"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="Aux_Report_From_Parent_Task/taskExecutionRelatedStepDefinitionQualifiedName"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists(  State_Changed_BPMN2/processExecuteStepLevelModel/mon:name ) and Qualified_Name = ' ' ) then fn:concat( '[', ../Identifier, '] ', State_Changed_BPMN2/processExecuteStepLevelModel/mon:name ) else Related_Step_Definition_Qualified_Name"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Related Step Definition Identifier" id="Related_Step_Definition_Identifier" type="xsd:string" maxStringLength="128">
					<description>The unique identifier (within the defining process) of a related process step definition.</description>
					<map>
						<outputValue>
							<singleValue expression="Aux_Related_Process_Execution_Information/stepDefinitionIdentifier"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="Aux_Report_From_Parent_Task/taskExecutionRelatedStepDefinitionIdentifier "/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="fn:concat(State_Changed_BPMN2/processExecuteStepLevelModel/@mon:id,'.', State_Changed_BPMN2/processExecuteStepLevelModel/@mon:version)"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Related Step Execution Identifier" id="Related_Step_Execution_Identifier" type="xsd:string" maxStringLength="128">
					<description>The unique identifier of a related process step execution.</description>
					<map>
						<outputValue>
							<singleValue expression="Aux_Related_Process_Execution_Information/stepExecutionIdentifier"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="Aux_Report_From_Parent_Task/taskExecutionRelatedStepExecutionIdentifier "/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="fn:concat(State_Changed_BPMN2/processLevelModel/@mon:id,'.', State_Changed_BPMN2/processLevelModel/@mon:version,'.', State_Changed_BPMN2/processLevelModel/mon:instance/@mon:id,'.', State_Changed_BPMN2/processExecuteStepLevelModel/mon:instance/@mon:id)"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Waiting For Subtask Duration" id="Waiting_For_Subtask_Duration" type="xsd:duration">
					<description>The aggregate duration for which this task execution has been waiting for subtasks to be completed.</description>
					<map>
						<outputValue>
							<singleValue expression="xs:dayTimeDuration( fct:aggregate-duration-in-state( 'WAITING_FOR_SUBTASK', State_History, Aux_Last_Event_Timestamp ) )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Waiting For Subtask Duration (xs format)" id="Waiting_For_Subtask_Duration_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'Waiting For Subtask Duration' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="xs:string(Waiting_For_Subtask_Duration)"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Aux_UserTask_Type" id="Aux_UserTask_Type" type="xsd:string">
					<map>
							<trigger ref="Aux_Work_Duration_Calculation"/>
							<outputValue>
								<singleValue expression="'WPS'"/>
							</outputValue>
						</map>
						<map>
							<trigger ref="Aux_Work_Duration_Calculation_BPMN2"/>
							<outputValue>
								<singleValue expression="'WLE'"/>
							</outputValue>
						</map>
				</metric>
				<metric displayName="SystemId" id="SystemId" type="xsd:string">
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists(State_Changed/eventPointData/htm:baseExt/htm:systemId) ) then State_Changed/eventPointData/htm:baseExt/htm:systemId else SystemId"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if (fn:exists(State_Changed_BPMN2/systemId)) then State_Changed_BPMN2/systemId else SystemId"/>
						</outputValue>
					</map>
				</metric>
				<counter displayName="Audit Events" id="Audit_Events" type="xsd:integer">
					<description>The number of audit events received from this task execution.</description>
					<incrementedWhen ref="Deleted"/>
					<incrementedWhen ref="State_Changed" />
					<incrementedWhen ref="Escalation_State_Changed" />
					<incrementedWhen ref="State_Changed_BPMN2"/>
				</counter>
				<counter displayName="Subtasks" id="Subtasks" type="xsd:integer">
					<description>The number of (direct) subtask executions of this task execution.</description>
					<incrementedWhen ref="Aux_New_Subtask_Detected"/>
				</counter>
				<monitoringContext displayName="Aux Task Escalation" id="Aux_Task_Escalation">
					<description>Auxiliary monitoring context definition for escalations of a stand-alone human task.</description>
					<trigger displayName="Aux Stand Alone Task Escalation" id="Aux_Stand_Alone_Task_Escalation" isRepeatable="false">
						<description>Auxiliary trigger, which fires once when the first event about an escalation is received.</description>
						<onEvent ref="State_Changed"/>
					</trigger>
					<inboundEvent displayName="State Changed" id="State_Changed" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
						<description>Any event reporting the state of a task escalation.</description>
						<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
						<eventPart displayName="baseData" id="baseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
						<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.ESCALATION.BASE"></eventPart>
						<eventPart displayName="username" id="username" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/htm:username" type="xs:string"></eventPart>
						<eventPart displayName="current_username" id="current_username" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/htm:current" type="xs:string"></eventPart>
						<eventPart displayName="target_username" id="target_username" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/htm:target" type="xs:string"></eventPart>
						<eventPart displayName="topLevelTaskTemplateName" id="topLevelTaskTemplateName" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/htm:topLevelTaskTemplateName" type="xs:string"></eventPart>
						<correlationPredicate expression="fn:concat( ( if ( fn:exists(State_Changed/eventPointData/htm:taskTemplateName) ) then State_Changed/eventPointData/htm:taskTemplateName else 'FREE-FORM' ), ' -- deployed at ', fct:logical-deployment-location( State_Changed/server ) ) = ../../Identifier and State_Changed/baseData/wbi:eventHeaderData/wbi:ECSParentID = ../Identifier and State_Changed/baseData/wbi:eventHeaderData/wbi:ECSCurrentID = Identifier"/>
						<filter expression="fn:exists( State_Changed/baseData/wbi:eventHeaderData/wbi:ECSParentID ) and fn:exists( State_Changed/baseData/wbi:eventHeaderData/wbi:ECSCurrentID ) and fn:string-length( State_Changed/eventPointData/htm:HTMEventCode ) = 5 and fn:contains( '53001 53201 53202 53204 53205 ', fn:concat( State_Changed/eventPointData/htm:HTMEventCode ,' ') ) and fn:empty(State_Changed/topLevelTaskTemplateName)"/>
					</inboundEvent>
					<metric displayName="Identifier" id="Identifier" type="xsd:string" isPartOfKey="true" maxStringLength="128">
						<description>A unique identifier of this task escalation.</description>
						<map>
							<outputValue>
								<singleValue expression="State_Changed/baseData/wbi:eventHeaderData/wbi:ECSCurrentID"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Escalation Work Item History" id="Escalation_Work_Item_History" type="xsd:string" maxStringLength="4000">
						<description>The history of work item changes for this task escalation.</description>
						<map>
							<outputValue>
								<singleValue expression="if ( State_Changed/eventPointData/htm:HTMEventCode = '53202' ) then fn:substring( fn:concat( fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( State_Changed/predefinedData/creationTime ) ) ), '  ', 'WORK_ITEMS_CREATED', '&lt;br/&gt;', Escalation_Work_Item_History), 1, 4000 ) else (
if ( State_Changed/eventPointData/htm:HTMEventCode = '53201' ) then fn:substring( fn:concat( fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( State_Changed/predefinedData/creationTime ) ) ), '  ', 'WORK_ITEMS_DELETED', '&lt;br/&gt;', Escalation_Work_Item_History), 1, 4000 ) else (
if ( State_Changed/eventPointData/htm:HTMEventCode = '53205' ) then fn:substring( fn:concat( fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( State_Changed/predefinedData/creationTime ) ) ), '  ', 'WORK_ITEMS_REFRESHED', '&lt;br/&gt;', Escalation_Work_Item_History), 1, 4000 ) else (
if ( State_Changed/eventPointData/htm:HTMEventCode = '53204' ) then fn:substring( fn:concat( fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( State_Changed/predefinedData/creationTime ) ) ), '  ', 'WORK_ITEMS_TRANSFERRED', '&lt;br/&gt;', Escalation_Work_Item_History), 1, 4000 ) else Escalation_Work_Item_History
)
)
)"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Name" id="Name" type="xsd:string" maxStringLength="64">
						<description>The name of this escalation.</description>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:empty( Name ) and fn:exists( State_Changed/eventPointData/htm:escalationName ) ) then State_Changed/eventPointData/htm:escalationName else Name"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Description" id="Description" type="xsd:string" maxStringLength="4000">
						<description>A description of this escalation.</description>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:empty( Description ) and fn:exists( State_Changed/eventPointData/htm:escalationInstanceDescription ) ) then State_Changed/eventPointData/htm:escalationInstanceDescription else Description"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Time Escalated" id="Time_Escalated" type="xsd:dateTime">
						<description>The time this escalation happened.</description>
						<map>
							<outputValue>
								<singleValue expression="if ( fn:empty( Time_Escalated ) or State_Changed/predefinedData/creationTime &lt; Time_Escalated ) then State_Changed/predefinedData/creationTime else Time_Escalated"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Time Escalated (xs format)" id="Time_Escalated_detail" type="xsd:string" maxStringLength="64">
						<description>The 'Time Escalated' metric in XML Schema data format.</description>
						<map>
							<outputValue>
								<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Time_Escalated ) ) )"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Principal" id="Principal" type="xsd:string">
						<description>The principal associated with this escalation.</description>
						<map>
							<outputValue>
								<singleValue expression="State_Changed/eventPointData/htm:baseExt/htm:principal "/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="SystemId" id="SystemId" type="xsd:string">
						<map>
							<outputValue>
								<singleValue expression="if ( fn:exists(State_Changed/eventPointData/htm:baseExt/htm:systemId) ) then State_Changed/eventPointData/htm:baseExt/htm:systemId else SystemId"/>
							</outputValue>
						</map>
					</metric>
				</monitoringContext>
				<monitoringContext displayName="Task Execution State History" id="Task_Execution_State_History">
					<description>Auxiliary monitoring context definition, to save a timestamped history of states of a human task execution.</description>
					<inboundEvent displayName="Aux Report State" id="Aux_Report_State" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="raiseException" rootElement="cbe:CommonBaseEvent">
						<description>Auxiliary inbound event reporting a state change of a human task execution. Note that the correlation predicate should always evaluate to false, which will cause a new instance to be created. Other comparisons in this predicate, however, are used to identify the new instance's parent context.</description>
						<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
						<eventPart displayName="taskDefinitionIdentifier" id="taskDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:taskDefinitionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="taskExecutionIdentifier" id="taskExecutionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="taskExecutionState" id="taskExecutionState" path="cbe:CommonBaseEvent/evt:taskExecutionState" type="xs:string"></eventPart>
						<eventPart displayName="taskExecutionStatePrincipal" id="taskExecutionStatePrincipal" path="cbe:CommonBaseEvent/evt:taskExecutionStatePrincipal" type="xs:string"></eventPart>
						<eventPart displayName="emptyString" id="emptyString" path="cbe:CommonBaseEvent/evt:emtpyString" type="xs:string"></eventPart>
						<eventPart displayName="monitorModelId" id="monitorModelId" path="cbe:CommonBaseEvent/cbe:contextDataElements[@name='MonitoringModelID']/cbe:contextValue" type="xs:string"></eventPart>
						<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
						<correlationPredicate expression="Aux_Report_State/taskDefinitionIdentifier = ../../Identifier and Aux_Report_State/taskExecutionIdentifier = ../Identifier and xs:dateTime( fn:concat( '1900-01-01T00:00:00Z', Aux_Report_State/emptyString ) ) = Time"/>
						<filter expression="fn:exists ( Aux_Report_State/taskExecutionState ) and fn:exists( Aux_Report_State/taskDefinitionIdentifier ) and fn:exists( Aux_Report_State/taskExecutionIdentifier ) and Aux_Report_State/monitorModelId = fct:monitor-model-id()"/>
					</inboundEvent>
					<metric displayName="Time" id="Time" type="xsd:dateTime" isPartOfKey="true">
						<description>The time this state was entered.</description>
						<map>
							<outputValue>
								<singleValue expression="Aux_Report_State/timestamp"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="State" id="State" type="xsd:string">
						<description>The state being recorded.</description>
						<map>
							<outputValue>
								<singleValue expression="Aux_Report_State/taskExecutionState"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Time (xs format)" id="Time_xs_format" type="xsd:string">
						<description>The 'Time' metric in XML Schema data format.</description>
						<map>
							<outputValue>
								<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Time ) ) )"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Principal" id="Principal" type="xsd:string">
						<description>The principal associated with this state change.</description>
						<map>
							<outputValue>
								<singleValue expression="Aux_Report_State/taskExecutionStatePrincipal "/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="SystemId" id="SystemId" type="xsd:string">
						<map>
							<outputValue>
								<singleValue expression="Aux_Report_State/SystemId"/>
							</outputValue>
						</map>
					</metric>
				</monitoringContext>
				<monitoringContext displayName="Task Execution Escalation History" id="Task_Execution_Escalation_History">
					<description>Auxiliary monitoring context definition, to save a timestamped history of escalations of a human task execution.</description>
					<inboundEvent displayName="Aux Report Escalation" id="Aux_Report_Escalation" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="raiseException" rootElement="cbe:CommonBaseEvent">
						<description>Auxiliary inbound event reporting an escalation of a human task execution. Note that the correlation predicate should always evaluate to false, which will cause a new instance to be created. Other comparisons in this predicate, however, are used to identify the new instance's parent context.</description>
						<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
						<eventPart displayName="taskDefinitionIdentifier" id="taskDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:taskDefinitionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="taskExecutionIdentifier" id="taskExecutionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="taskExecutionEscalation" id="taskExecutionEscalation" path="cbe:CommonBaseEvent/evt:taskExecutionEscalation" type="xs:string"></eventPart>
						<eventPart displayName="taskExecutionEscalationPrincipal" id="taskExecutionEscalationPrincipal" path="cbe:CommonBaseEvent/evt:taskExecutionEscalationPrincipal" type="xs:string"></eventPart>
						<eventPart displayName="emptyString" id="emptyString" path="cbe:CommonBaseEvent/evt:emptyString" type="xs:string"></eventPart>
						<eventPart displayName="monitorModelId" id="monitorModelId" path="cbe:CommonBaseEvent/cbe:contextDataElements[@name='MonitoringModelID']/cbe:contextValue" type="xs:string"></eventPart>
						<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
						<correlationPredicate expression="Aux_Report_Escalation/taskDefinitionIdentifier = ../../Identifier and Aux_Report_Escalation/taskExecutionIdentifier = ../Identifier and xs:dateTime( fn:concat( '1900-01-01T00:00:00Z', Aux_Report_Escalation/emptyString ) ) = Time"/>
						<filter expression="fn:exists ( Aux_Report_Escalation/taskExecutionEscalation ) and fn:exists( Aux_Report_Escalation/taskDefinitionIdentifier ) and fn:exists( Aux_Report_Escalation/taskExecutionIdentifier ) and Aux_Report_Escalation/monitorModelId = fct:monitor-model-id()"/>
					</inboundEvent>
					<metric displayName="Time" id="Time" type="xsd:dateTime" isPartOfKey="true">
						<description>The time of this escalation.</description>
						<map>
							<outputValue>
								<singleValue expression="Aux_Report_Escalation/timestamp"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Escalation" id="Escalation" type="xsd:string">
						<description>The name of the escalation being recorded.</description>
						<map>
							<outputValue>
								<singleValue expression="Aux_Report_Escalation/taskExecutionEscalation"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Time (xs format)" id="Time_xs_format" type="xsd:string">
						<description>The 'Time' metric in XML Schema data format.</description>
						<map>
							<outputValue>
								<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Time ) ) )"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Principal" id="Principal" type="xsd:string">
						<description>The principal associated with this escalation.</description>
						<map>
							<outputValue>
								<singleValue expression="Aux_Report_Escalation/taskExecutionEscalationPrincipal "/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="SystemId" id="SystemId" type="xsd:string">
						<map>
							<outputValue>
								<singleValue expression="Aux_Report_Escalation/SystemId"/>
							</outputValue>
						</map>
					</metric>
				</monitoringContext>
				<monitoringContext displayName="Task Execution Potential Owners History" id="Task_Execution_Potential_Owners_History">
					<description>Auxiliary monitoring context definition, to save a timestamped history of potential owner updates of a human task execution.</description>
					<inboundEvent displayName="Aux Report Potential Owners" id="Aux_Report_Potential_Owners" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="raiseException" rootElement="cbe:CommonBaseEvent">
						<description>Auxiliary inbound event reporting an update of the potential owners of a task execution. Note that the correlation predicate should always evaluate to false, which will cause a new instance to be created. Other comparisons in this predicate, however, are used to identify the new instance's parent context.</description>
						<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
						<eventPart displayName="taskDefinitionIdentifier" id="taskDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:taskDefinitionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="taskExecutionIdentifier" id="taskExecutionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="taskExecutionPotentialOwners" id="taskExecutionPotentialOwners" path="cbe:CommonBaseEvent/evt:taskExecutionPotentialOwners" type="xs:string"></eventPart>
						<eventPart displayName="taskExecutionPotentialOwnersPrincipal" id="taskExecutionPotentialOwnersPrincipal" path="cbe:CommonBaseEvent/evt:taskExecutionPotentialOwnersPrincipal" type="xs:string"></eventPart>
						<eventPart displayName="emptyString" id="emptyString" path="cbe:CommonBaseEvent/evt:emptyString" type="xs:string"></eventPart>
						<eventPart displayName="monitorModelId" id="monitorModelId" path="cbe:CommonBaseEvent/cbe:contextDataElements[@name='MonitoringModelID']/cbe:contextValue" type="xs:string"></eventPart>
						<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
						<correlationPredicate expression="Aux_Report_Potential_Owners/taskDefinitionIdentifier = ../../Identifier and Aux_Report_Potential_Owners/taskExecutionIdentifier = ../Identifier and xs:dateTime( fn:concat( '1900-01-01T00:00:00Z', Aux_Report_Potential_Owners/emptyString ) ) = Time"/>
						<filter expression="fn:exists ( Aux_Report_Potential_Owners/taskExecutionPotentialOwners ) and fn:exists( Aux_Report_Potential_Owners/taskDefinitionIdentifier ) and fn:exists( Aux_Report_Potential_Owners/taskExecutionIdentifier ) and Aux_Report_Potential_Owners/monitorModelId = fct:monitor-model-id()"/>
					</inboundEvent>
					<metric displayName="Time" id="Time" type="xsd:dateTime" isPartOfKey="true">
						<description>The time of this update of potential owners.</description>
						<map>
							<outputValue>
								<singleValue expression="Aux_Report_Potential_Owners/timestamp"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Potential Owners" id="Potential_Owners" type="xsd:string">
						<description>The update of the potential owners being recorded.</description>
						<map>
							<outputValue>
								<singleValue expression="Aux_Report_Potential_Owners/taskExecutionPotentialOwners"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Time (xs format)" id="Time_xs_format" type="xsd:string">
						<description>The 'Time' metric in XML Schema data format.</description>
						<map>
							<outputValue>
								<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Time ) ) )"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Principal" id="Principal" type="xsd:string">
						<description>The principal associated with this potential owner change.</description>
						<map>
							<outputValue>
								<singleValue expression="Aux_Report_Potential_Owners/taskExecutionPotentialOwnersPrincipal "/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="SystemId" id="SystemId" type="xsd:string">
						<map>
							<outputValue>
								<singleValue expression="Aux_Report_Potential_Owners/SystemId"></singleValue>
							</outputValue>
						</map>
					</metric>
				</monitoringContext>
				<monitoringContext displayName="Task Execution Work Item Update History" id="Task_Execution_Work_Item_Update_History">
					<description>Auxiliary monitoring context definition, to save a timestamped history of work item updates for a human task execution.</description>
					<inboundEvent displayName="Aux Report Work Item Update" id="Aux_Report_Work_Item_Update" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="raiseException" rootElement="cbe:CommonBaseEvent">
						<description>Auxiliary inbound event reporting a work item update for a human task execution. Note that the correlation predicate should always evaluate to false, which will cause a new instance to be created. Other comparisons in this predicate, however, are used to identify the new instance's parent context.</description>
						<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
						<eventPart displayName="taskDefinitionIdentifier" id="taskDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:taskDefinitionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="taskExecutionIdentifier" id="taskExecutionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="taskExecutionWorkItemUpdate" id="taskExecutionWorkItemUpdate" path="cbe:CommonBaseEvent/evt:taskExecutionWorkItemUpdate" type="xs:string"></eventPart>
						<eventPart displayName="taskExecutionWorkItemUpdatePrincipal" id="taskExecutionWorkItemUpdatePrincipal" path="cbe:CommonBaseEvent/evt:taskExecutionWorkItemUpdatePrincipal" type="xs:string"></eventPart>
						<eventPart displayName="emptyString" id="emptyString" path="cbe:CommonBaseEvent/evt:emptyString" type="xs:string"></eventPart>
						<eventPart displayName="monitorModelId" id="monitorModelId" path="cbe:CommonBaseEvent/cbe:contextDataElements[@name='MonitoringModelID']/cbe:contextValue" type="xs:string"></eventPart>
						<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
						<correlationPredicate expression="Aux_Report_Work_Item_Update/taskDefinitionIdentifier = ../../Identifier and Aux_Report_Work_Item_Update/taskExecutionIdentifier = ../Identifier and xs:dateTime( fn:concat( '1900-01-01T00:00:00Z', Aux_Report_Work_Item_Update/emptyString ) ) = Time"/>
						<filter expression="fn:exists ( Aux_Report_Work_Item_Update/taskExecutionWorkItemUpdate ) and fn:exists( Aux_Report_Work_Item_Update/taskDefinitionIdentifier ) and fn:exists( Aux_Report_Work_Item_Update/taskExecutionIdentifier ) and Aux_Report_Work_Item_Update/monitorModelId = fct:monitor-model-id()"/>
					</inboundEvent>
					<metric displayName="Time" id="Time" type="xsd:dateTime" isPartOfKey="true">
						<description>The time of this work item update.</description>
						<map>
							<outputValue>
								<singleValue expression="Aux_Report_Work_Item_Update/timestamp"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Work Item Update" id="Work_Item_Update" type="xsd:string">
						<description>The work item update being recorded.</description>
						<map>
							<outputValue>
								<singleValue expression="Aux_Report_Work_Item_Update/taskExecutionWorkItemUpdate"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Time (xs format)" id="Time_xs_format" type="xsd:string">
						<description>The 'Time' metric in XML Schema data format.</description>
						<map>
							<outputValue>
								<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Time ) ) )"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="Principal" id="Principal" type="xsd:string">
						<description>The principal associated with this work item update.</description>
						<map>
							<outputValue>
								<singleValue expression="Aux_Report_Work_Item_Update/taskExecutionWorkItemUpdatePrincipal"/>
							</outputValue>
						</map>
					</metric>
					<metric displayName="SystemId" id="SystemId" type="xsd:string">
						<map>
							<outputValue>
								<singleValue expression="Aux_Report_Work_Item_Update/SystemId"/>
							</outputValue>
						</map>
					</metric>
				</monitoringContext>
			</monitoringContext>
		</monitoringContext>
		<monitoringContext displayName="Task Definition Inline" id="Task_Definition_Inline">
			<description>Monitoring context for a human task defined as a process step (deprecated).</description>
			<trigger displayName="Aux Never" id="Aux_Never" isRepeatable="false">
				<description>Auxiliary trigger, which never fires. It is needed to circumvent a problem in validator, which has been fixed in version 7. If the model is used on Monitor version 7 or later, this trigger can be deleted.</description>
				<evaluationTime days="100" hours="100" minutes="100"/>
				<gatingCondition expression="fn:false()"/>
			</trigger>
			<trigger displayName="Aux_Update_StdDev" id="Aux_Update_StdDev" isRepeatable="true">
				<description>Auxiliary trigger, which delays the update of standard deviations until after the 'Sum' and 'Sum Squares' metrics have been updated.</description>
				<onTrigger ref="Task_Execution_Inline/Aux_Update_Aggregate_Durations"/>
				<onTrigger ref="Task_Execution_Inline/Aux_Retried"/>
			</trigger>
			<trigger displayName="Aux Inactive" id="Aux_Inactive" isRepeatable="false" terminateContext="true">
				<description>Auxiliary trigger, which fires when no event from any execution of this task has been received for an extended period of time, indicating that the task is inactive (it may have been undeployed).</description>
				<evaluationTime days="1" hours="0" minutes="0"/>
				<gatingCondition expression='Time_Since_Last_Active &gt; xs:dayTimeDuration("P90D")'/>
			</trigger>
			<inboundEvent displayName="Exists Inline" id="Exists_Inline" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
				<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.BASE"></eventPart>
				<correlationPredicate expression="fn:concat( '[', Exists_Inline/eventPointData/bpc:processTemplateName, ' -- deployed at ', fct:logical-deployment-location( Exists_Inline/server ), '] id = ', Exists_Inline/eventPointData/bpc:bpelId ) = Identifier or Exists_Inline/eventPointData/bpc:activityTemplateId = Aux_Step_Definition_Identifier" />
				<filter expression="fn:exists( Exists_Inline/eventPointData/bpc:processTemplateName ) and fn:exists( Exists_Inline/eventPointData/bpc:bpelId ) and fn:exists( Exists_Inline/eventPointData/bpc:activityTemplateName ) and fn:ends-with( Exists_Inline/eventPointData/bpc:activityKind, 'KIND_STAFF' )" />
			</inboundEvent>
			<metric displayName="Aux Sum Squares Total Duration" id="Aux_Sum_Squares_Total_Duration" type="xsd:decimal">
				<description>The sum of the squares of the total durations of all completed executions (in seconds ^ 2).</description>
				<map>
					<trigger ref="Task_Execution_Inline/Aux_Update_Aggregate_Durations"/>
					<outputValue>
						<singleValue expression="Aux_Sum_Squares_Total_Duration + ( Task_Execution_Inline/Total_Duration div xs:dayTimeDuration('PT1S') ) * ( Task_Execution_Inline/Total_Duration div xs:dayTimeDuration('PT1S') ) - ( if ( fn:exists(Task_Execution_Inline/Aux_Saved_Total_Duration) ) then ( Task_Execution_Inline/Aux_Saved_Total_Duration div xs:dayTimeDuration('PT1S') ) * ( Task_Execution_Inline/Aux_Saved_Total_Duration div xs:dayTimeDuration('PT1S') ) else 0.0 )"/>
					</outputValue>
				</map>
				<map>
					<trigger ref="Task_Execution_Inline/Aux_Retried"/>
					<outputValue>
						<singleValue expression="Aux_Sum_Squares_Total_Duration - ( if ( fn:exists(Task_Execution_Inline/Aux_Saved_Total_Duration) ) then ( Task_Execution_Inline/Aux_Saved_Total_Duration div xs:dayTimeDuration('PT1S') ) * ( Task_Execution_Inline/Aux_Saved_Total_Duration div xs:dayTimeDuration('PT1S') ) else 0.0 )"/>
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="0.0"/>
				</defaultValue>
			</metric>
			<metric displayName="Aux Candidate Min Waiting Durations" id="Aux_Candidate_Min_Waiting_Durations" type="xsd:string" maxStringLength="4000">
				<description>The task execution waiting durations that can be reinstated as minima when the current minimum is revoked because the execution that marked it is being retried.</description>
				<map>
					<trigger ref="Task_Execution_Inline/Aux_Update_Aggregate_Durations"/>
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Min_Waiting_Durations, Aux_Empty_Duration, fn:false(), Task_Execution_Inline/Waiting_Duration, Task_Execution_Inline/Aux_Saved_Waiting_Duration, 4000 )"/>
					</outputValue>
				</map>
				<map>
					<trigger ref="Task_Execution_Inline/Aux_Retried"/>
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Min_Waiting_Durations, Aux_Empty_Duration, fn:false(), Aux_Empty_Duration, Task_Execution_Inline/Aux_Saved_Waiting_Duration, 4000 )"/>
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="''"/>
				</defaultValue>
			</metric>
			<metric displayName="Earliest Audit Event (xs format)" id="Earliest_Audit_Event_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Earliest Audit Event' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Earliest_Audit_Event ) ) )"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Aux Step Definition Identifier" id="Aux_Step_Definition_Identifier" type="xsd:string">
				<description>For WebSphere Process Server: the template id of the staff activity corresponding to this human task.</description>
				<map>
					<outputValue>
						<singleValue expression="Exists_Inline/eventPointData/bpc:activityTemplateId"/>
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="' '"/>
				</defaultValue>
			</metric>
			<metric displayName="Name" id="Name" type="xsd:string" valueRequired="true">
				<description>The name of this inline task definition.</description>
				<map>
					<outputValue>
						<singleValue expression="if ( fn:string-length(Exists_Inline/eventPointData/bpc:activityTemplateName) &gt; 0 ) then Exists_Inline/eventPointData/bpc:activityTemplateName else Name" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="' '"/>
				</defaultValue>
			</metric>
			<metric displayName="Avg Total Duration" id="Avg_Total_Duration" type="xsd:duration">
				<description>The average total duration of all completed task executions.</description>
				<map>
					<outputValue>
						<singleValue expression="if ( Finished &gt; 0 ) then Sum_Total_Duration div Finished else Aux_Empty_Duration"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="StdDev Waiting Duration (xs format)" id="StdDev_Waiting_Duration_xs_format" type="xsd:string">
				<description>The 'StdDev Waiting Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( StdDev_Waiting_Duration )"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Sum Working Duration" id="Sum_Working_Duration" type="xsd:duration">
				<description>The summed up (aggregate) working duration of all completed executions.</description>
				<map>
					<trigger ref="Task_Execution_Inline/Aux_Update_Aggregate_Durations"/>
					<outputValue>
						<singleValue expression="Sum_Working_Duration + Task_Execution_Inline/Working_Duration - ( if ( fn:exists(Task_Execution_Inline/Aux_Saved_Working_Duration) ) then Task_Execution_Inline/Aux_Saved_Working_Duration else xs:dayTimeDuration('PT0S') )"/>
					</outputValue>
				</map>
				<map>
					<trigger ref="Task_Execution_Inline/Aux_Retried"/>
					<outputValue>
						<singleValue expression="Sum_Working_Duration - ( if ( fn:exists(Task_Execution_Inline/Aux_Saved_Working_Duration) ) then Task_Execution_Inline/Aux_Saved_Working_Duration else xs:dayTimeDuration('PT0S') )"/>
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="xs:dayTimeDuration('PT0S')"/>
				</defaultValue>
			</metric>
			<metric displayName="Defining Process Name" id="Defining_Process_Name" type="xsd:string">
				<description>The name of the process defining this human task, or empty if it is not an inline task.</description>
				<map>
					<outputValue>
						<singleValue expression="Exists_Inline/eventPointData/bpc:processTemplateName"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Sum Waiting Duration (xs format)" id="Sum_Waiting_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Sum Waiting Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Sum_Waiting_Duration )"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Min Total Duration" id="Min_Total_Duration" type="xsd:duration">
				<description>The minimum total duration of all completed executions.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:dayTimeDuration( fct:get-min-duration( Aux_Candidate_Min_Total_Durations ) )"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Min Waiting Duration (xs format)" id="Min_Waiting_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Min Waiting Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Min_Waiting_Duration )"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Min Working Duration" id="Min_Working_Duration" type="xsd:duration">
				<description>The minimum working duration of all completed executions.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:dayTimeDuration( fct:get-min-duration( Aux_Candidate_Min_Working_Durations ) )"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Max Total Duration (xs format)" id="Max_Total_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Max Total Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Max_Total_Duration )"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="StdDev Working Duration" id="StdDev_Working_Duration" type="xsd:duration">
				<description>The standard deviation of the working durations of all completed executions.</description>
				<map>
					<trigger ref="Aux_Update_StdDev"/>
					<outputValue>
						<singleValue expression="if ( Finished &gt; 1 and fn:exists(Aux_Sum_Squares_Working_Duration) and fn:exists(Avg_Working_Duration) ) then xs:dayTimeDuration( fn:concat( &quot;PT&quot;, fct:sqrt( Aux_Sum_Squares_Working_Duration div Finished - ( Avg_Working_Duration div xs:dayTimeDuration('PT1S') ) * ( Avg_Working_Duration div xs:dayTimeDuration('PT1S') ) ), &quot;S&quot; ) ) else ( if ( Finished = 1 ) then xs:dayTimeDuration('PT0S') else Aux_Empty_Duration )"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Avg Working Duration (xs format)" id="Avg_Working_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Avg Working Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Avg_Working_Duration )"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Aux Candidate Min Total Durations" id="Aux_Candidate_Min_Total_Durations" type="xsd:string" maxStringLength="4000">
				<description>The task execution total durations that can be reinstated as minima when the current minimum is revoked because the execution that marked it is being retried.</description>
				<map>
					<trigger ref="Task_Execution_Inline/Aux_Update_Aggregate_Durations"/>
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Min_Total_Durations, Aux_Empty_Duration, fn:false(), Task_Execution_Inline/Total_Duration, Task_Execution_Inline/Aux_Saved_Total_Duration, 4000 )"/>
					</outputValue>
				</map>
				<map>
					<trigger ref="Task_Execution_Inline/Aux_Retried"/>
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Min_Total_Durations, Aux_Empty_Duration, fn:false(), Aux_Empty_Duration, Task_Execution_Inline/Aux_Saved_Total_Duration, 4000 )"/>
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="''"/>
				</defaultValue>
			</metric>
			<metric displayName="Aux Sum Squares Working Duration" id="Aux_Sum_Squares_Working_Duration" type="xsd:decimal">
				<description>The sum of the squares of the working durations of all completed executions (in seconds ^ 2).</description>
				<map>
					<trigger ref="Task_Execution_Inline/Aux_Update_Aggregate_Durations"/>
					<outputValue>
						<singleValue expression="Aux_Sum_Squares_Working_Duration + ( Task_Execution_Inline/Working_Duration div xs:dayTimeDuration('PT1S') ) * ( Task_Execution_Inline/Working_Duration div xs:dayTimeDuration('PT1S') ) - ( if ( fn:exists(Task_Execution_Inline/Aux_Saved_Working_Duration) ) then ( Task_Execution_Inline/Aux_Saved_Working_Duration div xs:dayTimeDuration('PT1S') ) * ( Task_Execution_Inline/Aux_Saved_Working_Duration div xs:dayTimeDuration('PT1S') ) else 0.0 )"/>
					</outputValue>
				</map>
				<map>
					<trigger ref="Task_Execution_Inline/Aux_Retried"/>
					<outputValue>
						<singleValue expression="Aux_Sum_Squares_Working_Duration - ( if ( fn:exists(Task_Execution_Inline/Aux_Saved_Working_Duration) ) then ( Task_Execution_Inline/Aux_Saved_Working_Duration div xs:dayTimeDuration('PT1S') ) * ( Task_Execution_Inline/Aux_Saved_Working_Duration div xs:dayTimeDuration('PT1S') ) else 0.0 )"/>
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="0.0"/>
				</defaultValue>
			</metric>
			<metric displayName="Aux Empty Duration" id="Aux_Empty_Duration" type="xsd:duration">
				<description>Auxiliary xs:duration metric which will always be empty.</description>
				<map>
					<trigger ref="Task_Execution_Inline/Aux_Never"/>
					<outputValue>
						<singleValue expression='xs:dayTimeDuration("PT0S")'/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Deployed At" id="Deployed_At" type="xsd:string">
				<description>The server on which the monitored task is running.</description>
				<map>
					<outputValue>
						<singleValue expression="fct:logical-deployment-location( Exists_Inline/server )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Earliest Audit Event" id="Earliest_Audit_Event" type="xsd:dateTime">
				<description>The timestamp of the earliest event received about this task.</description>
				<map>
					<outputValue>
						<singleValue expression="if ( fn:empty(Earliest_Audit_Event) or Earliest_Audit_Event &gt; Exists_Inline/predefinedData/creationTime ) then Exists_Inline/predefinedData/creationTime else Earliest_Audit_Event" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Version" id="Version" type="xsd:string" maxStringLength="128">
				<description>The valid-from timestamp of this task definition.</description>
				<map>
					<outputValue>
						<singleValue expression="Exists_Inline/eventPointData/bpc:processTemplateValidFrom" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Sum Waiting Duration" id="Sum_Waiting_Duration" type="xsd:duration">
				<description>The summed up (aggregate) waiting duration of all completed executions.</description>
				<map>
					<trigger ref="Task_Execution_Inline/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue expression="Sum_Waiting_Duration + Task_Execution_Inline/Waiting_Duration - ( if ( fn:exists(Task_Execution_Inline/Aux_Saved_Waiting_Duration) ) then Task_Execution_Inline/Aux_Saved_Waiting_Duration else xs:dayTimeDuration('PT0S') )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Task_Execution_Inline/Aux_Retried" />
					<outputValue>
						<singleValue expression="Sum_Waiting_Duration - ( if ( fn:exists(Task_Execution_Inline/Aux_Saved_Waiting_Duration) ) then Task_Execution_Inline/Aux_Saved_Waiting_Duration else xs:dayTimeDuration('PT0S') )" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="xs:dayTimeDuration('PT0S')" />
				</defaultValue>
			</metric>
			<metric displayName="Identifier" id="Identifier" type="xsd:string" valueRequired="true" isPartOfKey="true">
				<description>A unique identifier of a deployed copy of this task definition (process step definition identifier).</description>
				<map>
					<outputValue>
						<singleValue expression="fn:concat( '[', Exists_Inline/eventPointData/bpc:processTemplateName, ' -- deployed at ', fct:logical-deployment-location( Exists_Inline/server ), '] id = ', Exists_Inline/eventPointData/bpc:bpelId )" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="' '" />
				</defaultValue>
			</metric>
			<metric displayName="Avg Working Duration" id="Avg_Working_Duration" type="xsd:duration">
				<description>The average working duration of all completed task executions.</description>
				<map>
					<outputValue>
						<singleValue expression="if ( Finished &gt; 0 ) then Sum_Working_Duration div Finished else Aux_Empty_Duration" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Version No Blanks" id="Version_No_Blanks" type="xsd:string">
				<description>The 'Version' metric with blanks replaced by underscores.</description>
				<map>
					<outputValue>
						<singleValue expression="fct:replace-all( Version, ' ', '_' )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Min Working Duration (xs format)" id="Min_Working_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Min Working Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Min_Working_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Max Working Duration" id="Max_Working_Duration" type="xsd:duration">
				<description>The maximum working duration of all completed executions.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:dayTimeDuration( fct:get-max-duration( Aux_Candidate_Max_Working_Durations ) )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Max Waiting Duration (xs format)" id="Max_Waiting_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Max Waiting Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Max_Waiting_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Min Waiting Duration" id="Min_Waiting_Duration" type="xsd:duration">
				<description>The minimum waiting duration of all completed executions.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:dayTimeDuration( fct:get-min-duration( Aux_Candidate_Min_Waiting_Durations ) )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Avg Total Duration (xs format)" id="Avg_Total_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Avg Total Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Avg_Total_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Sum Working Duration (xs format)" id="Sum_Working_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Sum Working Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Sum_Working_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Aux Candidate Max Total Durations" id="Aux_Candidate_Max_Total_Durations" type="xsd:string" maxStringLength="4000">
				<description>The task execution total durations that can be reinstated as maxima when the current maximum is revoked because the execution that marked it is being retried.</description>
				<map>
					<trigger ref="Task_Execution_Inline/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Max_Total_Durations, Aux_Empty_Duration, fn:true(), Task_Execution_Inline/Total_Duration, Task_Execution_Inline/Aux_Saved_Total_Duration, 4000 )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Task_Execution_Inline/Aux_Retried" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Max_Total_Durations, Aux_Empty_Duration, fn:true(), Aux_Empty_Duration, Task_Execution_Inline/Aux_Saved_Total_Duration, 4000 )" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="''" />
				</defaultValue>
			</metric>
			<metric displayName="StdDev Working Duration (xs format)" id="StdDev_Working_Duration_xs_format" type="xsd:string">
				<description>The 'StdDev Working Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( StdDev_Working_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Aux Candidate Max Working Durations" id="Aux_Candidate_Max_Working_Durations" type="xsd:string" maxStringLength="4000">
				<description>The task execution working durations that can be reinstated as maxima when the current maximum is revoked because the execution that marked it is being retried.</description>
				<map>
					<trigger ref="Task_Execution_Inline/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Max_Working_Durations, Aux_Empty_Duration, fn:true(), Task_Execution_Inline/Working_Duration, Task_Execution_Inline/Aux_Saved_Working_Duration, 4000 )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Task_Execution_Inline/Aux_Retried" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Max_Working_Durations, Aux_Empty_Duration, fn:true(), Aux_Empty_Duration, Task_Execution_Inline/Aux_Saved_Working_Duration, 4000 )" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="''" />
				</defaultValue>
			</metric>
			<metric displayName="Aux Sum Squares Waiting Duration" id="Aux_Sum_Squares_Waiting_Duration" type="xsd:decimal">
				<description>The sum of the squares of the waiting durations of all completed executions (in seconds ^ 2).</description>
				<map>
					<trigger ref="Task_Execution_Inline/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue expression="Aux_Sum_Squares_Waiting_Duration + ( Task_Execution_Inline/Waiting_Duration div xs:dayTimeDuration('PT1S') ) * ( Task_Execution_Inline/Waiting_Duration div xs:dayTimeDuration('PT1S') ) - ( if ( fn:exists(Task_Execution_Inline/Aux_Saved_Waiting_Duration) ) then ( Task_Execution_Inline/Aux_Saved_Waiting_Duration div xs:dayTimeDuration('PT1S') ) * ( Task_Execution_Inline/Aux_Saved_Waiting_Duration div xs:dayTimeDuration('PT1S') ) else 0.0 )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Task_Execution_Inline/Aux_Retried" />
					<outputValue>
						<singleValue expression="Aux_Sum_Squares_Waiting_Duration - ( if ( fn:exists(Task_Execution_Inline/Aux_Saved_Waiting_Duration) ) then ( Task_Execution_Inline/Aux_Saved_Waiting_Duration div xs:dayTimeDuration('PT1S') ) * ( Task_Execution_Inline/Aux_Saved_Waiting_Duration div xs:dayTimeDuration('PT1S') ) else 0.0 )" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="0.0" />
				</defaultValue>
			</metric>
			<metric displayName="StdDev Total Duration (xs format)" id="StdDev_Total_Duration_xs_format" type="xsd:string">
				<description>The 'StdDev Total Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( StdDev_Total_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Latest Audit Event" id="Latest_Audit_Event" type="xsd:dateTime">
				<description>The timestamp of the latest event received about this task.</description>
				<map>
					<outputValue>
						<singleValue expression="if ( fn:empty(Latest_Audit_Event) or Latest_Audit_Event &lt; Exists_Inline/predefinedData/creationTime ) then Exists_Inline/predefinedData/creationTime else Latest_Audit_Event" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Min Total Duration (xs format)" id="Min_Total_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Min Total Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Min_Total_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Avg Waiting Duration" id="Avg_Waiting_Duration" type="xsd:duration">
				<description>The average waiting duration of all completed task executions.</description>
				<map>
					<outputValue>
						<singleValue expression="if ( Finished &gt; 0 ) then Sum_Waiting_Duration div Finished else Aux_Empty_Duration" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="In Progress" id="In_Progress" type="xsd:integer">
				<description>The number of executions in progress.</description>
				<map>
					<outputValue>
						<singleValue expression="Started - Finished" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Sum Total Duration" id="Sum_Total_Duration" type="xsd:duration">
				<description>The summed up (aggregate) total duration of all completed executions.</description>
				<map>
					<trigger ref="Task_Execution_Inline/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue expression="Sum_Total_Duration + Task_Execution_Inline/Total_Duration - ( if ( fn:exists(Task_Execution_Inline/Aux_Saved_Total_Duration) ) then Task_Execution_Inline/Aux_Saved_Total_Duration else xs:dayTimeDuration('PT0S') )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Task_Execution_Inline/Aux_Retried" />
					<outputValue>
						<singleValue expression="Sum_Total_Duration - ( if ( fn:exists(Task_Execution_Inline/Aux_Saved_Total_Duration) ) then Task_Execution_Inline/Aux_Saved_Total_Duration else xs:dayTimeDuration('PT0S') )" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="xs:dayTimeDuration('PT0S')" />
				</defaultValue>
			</metric>
			<metric displayName="StdDev Waiting Duration" id="StdDev_Waiting_Duration" type="xsd:duration">
				<description>The standard deviation of the waiting durations of all completed executions.</description>
				<map>
					<trigger ref="Aux_Update_StdDev" />
					<outputValue>
						<singleValue expression="if ( Finished &gt; 1 and fn:exists(Aux_Sum_Squares_Waiting_Duration) and fn:exists(Avg_Waiting_Duration) ) then xs:dayTimeDuration( fn:concat( &quot;PT&quot;, fct:sqrt( Aux_Sum_Squares_Waiting_Duration div Finished - ( Avg_Waiting_Duration div xs:dayTimeDuration('PT1S') ) * ( Avg_Waiting_Duration div xs:dayTimeDuration('PT1S') ) ), &quot;S&quot; ) ) else ( if ( Finished = 1 ) then xs:dayTimeDuration(&quot;PT0S&quot;) else Aux_Empty_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Max Working Duration (xs format)" id="Max_Working_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Max Working Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Max_Working_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Max Total Duration" id="Max_Total_Duration" type="xsd:duration">
				<description>The maximum total duration of all completed executions.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:dayTimeDuration( fct:get-max-duration( Aux_Candidate_Max_Total_Durations ) )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Avg Waiting Duration (xs format)" id="Avg_Waiting_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Avg Waiting Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Avg_Waiting_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Max Waiting Duration" id="Max_Waiting_Duration" type="xsd:duration">
				<description>The maximum waiting duration of all completed executions.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:dayTimeDuration( fct:get-max-duration( Aux_Candidate_Max_Waiting_Durations ) )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Sum Total Duration (xs format)" id="Sum_Total_Duration_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Sum Total Duration' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="xs:string( Sum_Total_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Latest Audit Event (xs format)" id="Latest_Audit_Event_xs_format" type="xsd:string" maxStringLength="64">
				<description>The 'Latest Audit Event' metric in XML Schema data format.</description>
				<map>
					<outputValue>
						<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Latest_Audit_Event ) ) )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Aux Candidate Min Working Durations" id="Aux_Candidate_Min_Working_Durations" type="xsd:string" maxStringLength="4000">
				<description>The task execution working durations that can be reinstated as minima when the current minimum is revoked because the execution that marked it is being retried.</description>
				<map>
					<trigger ref="Task_Execution_Inline/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Min_Working_Durations, Aux_Empty_Duration, fn:false(), Task_Execution_Inline/Working_Duration, Task_Execution_Inline/Aux_Saved_Working_Duration, 4000 )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Task_Execution_Inline/Aux_Retried" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Min_Working_Durations, Aux_Empty_Duration, fn:false(), Aux_Empty_Duration, Task_Execution_Inline/Aux_Saved_Working_Duration, 4000 )" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="''" />
				</defaultValue>
			</metric>
			<metric displayName="StdDev Total Duration" id="StdDev_Total_Duration" type="xsd:duration">
				<description>The standard deviation of the total durations of all completed executions.</description>
				<map>
					<trigger ref="Aux_Update_StdDev" />
					<outputValue>
						<singleValue expression="if ( Finished &gt; 1 and fn:exists(Aux_Sum_Squares_Total_Duration) and fn:exists(Avg_Total_Duration) ) then xs:dayTimeDuration( fn:concat( &quot;PT&quot;, fct:sqrt( Aux_Sum_Squares_Total_Duration div Finished - ( Avg_Total_Duration div xs:dayTimeDuration('PT1S') ) * ( Avg_Total_Duration div xs:dayTimeDuration('PT1S') ) ), &quot;S&quot; ) ) else ( if ( Finished = 1 ) then xs:dayTimeDuration(&quot;PT0S&quot;) else Aux_Empty_Duration )" />
					</outputValue>
				</map>
			</metric>
			<metric displayName="Aux Candidate Max Waiting Durations" id="Aux_Candidate_Max_Waiting_Durations" type="xsd:string" maxStringLength="4000">
				<description>The task execution waiting durations that can be reinstated as maxima when the current maximum is revoked because the execution that marked it is being retried.</description>
				<map>
					<trigger ref="Task_Execution_Inline/Aux_Update_Aggregate_Durations" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Max_Waiting_Durations, Aux_Empty_Duration, fn:true(), Task_Execution_Inline/Waiting_Duration, Task_Execution_Inline/Aux_Saved_Waiting_Duration, 4000 )" />
					</outputValue>
				</map>
				<map>
					<trigger ref="Task_Execution_Inline/Aux_Retried" />
					<outputValue>
						<singleValue expression="fct:update-duration-list( Aux_Candidate_Max_Waiting_Durations, Aux_Empty_Duration, fn:true(), Aux_Empty_Duration, Task_Execution_Inline/Aux_Saved_Waiting_Duration, 4000 )" />
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="''" />
				</defaultValue>
			</metric>
			<metric displayName="Defining Process ID" id="Defining_Process_ID" type="xsd:string">
				<description>The ID of the process defining this human task, or empty if it is not an inline task.</description>
				<map>
					<outputValue>
						<singleValue expression="Exists_Inline/eventPointData/bpc:activityExt/bpc:processTemplateId "/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Defining Process Version" id="Defining_Process_Version" type="xsd:string">
				<description>The version of the process defining this human task, or empty if it is not an inline task.</description>
				<map>
					<outputValue>
						<singleValue expression="Exists_Inline/eventPointData/bpc:processTemplateValidFrom "/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Defining Process Version No Blanks" id="Defining_Process_Version_No_Blanks" type="xsd:string">
				<description>The 'Defining Process Version' metric with blanks replaced by underscores.</description>
				<map>
					<outputValue>
						<singleValue expression="fct:replace-all( Defining_Process_Version, ' ', '_' )"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Defining Process Deployed At" id="Defining_Process_Deployed_At" type="xsd:string">
				<description>The deployment location of the process defining this human task, or empty if it is not an inline task.</description>
				<map>
					<outputValue>
						<singleValue expression="fct:logical-deployment-location( Exists_Inline/server )"/>
					</outputValue>
				</map>
			</metric>
			<metric displayName="Aux User Roles" id="Aux_User_Roles" type="xsd:string" maxStringLength="512">
				<description>Constant, auxiliary metric holding a list of user roles as defined for WebSphere Process Server human task work items. Used in setting 'Work Item Update' metrics.</description>
				<defaultValue>
					<singleValue expression="'NONE                            POTENTIAL_OWNER                 EDITOR                          READER                          OWNER                           POTENTIAL_STARTER               STARTER                         ADMINISTRATOR                                                   ORIGINATOR                      ESCALATION_RECEIVER             POTENTIAL_INSTANCE_CREATOR      '"/>
				</defaultValue>
			</metric>
			<metric displayName="SystemId" id="SystemId" type="xsd:string">
				<map>
					<outputValue>
						<singleValue expression="if ( fn:exists(Exists_Inline/eventPointData/bpc:baseExt/bpc:systemId) ) then Exists_Inline/eventPointData/bpc:baseExt/bpc:systemId else SystemId"/>
					</outputValue>
				</map>
			</metric>
			<counter displayName="Started" id="Started" type="xsd:integer">
				<description>The number of executions that have started.</description>
				<incrementedWhen ref="Task_Execution_Inline/Aux_Started"/>
			</counter>
			<counter displayName="Finished" id="Finished" type="xsd:integer">
				<description>The number of executions that have finished.</description>
				<incrementedWhen ref="Task_Execution_Inline/Aux_Ended"/>
				<decrementedWhen ref="Task_Execution_Inline/Aux_Retried"/>
			</counter>
			<counter displayName="Audit Events" id="Audit_Events" type="xsd:integer">
				<description>The total number of audit events received about this task.</description>
				<incrementedWhen ref="Task_Execution_Inline/Deleted_Inline" />
				<incrementedWhen ref="Task_Execution_Inline/State_Changed_Inline" />
			</counter>
			<stopwatch displayName="Time Since First Active" id="Time_Since_First_Active" type="xsd:duration">
				<description>The elapsed time (duration) since monitoring started for this task.</description>
				<startedWhen ref="Exists_Inline" />
			</stopwatch>
			<stopwatch displayName="Time Since Last Active" id="Time_Since_Last_Active" type="xsd:duration">
				<description>The elapsed time (duration) since the last event was received about this task.</description>
				<startedWhen ref="Exists_Inline" />
				<resetWhen ref="Exists_Inline" />
			</stopwatch>
			<monitoringContext displayName="Task Execution Inline" id="Task_Execution_Inline">
				<description>Monitoring context for an execution of a human task defined as a process step (deprecated).</description>
				<trigger displayName="Aux Update Aggregate Durations" id="Aux_Update_Aggregate_Durations" isRepeatable="true">
					<description>Auxiliary trigger, which indicates that the task execution has ended and aggregate durations should be updated.</description>
					<onValueChange ref="Has_Ended"/>
					<onValueChange ref="Total_Duration"/>
					<onValueChange ref="Waiting_Duration"/>
					<onValueChange ref="Working_Duration"/>
					<gatingCondition expression="Has_Ended and fn:exists(Total_Duration) and fn:exists(Waiting_Duration) and fn:exists(Working_Duration) and fn:not( Total_Duration = Aux_Saved_Total_Duration and Waiting_Duration = Aux_Saved_Waiting_Duration and Working_Duration = Aux_Saved_Working_Duration )"/>
				</trigger>
				<trigger displayName="Aux Work Item Update Changed" id="Aux_Work_Item_Update_Changed" isRepeatable="true">
					<description>Auxiliary trigger, which fires when the work items defined for this task execution have changed.</description>
					<onValueChange ref="Aux_Last_Event_Code"/>
					<gatingCondition expression="fn:string-length( Aux_Last_Event_Code ) = 5 and fn:contains( '42039 42040 42054 42055 ', fn:concat( Aux_Last_Event_Code, ' ' ) )"/>
				</trigger>
				<trigger displayName="Aux Inline Task Escalation" id="Aux_Inline_Task_Escalation" isRepeatable="true">
					<description>Auxiliary trigger, which fires when an inline task escalation has occurred.</description>
					<onEvent ref="State_Changed_Inline"/>
					<gatingCondition expression="State_Changed_Inline/eventPointData/bpc:BPCEventCode = '42050'"/>
				</trigger>
				<trigger displayName="Aux Potential Owners Changed" id="Aux_Potential_Owners_Changed" isRepeatable="true">
					<description>Auxiliary trigger, which fires when the potential owners for this task execution have changed.</description>
					<onEvent ref="State_Changed_Inline"/>
					<gatingCondition expression="fn:string-length( Aux_Last_Event_Code ) = 5 and fn:contains( '42039 42040 42054 42055 ', fn:concat( Aux_Last_Event_Code, ' ' ) ) and fn:not( State_Changed_Inline/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason != '1' )" />
				</trigger>
				<trigger displayName="Aux Never" id="Aux_Never" isRepeatable="false">
					<description>Auxiliary trigger, which never fires. It is needed to circumvent a problem in validator, which has been fixed in version 7. If the model is used on Monitor version 7 or later, this trigger can be deleted.</description>
					<evaluationTime days="100" hours="100" minutes="100" />
					<gatingCondition expression="fn:false()" />
				</trigger>
				<trigger displayName="Aux Clear Saved Durations" id="Aux_Clear_Saved_Durations" isRepeatable="true">
					<description>Auxiliary trigger, which causes the saved duration values to be cleared when the task execution is retried.</description>
					<onTrigger ref="Aux_Retried" />
				</trigger>
				<trigger displayName="Aux Save Durations" id="Aux_Save_Durations" isRepeatable="true">
					<description>Auxiliary trigger, which indicates that the duration metrics should be saved (to prepare for potential corrections of aggregations at the task definition level).</description>
					<onTrigger ref="Aux_Update_Aggregate_Durations" />
				</trigger>
				<trigger displayName="Aux Reported State Changed" id="Aux_Reported_State_Changed" isRepeatable="true">
					<description>Auxiliary trigger, which fires when the last state reported for this task execution is different from the state reported before. If events arrive out-of-order, the 'State' metric may remain unchanged.</description>
					<onValueChange ref="Aux_Last_State_Reported" />
					<gatingCondition expression="Aux_Last_State_Reported != Aux_Saved_Last_State_Reported" />
				</trigger>
				<trigger displayName="Aux Retried" id="Aux_Retried" isRepeatable="false">
					<description>Auxiliary trigger, which indicates that this task execution is being retried/restarted.</description>
					<onValueChange ref="Has_Ended" />
					<gatingCondition expression="fn:not( Has_Ended ) and Aux_Has_Ended_At_Least_Once" />
				</trigger>
				<trigger displayName="Aux Started" id="Aux_Started" isRepeatable="false">
					<description>Auxiliary trigger, which fires just once when this monitoring context is initialized.</description>
					<onValueChange ref="Identifier" />
				</trigger>
				<trigger displayName="Aux Ended" id="Aux_Ended" isRepeatable="false">
					<description>Auxiliary trigger, which indicates that this task execution has ended. While not repeatable, it will fire more than once when a task execution is retried and ends a second time (it fires each time the 'Has Ended' metric changes from false to true).</description>
					<onValueChange ref="Has_Ended" />
					<gatingCondition expression="Has_Ended" />
				</trigger>
				<inboundEvent displayName="Deleted Inline" id="Deleted_Inline" multipleCorrelationMatches="deliverToAll" noCorrelationMatches="ignore" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
					<description>Any event reporting the deletion of a process. It is interpreted as a deletion signal for inline tasks.</description>
					<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
					<eventPart displayName="baseData" id="baseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
					<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.PROCESS.BASE"></eventPart>
					<correlationPredicate expression="Deleted_Inline/baseData/wbi:eventHeaderData/wbi:ECSCurrentID = Caller_Identifier" />
					<filter expression="fn:exists( Deleted_Inline/baseData/wbi:eventHeaderData/wbi:ECSCurrentID ) and fn:exists( Deleted_Inline/eventPointData/bpc:processTemplateName ) and Deleted_Inline/eventPointData/bpc:BPCEventCode = '21020'" />
				</inboundEvent>
				<inboundEvent displayName="State Changed Inline" id="State_Changed_Inline" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
					<description>Any event reporting a state change of a task execution.</description>
					<eventPart displayName="server" id="server" path="cbe:CommonBaseEvent/cbe:sourceComponentId/@instanceId" type="xs:string"></eventPart>
					<eventPart displayName="baseData" id="baseData" path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
					<eventPart displayName="eventPointData" id="eventPointData" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.BASE"></eventPart>
					<eventPart displayName="eventPointDataIfFailure" id="eventPointDataIfFailure" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.FAILURE"></eventPart>
					<eventPart displayName="eventPointDataIfWiStatus" id="eventPointDataIfWiStatus" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.WISTATUS"></eventPart>
					<eventPart displayName="username" id="username" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/bpc:username" type="xs:string"></eventPart>
					<eventPart displayName="current_username" id="current_username" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/bpc:current" type="xs:string"></eventPart>
					<eventPart displayName="target_username" id="target_username" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/bpc:target" type="xs:string"></eventPart>
					<eventPart displayName="escalationName" id="escalationName" path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData/bpc:escalationName" type="xs:string"></eventPart>
					<correlationPredicate expression="fn:concat( '[', State_Changed_Inline/eventPointData/bpc:processTemplateName, ' -- deployed at ', fct:logical-deployment-location( State_Changed_Inline/server ), '] id = ', State_Changed_Inline/eventPointData/bpc:bpelId ) = ../Identifier and State_Changed_Inline/baseData/wbi:eventHeaderData/wbi:ECSCurrentID = Identifier" />
					<filter expression="fn:exists( State_Changed_Inline/eventPointData/bpc:processTemplateName ) and fn:exists( State_Changed_Inline/eventPointData/bpc:activityTemplateName ) and fn:ends-with( State_Changed_Inline/eventPointData/bpc:activityKind, 'KIND_STAFF') and fn:exists( State_Changed_Inline/eventPointData/bpc:bpelId ) and fn:exists( State_Changed_Inline/baseData/wbi:eventHeaderData/wbi:ECSCurrentID ) and fn:string-length( State_Changed_Inline/eventPointData/bpc:BPCEventCode ) = 5 and fn:contains( '21006 21011 21021 21022 21027 21080 21081 42005 42015 42031 42032 42039 42040 42050 42054 42055 42064 42065 42070 ', fn:concat( State_Changed_Inline/eventPointData/bpc:BPCEventCode, ' ' ) )" />
				</inboundEvent>
				<outboundEvent displayName="Aux Report Work Item Update" id="Aux_Report_Work_Item_Update" rootElement="cbe:CommonBaseEvent">
					<description>Event reporting a work item update for this human task execution.</description>
					<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
					<eventPart displayName="taskDefinitionIdentifier" id="taskDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:taskDefinitionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionIdentifier" id="taskExecutionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionWorkItemUpdate" id="taskExecutionWorkItemUpdate" path="cbe:CommonBaseEvent/evt:taskExecutionWorkItemUpdate_Inline" type="xs:string"></eventPart>
					<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
					<map>
						<trigger ref="Aux_Work_Item_Update_Changed" />
						<outputValue>
							<assignments>
								<assignment leftValue="Aux_Report_Work_Item_Update/timestamp" rightValue="Aux_Last_Event_Timestamp" />
								<assignment leftValue="Aux_Report_Work_Item_Update/taskDefinitionIdentifier" rightValue="../Identifier" />
								<assignment leftValue="Aux_Report_Work_Item_Update/taskExecutionIdentifier" rightValue="Identifier" />
								<assignment leftValue="Aux_Report_Work_Item_Update/taskExecutionWorkItemUpdate" rightValue="Last_Work_Item_Update" />
								<assignment leftValue="Aux_Report_Work_Item_Update/SystemId" rightValue="SystemId"/>
							</assignments>
						</outputValue>
					</map>
				</outboundEvent>
				<outboundEvent displayName="Aux Report Potential Owners" id="Aux_Report_Potential_Owners" rootElement="cbe:CommonBaseEvent">
					<description>Event reporting a change of potential owners for this human task execution.</description>
					<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
					<eventPart displayName="taskDefinitionIdentifier" id="taskDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:taskDefinitionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionIdentifier" id="taskExecutionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionPotentialOwners" id="taskExecutionPotentialOwners" path="cbe:CommonBaseEvent/evt:taskExecutionPotentialOwners_Inline" type="xs:string"></eventPart>
					<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
					<map>
						<trigger ref="Aux_Potential_Owners_Changed" />
						<outputValue>
							<assignments>
								<assignment leftValue="Aux_Report_Potential_Owners/timestamp" rightValue="Aux_Last_Event_Timestamp" />
								<assignment leftValue="Aux_Report_Potential_Owners/taskDefinitionIdentifier" rightValue="../Identifier" />
								<assignment leftValue="Aux_Report_Potential_Owners/taskExecutionIdentifier" rightValue="Identifier" />
								<assignment leftValue="Aux_Report_Potential_Owners/taskExecutionPotentialOwners" rightValue="Potential_Owners" />
								<assignment leftValue="Aux_Report_Potential_Owners/SystemId" rightValue="SystemId"/>
							</assignments>
						</outputValue>
					</map>
				</outboundEvent>
				<outboundEvent displayName="Aux Report State" id="Aux_Report_State" rootElement="cbe:CommonBaseEvent">
					<description>Event reporting a state change for this human task execution.</description>
					<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
					<eventPart displayName="taskDefinitionIdentifier" id="taskDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:taskDefinitionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionIdentifier" id="taskExecutionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionIdentifier" type="xs:string"></eventPart>
					<eventPart displayName="taskExecutionState" id="taskExecutionState" path="cbe:CommonBaseEvent/evt:taskExecutionState_Inline" type="xs:string"></eventPart>
					<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
					<map>
						<trigger ref="Aux_Reported_State_Changed" />
						<outputValue>
							<assignments>
								<assignment leftValue="Aux_Report_State/timestamp" rightValue="Aux_Last_Event_Timestamp" />
								<assignment leftValue="Aux_Report_State/taskDefinitionIdentifier" rightValue="../Identifier" />
								<assignment leftValue="Aux_Report_State/taskExecutionIdentifier" rightValue="Identifier" />
								<assignment leftValue="Aux_Report_State/taskExecutionState" rightValue="Aux_Last_State_Reported" />
								<assignment leftValue="Aux_Report_State/SystemId" rightValue="SystemId"/>
							</assignments>
						</outputValue>
					</map>
				</outboundEvent>
				<metric displayName="Aux Last State Reported" id="Aux_Last_State_Reported" type="xsd:string" maxStringLength="128">
					<description>The state of this task execution, as reported by the last event received. This may not be the current state, but some state from the past, if the event reporting it was delayed.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( State_Changed_Inline/eventPointData/bpc:BPCEventCode = '21006' or State_Changed_Inline/eventPointData/bpc:BPCEventCode = '21021' ) then 'READY' else (
if ( State_Changed_Inline/eventPointData/bpc:BPCEventCode = '21011' ) then 'FINISHED' else (
if ( State_Changed_Inline/eventPointData/bpc:BPCEventCode = '42005' ) then 'SKIPPED' else (
if ( State_Changed_Inline/eventPointData/bpc:BPCEventCode = '21080' ) then 'FAILED' else (
if ( State_Changed_Inline/eventPointData/bpc:BPCEventCode = '21027' ) then 'TERMINATED' else (
if ( State_Changed_Inline/eventPointData/bpc:BPCEventCode = '21022' ) then ( if ( fn:exists( State_Changed_Inline/username ) ) then fn:concat( 'CLAIMED by ', State_Changed_Inline/username ) else 'CLAIMED' ) else (
if ( State_Changed_Inline/eventPointData/bpc:BPCEventCode = '21081' ) then 'EXPIRED' else (
if ( State_Changed_Inline/eventPointData/bpc:BPCEventCode = '42015' ) then 'STOPPED' else (
if ( State_Changed_Inline/eventPointData/bpc:BPCEventCode = '42031' and State_Changed_Inline/eventPointData/bpc:state = '1 - STATE_INACTIVE' ) then 'INACTIVE_FRETRIED' else (
if ( State_Changed_Inline/eventPointData/bpc:BPCEventCode = '42031' and State_Changed_Inline/eventPointData/bpc:state = '2 - STATE_READY' ) then 'READY_FRETRIED' else (
if ( State_Changed_Inline/eventPointData/bpc:BPCEventCode = '42031' and State_Changed_Inline/eventPointData/bpc:state = '13 - STATE_STOPPED' ) then 'STOPPED_FRETRIED' else (
if ( State_Changed_Inline/eventPointData/bpc:BPCEventCode = '42032' and State_Changed_Inline/eventPointData/bpc:state = '5 - STATE_FINISHED' ) then 'FINISHED_FCOMPLETED' else (
if ( State_Changed_Inline/eventPointData/bpc:BPCEventCode = '42032' and State_Changed_Inline/eventPointData/bpc:state = '4 - STATE_SKIPPED' ) then 'SKIPPED_FCOMPLETED' else (
if ( State_Changed_Inline/eventPointData/bpc:BPCEventCode = '42032' and State_Changed_Inline/eventPointData/bpc:state = '6 - STATE_FAILED' ) then 'FAILED_FCOMPLETED' else (
if ( State_Changed_Inline/eventPointData/bpc:BPCEventCode = '42032' and State_Changed_Inline/eventPointData/bpc:state = '13 - STATE_STOPPED' ) then 'STOPPED_FCOMPLETED' else (
if ( State_Changed_Inline/eventPointData/bpc:BPCEventCode = '42064' ) then 'SKIP_REQUESTED' else (
if ( State_Changed_Inline/eventPointData/bpc:BPCEventCode = '42065' ) then 'SKIPPED_ON_REQUEST' else (
if ( State_Changed_Inline/eventPointData/bpc:BPCEventCode = '42070' ) then 'SKIPPED_ON_EXIT_CONDITION_TRUE' else (
if ( fn:contains( '42039 42040 42050 42054 42055 ', fn:concat( State_Changed_Inline/eventPointData/bpc:BPCEventCode , ' ' ) ) and State_Changed_Inline/eventPointData/bpc:state = '1 - STATE_INACTIVE' ) then 'INACTIVE' else Aux_Last_State_Reported
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)
)" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="if ( Deleted_Inline/eventPointData/bpc:BPCEventCode = '21020' ) then 'DELETED' else 'INTERNAL ERROR'" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="'UNKNOWN'"/>
					</defaultValue>
				</metric>
				<metric displayName="Caller Identifier" id="Caller_Identifier" type="xsd:string" maxStringLength="128">
					<description>Unique identifier of the task initiator (invocation) for stand-alone human tasks, and of the embedding process execution for inline human tasks.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty( Caller_Identifier ) and fn:exists( State_Changed_Inline/baseData/wbi:eventHeaderData/wbi:ECSParentID) ) then State_Changed_Inline/baseData/wbi:eventHeaderData/wbi:ECSParentID else Caller_Identifier" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Time Started" id="Time_Started" type="xsd:dateTime">
					<description>The timestamp of the earliest event received about this task execution. If its entry / start event is sent, it will be the time it came to life / started.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty( Time_Started ) or Aux_Last_Event_Timestamp &lt; Time_Started ) then Aux_Last_Event_Timestamp else Time_Started"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Identifier" id="Identifier" type="xsd:string" maxStringLength="128" valueRequired="false" isPartOfKey="true">
					<description>A unique identifier of this task execution.</description>
					<map>
						<outputValue>
							<singleValue expression="State_Changed_Inline/baseData/wbi:eventHeaderData/wbi:ECSCurrentID"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="State History" id="State_History" type="xsd:string" maxStringLength="4000">
					<description>The state history of this task execution.</description>
					<map>
						<trigger ref="Aux_Reported_State_Changed"/>
						<outputValue>
							<singleValue expression="fn:substring( fn:concat( Aux_Last_Event_Timestamp_xs_format, '  ', Aux_Last_State_Reported, '&lt;br/&gt;', State_History ), 1, 4000)"/>
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="''"/>
					</defaultValue>
				</metric>
				<metric displayName="Time Ended" id="Time_Ended" type="xsd:dateTime">
					<description>The time when this task execution ended.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:not( Has_Ended ) ) then Aux_Empty_DateTime else ( if ( fn:exists( Time_Ended ) ) then Time_Ended else State_Timestamp )"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Has Ended" id="Has_Ended" type="xsd:boolean">
					<description>Flag indicating that the monitored task execution has reached a 'terminal' state. Note that it may still be retried, at which point this flag will become false again.</description>
					<map>
						<outputValue>
							<singleValue expression="fn:starts-with( State, 'FINISHED' ) or fn:starts-with( State, 'TERMINATED' ) or fn:starts-with( State, 'FAILED' ) or fn:starts-with( State, 'EXPIRED' ) or fn:starts-with( State, 'SKIPPED' ) or fn:starts-with( State, 'DELETED' )"/>
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="fn:false()"/>
					</defaultValue>
				</metric>
				<metric displayName="Aux Last Event Timestamp" id="Aux_Last_Event_Timestamp" type="xsd:dateTime">
					<description>The timestamp of the last event received in this monitoring context.</description>
					<map>
						<outputValue>
							<singleValue expression="State_Changed_Inline/predefinedData/creationTime" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="Deleted_Inline/predefinedData/creationTime" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Potential Owners History" id="Potential_Owners_History" type="xsd:string" maxStringLength="4000">
					<description>The history of users and/or groups eligible to claim this task.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:string-length( Aux_Last_Event_Code ) = 5 and fn:contains( '42039 42040 42054 42055 ', fn:concat( Aux_Last_Event_Code, ' ' ) ) and fn:not( State_Changed_Inline/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason != '1' ) ) then fn:substring( fn:concat( Aux_Last_Event_Timestamp_xs_format, '  ', Potential_Owners, '&lt;br/&gt;', Potential_Owners_History ), 1, 4000 ) else Potential_Owners_History"/>
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="''"/>
					</defaultValue>
				</metric>
				<metric displayName="Work Item Update History" id="Work_Item_Update_History" type="xsd:string" maxStringLength="4000">
					<description>The history of work item updates for this task execution.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:string-length( Aux_Last_Event_Code ) = 5 and fn:contains( '42039 42040 42054 42055 ', fn:concat( Aux_Last_Event_Code, ' ' ) ) ) then fn:substring( fn:concat( Aux_Last_Event_Timestamp_xs_format, '  ', Last_Work_Item_Update, '&lt;br/&gt;', Work_Item_Update_History ), 1, 4000 ) else Work_Item_Update_History"/>
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="''"/>
					</defaultValue>
				</metric>
				<metric displayName="Potential Owners" id="Potential_Owners" type="xsd:string" maxStringLength="4000">
					<description>The users and/or groups eligible to claim this task execution.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( State_Changed_Inline/eventPointData/bpc:BPCEventCode = '42040' and fn:not( State_Changed_Inline/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason != '1' ) ) then fn:substring( fct:add-to-list( Potential_Owners, wbm:serialize( State_Changed_Inline/username, '' ) ), 1, 4000) else (
if ( State_Changed_Inline/eventPointData/bpc:BPCEventCode = '42039' and fn:not( State_Changed_Inline/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason != '1' ) ) then fn:substring( fct:remove-from-list( Potential_Owners, State_Changed_Inline/username ), 1, 4000) else (
if ( State_Changed_Inline/eventPointData/bpc:BPCEventCode = '42054' and fn:not( State_Changed_Inline/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason != '1' ) ) then fn:substring( fct:add-to-list( '', wbm:serialize( State_Changed_Inline/username, '' ) ), 1, 4000) else (
if ( State_Changed_Inline/eventPointData/bpc:BPCEventCode = '42055' and fn:not( State_Changed_Inline/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason != '1' ) ) then fn:substring( fct:add-to-list( fct:remove-from-list( Potential_Owners, State_Changed_Inline/current_username ), State_Changed_Inline/target_username ), 1, 4000) else Potential_Owners
)
)
)" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="''"/>
					</defaultValue>
				</metric>
				<metric displayName="Owner" id="Owner" type="xsd:string" maxStringLength="256" valueRequired="true">
					<description>The user who has claimed this task execution.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( State_Changed_Inline/eventPointData/bpc:BPCEventCode = '21022' and fn:string-length(State_Changed_Inline/username) &gt; 0 ) then State_Changed_Inline/username else ( if ( State_Changed_Inline/eventPointData/bpc:BPCEventCode = '21021' ) then ' ' else Owner )" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="' '"/>
					</defaultValue>
				</metric>
				<metric displayName="Description" id="Description" type="xsd:string" maxStringLength="4000">
					<description>A description of this task execution.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists(State_Changed_Inline/eventPointData/bpc:activityInstanceDescription) and fn:string-length(State_Changed_Inline/eventPointData/bpc:activityInstanceDescription) &gt; 0 ) then fn:substring(State_Changed_Inline/eventPointData/bpc:activityInstanceDescription, 1, 4000) else Description" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Time Ended (xs format)" id="Time_Ended_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'Time Ended' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Time_Ended ) ) )" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Time Started (xs format)" id="Time_Started_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'Time Started' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Time_Started ) ) )" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Waiting Duration" id="Waiting_Duration" type="xsd:duration">
					<description>The aggregate duration for which this task execution has been waiting to be claimed.</description>
					<map>
						<outputValue>
							<singleValue expression="xs:dayTimeDuration( fct:aggregate-duration-in-state( 'READY', State_History, Aux_Last_Event_Timestamp ) )" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Working Duration (xs format)" id="Working_Duration_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'Working Duration' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="xs:string( Working_Duration )" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Total Duration (xs format)" id="Total_Duration_xs" type="xsd:string" maxStringLength="64">
					<description>The 'Total Duration' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="xs:string( Total_Duration )" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Waiting Duration (xs format)" id="Waiting_Duration_full" type="xsd:string" maxStringLength="64">
					<description>The 'Waiting Duration' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="xs:string( Waiting_Duration )" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Total Duration" id="Total_Duration" type="xsd:duration">
					<description>The total duration of this task execution so far (the time since it started while it is in progress, and the total time from start to end after it has ended).</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists( Time_Started ) ) then ( if ( fn:exists( Time_Ended ) ) then Time_Ended - Time_Started else Aux_Last_Event_Timestamp - Time_Started ) else Total_Duration" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Working Duration" id="Working_Duration" type="xsd:duration">
					<description>The aggregate duration for which this task execution was claimed but not completed.</description>
					<map>
						<outputValue>
							<singleValue expression="xs:dayTimeDuration( fct:aggregate-duration-in-state( 'CLAIMED', State_History, Aux_Last_Event_Timestamp ) )" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="State" id="State" type="xsd:string" maxStringLength="64" valueRequired="true">
					<description>The current state of this task execution.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty( State_Timestamp ) or Aux_Last_Event_Timestamp &gt;= State_Timestamp and fn:string-length(Aux_Last_State_Reported) &gt; 0 ) then Aux_Last_State_Reported else State" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="' '" />
					</defaultValue>
				</metric>
				<metric displayName="Aux Last Event Timestamp (xs format)" id="Aux_Last_Event_Timestamp_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'Aux Last Event Timestamp' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone(  Aux_Last_Event_Timestamp ) ) )" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Task Definition Identifier Inline" id="Task_Definition_Identifier_Inline" type="xsd:string" valueRequired="true">
					<description>A copy of the inline task definition identifier (process step definition identifier). It is redundant at the execution level, but provided for convenience and to enable grouping.</description>
					<map>
						<trigger ref="Aux_Started" />
						<outputValue>
							<singleValue expression="if ( fn:string-length(../Identifier) &gt; 0 ) then ../Identifier else Task_Definition_Identifier_Inline" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="' '" />
					</defaultValue>
				</metric>
				<metric displayName="Last Work Item Update" id="Last_Work_Item_Update" type="xsd:string">
					<description>The last work item update for this task execution.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( State_Changed_Inline/eventPointData/bpc:BPCEventCode = '42040' ) then fn:concat( 'WORK_ITEMS_CREATED for user: ', fct:add-to-list( '', wbm:serialize( State_Changed_Inline/username, '' ) ), ( if ( fn:exists(State_Changed_Inline/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason) ) then fn:concat('; role: ', fn:normalize-space( fn:substring( ../Aux_User_Roles, 32 * xs:integer(State_Changed_Inline/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason), 32 ) ) ) else '' ) ) else (
if ( State_Changed_Inline/eventPointData/bpc:BPCEventCode = '42039' ) then fn:concat( 'WORK_ITEMS_DELETED for user ', State_Changed_Inline/username, ( if ( fn:exists(State_Changed_Inline/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason) ) then fn:concat(  '; role: ', fn:normalize-space( fn:substring( ../Aux_User_Roles, 32 * xs:integer(State_Changed_Inline/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason), 32 ) ) ) else '' ) ) else (
if ( State_Changed_Inline/eventPointData/bpc:BPCEventCode = '42054' ) then 'WORK_ITEMS_REFRESHED' else (
if ( State_Changed_Inline/eventPointData/bpc:BPCEventCode = '42055' ) then fn:concat( 'WORK_ITEMS_TRANSFERRED from ', State_Changed_Inline/current_username, ' to ', State_Changed_Inline/target_username, ( if ( fn:exists(State_Changed_Inline/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason) ) then fn:concat( '; role: ', fn:normalize-space( fn:substring( ../Aux_User_Roles, 32 * xs:integer(State_Changed_Inline/eventPointDataIfWiStatus/bpc:eventExt/bpc:reason), 32 ) ) ) else '' ) ) else Last_Work_Item_Update
)
)
)" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Aux Last Event Code" id="Aux_Last_Event_Code" type="xsd:string" maxStringLength="8">
					<description>The BPCEventCode of the last event received in this monitoring context.</description>
					<map>
						<outputValue>
							<singleValue expression="State_Changed_Inline/eventPointData/bpc:BPCEventCode" />
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="Deleted_Inline/eventPointData/bpc:BPCEventCode" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Aux Empty DateTime" id="Aux_Empty_DateTime" type="xsd:dateTime">
					<description>Auxiliary metric representing an empty xs:dateTime value.</description>
					<map>
						<trigger ref="Aux_Never" />
						<outputValue>
							<singleValue expression="Aux_Empty_DateTime" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Aux Saved Last State Reported" id="Aux_Saved_Last_State_Reported" type="xsd:string" maxStringLength="128">
					<description>Saved copy of the last state reported. It is used to prevent adding state history entries when the same state is reported several times.</description>
					<map>
						<trigger ref="Aux_Reported_State_Changed" />
						<outputValue>
							<singleValue expression="Aux_Last_State_Reported" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="''" />
					</defaultValue>
				</metric>
				<metric displayName="Aux Has Ended At Least Once" id="Aux_Has_Ended_At_Least_Once" type="xsd:boolean">
					<description>Auxiliay flag, which becomes true when the step execution ends for the first time.</description>
					<map>
						<outputValue>
							<singleValue expression="Has_Ended or Aux_Has_Ended_At_Least_Once" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="fn:false()" />
					</defaultValue>
				</metric>
				<metric displayName="State Timestamp" id="State_Timestamp" type="xsd:dateTime">
					<description>The timestamp of the last event used to set the 'State' metric. Also used to prevent unintended state changes back to earlier states when events arrive out-of-order.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty( State_Timestamp ) or Aux_Last_Event_Timestamp &gt;= State_Timestamp ) then Aux_Last_Event_Timestamp else State_Timestamp" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Aux Saved Working Duration" id="Aux_Saved_Working_Duration" type="xsd:duration">
					<description>A saved copy of the 'Working Duration' metric. It is used to adjust the aggregation at the task definition level when the working duration changes.</description>
					<map>
						<trigger ref="Aux_Save_Durations" />
						<outputValue>
							<singleValue expression="Working_Duration" />
						</outputValue>
					</map>
					<map>
						<trigger ref="Aux_Clear_Saved_Durations" />
						<outputValue>
							<singleValue expression="Aux_Empty_Duration" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Aux Saved Waiting Duration" id="Aux_Saved_Waiting_Duration" type="xsd:duration">
					<description>A saved copy of the 'Waiting Duration' metric. It is used to adjust the aggregation at the task definition level when the waiting duration changes.</description>
					<map>
						<trigger ref="Aux_Save_Durations" />
						<outputValue>
							<singleValue expression="Waiting_Duration" />
						</outputValue>
					</map>
					<map>
						<trigger ref="Aux_Clear_Saved_Durations" />
						<outputValue>
							<singleValue expression="Aux_Empty_Duration" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Aux Saved Total Duration" id="Aux_Saved_Total_Duration" type="xsd:duration">
					<description>A saved copy of the 'Total Duration' metric. It is used to adjust the aggregation at the task definition level when the total duration changes.</description>
					<map>
						<trigger ref="Aux_Save_Durations" />
						<outputValue>
							<singleValue expression="Total_Duration" />
						</outputValue>
					</map>
					<map>
						<trigger ref="Aux_Clear_Saved_Durations" />
						<outputValue>
							<singleValue expression="Aux_Empty_Duration" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Aux Empty Duration" id="Aux_Empty_Duration" type="xsd:duration">
					<description>Auxiliary xs:duration metric which will always be empty.</description>
					<map>
						<trigger ref="Aux_Never" />
						<outputValue>
							<singleValue expression='xs:dayTimeDuration("PT0S")' />
						</outputValue>
					</map>
				</metric>
				<metric displayName="State Timestamp (xs format)" id="State_Timestamp_xs_format" type="xsd:string" maxStringLength="64">
					<description>The 'State Timestamp' metric in XML Schema data format.</description>
					<map>
						<outputValue>
							<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( State_Timestamp ) ) )" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Task Definition Name" id="Task_Definition_Name" type="xsd:string" valueRequired="true">
					<description>A copy of the task definition name. It is redundant here, but provided for convenience and to enable grouping by task definition during aggregations.</description>
					<map>
						<trigger ref="Aux_Started" />
						<outputValue>
							<singleValue expression="if ( fn:string-length(../Name) &gt; 0 ) then ../Name else Task_Definition_Name" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="' '" />
					</defaultValue>
				</metric>
				<metric displayName="Fault Name" id="Fault_Name" type="xsd:string">
					<description>If this task execution has failed, the name of the fault (if any was reported).</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty(Fault_Name) and fn:exists(State_Changed_Inline/eventPointDataIfFailure/bpc:eventExt/bpc:faultName) ) then fn:concat( '{', State_Changed_Inline/eventPointDataIfFailure/bpc:eventExt/bpc:faultNamespace, '}',State_Changed_Inline/eventPointDataIfFailure/bpc:eventExt/bpc:faultName ) else Fault_Name" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Fault Message" id="Fault_Message" type="xsd:string">
					<description>If this task execution has failed, the fault message (if any was reported).</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty(Fault_Message) and fn:exists(State_Changed_Inline/eventPointDataIfFailure/bpc:activityFailedException) ) then fn:substring(State_Changed_Inline/eventPointDataIfFailure/bpc:activityFailedException, 1, 4000) else Fault_Message" />
						</outputValue>
					</map>
				</metric>
				<metric displayName="Aux Step Execution Identifier" id="Aux_Step_Execution_Identifier" type="xsd:string" maxStringLength="128">
					<description>For WebSphere Process Server: the instance id of the staff activity execution corresponding to this human task execution.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( Aux_Step_Execution_Identifier = ' ' and fn:exists(State_Changed_Inline/baseData/wbi:eventHeaderData/wbi:ECSCurrentID) ) then State_Changed_Inline/baseData/wbi:eventHeaderData/wbi:ECSCurrentID else Aux_Step_Execution_Identifier" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="' '" />
					</defaultValue>
				</metric>
				<metric displayName="Aux Task Execution Identifier" id="Aux_Task_Execution_Identifier" type="xsd:string" maxStringLength="128">
					<description>For WebSphere Process Server: the instance id of this human task execution.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( Aux_Task_Execution_Identifier = ' ' and fn:exists(State_Changed_Inline/eventPointData/bpc:activityExt/bpc:taskInstanceId) ) then State_Changed_Inline/eventPointData/bpc:activityExt/bpc:taskInstanceId else Aux_Task_Execution_Identifier" />
						</outputValue>
					</map>
					<defaultValue>
						<singleValue expression="' '" />
					</defaultValue>
				</metric>
				<metric displayName="Related Process Execution Identifier" id="Related_Process_Execution_Identifier" type="xsd:string" maxStringLength="128">
					<description>The unique identifier of a related process execution.</description>
					<map>
						<outputValue>
							<singleValue expression="State_Changed_Inline/baseData/wbi:eventHeaderData/wbi:ECSParentID"/>
						</outputValue>
					</map>
					<map>
						<outputValue>
							<singleValue expression="Deleted_Inline/baseData/wbi:eventHeaderData/wbi:ECSCurrentID"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Related Task Execution Identifier" id="Related_Task_Execution_Identifier" type="xsd:string" maxStringLength="128">
					<description>The unique identifier of a related human task execution.</description>
					<map>
						<outputValue>
							<singleValue expression="if ( fn:empty(Related_Task_Execution_Identifier) and fn:exists(State_Changed_Inline/eventPointData/bpc:activityExt/bpc:taskInstanceId) ) then State_Changed_Inline/eventPointData/bpc:activityExt/bpc:taskInstanceId else Related_Task_Execution_Identifier"/>
						</outputValue>
					</map>
				</metric>
				<metric displayName="Name" id="Name" type="xsd:string">
					<description>A human-readable name reported for this task execution.</description>
					<map>
						<outputValue>
							<singleValue expression="State_Changed_Inline/eventPointData/bpc:activityTemplateName " />
						</outputValue>
					</map>
				</metric>
				<metric displayName="SystemId" id="SystemId" type="xsd:string">
					<map>
						<outputValue>
							<singleValue expression="if ( fn:exists(State_Changed_Inline/eventPointData/bpc:baseExt/bpc:systemId) ) then State_Changed_Inline/eventPointData/bpc:baseExt/bpc:systemId else SystemId"/>
						</outputValue>
					</map>
				</metric>
				<counter displayName="Audit Events" id="Audit_Events" type="xsd:integer">
					<description>The number of audit events received from this task execution.</description>
					<incrementedWhen ref="Deleted_Inline" />
					<incrementedWhen ref="State_Changed_Inline" />
				</counter>
				<monitoringContext displayName="Inline Task Execution State History" id="Task_Execution_State_History_Inline">
					<description>Auxiliary monitoring context definition, to save a timestamped history of states of a human task execution.</description>
					<inboundEvent displayName="Aux Report State" id="Aux_Report_State" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="raiseException" rootElement="cbe:CommonBaseEvent">
						<description>Auxiliary inbound event reporting a state change of a human task execution. Note that the correlation predicate should always evaluate to false, which will cause a new instance to be created. Other comparisons in this predicate, however, are used to identify the new instance's parent context.</description>
						<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
						<eventPart displayName="taskDefinitionIdentifier" id="taskDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:taskDefinitionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="taskExecutionIdentifier" id="taskExecutionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="taskExecutionState" id="taskExecutionState" path="cbe:CommonBaseEvent/evt:taskExecutionState_Inline" type="xs:string"></eventPart>
						<eventPart displayName="emptyString" id="emptyString" path="cbe:CommonBaseEvent/evt:emtpyString" type="xs:string"></eventPart>
						<eventPart displayName="monitorModelId" id="monitorModelId" path="cbe:CommonBaseEvent/cbe:contextDataElements[@name='MonitoringModelID']/cbe:contextValue" type="xs:string"></eventPart>
						<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
						<correlationPredicate expression="Aux_Report_State/taskDefinitionIdentifier = ../../Identifier and Aux_Report_State/taskExecutionIdentifier = ../Identifier and xs:dateTime( fn:concat( '1900-01-01T00:00:00Z', Aux_Report_State/emptyString ) ) = Time" />
						<filter expression="fn:exists ( Aux_Report_State/taskExecutionState ) and Aux_Report_State/monitorModelId = fct:monitor-model-id()" />
					</inboundEvent>
					<metric displayName="Time" id="Time" type="xsd:dateTime" isPartOfKey="true">
						<description>The time this state was entered.</description>
						<map>
							<outputValue>
								<singleValue expression="Aux_Report_State/timestamp" />
							</outputValue>
						</map>
					</metric>
					<metric displayName="State" id="State" type="xsd:string">
						<description>The state being recorded.</description>
						<map>
							<outputValue>
								<singleValue expression="Aux_Report_State/taskExecutionState" />
							</outputValue>
						</map>
					</metric>
					<metric displayName="Time (xs format)" id="Time_xs_format" type="xsd:string">
						<description>The 'Time' metric in XML Schema data format.</description>
						<map>
							<outputValue>
								<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Time ) ) )" />
							</outputValue>
						</map>
					</metric>
					<metric displayName="SystemId" id="SystemId" type="xsd:string">
						<map>
							<outputValue>
								<singleValue expression="Aux_Report_State/SystemId"/>
							</outputValue>
						</map>
					</metric>
				</monitoringContext>
				<monitoringContext displayName="Inline Task Execution Potential Owners History" id="Task_Execution_Potential_Owners_History_Inline">
					<description>Auxiliary monitoring context definition, to save a timestamped history of potential owner updates of a human task execution.</description>
					<inboundEvent displayName="Aux Report Potential Owners" id="Aux_Report_Potential_Owners" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="raiseException" rootElement="cbe:CommonBaseEvent">
						<description>Auxiliary inbound event reporting an update of the potential owners of a task execution. Note that the correlation predicate should always evaluate to false, which will cause a new instance to be created. Other comparisons in this predicate, however, are used to identify the new instance's parent context.</description>
						<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
						<eventPart displayName="taskDefinitionIdentifier" id="taskDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:taskDefinitionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="taskExecutionIdentifier" id="taskExecutionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="taskExecutionPotentialOwners" id="taskExecutionPotentialOwners" path="cbe:CommonBaseEvent/evt:taskExecutionPotentialOwners_Inline" type="xs:string"></eventPart>
						<eventPart displayName="emptyString" id="emptyString" path="cbe:CommonBaseEvent/evt:emptyString" type="xs:string"></eventPart>
						<eventPart displayName="monitorModelId" id="monitorModelId" path="cbe:CommonBaseEvent/cbe:contextDataElements[@name='MonitoringModelID']/cbe:contextValue" type="xs:string"></eventPart>
						<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
						<correlationPredicate expression="Aux_Report_Potential_Owners/taskDefinitionIdentifier = ../../Identifier and Aux_Report_Potential_Owners/taskExecutionIdentifier = ../Identifier and xs:dateTime( fn:concat( '1900-01-01T00:00:00Z', Aux_Report_Potential_Owners/emptyString ) ) = Time" />
						<filter expression="fn:exists ( Aux_Report_Potential_Owners/taskExecutionPotentialOwners ) and Aux_Report_Potential_Owners/monitorModelId = fct:monitor-model-id()" />
					</inboundEvent>
					<metric displayName="Time" id="Time" type="xsd:dateTime" isPartOfKey="true">
						<description>The time of this update of potential owners.</description>
						<map>
							<outputValue>
								<singleValue expression="Aux_Report_Potential_Owners/timestamp" />
							</outputValue>
						</map>
					</metric>
					<metric displayName="Potential Owners" id="Potential_Owners" type="xsd:string">
						<description>The update of the potential owners being recorded.</description>
						<map>
							<outputValue>
								<singleValue expression="Aux_Report_Potential_Owners/taskExecutionPotentialOwners" />
							</outputValue>
						</map>
					</metric>
					<metric displayName="Time (xs format)" id="Time_xs_format" type="xsd:string">
						<description>The 'Time' metric in XML Schema data format.</description>
						<map>
							<outputValue>
								<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Time ) ) )" />
							</outputValue>
						</map>
					</metric>
					<metric displayName="SystemId" id="SystemId" type="xsd:string">
						<map>
							<outputValue>
								<singleValue expression="Aux_Report_Potential_Owners/SystemId"/>
							</outputValue>
						</map>
					</metric>
				</monitoringContext>
				<monitoringContext displayName="Inline Task Execution Work Item Update History" id="Task_Execution_Work_Item_Update_History_Inline">
					<description>Auxiliary monitoring context definition, to save a timestamped history of work item updates for a human task execution.</description>
					<inboundEvent displayName="Aux Report Work Item Update" id="Aux_Report_Work_Item_Update" multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext" oneCorrelationMatch="raiseException" rootElement="cbe:CommonBaseEvent">
						<description>Auxiliary inbound event reporting a work item update for a human task execution. Note that the correlation predicate should always evaluate to false, which will cause a new instance to be created. Other comparisons in this predicate, however, are used to identify the new instance's parent context.</description>
						<eventPart displayName="timestamp" id="timestamp" path="cbe:CommonBaseEvent/evt:timestamp" type="xs:dateTime"></eventPart>
						<eventPart displayName="taskDefinitionIdentifier" id="taskDefinitionIdentifier" path="cbe:CommonBaseEvent/evt:taskDefinitionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="taskExecutionIdentifier" id="taskExecutionIdentifier" path="cbe:CommonBaseEvent/evt:taskExecutionIdentifier" type="xs:string"></eventPart>
						<eventPart displayName="taskExecutionWorkItemUpdate" id="taskExecutionWorkItemUpdate" path="cbe:CommonBaseEvent/evt:taskExecutionWorkItemUpdate_Inline" type="xs:string"></eventPart>
						<eventPart displayName="emptyString" id="emptyString" path="cbe:CommonBaseEvent/evt:emptyString" type="xs:string"></eventPart>
						<eventPart displayName="monitorModelId" id="monitorModelId" path="cbe:CommonBaseEvent/cbe:contextDataElements[@name='MonitoringModelID']/cbe:contextValue" type="xs:string"></eventPart>
						<eventPart displayName="SystemId" id="SystemId" path="cbe:CommonBaseEvent/evt:SystemId" type="xs:string"></eventPart>
						<correlationPredicate expression="Aux_Report_Work_Item_Update/taskDefinitionIdentifier = ../../Identifier and Aux_Report_Work_Item_Update/taskExecutionIdentifier = ../Identifier and xs:dateTime( fn:concat( '1900-01-01T00:00:00Z', Aux_Report_Work_Item_Update/emptyString ) ) = Time" />
						<filter expression="fn:exists ( Aux_Report_Work_Item_Update/taskExecutionWorkItemUpdate ) and Aux_Report_Work_Item_Update/monitorModelId = fct:monitor-model-id()" />
					</inboundEvent>
					<metric displayName="Time" id="Time" type="xsd:dateTime" isPartOfKey="true">
						<description>The time of this work item update.</description>
						<map>
							<outputValue>
								<singleValue expression="Aux_Report_Work_Item_Update/timestamp" />
							</outputValue>
						</map>
					</metric>
					<metric displayName="Work Item Update" id="Work_Item_Update" type="xsd:string">
						<description>The work item update being recorded.</description>
						<map>
							<outputValue>
								<singleValue expression="Aux_Report_Work_Item_Update/taskExecutionWorkItemUpdate" />
							</outputValue>
						</map>
					</metric>
					<metric displayName="Time (xs format)" id="Time_xs_format" type="xsd:string">
						<description>The 'Time' metric in XML Schema data format.</description>
						<map>
							<outputValue>
								<singleValue expression="fct:format-dateTime-value( xs:string( fn:adjust-dateTime-to-timezone( Time ) ) )" />
							</outputValue>
						</map>
					</metric>
					<metric displayName="SystemId" id="SystemId" type="xsd:string">
						<map>
							<outputValue>
								<singleValue expression="Aux_Report_Work_Item_Update/SystemId"/>
							</outputValue>
						</map>
					</metric>
				</monitoringContext>
			</monitoringContext>
		</monitoringContext>
	</monitorDetailsModel>
	<kpiModel displayName="GlobalProcessMonitor" id="KM">
		<kpiContext displayName="Global KPIs" id="Global_KPIs">
			<description>Global KPis for monitored processes and human tasks.</description>
			<kpi displayName="Tasks Completed Per Workday During Last Seven Days" id="Tasks_Completed_Per_Workday_During_Last_Seven_Days" rangeType="actualValue" type="xsd:decimal" enableKpiHistory="false" decimalPrecision="5">
				<description>The average number of tasks completed per workday in the last seven days.</description>
				<calculatedDefinition>
					<kpiCalculation expression="Tasks_Completed_During_Last_Seven_Days div 5"/>
				</calculatedDefinition>
			</kpi>
			<kpi displayName="Average Task Total Duration" id="Average_Task_Total_Duration" rangeType="actualValue" type="xsd:duration" enableKpiHistory="false">
				<description>The average total time to complete a human task (wait time and work time) during the past seven days.</description>
				<aggregatedDefinition aggregationType="avg" versionAggregation="allVersions">
					<monitoringContext ref="Task_Definition/Task_Execution"/>
					<metric ref="Total_Duration"/>
					<metricFilter ref="Time_Ended_xs_format" operator="isNotNull"></metricFilter>
					<dateTimeMetricFilter ref="Time_Ended">
						<rollingPeriod periodType="days" numPeriods="7"/>
					</dateTimeMetricFilter>
				</aggregatedDefinition>
				<target displayName="Target" id="Target" value="60000">
					<description></description>
				</target>
				<range displayName="Slow" id="Slow" color="ff0000">
					<startValue displayName="startValue" id="startValue" value="90000">
						<description></description>
					</startValue>
					<endValue displayName="endValue" id="endValue" value="180000">
						<description></description>
					</endValue>
				</range>
				<range displayName="Normal" id="Normal" color="0000ff">
					<startValue displayName="startValue" id="startValue" value="30000">
						<description></description>
					</startValue>
					<endValue displayName="endValue" id="endValue" value="90000">
						<description></description>
					</endValue>
				</range>
				<range displayName="Fast" id="Fast" color="ffffff">
					<startValue displayName="startValue" id="startValue" value="0">
						<description></description>
					</startValue>
					<endValue displayName="endValue" id="endValue" value="30000">
						<description></description>
					</endValue>
				</range>
			</kpi>
			<kpi displayName="Average Task Working Duration" id="Average_Task_Working_Duration" rangeType="actualValue" type="xsd:duration" enableKpiHistory="false">
				<description>The average working time spent on a human task during the past seven days.</description>
				<aggregatedDefinition aggregationType="avg" versionAggregation="allVersions">
					<monitoringContext ref="Task_Definition/Task_Execution"/>
					<metric ref="Working_Duration"/>
					<metricFilter ref="Time_Ended_xs_format" operator="isNotNull"></metricFilter>
					<dateTimeMetricFilter ref="Time_Ended">
						<rollingPeriod periodType="days" numPeriods="7"/>
					</dateTimeMetricFilter>
				</aggregatedDefinition>
				<target displayName="Target" id="Target" value="20000">
					<description></description>
				</target>
				<range displayName="Slow" id="Slow" color="ff0000">
					<startValue displayName="startValue" id="startValue" value="30000">
						<description></description>
					</startValue>
					<endValue displayName="endValue" id="endValue" value="60000">
						<description></description>
					</endValue>
				</range>
				<range displayName="Normal" id="Normal" color="0000ff">
					<startValue displayName="startValue" id="startValue" value="10000">
						<description></description>
					</startValue>
					<endValue displayName="endValue" id="endValue" value="30000">
						<description></description>
					</endValue>
				</range>
				<range displayName="Fast" id="Fast" color="ffffff">
					<startValue displayName="startValue" id="startValue" value="0">
						<description></description>
					</startValue>
					<endValue displayName="endValue" id="endValue" value="10000">
						<description></description>
					</endValue>
				</range>
			</kpi>
			<kpi displayName="Average Task Waiting Duration" id="Average_Task_Waiting_Duration" rangeType="actualValue" type="xsd:duration" enableKpiHistory="false">
				<description>The average waiting time spent on a human task during the past seven days.</description>
				<aggregatedDefinition aggregationType="avg" versionAggregation="allVersions">
					<monitoringContext ref="Task_Definition/Task_Execution"/>
					<metric ref="Waiting_Duration"/>
					<metricFilter ref="Time_Ended_xs_format" operator="isNotNull"></metricFilter>
					<dateTimeMetricFilter ref="Time_Ended">
						<rollingPeriod periodType="days" numPeriods="7"/>
					</dateTimeMetricFilter>
				</aggregatedDefinition>
				<target displayName="Target" id="Target" value="40000">
					<description></description>
				</target>
				<range displayName="Slow" id="Slow" color="ff0000">
					<startValue displayName="startValue" id="startValue" value="60000">
						<description></description>
					</startValue>
					<endValue displayName="endValue" id="endValue" value="120000">
						<description></description>
					</endValue>
				</range>
				<range displayName="Normal" id="Normal" color="0000ff">
					<startValue displayName="startValue" id="startValue" value="20000">
						<description></description>
					</startValue>
					<endValue displayName="endValue" id="endValue" value="60000">
						<description></description>
					</endValue>
				</range>
				<range displayName="Fast" id="Fast" color="ffffff">
					<startValue displayName="startValue" id="startValue" value="0">
						<description></description>
					</startValue>
					<endValue displayName="endValue" id="endValue" value="20000">
						<description></description>
					</endValue>
				</range>
			</kpi>
			<kpi displayName="Events Per Second During Last Seven Days" id="Events_Per_Second_During_Last_Seven_Days" rangeType="actualValue" type="xsd:decimal" enableKpiHistory="false" decimalPrecision="5">
				<description>The average number of audit events per second received from process or task executions in the last seven days.</description>
				<calculatedDefinition>
					<kpiCalculation expression="Total_Audit_Events_During_Last_Seven_Days div ( 7 * 24 * 60 * 60 )"/>
				</calculatedDefinition>
			</kpi>
			<kpi displayName="Aux Process Audit Events During Last Seven Days" id="Aux_Process_Audit_Events_During_Last_Seven_Days" rangeType="actualValue" type="xsd:decimal" enableKpiHistory="false">
				<description>The number of audit events received from process executions in the last seven days.</description>
				<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
					<monitoringContext ref="Process_Definition/Process_Execution"/>
					<metric ref="Audit_Events"/>
					<dateTimeMetricFilter ref="Time_Started">
						<rollingPeriod periodType="days" numPeriods="7"/>
					</dateTimeMetricFilter>
				</aggregatedDefinition>
			</kpi>
			<kpi displayName="Aux Task Audit Events During Last Seven Days" id="Aux_Task_Audit_Events_During_Last_Seven_Days" rangeType="actualValue" type="xsd:decimal" enableKpiHistory="false">
				<description>The number of audit events received from task executions in the last seven days.</description>
				<aggregatedDefinition aggregationType="sum" versionAggregation="allVersions">
					<monitoringContext ref="Task_Definition/Task_Execution"/>
					<metric ref="Audit_Events"/>
					<dateTimeMetricFilter ref="Time_Started">
						<rollingPeriod periodType="days" numPeriods="7"/>
					</dateTimeMetricFilter>
				</aggregatedDefinition>
			</kpi>
			<kpi displayName="Total Audit Events During Last Seven Days" id="Total_Audit_Events_During_Last_Seven_Days" rangeType="actualValue" type="xsd:decimal" enableKpiHistory="false">
				<description>The total number of audit events received from process or task executions in the last seven days.</description>
				<calculatedDefinition>
					<kpiCalculation expression="Aux_Process_Audit_Events_During_Last_Seven_Days + Aux_Task_Audit_Events_During_Last_Seven_Days "/>
				</calculatedDefinition>
			</kpi>
			<kpi displayName="Tasks Completed During Last Seven Days" id="Tasks_Completed_During_Last_Seven_Days" rangeType="actualValue" type="xsd:decimal" enableKpiHistory="false">
				<description>The number of tasks completed in the last seven days.</description>
				<aggregatedDefinition aggregationType="count" versionAggregation="allVersions">
					<monitoringContext ref="Task_Definition/Task_Execution"/>
					<metric ref="Identifier"/>
					<metricFilter ref="Time_Ended_xs_format" operator="isNotNull"></metricFilter>
					<dateTimeMetricFilter ref="Time_Ended">
						<rollingPeriod periodType="days" numPeriods="7"/>
					</dateTimeMetricFilter>
				</aggregatedDefinition>
			</kpi>
		</kpiContext>
	</kpiModel>
	<dimensionalModel displayName="GlobalProcessMonitor DMM" id="DMM">
		<cube displayName="Process Definition Cube" id="Process_Definition_Cube" monitoringContext="Process_Definition" >
			<measure displayName="Process Definition Count" id="Process_Definition_Count" aggregationType="count" source="/Global_Process_Monitor/MDM/Process_Definition/Identifier"></measure>
			<measure displayName="Started" id="Started" aggregationType="sum" source="/Global_Process_Monitor/MDM/Process_Definition/Started"></measure>
			<measure displayName="Finished" id="Finished" aggregationType="sum" source="/Global_Process_Monitor/MDM/Process_Definition/Finished"></measure>
			<measure displayName="In Progress" id="In_Progress" aggregationType="sum" source="/Global_Process_Monitor/MDM/Process_Definition/In_Progress"></measure>
			<measure displayName="Min Duration Inactive" id="Min_Duration_Inactive" aggregationType="min" source="/Global_Process_Monitor/MDM/Process_Definition/Time_Since_Last_Active"></measure>
			<measure displayName="Max Duration Inactive" id="Max_Duration_Inactive" aggregationType="max" source="/Global_Process_Monitor/MDM/Process_Definition/Time_Since_Last_Active"></measure>
			<dimension displayName="Process Definition Identifier" id="Process_Definition_Identifier">
				<attribute displayName="Identifier" id="Identifier" attributeSource="/Global_Process_Monitor/MDM/Process_Definition/Identifier" level="1"></attribute>
			</dimension>
			<dimension displayName="Process Definition Name" id="Process_Definition_Name">
				<attribute displayName="Name" id="Name" attributeSource="/Global_Process_Monitor/MDM/Process_Definition/Name" level="1"></attribute>
			</dimension>
		</cube>
		<cube displayName="Process Execution Cube" id="Process_Execution_Cube" monitoringContext="Process_Definition/Process_Execution">
			<measure displayName="Min Total Duration" id="Min_Total_Duration" aggregationType="min" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Total_Duration"></measure>
			<measure displayName="Avg Total Duration" id="Avg_Total_Duration" aggregationType="avg" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Total_Duration"></measure>
			<measure displayName="Max Total Duration" id="Max_Total_Duration" aggregationType="max" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Total_Duration"></measure>
			<measure displayName="StdDev Total Duration" id="StdDev_Total_Duration" aggregationType="stddev" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Total_Duration"></measure>
			<measure displayName="Sum Total Duration" id="Sum_Total_Duration" aggregationType="sum" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Total_Duration"></measure>
			<measure displayName="Min Waiting Duration" id="Min_Waiting_Duration" aggregationType="min" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Waiting_Duration"></measure>
			<measure displayName="Avg Waiting Duration" id="Avg_Waiting_Duration" aggregationType="avg" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Waiting_Duration"></measure>
			<measure displayName="Max Waiting Duration" id="Max_Waiting_Duration" aggregationType="max" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Waiting_Duration"></measure>
			<measure displayName="StdDev Waiting Duration" id="StdDev_Waiting_Duration" aggregationType="stddev" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Waiting_Duration"></measure>
			<measure displayName="Sum Waiting Duration" id="Sum_Waiting_Duration" aggregationType="sum" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Waiting_Duration"></measure>
			<measure displayName="Min Working Duration" id="Min_Working_Duration" aggregationType="min" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Working_Duration"></measure>
			<measure displayName="Avg Working Duration" id="Avg_Working_Duration" aggregationType="avg" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Working_Duration"></measure>
			<measure displayName="Max Working Duration" id="Max_Working_Duration" aggregationType="max" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Working_Duration"></measure>
			<measure displayName="StdDev Working Duration" id="StdDev_Working_Duration" aggregationType="stddev" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Working_Duration"></measure>
			<measure displayName="Sum Working Duration" id="Sum_Working_Duration" aggregationType="sum" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Working_Duration"></measure>
			<measure displayName="Executions" id="Executions" aggregationType="count" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Identifier">
			</measure>
			<measure displayName="Avg Number Of Subtasks" id="Avg_Number_Of_Subtasks" aggregationType="avg" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Subtasks"></measure>
			<measure displayName="Max Number Of Subtasks" id="Max_Number_Of_Subtasks" aggregationType="max" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Subtasks"></measure>
			<measure displayName="Min Number Of Subtasks" id="Min_Number_Of_Subtasks" aggregationType="min" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Subtasks"></measure>
			<measure displayName="Sum Number Of Subtasks" id="Sum_Number_Of_Subtasks" aggregationType="sum" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Subtasks"></measure>
			<measure displayName="StdDev Number Of Subtasks" id="StdDev_Number_Of_Subtasks" aggregationType="stddev" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Subtasks"></measure>
			<measure displayName="Avg Waiting For Subtask Duration" id="Avg_Waiting_For_Subtask_Duration" aggregationType="avg" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Waiting_For_Subtask_Duration"></measure>
			<measure displayName="Min Waiting For Subtask Duration" id="Min_Waiting_For_Subtask_Duration" aggregationType="min" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Waiting_For_Subtask_Duration"></measure>
			<measure displayName="Max Waiting For Subtask Duration" id="Max_Waiting_For_Subtask_Duration" aggregationType="max" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Waiting_For_Subtask_Duration"></measure>
			<measure displayName="Sum Waiting For Subtask Duration" id="Sum_Waiting_For_Subtask_Duration" aggregationType="sum" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Waiting_For_Subtask_Duration"></measure>
			<measure displayName="StdDev Waiting For Subtask Duration" id="StdDev_Waiting_For_Subtask_Duration" aggregationType="stddev" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Waiting_For_Subtask_Duration"></measure>
			<dimension displayName="Process Execution State" id="Process_Execution_State">
				<attribute displayName="State" id="State" attributeSource="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/State" level="1"></attribute>
			</dimension>
			<dimension displayName="Process Definition Name And Version" id="Process_Definition_Name_And_Version">
				<attribute displayName="Process Definition Name" id="Process_Definition_Name" attributeSource="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Definition_Name" level="1"></attribute>
				<attribute displayName="Process Definition Version" id="Process_Definition_Version" attributeSource="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Definition_Version" level="2"></attribute>
			</dimension>
			<dimension displayName="Indented Process Name" id="Indented_Process_Name">
				<attribute displayName="Indented name" id="Indented_name" attributeSource="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Structure" level="1"></attribute>
			</dimension>
			<dimension displayName="Initiator Identifier" id="Initiator_Identifier">
				<attribute displayName="Identifier" id="Identifier" attributeSource="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Initiator_Identifier" level="1"></attribute>
			</dimension>
			<dimension displayName="Caller Identifier" id="Caller_Identifier">
				<attribute displayName="Caller Identifier" id="Caller_Identifier" attributeSource="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Caller_Identifier" level="1"></attribute>
			</dimension>
			<dimension displayName="Process Execution Name" id="Process_Execution_Name">
				<attribute displayName="Name" id="Name" attributeSource="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Name" level="1"></attribute>
			</dimension>
			<dimension displayName="Process Definition Identifier" id="Process_Definition_Identifier">
				<attribute displayName="Process Definition Identifier" id="Process_Definition_Identifier" attributeSource="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Definition_Identifier" level="1"></attribute>
			</dimension>
			<dimension displayName="Process Definition Identifier And Version" id="Process_Definition_Identifier_And_Version">
				<attribute displayName="Process Definition Identifier" id="Process_Definition_Identifier" attributeSource="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Definition_Identifier" level="1"></attribute>
				<attribute displayName="Process Definition Version" id="Process_Definition_Version" attributeSource="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Definition_Version" level="2"></attribute>
			</dimension>
			<dimension displayName="Process Definition Name" id="Process_Definition_Name">
				<attribute displayName="Process Definition Name" id="Process_Definition_Name" attributeSource="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Definition_Name" level="1"></attribute>
			</dimension>
		</cube>
		<cube displayName="Step Definition Cube" id="Step_Definition_Cube" monitoringContext="Process_Definition/Step_Definition">
			<measure displayName="Step Definition Count" id="Step_Definition_Count" aggregationType="count" source="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Identifier"></measure>
			<measure displayName="Started" id="Started" aggregationType="sum" source="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Started"></measure>
			<measure displayName="Finished" id="Finished" aggregationType="sum" source="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Finished"></measure>
			<measure displayName="In Progress" id="In_Progress" aggregationType="sum" source="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/In_Progress"></measure>
			<dimension displayName="Process Definition Name" id="Process_Definition_Name">
				<attribute displayName="Process Definition Name" id="Process_Definition_Name" attributeSource="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Process_Definition_Name" level="1"></attribute>
			</dimension>
			<dimension displayName="Process Definition Identifier" id="Process_Definition_Identifier">
				<attribute displayName="Process Definition Identifier" id="Process_Definition_Identifier" attributeSource="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Process_Definition_Identifier" level="1"></attribute>
			</dimension>
			<dimension displayName="Step Definition Kind" id="Step_Definition_Kind">
				<attribute displayName="Kind" id="Kind" attributeSource="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Kind" level="1"></attribute>
			</dimension>
		</cube>
		<cube displayName="Step Execution Cube" id="Step_Execution_Cube" monitoringContext="Process_Definition/Step_Definition/Step_Execution">
			<measure displayName="Min Total Duration" id="Min_Total_Duration" aggregationType="min" source="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Total_Duration"></measure>
			<measure displayName="Avg Total Duration" id="Avg_Total_Duration" aggregationType="avg" source="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Total_Duration"></measure>
			<measure displayName="Max Total Duration" id="Max_Total_Duration" aggregationType="max" source="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Total_Duration"></measure>
			<measure displayName="StdDev Total Duration" id="StdDev_Total_Duration" aggregationType="stddev" source="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Total_Duration"></measure>
			<measure displayName="Sum Total Duration" id="Sum_Total_Duration" aggregationType="sum" source="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Total_Duration"></measure>
			<measure displayName="Min Waiting Duration" id="Min_Waiting_Duration" aggregationType="min" source="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Waiting_Duration"></measure>
			<measure displayName="Avg Waiting Duration" id="Avg_Waiting_Duration" aggregationType="avg" source="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Waiting_Duration"></measure>
			<measure displayName="Max Waiting Duration" id="Max_Waiting_Duration" aggregationType="max" source="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Waiting_Duration"></measure>
			<measure displayName="StdDev Waiting Duration" id="StdDev_Waiting_Duration" aggregationType="stddev" source="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Waiting_Duration"></measure>
			<measure displayName="Sum Waiting Duration" id="Sum_Waiting_Duration" aggregationType="sum" source="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Waiting_Duration"></measure>
			<measure displayName="Min Working Duration" id="Min_Working_Duration" aggregationType="min" source="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Working_Duration"></measure>
			<measure displayName="Avg Working Duration" id="Avg_Working_Duration" aggregationType="avg" source="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Working_Duration"></measure>
			<measure displayName="Max Working Duration" id="Max_Working_Duration" aggregationType="max" source="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Working_Duration"></measure>
			<measure displayName="StdDev Working Duration" id="StdDev_Working_Duration" aggregationType="stddev" source="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Working_Duration"></measure>
			<measure displayName="Sum Working Duration" id="Sum_Working_Duration" aggregationType="sum" source="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Working_Duration"></measure>
			<measure displayName="Executions" id="Executions" aggregationType="count" source="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Identifier"></measure>
			<measure displayName="Sum Escalations" id="Sum_Escalations" aggregationType="sum" source="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Escalations"></measure>
			<measure displayName="StdDev Escalations" id="StdDev_Escalations" aggregationType="stddev" source="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Escalations"></measure>
			<measure displayName="Avg Escalations" id="Avg_Escalations" aggregationType="avg" source="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Escalations"></measure>
			<measure displayName="Max Escalations" id="Max_Escalations" aggregationType="max" source="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Escalations"></measure>
			<measure displayName="Min Escalations" id="Min_Escalations" aggregationType="min" source="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Escalations"></measure>
			<measure displayName="Avg Number Of Subtasks" id="Avg_Number_Of_Subtasks" aggregationType="avg" source="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Subtasks"></measure>
			<measure displayName="Sum Number Of Subtasks" id="Sum_Number_Of_Subtasks" aggregationType="sum" source="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Subtasks"></measure>
			<measure displayName="Min Number Of Subtasks" id="Min_Number_Of_Subtasks" aggregationType="min" source="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Subtasks"></measure>
			<measure displayName="Max Number Of Subtasks" id="Max_Number_Of_Subtasks" aggregationType="max" source="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Subtasks"></measure>
			<measure displayName="StdDev Number Of Subtasks" id="StdDev_Number_Of_Subtasks" aggregationType="stddev" source="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Subtasks"></measure>
			<measure displayName="Avg Waiting For Subtask Duration" id="Avg_Waiting_For_Subtask_Duration" aggregationType="avg" source="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Waiting_For_Subtask_Duration"></measure>
			<measure displayName="Min Waiting For Subtask Duration" id="Min_Waiting_For_Subtask_Duration" aggregationType="min" source="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Waiting_For_Subtask_Duration"></measure>
			<measure displayName="Max Waiting For Subtask Duration" id="Max_Waiting_For_Subtask_Duration" aggregationType="max" source="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Waiting_For_Subtask_Duration"></measure>
			<measure displayName="Sum Waiting For Subtask Duration" id="Sum_Waiting_For_Subtask_Duration" aggregationType="sum" source="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Waiting_For_Subtask_Duration"></measure>
			<measure displayName="StdDev Waiting For Subtask Duration" id="StdDev_Waiting_For_Subtask_Duration" aggregationType="stddev" source="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Waiting_For_Subtask_Duration"></measure>
			<dimension displayName="Human Task Owner" id="Human_Task_Owner">
				<attribute displayName="Task Owner" id="Task_Owner" attributeSource="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Owner" level="1"></attribute>
			</dimension>
			<dimension displayName="Step Execution State" id="Step_Execution_State">
				<attribute displayName="State" id="State" attributeSource="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/State" level="1"></attribute>
			</dimension>
			<dimension displayName="Step Qualified Name" id="Step_Qualified_Name">
				<attribute displayName="Qualified Name" id="Qualified_Name" attributeSource="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Qualified_Name" level="1"></attribute>
			</dimension>
			<dimension displayName="Step Definition Kind" id="Step_Definition_Kind">
				<attribute displayName="Kind" id="Kind" attributeSource="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Kind" level="1"></attribute>
			</dimension>
			<dimension displayName="Process Definition Identifier And Step Name" id="Process_Definition_Identifier_And_Step_Name">
				<attribute displayName="Process Definition Identifier" id="Process_Definition_Identifier" attributeSource="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Process_Definition_Identifier" level="1"></attribute>
				<attribute displayName="Step Definition Name" id="Step_Definition_Name" attributeSource="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Name" level="2"></attribute>
			</dimension>
			<dimension displayName="Process Definition Name And Step Name" id="Process_Definition_Name_And_Step_Name">
				<attribute displayName="Process Definition Name" id="Process_Definition_Name" attributeSource="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Process_Definition_Name" level="1"></attribute>
				<attribute displayName="Step Name" id="Step_Name" attributeSource="/Global_Process_Monitor/MDM/Process_Definition/Step_Definition/Step_Execution/Name" level="2"></attribute>
			</dimension>
		</cube>
		<cube displayName="Process Execution Step Cube" id="Process_Execution_Step_Cube" monitoringContext="Process_Definition/Process_Execution/Process_Execution_Step">
			<measure displayName="Min Total Duration" id="Min_Total_Duration" aggregationType="min" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Total_Duration"></measure>
			<measure displayName="Avg Total Duration" id="Avg_Total_Duration" aggregationType="avg" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Total_Duration"></measure>
			<measure displayName="Max Total Duration" id="Max_Total_Duration" aggregationType="max" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Total_Duration"></measure>
			<measure displayName="StdDev Total Duration" id="StdDev_Total_Duration" aggregationType="stddev" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Total_Duration"></measure>
			<measure displayName="Sum Total Duration" id="Sum_Total_Duration" aggregationType="sum" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Total_Duration"></measure>
			<measure displayName="Min Waiting Duration" id="Min_Waiting_Duration" aggregationType="min" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Waiting_Duration"></measure>
			<measure displayName="Avg Waiting Duration" id="Avg_Waiting_Duration" aggregationType="avg" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Waiting_Duration"></measure>
			<measure displayName="Max Waiting Duration" id="Max_Waiting_Duration" aggregationType="max" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Waiting_Duration"></measure>
			<measure displayName="StdDev Waiting Duration" id="StdDev_Waiting_Duration" aggregationType="stddev" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Waiting_Duration"></measure>
			<measure displayName="Sum Waiting Duration" id="Sum_Waiting_Duration" aggregationType="sum" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Waiting_Duration"></measure>
			<measure displayName="Min Working Duration" id="Min_Working_Duration" aggregationType="min" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Working_Duration"></measure>
			<measure displayName="Avg Working Duration" id="Avg_Working_Duration" aggregationType="avg" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Working_Duration"></measure>
			<measure displayName="Max Working Duration" id="Max_Working_Duration" aggregationType="max" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Working_Duration"></measure>
			<measure displayName="StdDev Working Duration" id="StdDev_Working_Duration" aggregationType="stddev" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Working_Duration"></measure>
			<measure displayName="Sum Working Duration" id="Sum_Working_Duration" aggregationType="sum" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Working_Duration"></measure>
			<measure displayName="Executions" id="Executions" aggregationType="count" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Identifier"></measure>
			<measure displayName="Avg Escalations" id="Avg_Escalations" aggregationType="avg" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Escalations"></measure>
			<measure displayName="Sum Escalations" id="Sum_Escalations" aggregationType="sum" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Escalations"></measure>
			<measure displayName="Max Escalations" id="Max_Escalations" aggregationType="max" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Escalations"></measure>
			<measure displayName="Min Escalations" id="Min_Escalations" aggregationType="min" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Escalations"></measure>
			<measure displayName="StdDev Escalations" id="StdDev_Escalations" aggregationType="stddev" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Escalations"></measure>
			<measure displayName="Avg Number Of Subtasks" id="Avg_Number_Of_Subtasks" aggregationType="avg" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Subtasks"></measure>
			<measure displayName="Sum Number Of Subtasks" id="Sum_Number_Of_Subtasks" aggregationType="sum" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Subtasks"></measure>
			<measure displayName="Min Number Of Subtasks" id="Min_Number_Of_Subtasks" aggregationType="min" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Subtasks"></measure>
			<measure displayName="Max Number Of Subtasks" id="Max_Number_Of_Subtasks" aggregationType="max" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Subtasks"></measure>
			<measure displayName="StdDev Number Of Subtasks" id="StdDev_Number_Of_Subtasks" aggregationType="stddev" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Subtasks"></measure>
			<measure displayName="Avg Waiting For Subtask Duration" id="Avg_Waiting_For_Subtask_Duration" aggregationType="avg" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Waiting_For_Subtask_Duration"></measure>
			<measure displayName="Min Waiting For Subtask Duration" id="Min_Waiting_For_Subtask_Duration" aggregationType="min" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Waiting_For_Subtask_Duration"></measure>
			<measure displayName="Max Waiting For Subtask Duration" id="Max_Waiting_For_Subtask_Duration" aggregationType="max" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Waiting_For_Subtask_Duration"></measure>
			<measure displayName="Sum Waiting For Subtask Duration" id="Sum_Waiting_For_Subtask_Duration" aggregationType="sum" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Waiting_For_Subtask_Duration"></measure>
			<measure displayName="StdDev Waiting For Subtask Duration" id="StdDev_Waiting_For_Subtask_Duration" aggregationType="stddev" source="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Waiting_For_Subtask_Duration"></measure>
			<dimension displayName="Human Task Owner" id="Human_Task_Owner">
				<attribute displayName="Owner" id="Owner" attributeSource="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Owner" level="1"></attribute>
			</dimension>
			<dimension displayName="Step Execution State" id="Step_Execution_State">
				<attribute displayName="State" id="State" attributeSource="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/State" level="1"></attribute>
			</dimension>
			<dimension displayName="Step Qualified Name" id="Step_Qualified_Name">
				<attribute displayName="Qualified Name" id="Qualified_Name" attributeSource="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Qualified_Name" level="1"></attribute>
			</dimension>
			<dimension displayName="Process Definition Name - Version - Step Name" id="Process_Definition_Name__Version__Step_Name">
				<attribute displayName="Process Definition Name" id="Process_Definition_Name" attributeSource="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Process_Definition_Name" level="1"></attribute>
				<attribute displayName="Process Definition Version" id="Process_Definition_Version" attributeSource="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Process_Definition_Version" level="2"></attribute>
				<attribute displayName="Step Name" id="Step_Name" attributeSource="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Name" level="3"></attribute>
			</dimension>
			<dimension displayName="Step Definition Kind" id="Step_Definition_Kind">
				<attribute displayName="Kind" id="Kind" attributeSource="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Kind" level="1"></attribute>
			</dimension>
			<dimension displayName="Process Definition Identifier - Version - Step Name" id="Process_Definition_Identifier__Version__Step_Name">
				<attribute displayName="Process Definition Identifier" id="Process_Definition_Identifier" attributeSource="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Process_Definition_Identifier" level="1"></attribute>
				<attribute displayName="Process Definition Version" id="Process_Definition_Version" attributeSource="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Process_Definition_Version" level="2"></attribute>
				<attribute displayName="Step Name" id="Step_Name" attributeSource="/Global_Process_Monitor/MDM/Process_Definition/Process_Execution/Process_Execution_Step/Name" level="3"></attribute>
			</dimension>
		</cube>
		<cube displayName="Task Definition Cube" id="Task_Definition_Cube" monitoringContext="Task_Definition">
			<measure displayName="Task Definitions" id="Task_Definitions" aggregationType="count" source="/Global_Process_Monitor/MDM/Task_Definition/Identifier"></measure>
			<measure displayName="Started" id="Started" aggregationType="sum" source="/Global_Process_Monitor/MDM/Task_Definition/Started"></measure>
			<measure displayName="Finished" id="Finished" aggregationType="sum" source="/Global_Process_Monitor/MDM/Task_Definition/Finished"></measure>
			<measure displayName="In Progress" id="In_Progress" aggregationType="sum" source="/Global_Process_Monitor/MDM/Task_Definition/In_Progress"></measure>
			<measure displayName="Min Duration Inactive" id="Min_Duration_Inactive" aggregationType="min" source="/Global_Process_Monitor/MDM/Task_Definition/Time_Since_Last_Active"></measure>
			<measure displayName="Max Duration Inactive" id="Max_Duration_Inactive" aggregationType="max" source="/Global_Process_Monitor/MDM/Task_Definition/Time_Since_Last_Active"></measure>
			<dimension displayName="Task Definition Identifier" id="Task_Definition_Identifier">
				<attribute displayName="Identifier" id="Identifier" attributeSource="/Global_Process_Monitor/MDM/Task_Definition/Identifier" level="1"></attribute>
			</dimension>
			<dimension displayName="Task Definition Qualified Name" id="Task_Definition_Qualified_Name">
				<attribute displayName="Qualified Name" id="Qualified_Name" attributeSource="/Global_Process_Monitor/MDM/Task_Definition/Qualified_Name" level="1"></attribute>
			</dimension>
			<dimension displayName="Task Name" id="Task_Name">
				<attribute displayName="Name" id="Name" attributeSource="/Global_Process_Monitor/MDM/Task_Definition/Name" level="1"></attribute>
			</dimension>
		</cube>
		<cube displayName="Task Execution Cube" id="Task_Execution_Cube" monitoringContext="Task_Definition/Task_Execution">
			<measure displayName="Min Total Duration" id="Min_Total_Duration" aggregationType="min" source="/Global_Process_Monitor/MDM/Task_Definition/Task_Execution/Total_Duration"></measure>
			<measure displayName="Avg Total Duration" id="Avg_Total_Duration" aggregationType="avg" source="/Global_Process_Monitor/MDM/Task_Definition/Task_Execution/Total_Duration"></measure>
			<measure displayName="Max Total Duration" id="Max_Total_Duration" aggregationType="max" source="/Global_Process_Monitor/MDM/Task_Definition/Task_Execution/Total_Duration"></measure>
			<measure displayName="StdDev Total Duration" id="StdDev_Total_Duration" aggregationType="stddev" source="/Global_Process_Monitor/MDM/Task_Definition/Task_Execution/Total_Duration"></measure>
			<measure displayName="Sum Total Duration" id="Sum_Total_Duration" aggregationType="sum" source="/Global_Process_Monitor/MDM/Task_Definition/Task_Execution/Total_Duration"></measure>
			<measure displayName="Min Waiting Duration" id="Min_Waiting_Duration" aggregationType="min" source="/Global_Process_Monitor/MDM/Task_Definition/Task_Execution/Waiting_Duration"></measure>
			<measure displayName="Avg Waiting Duration" id="Avg_Waiting_Duration" aggregationType="avg" source="/Global_Process_Monitor/MDM/Task_Definition/Task_Execution/Waiting_Duration"></measure>
			<measure displayName="Max Waiting Duration" id="Max_Waiting_Duration" aggregationType="max" source="/Global_Process_Monitor/MDM/Task_Definition/Task_Execution/Waiting_Duration"></measure>
			<measure displayName="StdDev Waiting Duration" id="StdDev_Waiting_Duration" aggregationType="stddev" source="/Global_Process_Monitor/MDM/Task_Definition/Task_Execution/Waiting_Duration"></measure>
			<measure displayName="Sum Waiting Duration" id="Sum_Waiting_Duration" aggregationType="sum" source="/Global_Process_Monitor/MDM/Task_Definition/Task_Execution/Waiting_Duration"></measure>
			<measure displayName="Min Working Duration" id="Min_Working_Duration" aggregationType="min" source="/Global_Process_Monitor/MDM/Task_Definition/Task_Execution/Working_Duration"></measure>
			<measure displayName="Avg Working Duration" id="Avg_Working_Duration" aggregationType="avg" source="/Global_Process_Monitor/MDM/Task_Definition/Task_Execution/Working_Duration"></measure>
			<measure displayName="Max Working Duration" id="Max_Working_Duration" aggregationType="max" source="/Global_Process_Monitor/MDM/Task_Definition/Task_Execution/Working_Duration"></measure>
			<measure displayName="StdDev Working Duration" id="StdDev_Working_Duration" aggregationType="stddev" source="/Global_Process_Monitor/MDM/Task_Definition/Task_Execution/Working_Duration"></measure>
			<measure displayName="Sum Working Duration" id="Sum_Working_Duration" aggregationType="sum" source="/Global_Process_Monitor/MDM/Task_Definition/Task_Execution/Working_Duration"></measure>
			<measure displayName="Executions" id="Executions" aggregationType="count" source="/Global_Process_Monitor/MDM/Task_Definition/Task_Execution/Identifier"></measure>
			<measure displayName="Min Number Escalations" id="Min_Number_Escalations" aggregationType="min" source="/Global_Process_Monitor/MDM/Task_Definition/Task_Execution/Escalations"></measure>
			<measure displayName="Avg Number Escalations" id="Avg_Number_Escalations" aggregationType="avg" source="/Global_Process_Monitor/MDM/Task_Definition/Task_Execution/Escalations"></measure>
			<measure displayName="Max Number Escalations" id="Max_Number_Escalations" aggregationType="max" source="/Global_Process_Monitor/MDM/Task_Definition/Task_Execution/Escalations"></measure>
			<measure displayName="StdDev Number Escalations" id="StdDev_Number_Escalations" aggregationType="stddev" source="/Global_Process_Monitor/MDM/Task_Definition/Task_Execution/Escalations"></measure>
			<measure displayName="Sum Number Escalations" id="Sum_Number_Escalations" aggregationType="sum" source="/Global_Process_Monitor/MDM/Task_Definition/Task_Execution/Escalations"></measure>
			<dimension displayName="Human Task Owner" id="Human_Task_Owner">
				<attribute displayName="Task Owner" id="Task_Owner" attributeSource="/Global_Process_Monitor/MDM/Task_Definition/Task_Execution/Owner" level="1"></attribute>
			</dimension>
			<dimension displayName="Task Definition Identifier" id="Task_Definition_Identifier">
				<attribute displayName="Task Definition Identifier" id="Task_Definition_Identifier" attributeSource="Task_Definition_Identifier" level="1"></attribute>
			</dimension>
			<dimension displayName="Task Execution State" id="Task_Execution_State">
				<attribute displayName="State" id="State" attributeSource="/Global_Process_Monitor/MDM/Task_Definition/Task_Execution/State" level="1"></attribute>
			</dimension>
			<dimension displayName="Task Definition Name" id="Task_Definition_Name">
				<attribute displayName="Task Definition Name" id="Task_Definition_Name" attributeSource="/Global_Process_Monitor/MDM/Task_Definition/Task_Execution/Task_Definition_Name" level="1"></attribute>
			</dimension>
			<dimension displayName="Related Process Definition Identifier" id="Related_Process_Definition_Identifier">
				<attribute displayName="Related Process Definition Identifier" id="Related_Process_Definition_Identifier" attributeSource="/Global_Process_Monitor/MDM/Task_Definition/Task_Execution/Related_Process_Definition_Identifier" level="1"></attribute>
			</dimension>
			<dimension displayName="Task Nesting Depth" id="Task_Nesting_Depth">
				<attribute displayName="Nesting Depth" id="Nesting_Depth" attributeSource="Nesting_Depth" level="1"></attribute>
			</dimension>
			<dimension displayName="Task Name" id="Task_Name">
				<attribute displayName="Name" id="Name" attributeSource="/Global_Process_Monitor/MDM/Task_Definition/Task_Execution/Name" level="1"></attribute>
			</dimension>
			<dimension displayName="Is Subtask" id="Is_Subtask">
				<attribute displayName="Is Subtask" id="Is_Subtask" attributeSource="/Global_Process_Monitor/MDM/Task_Definition/Task_Execution/Is_Subtask" level="1"></attribute>
			</dimension>
		</cube>
	</dimensionalModel>
	<eventModel id="EM">
		<import namespace="http://www.ibm.com/AC/commonbaseevent1_0_1" />
		<import namespace="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.1" />
		<import namespace="http://www.ibm.com/xmlns/prod/websphere/scdl/business-process/6.0.0"/>
		<import namespace="http://www.w3.org/2001/XMLSchema"/>
		<import namespace="http://www.ibm.com/xmlns/prod/websphere/scdl/human-task/6.0.0"/>
		<import location="MonitorEvents.xsd"/>
		<import location="MonitorEvents_ACME_Extensions.xsd"/>
		<import location="MonitorEvents_WBI_Extensions.xsd"/>
		<import location="MonitorEvents_IBM_Extensions.xsd"/>
		<import location="MonitorEvents.xsd" namespace="http://www.ibm.com/xmlns/prod/websphere/monitoring/7.5"/>
		<import location="MonitorEvents_WLE_Extensions.xsd" namespace="http://www.ibm.com/xmlns/prod/websphere/lombardi/7.5"/>
	</eventModel>
</mm:monitor>